

Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

const Cc = Components.classes;
const Ci = Components.interfaces;
const PREFS = Cc["@mozilla.org/preferences-service;1"].getService(Ci.nsIPrefBranch);
const PREFS_CHROMECODE       = "scenaritest.clh.lastparam.chromeCode";
const PREFS_CHROMECONTENTURL = "scenaritest.clh.lastparam.chromeContentUrl";
const PREFS_WSPCODE 		 = "scenaritest.clh.lastparam.wspCode";
const PREFS_UNIVERSECODE 	 = "scenaritest.clh.lastparam.universeCode";

function scTestClh() {};

scTestClh.prototype = {
	  classID: Components.ID("{3CAE0595-E91E-402C-8936-4B886A7DE3FD}"),
	
	  /* nsISupports */
	  QueryInterface : XPCOMUtils.generateQI([Ci.nsICommandLineHandler]),
	
	  /* Ci.nsICommandLineHandler */
	  handle : function clh_handle(pCmdLine) {
		if (pCmdLine.preventDefault) return;
			
		var vPrefs = Cc["@mozilla.org/preferences-service;1"].getService(Ci.nsIPrefBranch);
		var vConsoleService = Cc["@mozilla.org/consoleservice;1"].getService(Ci.nsIConsoleService);
		
	
	try {
			
		/* workaround : Suppression du management offline de Xulrunner (https://bugzilla.mozilla.org/show_bug.cgi?id=339814)
		 * TODO : voir si tjs utile avec Gecko2
		 * 		pref("toolkit.networkmanager.disable", true);
		 *		pref("network.manage-offline-status", false);
		 *		pref("network.online", true);
		 */
		try{
			var vIoService = Cc["@mozilla.org/network/io-service;1"].getService(Ci.nsIIOService2);
			vIoService.manageOfflineStatus = false;
			vIoService.offline = false;
		}catch(e){}
		
		/* desactivation du cache des JSM et autre */
		try{
			var xulRuntime = Cc["@mozilla.org/xre/app-info;1"].getService(Ci.nsIXULRuntime); 
			xulRuntime.invalidateCachesOnRestart();
		}catch(e){}
		
		/* Récupération des paramètres de lancement
		 * Et enregistrement de ces paramètres pour les relauch
		 */
		var vChromeCode = "";
		try{vChromeCode = pCmdLine.findFlag("chromeCode", true)>-1 ?  pCmdLine.handleFlagWithParam("chromeCode", true) : PREFS.getCharPref(PREFS_CHROMECODE);}catch(e){}
		if(vChromeCode) PREFS.setCharPref(PREFS_CHROMECODE, vChromeCode);
		var vChromeContentUrl = "";
		try{vChromeContentUrl = pCmdLine.findFlag("chromeContentUrl", true)>-1 ?  pCmdLine.handleFlagWithParam("chromeContentUrl", true) : PREFS.getCharPref(PREFS_CHROMECONTENTURL);}catch(e){}
		if(vChromeContentUrl) PREFS.setCharPref(PREFS_CHROMECONTENTURL, vChromeContentUrl);
		var vUniverseCode = "";
		try{vUniverseCode =pCmdLine.findFlag("universe", true)>-1 ?  pCmdLine.handleFlagWithParam("universe", true) : PREFS.getCharPref(PREFS_UNIVERSECODE);}catch(e){}
		if(vUniverseCode) PREFS.setCharPref(PREFS_UNIVERSECODE, vUniverseCode);
		var vWspCode = "";
		try{vWspCode = pCmdLine.findFlag("wspCode", true)>-1 ?  pCmdLine.handleFlagWithParam("wspCode", true) : PREFS.getCharPref(PREFS_WSPCODE);}catch(e){}
		if(vWspCode) PREFS.setCharPref(PREFS_WSPCODE, vWspCode);
		
		
		var vWinWatch = Cc["@mozilla.org/embedcomp/window-watcher;1"].getService(Ci.nsIWindowWatcher);
		var vEnum = vWinWatch.getWindowEnumerator(null);
		
		var vFolderService = Cc["@mozilla.org/file/directory_service;1"].getService(Ci.nsIProperties);
		var vExtensionDir = vFolderService.get("ProfD", Ci.nsIFile);
		vExtensionDir.append("extensions");
		vExtensionDir.append("modeltest@scenari-platform.org");
		if( ! vExtensionDir.exists()) vExtensionDir.create(Ci.nsIFile.DIRECTORY_TYPE, 0755);
		 
		if(vChromeCode){
			var vManifest = "content " + vChromeCode + " " + vChromeContentUrl + "\n";
			vManifest    +=  "overlay chrome://scenariCms/content/wspmgr/packlist.xml " +  "chrome://"+vChromeCode+"/content/pack.xml\n";
			var vManifestFile = vExtensionDir.clone();
			vManifestFile.append("chrome.manifest");
			var vOutputStream = Cc["@mozilla.org/network/file-output-stream;1"].createInstance(Ci.nsIFileOutputStream);
			vOutputStream.init(vManifestFile, 0x04 | 0x08 | 0x20, 0644, 0 );
			vOutputStream.write(vManifest, vManifest.length);
			vOutputStream.close();
		}
		


		var vInstallRdfFile = vExtensionDir.clone();
		vInstallRdfFile.append("install.rdf");
		if( ! vInstallRdfFile.exists()) {

			var vInstallContent = '<?xml version="1.0" encoding="ISO-8859-1"?><RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#"><Description about="urn:mozilla:install-manifest">';
			vInstallContent += '<em:id>modeltest@scenari-platform.org</em:id><em:name>modeltest</em:name><em:type>2</em:type><em:version>0.0.0</em:version><em:description>modeltest</em:description><em:creator>SCENARI</em:creator>';
			vInstallContent += '<em:targetApplication><Description><em:id>toolkit@mozilla.org</em:id><em:minVersion>1.0</em:minVersion><em:maxVersion>99.*</em:maxVersion></Description></em:targetApplication>';
			vInstallContent += '</Description></RDF>';
			var vOutputStream = Cc["@mozilla.org/network/file-output-stream;1"].createInstance( Ci.nsIFileOutputStream );
			vOutputStream.init(vInstallRdfFile, 0x04 | 0x08 | 0x20, 0644, 0 );
			vOutputStream.write(vInstallContent, vInstallContent.length);
			vOutputStream.close();
					

			var ps = Cc["@mozilla.org/embedcomp/prompt-service;1"].getService(Ci.nsIPromptService);
			ps.alert(null, "Initialisation de l\'application", "L\'application a \u00E9t\u00E9 initialis\u00E9e correctement et doit \u00EAtre relanc\u00E9e.");
			
		}else{

			Components.utils.import("chrome://scenariCommons/content/ExtPoints.jsm");
			var extPoints = ExtPoints.appExtPoints;
			extPoints.evalJs = function(pStr){return eval(pStr);};//Surcharge de la méthode evalJs pour permettre aux libs JS d'être chargées dans le contexte de la window.
			extPoints.loadExtPointsFromChromeOverlays("chrome://scenariCommons/content/appExtTarget.js");
						
			if(vUniverseCode) extPoints.setPref("scenari.servers.universe", 1001, vUniverseCode);
			

			var vChromeRegistry = Cc["@mozilla.org/chrome/chrome-registry;1"].getService(Ci.nsIChromeRegistry);
			vChromeRegistry.checkForNewChrome();
			Cc["@mozilla.org/image/cache;1"].getService(Ci.imgICache).clearCache(true);
		
			var vNewWin = vWinWatch.openWindow(null, "chrome://scenariWsp/content/desks/wspDesk/wspDesk.xul", "embed\t" + vWspCode, "chrome,dialog=no,resizable,centerscreen", null);
		

			/*while (vEnum.hasMoreElements()) {
				var vDomWindow = vEnum.getNext().QueryInterface(Ci.nsIDOMWindow);
				if(vNewWin != vDomWindow) try{vDomWindow.close();} catch (e) {}
			}*/
		}

		pCmdLine.preventDefault = true;
	} catch (e) {
		debug("init Failed : "+e);
	}
  },

  helpInfo : "SCENARI test",
};

var NSGetFactory = XPCOMUtils.generateNSGetFactory([scTestClh]);


function debug(pText){
	var vConsoleService = Cc["@mozilla.org/consoleservice;1"].getService(Ci.nsIConsoleService);
	vConsoleService.logStringMessage(pText);
}
function dialogAlert(pText, pTitle){
	var vService = Cc["@mozilla.org/embedcomp/prompt-service;1"].getService(Ci.nsIPromptService);
	vService.alert(null, pTitle ? pTitle : "SCENARI - Message", pText);
}
