<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:for//*[starts-with(name(.), 'sm:W') and not(@style) and not(@globalStyle)]">
<xsl:variable name="vForCode" select="ancestor::sm:for/@codes"/>
<xsl:variable name="vCode" select="translate($vForCode, ' ', '_')"/>
<xsl:copy>
<xsl:attribute name="style"><xsl:value-of select="$vCode"/></xsl:attribute>
<xsl:apply-templates select="@*"/>
<xsl:apply-templates select="node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:heading">
<sm:heading display="always">
<xsl:apply-templates select="@*|node()"/>
</sm:heading>
</xsl:template>
		
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
