<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:WObject">
<xsl:copy>
<xsl:apply-templates select="@*"/>
<sm:binaryUrl>
<xsl:apply-templates/>
<sm:odTransform>
<sm:dimBounds unit="cm">
<xsl:if test="sm:odParams/@minWidth != ''"><xsl:attribute name="minWidth"><xsl:value-of select="sm:odParams/@minWidth"/></xsl:attribute></xsl:if>
<xsl:if test="sm:odParams/@maxWidth != ''"><xsl:attribute name="maxWidth"><xsl:value-of select="sm:odParams/@maxWidth"/></xsl:attribute></xsl:if>
<xsl:if test="sm:odParams/@minHeight != ''"><xsl:attribute name="minHeight"><xsl:value-of select="sm:odParams/@minHeight"/></xsl:attribute></xsl:if>
<xsl:if test="sm:odParams/@maxHeight != ''"><xsl:attribute name="maxHeight"><xsl:value-of select="sm:odParams/@maxHeight"/></xsl:attribute></xsl:if>
<xsl:if test="sm:binaryUrl/sm:rotationTransform">
<sm:rotate/>
</xsl:if>
</sm:dimBounds>
</sm:odTransform>
</sm:binaryUrl>
</xsl:copy>
</xsl:template>
	
<xsl:template match="sm:WImage">
<xsl:copy>
<xsl:apply-templates select="@*"/>
<sm:binaryUrl>
<xsl:apply-templates/>
<sm:imageTransform>
<sm:scale ratio="{si(sm:binaryUrl/sm:imageTransform/@scale, sm:binaryUrl/sm:imageTransform/@scale, 1)}">
<xsl:attribute name="sourceDpi"><xsl:value-of select="sm:odParams/@dpi"/></xsl:attribute>
</sm:scale>
<sm:dimBounds unit="cm">
<xsl:if test="sm:odParams/@minWidth != ''"><xsl:attribute name="minWidth"><xsl:value-of select="sm:odParams/@minWidth"/></xsl:attribute></xsl:if>
<xsl:if test="sm:odParams/@maxWidth != ''"><xsl:attribute name="maxWidth"><xsl:value-of select="sm:odParams/@maxWidth"/></xsl:attribute></xsl:if>
<xsl:if test="sm:odParams/@minHeight != ''"><xsl:attribute name="minHeight"><xsl:value-of select="sm:odParams/@minHeight"/></xsl:attribute></xsl:if>
<xsl:if test="sm:odParams/@maxHeight != ''"><xsl:attribute name="maxHeight"><xsl:value-of select="sm:odParams/@maxHeight"/></xsl:attribute></xsl:if>
<xsl:if test="sm:binaryUrl/sm:rotationTransform">
<sm:rotate/>
</xsl:if>
</sm:dimBounds>
<xsl:choose>
<xsl:when test="sm:binaryUrl/sm:imageTransform/@outputType='PNG'"><sm:outputPNG/></xsl:when>
<xsl:when test="sm:binaryUrl/sm:imageTransform/@outputType='JPEG'"><sm:outputJPEG/></xsl:when>
<xsl:when test="contains(/sm:binaryOdTransf/sm:model/@sc:refUri, 'gif.model')"><sm:outputGIF/></xsl:when>
<xsl:when test="contains(/sm:binaryOdTransf/sm:model/@sc:refUri, 'png.model')"><sm:outputPNG/></xsl:when>
<xsl:otherwise><sm:outputJPEG/></xsl:otherwise>
</xsl:choose>
</sm:imageTransform>
</sm:binaryUrl>
</xsl:copy>
</xsl:template>
	
<xsl:template match="sm:mime | sm:odParams"/>
	
<xsl:template match="sm:binaryUrl">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:rotationTransform | sm:imageTransform"/>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>