<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:string="java.lang.String"
                xmlns:redirect="http://xml.apache.org/xalan/redirect" extension-element-prefixes="redirect">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="no"/>
<xsl:param name="pActionPath"/>
<xsl:param name="pContentPath"/>
<xsl:param name="pStylePath"/>
	
<xsl:variable name="pContentFile" select="document($pContentPath)"/>
<xsl:variable name="pStyleFile" select="document($pStylePath)"/>
	
<xsl:template match="/scData">
<xsl:copy>
<xsl:attribute name="version">2.0</xsl:attribute>
<xsl:attribute name="odStyleStyles">odNoDisplay,odNoWritable,odNoWritableTxt,pmParagraphDefault,section.title,section.subTitle,section.emptysection,block.title,block.description,section.frame.title,scodBreakAfter,scodBreakBefore,note.p,note.b,note.i,note.u,</xsl:attribute>
<block code="xOdStyle" structSgn="odstyle;2">
<useStyle name="Graphics" />
<useStyle name="Frame" />
<useStyle name="Visited_20_Internet_20_Link" />
<useStyle name="Internet_20_link" />
<useStyle name="Standard" />
<useStyle name="note.p" onlyInNewStruct="true" />
<useStyle name="note.b" onlyInNewStruct="true" />
<useStyle name="note.i" onlyInNewStruct="true" />
<useStyle name="note.u" onlyInNewStruct="true" />
<useStyle xpath="/office:document-content/office:body/office:text/table:table[@table:name='odTemplateText_#title']//@table:style-name" onlyInNewStruct="true" />
<useStyle xpath="/office:document-content/office:body/office:text/text:p/draw:frame[1]/@draw:style-name" onlyInNewStruct="true" />
</block>
<xsl:apply-templates/>
<redirect:write file="{$pActionPath}">
<project name="buiUpdateOdt">
<target name="xActMain">
<xsl:apply-templates mode="mAct"/>
	                    
</target>
</project>
</redirect:write>
</xsl:copy>
</xsl:template>
<xsl:template match="text()" mode="mAct"/>
	

<xsl:template match="element[@code='odTemplateText']/block[@code='heading']">
<block code="odTemplateText_#title" structSgn="title;2" refOdName="odTemplateText_heading" widgetName="title" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath="text:h/@text:style-name"/>
<useStyle name="outline-style:Outline"/>
</block>
<block code="odTemplateText_#linenumbering" structSgn="linenumbering;2" widgetName="linenumbering">
<useStyle name="linenumbering-configuration:"/>
</block>
</xsl:template>
<xsl:template match="element[@code='odTemplateText']/block[@code='defaultStyle']">
<block code="odTemplateText_#defaultStyle" structSgn="defaultStyle;2" refOdName="odTemplateText_defaultStyle" widgetName="defaultStyle" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath="text:p/@text:style-name"/>
</block>
</xsl:template>
<xsl:template match="element[@code='odTemplateText']/block[@code='footnote']">
<block code="odTemplateText_#footnote" structSgn="note;2" widgetName="note">
<useStyle name="notes-configuration:footnote"/>
</block>
<block code="odTemplateText_#endnote" structSgn="note;2" widgetName="note">
<useStyle name="notes-configuration:endnote"/>
</block>
</xsl:template>
    
<xsl:template match="element[@type='section']/block[contains(@code, 'pageLayout')]"/>
<xsl:template match="element[@type='section']/block[contains(@code, 'masterStyle')]">
<block code="{../@code}_#main" structSgn="odtemplate-masterstyle;2" refOdName="{style[@code='paragraphLayout']/@refOdStyleName}" widgetName="odtemplate-masterstyle">
<useStyle name="{style[@code='paragraphLayout']/@refOdStyleName}"/>
</block>
</xsl:template>
<xsl:template match="element[@type='section']/block[contains(@code, 'masterStyle')]" mode="mAct">
<ant target="xReplaceStyle"><property name="t.old" value="{style[@code='paragraphLayout']/@refOdStyleName}"/><property name="t.new" value="{substring-before(../@code, '_')}_5f_{substring-after(../@code, '_')}_20__3e__20__23_main_20__3e__20_paragraph"/></ant>
<ant target="xReplaceStyle"><property name="t.old" value="{style[@code='master']/@refOdStyleName}"/><property name="t.new" value="{substring-before(../@code, '_')}_5f_{substring-after(../@code, '_')}_20__3e__20__23_main"/></ant>
</xsl:template>
<xsl:template match="element[@type='section']/block[contains(@code, 'masterStyle_')]" priority="2">
<block code="{../@code}_{substring-after(@code, 'masterStyle_')}" structSgn="odtemplate-masterstyle;2" refOdName="{style[@code='paragraphLayout']/@refOdStyleName}" widgetName="odtemplate-masterstyle">
<useStyle name="{style[@code='paragraphLayout']/@refOdStyleName}"/>
</block>
</xsl:template>
<xsl:template match="element[@type='section']/block[contains(@code, 'masterStyle_')]" mode="mAct">
<ant target="xReplaceStyle"><property name="t.old" value="{style[@code='paragraphLayout']/@refOdStyleName}"/><property name="t.new" value="{substring-before(../@code, '_')}_5f_{substring-after(../@code, '_')}_20__3e__20_{substring-after(@code, 'masterStyle_')}_20__3e__20_paragraph"/></ant>
<ant target="xReplaceStyle"><property name="t.old" value="{style[@code='master']/@refOdStyleName}"/><property name="t.new" value="{substring-before(../@code, '_')}_5f_{substring-after(../@code, '_')}_20__3e__20_{substring-after(@code, 'masterStyle_')}"/></ant>
</xsl:template>
    
<xsl:template match="block[@xWidget='odtemplate-wflowtextearea']">
<block code="{../@code}_{substring-after(@code, 'flowTextArea_')}" structSgn="odtemplate-wflowtextarea;2" refOdName="{@refOdName}" widgetName="odtemplate-wflowtextarea">
<preserveAtt elements="." removeIfNone="true"/>                                                                   
<preserveAtt elements="draw:text-box" removeIfNone="true" exclude="draw:name"/>
<useStyle xpath="@draw:style-name"/>
<useStyle xpath="draw:text-box/text:p/@text:style-name"/>
</block>
</xsl:template>
<xsl:template match="block[@xWidget='odtemplate-wflowpicturearea']">
<block code="{../@code}_{substring-after(@code, 'flowPictureArea_')}" structSgn="odtemplate-wflowpicturearea;2" refOdName="{@refOdName}" widgetName="odtemplate-wflowpicturearea">
<preserveAtt elements="." removeIfNone="true" exclude="draw:name"/>
<useStyle xpath="@draw:style-name"/>
</block>
</xsl:template>
<xsl:template match="block[@xWidget='odtemplate-wpicturearea']">
<block code="{../@code}_{substring-after(@code, 'pictureArea_')}" structSgn="odtemplate-wpicturearea;2" refOdName="{@refOdName}" widgetName="odtemplate-wpicturearea">
<preserveAtt elements="." removeIfNone="true" exclude="draw:name"/>
<useStyle xpath="@draw:style-name"/>
</block>
</xsl:template>
<xsl:template match="block[@xWidget='odtemplate-warea']">
<block code="{../@code}_{substring-after(@code, 'area_')}" structSgn="odtemplate-warea;2" refOdName="{@refOdName}" widgetName="odtemplate-warea">
<preserveAtt elements="." removeIfNone="true" exclude="draw:name"/>
<preserveAtt elements="draw:text-box" removeIfNone="true"/>
<useStyle xpath="@draw:style-name"/>
</block>
</xsl:template>
    

<xsl:template match="block[@xWidget='text-table']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="text-table-{@id};2" refOdName="{@refOdName}" widgetName="text-table" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveElts xpath="table:table/table:table-column"/>
<preserveAtt elements="table:table//table:table-row" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table//table:table-cell" include="table:style-name" removeIfNone="true"/>
<useStyle xpath="table:table//@table:style-name"/>
</block>
</xsl:template>
      

<xsl:template match="block[@xWidget='dataform-table']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="dataform-table-{@id};2" refOdName="{@refOdName}" widgetName="dataform-table" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveElts xpath="table:table/table:table-column"/>
<preserveAtt elements="table:table//table:table-row" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table//table:table-cell" include="table:style-name" removeIfNone="true"/>
<useStyle xpath="table:table//@table:style-name"/>
</block>
</xsl:template>


<xsl:template match="block[@xWidget='openodwidget-table']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="openodwidget-table-{@id};2" refOdName="{@refOdName}" widgetName="openodwidget-table" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveElts xpath="table:table/table:table-column"/>
<preserveAtt elements="table:table//table:table-row" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table//table:table-cell" include="table:style-name" removeIfNone="true"/>
<useStyle xpath="table:table//@table:style-name"/>
</block>
</xsl:template>
    

<xsl:template match="block[@widget='WQcmTable']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="assmntunitmcq-table-{@id};2" refOdName="{@refOdName}" widgetName="assmntunitmcq-table" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
            
<preserveElts xpath="table:table/table:table-column"/>
<preserveAtt elements="table:table//table:table-row" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table//table:table-cell" include="table:style-name" removeIfNone="true"/>
<useStyle xpath="table:table//@table:style-name"/>
            
<useStyle name="{style[@code='noChoice']/@refOdStyleName}"/>
            
<preserveAtt elements="table:table/table:table-row/table:table-cell/text:p/draw:frame" removeIfNone="true"/>
<preserveAtt elements="table:table/table:table-row/table:table-cell/text:p/draw:frame/draw:text-box" removeIfNone="true"/>
<useStyle xpath="table:table/table:table-row/table:table-cell/text:p/draw:frame/@draw:style-name"/>
<usePicture xpath="table:table/table:table-row/table:table-cell/text:p/draw:frame/draw:image" onlyInNewStruct="false"/>
</block>
</xsl:template>
    

<xsl:template match="block[@xWidget='assmntunitmlq-table']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles'  and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="assmntunitmlq-table-{@id};2" refOdName="{@refOdName}" widgetName="assmntunitmlq-table" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveElts xpath="table:table/table:table-column"/>
<preserveAtt elements="table:table//table:table-row" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table//table:table-cell" include="table:style-name" removeIfNone="true"/>
<useStyle xpath="table:table//@table:style-name"/>
</block>
</xsl:template>
    

     
<xsl:template match="block[@widget='WParagraph' or @xWidget='WParagraph']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<xsl:variable name="vStyleName">
<xsl:choose>
<xsl:when test="starts-with(style/@refOdStyleName, 'odTemplateText_')">
<xsl:variable name="vPrefix">
<xsl:choose>
<xsl:when test="contains(../@code, '_')"><xsl:value-of select="substring-before(../@code, '_')"/><xsl:text>_5f_</xsl:text><xsl:value-of select="substring-after(../@code, '_')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="../@code"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="$vPrefix"/><xsl:value-of select="substring-after(substring-before(style/@refOdStyleName, '_20__3e__20_paragraph'), 'odTemplateText')"/>
</xsl:when>
<xsl:when test="substring-before(style/@refOdStyleName, '_20__3e__20_paragraph')"><xsl:value-of select="substring-before(style/@refOdStyleName, '_20__3e__20_paragraph')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="style/@refOdStyleName"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WParagraph;2" refOdName="{$vStyleName}" widgetName="WParagraph">
<useStyle xpath="@text:style-name"/>
</block>
</xsl:template>
<xsl:template match="block[@widget='WParagraph' or @xWidget='WParagraph']" mode="mAct">
<xsl:variable name="vStyleName">
<xsl:choose>
<xsl:when test="starts-with(style/@refOdStyleName, 'odTemplateText_')">
<xsl:variable name="vPrefix">
<xsl:choose>
<xsl:when test="contains(../@code, '_')"><xsl:value-of select="substring-before(../@code, '_')"/><xsl:text>_5f_</xsl:text><xsl:value-of select="substring-after(../@code, '_')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="../@code"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="$vPrefix"/><xsl:value-of select="substring-after(substring-before(style/@refOdStyleName, '_20__3e__20_paragraph'), 'odTemplateText')"/>
</xsl:when>
<xsl:when test="substring-before(style/@refOdStyleName, '_20__3e__20_paragraph')"><xsl:value-of select="substring-before(style/@refOdStyleName, '_20__3e__20_paragraph')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="style/@refOdStyleName"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="style/@refOdStyleName!=$vStyleName">
<ant target="xReplaceStyle"><property name="t.old" value="{style/@refOdStyleName}"/><property name="t.new" value="{$vStyleName}"/></ant>
</xsl:if>
</xsl:template>
     
<xsl:template match="block[@xWidget='WContainer']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WContainer;2" refOdName="{style/@refOdStyleName}" widgetName="WContainer"/>
</xsl:template>
    
<xsl:template match="block[@widget='WInline' or @xWidget='WInline' or @widget='WLink']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<xsl:variable name="vStyleName">
<xsl:choose>
<xsl:when test="starts-with(style/@refOdStyleName, 'odTemplateText_')">
<xsl:variable name="vPrefix">
<xsl:choose>
<xsl:when test="contains(../@code, '_')"><xsl:value-of select="substring-before(../@code, '_')"/><xsl:text>_5f_</xsl:text><xsl:value-of select="substring-after(../@code, '_')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="../@code"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="$vPrefix"/><xsl:value-of select="substring-after(substring-before(style/@refOdStyleName, '_20__3e__20_inline'), 'odTemplateText')"/>
</xsl:when>
<xsl:when test="substring-before(style/@refOdStyleName, '_20__3e__20_inline')">
<xsl:value-of select="substring-before(style/@refOdStyleName, '_20__3e__20_inline')"/>
</xsl:when>
<xsl:otherwise><xsl:value-of select="style/@refOdStyleName"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WInline;2" refOdName="{$vStyleName}" widgetName="WInline">
<useStyle xpath="@text:style-name"/>
</block>
</xsl:template>
<xsl:template match="block[@widget='WInline' or @xWidget='WInline' or @widget='WLink']" mode="mAct">
<xsl:variable name="vStyleName">
<xsl:choose>
<xsl:when test="starts-with(style/@refOdStyleName, 'odTemplateText_')">
<xsl:variable name="vPrefix">
<xsl:choose>
<xsl:when test="contains(../@code, '_')"><xsl:value-of select="substring-before(../@code, '_')"/><xsl:text>_5f_</xsl:text><xsl:value-of select="substring-after(../@code, '_')"/></xsl:when>
<xsl:otherwise><xsl:value-of select="../@code"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="$vPrefix"/><xsl:value-of select="substring-after(substring-before(style/@refOdStyleName, '_20__3e__20_inline'), 'odTemplateText')"/>
</xsl:when>
<xsl:when test="substring-before(style/@refOdStyleName, '_20__3e__20_inline')">
<xsl:value-of select="substring-before(style/@refOdStyleName, '_20__3e__20_inline')"/>
</xsl:when>
<xsl:otherwise><xsl:value-of select="style/@refOdStyleName"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="style/@refOdStyleName!=$vStyleName">
<ant target="xReplaceStyle"><property name="t.old" value="{style/@refOdStyleName}"/><property name="t.new" value="{$vStyleName}"/></ant>
</xsl:if>
</xsl:template>

<xsl:template match="block[@widget='WInlineExt' or @xWidget='WInlineExt']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WInlineExt;2" refOdName="{@refOdName}" widgetName="WInlineExt" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<xsl:variable name="vStyleName">
<xsl:choose>
<xsl:when test="contains(style[@code='content']/@refOdStyleName, '_20__3e__20_inline') and substring-after(style[@code='content']/@refOdStyleName, '_20__3e__20_inline')=''">
<xsl:value-of select="substring-before(style[@code='content']/@refOdStyleName, '_20__3e__20_inline')"/>
</xsl:when>
<xsl:otherwise><xsl:value-of select="style[@code='content']/@refOdStyleName"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<useStyle name="{$vStyleName}"/>
<xsl:if test="style[@code='prefix']"><useStyle name="{style[@code='prefix']/@refOdStyleName}"/></xsl:if>
<xsl:if test="style[@code='suffix']"><useStyle name="{style[@code='suffix']/@refOdStyleName}"/></xsl:if>
<xsl:if test="style[@code='img.prefix']">
<preserveAtt elements="text:p/draw:frame[following-sibling::text:span]" removeIfNone="true"/>
<preserveAtt elements="text:p/draw:frame[following-sibling::text:span]/draw:text-box" removeIfNone="true"/>
<useStyle xpath="text:p/draw:frame[following-sibling::text:span]/@draw:style-name"/>
<usePicture xpath="text:p/draw:frame[following-sibling::text:span]/draw:image" onlyInNewStruct="false"/>
</xsl:if>
<xsl:if test="style[@code='img.suffix']">
<preserveAtt elements="text:p/draw:frame[preceding-sibling::text:span]" removeIfNone="true"/>
<preserveAtt elements="text:p/draw:frame[preceding-sibling::text:span]/draw:text-box" removeIfNone="true"/>
<useStyle xpath="text:p/draw:frame[preceding-sibling::text:span]/@draw:style-name"/>
<usePicture xpath="text:p/draw:frame[preceding-sibling::text:span]/draw:image" onlyInNewStruct="false"/>
</xsl:if>
</block>
</xsl:template>
<xsl:template match="block[@widget='WInlineExt' or @xWidget='WInlineExt']" mode="mAct">
<xsl:variable name="vStyleName">
<xsl:choose>
<xsl:when test="contains(style[@code='content']/@refOdStyleName, '_20__3e__20_inline') and substring-after(style[@code='content']/@refOdStyleName, '_20__3e__20_inline')=''">
<xsl:value-of select="substring-before(style[@code='content']/@refOdStyleName, '_20__3e__20_inline')"/>
</xsl:when>
<xsl:otherwise><xsl:value-of select="style[@code='content']/@refOdStyleName"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="style/@refOdStyleName!=$vStyleName">
<ant target="xReplaceStyle"><property name="t.old" value="{style[@code='content']/@refOdStyleName}"/><property name="t.new" value="{$vStyleName}"/></ant>
</xsl:if>
</xsl:template>
    
<xsl:template match="block[@xWidget='WObject' or @widget='WImage' or @widget='WObject']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WObject;2" refOdName="{@refOdName}" widgetName="WObject" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveAtt elements="text:p/draw:frame" removeIfNone="true"/>
<useStyle xpath="text:p/@text:style-name"/>
<useStyle xpath="text:p/draw:frame/@draw:style-name"/>
<usePicture xpath="text:p/draw:frame/draw:image" onlyInNewStruct="true"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='WSection' or @widget='WSection']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WSection;2" refOdName="{@refOdName}" widgetName="WSection" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath="text:section/@text:style-name"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='text-noteTag' or @widget='WFootnote']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WFootnote;2" refOdName="{style[@code='content']/@refOdStyleName}" widgetName="WFootnote">
<useStyle xpath="@text:style-name"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='WBox' or @widget='WBox']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WBox;2" refOdName="{@refOdName}" widgetName="WBox" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath=".//@table:style-name"/>
<useStyle xpath="table:table/@text:style-name/table:table-row[1]/table:table-cell[1]/text:p[1]/@text:style-name"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='WCaptionBlock' or @widget='WCaptionBlock']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WCaptionBlock;2" refOdName="{@refOdName}" widgetName="WCaptionBlock" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveAtt elements="text:p[2]/draw:frame" removeIfNone="true"/>
<preserveAtt elements="text:p[2]/draw:frame/draw:text-box" removeIfNone="true"/>
<preserveAtt elements="text:p[2]/draw:frame/draw:text-box/text:p/draw:frame" removeIfNone="true"/>
<preserveAtt elements="text:p[2]/draw:frame/draw:text-box/text:p/draw:frame/draw:text-box" removeIfNone="true"/>
<useStyle xpath="text:p[2]//@draw:style-name"/>
<useStyle xpath="text:p[2]/draw:frame/draw:text-box/text:p/@text:style-name"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='WPictureBlock' or @widget='WPictureBlock']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WPictureBlock;2" refOdName="{@refOdName}" widgetName="WPictureBlock" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<preserveElts xpath="table:table/table:table-column"/>
<preserveAtt elements="table:table//table:table-row" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table//table:table-cell" include="table:style-name" removeIfNone="true"/>
<preserveAtt elements="table:table/table:table-row[2]/table:table-cell[1]/text:p/draw:frame" removeIfNone="true"/>
<preserveAtt elements="table:table/table:table-row[2]/table:table-cell[1]/text:p/draw:frame/draw:text-box" removeIfNone="true"/>
<useStyle xpath="table:table//@table:style-name"/>
<useStyle xpath="table:table/table:table-row[1]/table:table-cell[1]/text:p/@text:style-name"/>
<useStyle xpath="table:table/table:table-row[2]/table:table-cell[1]/text:p/draw:frame/@draw:style-name"/>
<usePicture xpath="table:table/table:table-row[2]/table:table-cell[1]/text:p/draw:frame/draw:image" onlyInNewStruct="false"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='WList' or @widget='WList']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WList;2" refOdName="{@refOdName}" widgetName="WList" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath="text:list/@text:style-name"/>
</block>
</xsl:template>
<xsl:template match="block[@xWidget='WListWithPara' or @widget='WListWithPara']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{concat(../@code, '_', $vBkCode)}" structSgn="WListWithPara;2" refOdName="{@refOdName}" widgetName="WListWithPara" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath="text:list/@text:style-name"/>
            
<useStyle xpath="text:list//text:list-item/text:p/@text:style-name"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='odtemplate-wflowarea' or @xWidget='WFlowArea']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' or @xWidget='odtemplate-wflowarea' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{../@code}_{$vBkCode}" structSgn="WFlowArea;2" refOdName="{@refOdName}" widgetName="WFlowArea">
<preserveAtt elements="." exclude="draw:name" removeIfNone="true"/>
<preserveAtt elements="draw:text-box" removeIfNone="true"/>
<useStyle xpath="@draw:style-name"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='WTableOfContents' or @widget='WTableOfContents']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' or @xWidget='WTableOfContents' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{../@code}_{$vBkCode}" structSgn="WTableOfContents;2" refOdName="{@refOdName}" widgetName="WTableOfContents" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath=".//@text:style-name"/>
<preserveElts xpath="text:table-of-content/text:table-of-content-source"/>
</block>
</xsl:template>
    
<xsl:template match="block[@xWidget='Windex' or @widget='Windex']">
<xsl:variable name="vBkCode"><xsl:choose><xsl:when test="../@code='_globalsStyles' and contains(@code, '_')"><xsl:value-of select="substring-after(@code, '_')"/></xsl:when><xsl:otherwise><xsl:value-of select="@code"/></xsl:otherwise></xsl:choose></xsl:variable>
<block code="{../@code}_{$vBkCode}" structSgn="WIndex;2" refOdName="{@refOdName}" widgetName="WIndex" contentXPath="table:table-header-rows/table:table-row/table:table-cell[1]">
<useStyle xpath=".//@text:style-name"/>
<preserveElts xpath="text:illustration-index/text:illustration-index-source"/>
</block>
</xsl:template>
    	

	
<xsl:template match="block">
<xsl:comment>[ATTENTION] block non matché '<xsl:value-of select="../@code"/> - <xsl:value-of select="@code"/>'. </xsl:comment>
</xsl:template>
	
	
<xsl:template match="@*|node()|text()">
<xsl:copy>
<xsl:apply-templates select="@*|node()|text()"/>
</xsl:copy>
</xsl:template>

</xsl:stylesheet>
