<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:xhtml="http://www.w3.org/1999/xhtml" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		exclude-result-prefixes="xhtml">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
<xsl:template match="xhtml:img">
<xsl:if test="@sc:refUri and @sc:src">
<xsl:message>WARNING : img tag with attributes sc:refUri and sc:src. Attribute sc:refUri will be ignored.</xsl:message>
</xsl:if>
<xsl:choose>
<xsl:when test="not(@sc:src)">
<xsl:copy>
<xsl:apply-templates select="@*"/>
</xsl:copy>
</xsl:when>
<xsl:otherwise>
<sm:WImg src="{@sc:src}">
<xsl:if test="@sc:srcFrom"><xsl:attribute name="srcFrom"><xsl:value-of select="@sc:srcFrom"/></xsl:attribute></xsl:if>
<xsl:if test="@alt"><xsl:attribute name="alt"><xsl:value-of select="@alt"/></xsl:attribute></xsl:if>
<xsl:if test="@title"><xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute></xsl:if>
<xsl:if test="@class"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
</sm:WImg>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="@sc:srcFrom"/>

	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
</xsl:stylesheet>