<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	exclude-result-prefixes="sm sc sp se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vSpace" select="resultatAgent('@@/rootSpaceSs')"/>
	
<xsl:template match="/sm:*">
<xmlview se:bind="document">
<element se:bind="element" se:name="sfm:{resultatAgent('//localNameDescXml')}" se:declareNs="(!(inc=xedDeclareNs)!)" se:title="{resultatAgent('//nameModel')}">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<childs>
<xsl:apply-templates select="sm:structure"/>
</childs>
</element>
</xmlview>
</xsl:template>
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:meta">
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader'))}" se:card="{si(@usage='optional', '?', '1')}"/>
</xsl:template>
	
<xsl:template match="*"/>
</xsl:stylesheet>
