<?xml version="1.0" encoding="UTF-8"?>



<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	exclude-result-prefixes="sm sc sp se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
<xsl:include href="bsco:sm/model/commons.xed.xsl"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vSpace" select="resultatAgent('@@/rootSpaceSs')"/>
	
<xsl:template match="sm:compositionPrim">
		
<xsl:variable name="vHasStyle" select="$vFormEditor/*[@fullTitleStyle or @shortTitleStyle] or $vFormEditor[*/sm:stylableWidget or */sm:hiddenWidget]"/>
<xsl:if test="$vHasStyle or $vFormEditor[*/sm:changeTo]">
<se:uiLib>
<xsl:if test="$vHasStyle">
<se:style>
@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace se url("http://www.utc.fr/ics/scenari/v3/editing");
<xsl:apply-templates select="$vFormEditor/*" mode="titleStyles"/>
<xsl:apply-templates select="$vFormEditor/*" mode="widgetsStyles"/>
</se:style>
</xsl:if>
<xsl:apply-templates select="$vFormEditor/*" mode="changeTo"/>
</se:uiLib>
</xsl:if>		
		
<xsl:variable name="vType" select="concat(resultatAgent('//codeModel'), '#', $vFormEditor/@key)"/>
<xsl:variable name="vDisplayMode" select="$vFormEditor/sm:composition/*/@displayMode"/>
<xsl:choose>
<xsl:when test="resultatAgent('//isStandAloneItem')='true'">
<se:lib>
<dropPasteItem type="{$vType}" se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*{resultatAgent('//sgn')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:composition/*/sm:perms"/>
</xsl:call-template>
<element abstractXsl="{resultatAgent('//xslTitlesPage', 'act:')}">
<xsl:if test="$vDisplayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vDisplayMode='alwaysOpened'"><xsl:attribute name="opened">always</xsl:attribute></xsl:if>
<xsl:if test="$vDisplayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:composition[sm:changeTo]"><xsl:attribute name="transforms">#changeToModel</xsl:attribute></xsl:if>
<xsl:call-template name="contentVisibleCompo"/>
</element>
</dropPasteItem>
<dropPasteItem type="{$vType}" se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*{resultatAgent('//sgn')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:composition/*/sm:perms"/>
</xsl:call-template>
<hiddenElement>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
</dropPasteItem>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure"/>
</se:template>
</se:lib>
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="sc:item" se:title="￼?uri=sc:sm:;Item￼">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:composition/*/sm:perms"/>
</xsl:call-template>
<childs>
<dropPasteItem se:bind="element" type="{$vType}" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:composition/*/sm:perms"/>
</xsl:call-template>
<element insert="collapsed" opened="always">
<xsl:if test="$vFormEditor/sm:composition[sm:changeTo]"><xsl:attribute name="transforms">#changeToRoot</xsl:attribute></xsl:if>
<xsl:call-template name="contentVisibleCompo"/>
</element>
</dropPasteItem>
</childs>
</hiddenElement>
</xmlview>			
</xsl:when>
<xsl:otherwise>
<se:lib>
<element se:id="{resultatAgent('//codeModel')}" type="{$vType}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" abstractXsl="{resultatAgent('//xslTitlesPage', 'act:')}">
<xsl:if test="$vDisplayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vDisplayMode='alwaysOpened'"><xsl:attribute name="opened">always</xsl:attribute></xsl:if>
<xsl:if test="$vDisplayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:composition[sm:changeTo]"><xsl:attribute name="transforms">#changeToModel</xsl:attribute></xsl:if>
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:composition/*/sm:perms"/>
</xsl:call-template>
<xsl:call-template name="contentVisibleCompo"/>
</element>
<hiddenElement se:id="{resultatAgent('//codeModel')}:hideHeader" type="{$vType}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:composition/*/sm:perms"/>
</xsl:call-template>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure"/>
</se:template>
</se:lib>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:set">
<vbox>
<se:choice se:card="{si(@usage='optional', '*', '+')}">
<xsl:apply-templates/>
</se:choice>
<insert se:bind="current"/>
</vbox>
</xsl:template>
	
<xsl:template match="sm:alternative">
<alternative se:bind="choice" se:card="{si(@usage='optional', '?', '1')}">
<xsl:apply-templates>
<xsl:with-param name="pCollapseInsert" select="true()"/>
</xsl:apply-templates>
</alternative>
</xsl:template>
<xsl:template match="sm:alternative/sm:set">
<list se:bind="sequence" se:title="{@name}" se:selectOnFirstElement="true">
<se:choice se:card="{si(../@usage='optional', '*', '+')}">
<xsl:apply-templates/>
</se:choice>
<insert se:bind="current"/>
</list>
</xsl:template>
	
	
<xsl:template match="sm:part" name="content">
<xsl:param name="pCollapseInsert"/> 
<xsl:variable name="vFormParams" select="$vFormEditor/sm:part[@refCode=current()/@code]"/>
<xsl:variable name="vPublicSgn">
<xsl:if test="@internalized != 'always'">
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverExternalized') and resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true']"><xsl:if test="position() &gt; 1">|</xsl:if>.*<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/sgn'))"/>\b.*</xsl:for-each>
</xsl:if>
</xsl:variable>
<xsl:variable name="vCountInternalizable" select="si(@internalized = 'never', '', concatExpr(sm:allowedModel, si(not(@restrictUserDep='neverInternalized') and resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true', '1'), ''))"/>
<xsl:if test="$vPublicSgn != '' or $vCountInternalizable!='' or count(sm:allowedModel)=0" >
			
<xsl:variable name="vDisplayMode" select="returnFirst($vFormParams/*/@displayMode, 'auto')"/>
<xsl:variable name="vPartBind">
<xsl:choose>
<xsl:when test="$vFormParams/sm:hiddenWidget[@hideChildren='yes']">subtree</xsl:when>
<xsl:when test="$vFormParams/sm:hiddenWidget[@hideChildren='no']">element</xsl:when>
<xsl:when test="$vDisplayMode='auto'">elementSubtree</xsl:when>
<xsl:when test="$vDisplayMode='openedByDefault'">element</xsl:when>
<xsl:when test="$vDisplayMode='closedByDefault'">subtree</xsl:when>
<xsl:otherwise>elementSubtree</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<element se:bind="{$vPartBind}" se:name="sp:{@code}" se:title="{@name}">
<xsl:if test="@usage='optional'"><xsl:attribute name="se:card">?</xsl:attribute></xsl:if>
<xsl:if test="sm:meta or sm:metaIfExternalized or $vCountInternalizable"><xsl:attribute name="abstractXsl"><xsl:value-of select="resultatAgent('//xslTitlesPage', 'act:')"/></xsl:attribute></xsl:if>
<xsl:if test="$pCollapseInsert"><xsl:attribute name="insert">collapsed</xsl:attribute></xsl:if>
<xsl:if test="not($vCountInternalizable) and $vDisplayMode!='closedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/sm:changeTo"><xsl:attribute name="transforms">#changeTo_<xsl:value-of select="@code"/></xsl:attribute></xsl:if>
<xsl:call-template name="attsOnPart">
<xsl:with-param name="vFormParams" select="$vFormParams"/>
</xsl:call-template>
<xsl:choose>
<xsl:when test="not($vCountInternalizable)">
<xsl:choose>
<xsl:when test="not(sm:meta) and not(sm:metaIfExternalized)">
<atts>
<ptritem se:bind="attribute" se:title="Ref" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}" notnull="true"/>
</atts>
<childs>
<xsl:call-template name="partProperties"/>
</childs>
</xsl:when>
<xsl:otherwise>
<childs>
<xsl:choose>
<xsl:when test="sm:metaIfExternalized">
<xsl:apply-templates select="sm:metaIfExternalized"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="sm:meta"/>
</xsl:otherwise>
</xsl:choose>
<xsl:call-template name="partProperties"/>
<xsl:if test="$vPublicSgn != ''">
<ptritem se:bind="attribute" se:title="Ref" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}" notnull="true"/>
</xsl:if>
</childs>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:when test="$vPublicSgn = ''">
<childs>
<xsl:apply-templates select="sm:meta"/>
<xsl:call-template name="partProperties"/>
<xsl:choose>
<xsl:when test="string-length($vCountInternalizable) &gt; 1">
<alternativeAlone se:bind="choice">
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlForm', $vFormParams/sm:callSubModelEditor/@key))}"/>
</xsl:if>
</xsl:for-each>
</alternativeAlone>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
										
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlFormHideHeader', $vFormParams/sm:callSubModelEditor/@key))}"/>
</xsl:if>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
</childs>
</xsl:when>
<xsl:when test="string-length($vCountInternalizable) &gt; 1 and boolean(sm:metaIfExternalized)">
						
<childs>
<alternativeAlone externalizeItem="" se:bind="choice" se:defaultChild="{si($vFormParams/@userDependentPref='internalized', '1', '0')}" regexpSgn="{$vPublicSgn}">
								
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
<xsl:variable name="vProps"><xsl:call-template name="partProperties"/></xsl:variable>
<list se:bind="sequence" se:title="￼?uri=sc:sm:;Item externe...￼" se:condition="@sc:refUri">
<xsl:apply-templates select="sm:metaIfExternalized"/>
<xsl:copy-of select="$vProps"/>
<ptritem se:bind="attribute" se:title="￼?uri=sc:sm:;Référence￼" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}">
<xsl:if test="not(@usage='optional')"><xsl:attribute name="notnull">true</xsl:attribute><xsl:attribute name="se:mandat">true</xsl:attribute></xsl:if>
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
</ptritem>
</list>
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<list se:bind="sequence" se:title="{resultatAgent(concat($vAgtModel, '/nameModel'))}">
<xsl:apply-templates select="../sm:meta"/>
<xsl:copy-of select="$vProps"/>
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlForm', $vFormParams/sm:callSubModelEditor/@key))}"/>
</list>
</xsl:if>
</xsl:for-each>
</alternativeAlone>
</childs>
</xsl:when>
<xsl:when test="string-length($vCountInternalizable) &gt; 1">
						
<childs>
<xsl:apply-templates select="sm:meta"/>
<xsl:call-template name="partProperties"/>
<alternativeAlone externalizeItem="" se:bind="choice" se:defaultChild="{si($vFormParams/@userDependentPref='internalized', '1', '0')}" regexpSgn="{$vPublicSgn}">
								
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
<ptritem se:bind="attribute" se:title="￼?uri=sc:sm:;Référence￼" labelAlternative="￼?uri=sc:sm:;Item externe...￼" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}" notnull="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
</ptritem>
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlForm', $vFormParams/sm:callSubModelEditor/@key))}"/>
</xsl:if>
</xsl:for-each>
</alternativeAlone>
</childs>
</xsl:when>
<xsl:when test="boolean(sm:metaIfExternalized)">
						
<childs>
<alternativeAlone externalizeItem="" se:bind="choice" se:defaultChild="{si($vFormParams/@userDependentPref='externalized', '0', '1')}" regexpSgn="{$vPublicSgn}">
								
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
<xsl:variable name="vProps"><xsl:call-template name="partProperties"/></xsl:variable>
<list se:bind="sequence" se:title="￼?uri=sc:sm:;Item externe...￼" se:condition="@sc:refUri">
<xsl:apply-templates select="sm:metaIfExternalized"/>
<xsl:copy-of select="$vProps"/>
<ptritem se:bind="attribute" se:title="Référence" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
<xsl:if test="not(@usage='optional')"><xsl:attribute name="notnull">true</xsl:attribute><xsl:attribute name="se:mandat">true</xsl:attribute></xsl:if>
</ptritem>
</list>
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<list se:bind="sequence" se:title="￼?uri=sc:sm:;Contenu internalisé...￼" >
<xsl:apply-templates select="../sm:meta"/>
<xsl:copy-of select="$vProps"/>
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlFormHideHeader', $vFormParams/sm:callSubModelEditor/@key))}"/>
</list>
</xsl:if>
</xsl:for-each>
</alternativeAlone>
</childs>
</xsl:when>
<xsl:otherwise>
						
<childs>
<xsl:apply-templates select="sm:meta"/>
<xsl:call-template name="partProperties"/>
<alternativeAlone externalizeItem="" se:bind="choice" se:defaultChild="{si($vFormParams/@userDependentPref='externalized', '0', '1')}" regexpSgn="{$vPublicSgn}">
								
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
<ptritem se:bind="attribute" se:title="￼?uri=sc:sm:;Référence￼" labelAlternative="￼?uri=sc:sm:;Item externe...￼" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}" notnull="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
</ptritem>
<xsl:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlFormHideHeader', $vFormParams/sm:callSubModelEditor/@key))}" labelAlternative="￼?uri=sc:sm:;Contenu internalisé...￼"/>
</xsl:if>
</xsl:for-each>
</alternativeAlone>
</childs>
</xsl:otherwise>
</xsl:choose>
</element>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:meta">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<xsl:variable name="vFormParams" select="si(../self::sm:structure, $vFormEditor/sm:composition, $vFormEditor/sm:part[@refCode=current()/../@code])"/>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), si(@usage='optional', '/xedRefUrlForm', '/xedRefUrlFormHideHeader'), $vFormParams/sm:callMetaEditor/@key ))}" se:card="{si(@usage='optional', '?', '1')}">
<xsl:if test="$vFormParams[@fullTitleStyle or @shortTitleStyle]"><xsl:attribute name="metaOf"><xsl:value-of select="resultatAgent('//codeModel')"/>/<xsl:value-of select="../@code"/></xsl:attribute></xsl:if>
</se:ref>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:metaIfExternalized">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), si(@usage='optional', '/xedRefUrlForm', '/xedRefUrlFormHideHeader') ))}" se:card="{si(@usage='optional', '?', '1')}">
<xsl:if test="$vFormEditor/sm:part[@refCode=current()/../@code][@fullTitleStyle or @shortTitleStyle]"><xsl:attribute name="metaOf"><xsl:value-of select="resultatAgent('//codeModel')"/>/<xsl:value-of select="../@code"/></xsl:attribute></xsl:if>
</se:ref>
</xsl:if>
</xsl:template>
	
<xsl:template match="*"/>
	
	
	
	
<xsl:template match="sm:composition[sm:changeTo]" mode="changeTo">
		
<se:changeTo se:id="changeToModel">
<xsl:apply-templates select="sm:changeTo/*" mode="changeTo"/>
</se:changeTo>
		
<se:changeTo se:id="changeToRoot">
<xsl:apply-templates select="sm:changeTo/*" mode="changeToRoot"/>
</se:changeTo>
</xsl:template>
<xsl:template match="sm:part[sm:changeTo]" mode="changeTo">
<se:changeTo se:id="changeTo_{@refCode}">
<xsl:apply-templates select="sm:changeTo/*" mode="changeTo"/>
</se:changeTo>
</xsl:template>
	
<xsl:template match="sm:freeChangeXsl" mode="changeTo">
<se:target se:title="{../@name}" se:srcXsl="{resultatAgent('//', 
									concat(
										'res:src=wsp:', 
										@sc:refUri, 
										';overidedst=content/_changeTo/',
										alphaHash(@sc:refUri)
									)
								)}/{@xslPath}">
<xsl:for-each select="sm:xslParam">
<se:xslParam se:name="{@name}" se:value="{@value}"/>
</xsl:for-each>
</se:target>
</xsl:template>
	
<xsl:template match="sm:switchModelName" mode="changeTo">
<se:target se:title="{../@name}" se:switchRootQname="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/qNameTagRootModel'))}" se:switchRootNs="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/nsModel'))}"/>
</xsl:template>
	
<xsl:template match="sm:freeChangeAction" mode="changeTo">
<se:target se:svcAction="{@svcAction}"/>
</xsl:template>
	
<xsl:template match="sm:switchPart" mode="changeTo">
<se:target se:title="{../@name}" se:switchRootQname="sp:{@refCode}" se:switchRootNs="http://www.utc.fr/ics/scenari/v3/primitive"/>
</xsl:template>
	
<xsl:template match="*" mode="changeTo"/>
	
<xsl:template match="sm:freeChangeXsl" mode="changeToRoot">
<se:target se:title="{../@name}" se:svcAction="actionChangeToInXed" se:srcXsl="{resultatAgent('//', 
									concat(
										'res:src=wsp:', 
										@sc:refUri, 
										';overidedst=content/_changeTo/',
										alphaHash(@sc:refUri)
									)
								)}/{@xslPath}">
<xsl:if test="@switchItemExtension"><xsl:attribute name="se:switchExt"><xsl:value-of select="@switchItemExtension"/></xsl:attribute></xsl:if>
<xsl:for-each select="sm:xslParam">
<se:xslParam se:name="{@name}" se:value="{@value}"/>
</xsl:for-each>
</se:target>
</xsl:template>
	
<xsl:template match="sm:switchModelName" mode="changeToRoot">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<se:target se:title="{../@name}" 
				se:svcAction="actionChangeToInXed" 
				se:switchRootQname="{resultatAgent($vModel/qNameTagRootModel)}" 
				se:switchRootNs="{resultatAgent($vModel/nsModel)}"
				se:switchExt="{resultatAgent($vModel/fileExt)}"/>
</xsl:template>
	
<xsl:template match="sm:freeChangeAction" mode="changeToRoot">
<se:target se:title="{../@name}" se:svcAction="{@svcAction}"/>
</xsl:template>
	
<xsl:template match="*" mode="changeToRoot"/>

	
	
<xsl:template match="sm:composition"  mode="titleStyles">
<xsl:variable name="vType" select="concat(resultatAgent('//codeModel'), '#', $vFormEditor/@key)"/>
<xsl:if test="@fullTitleStyle">
			*[type="<xsl:value-of select="$vType"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sm:compositionPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[fullTitleField] {
<xsl:value-of select="@fullTitleStyle"/>
			}
</xsl:if>
<xsl:if test="@shortTitleStyle">
			*[type="<xsl:value-of select="$vType"/>"] > *  > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sm:compositionPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[shortTitleField] {
<xsl:value-of select="@shortTitleStyle"/>
			}
</xsl:if>
</xsl:template>
<xsl:template match="sm:part"  mode="titleStyles">
<xsl:if test="@fullTitleStyle">
			*[metaOf="<xsl:value-of select="resultatAgent('//codeModel')"/>/<xsl:value-of select="@refCode"/>"] *[fullTitleField] {
<xsl:value-of select="@fullTitleStyle"/>
			}
</xsl:if>
<xsl:if test="@shortTitleStyle">
			*[metaOf="<xsl:value-of select="resultatAgent('//codeModel')"/>/<xsl:value-of select="@refCode"/>"] *[shortTitleField] {
<xsl:value-of select="@shortTitleStyle"/>
			}
</xsl:if>
</xsl:template>
<xsl:template match="node()"  mode="titleStyles"/>
	
	
	
<xsl:template match="sm:composition"  mode="widgetsStyles">
<xsl:apply-templates mode="widgetsStyles"/>
</xsl:template>
<xsl:template match="sm:part"  mode="widgetsStyles">
<xsl:apply-templates mode="widgetsStyles"/>
</xsl:template>
<xsl:template match="sm:stylableWidget" mode="widgetsStyles">
<xsl:variable name="vType" select="concat(resultatAgent('//codeModel'), '#', $vFormEditor/@key, '#', ../@refCode)"/>
		element[type="<xsl:value-of select="$vType"/>"] {
			-moz-binding:url("chrome://scenariXedLib/content/libUiXml/widgets/xedUiXmlElt.xbl.xml#stylableBlock");
		}
<xsl:for-each select="sm:styles">
<xsl:variable name="vPrefixRule">element[type="<xsl:value-of select="$vType"/>"]<xsl:if test="@statusCondition='empty'">[empty]</xsl:if><xsl:if test="@displayCondition='closed'">[isClosed]</xsl:if> </xsl:variable>
<xsl:variable name="vPrefixRule2"><xsl:if test="@statusCondition='empty'">*[empty] element[type="<xsl:value-of select="$vType"/>"]<xsl:if test="@displayCondition='closed'">[isClosed]</xsl:if> </xsl:if></xsl:variable>
<xsl:if test="sm:container/@style">
<xsl:value-of select="$vPrefixRule"/>&gt;elementcontent<xsl:if test="$vPrefixRule2">, <xsl:value-of select="$vPrefixRule2"/>&gt;elementcontent</xsl:if>{
<xsl:value-of select="sm:container/@style"/>
		}
</xsl:if>
<xsl:if test="sm:container/sm:head[@style]">
<xsl:value-of select="$vPrefixRule"/>&gt;elementcontent&gt;elementhead<xsl:if test="$vPrefixRule2">, <xsl:value-of select="$vPrefixRule2"/>&gt;elementcontent&gt;elementhead</xsl:if>{
<xsl:value-of select="sm:container/sm:head/@style"/>
		}
</xsl:if>
<xsl:if test="sm:container/sm:head/sm:prefixIcon">
<xsl:value-of select="$vPrefixRule"/>&gt;elementcontent&gt;elementhead&gt;image[anonid=oIcon]<xsl:if test="$vPrefixRule2">, <xsl:value-of select="$vPrefixRule2"/>&gt;elementcontent&gt;elementhead&gt;image[anonid=oIcon]</xsl:if>{
			list-style-image: url(<xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:container/sm:head/sm:prefixIcon/@sc:refUri"/></xsl:call-template>);
<xsl:value-of select="sm:container/sm:head/sm:prefixIcon/@style"/>
		}
</xsl:if>
<xsl:if test="sm:container/sm:head/sm:name[@style]">
<xsl:value-of select="$vPrefixRule"/>&gt;elementcontent&gt;elementhead&gt;text<xsl:if test="$vPrefixRule2">, <xsl:value-of select="$vPrefixRule2"/>&gt;elementcontent&gt;elementhead&gt;text</xsl:if>{
<xsl:value-of select="sm:container/sm:head/sm:name/@style"/>
		}
</xsl:if>
<xsl:if test="sm:container/sm:head/sm:suffixIcon">
<xsl:value-of select="$vPrefixRule"/>&gt;elementcontent&gt;elementhead&gt;image[anonid=oIcon2]<xsl:if test="$vPrefixRule2">, <xsl:value-of select="$vPrefixRule2"/>&gt;elementcontent&gt;elementhead&gt;image[anonid=oIcon2]</xsl:if>{
			list-style-image: url(<xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:container/sm:head/sm:suffixIcon/@sc:refUri"/></xsl:call-template>);
<xsl:value-of select="sm:container/sm:head/sm:suffixIcon/@style"/>
		}
</xsl:if>
<xsl:if test="sm:container/sm:head/sm:abstractWhenClosed[@style]">
<xsl:value-of select="$vPrefixRule"/>&gt;elementcontent&gt;elementhead&gt;box&gt;text<xsl:if test="$vPrefixRule2">, <xsl:value-of select="$vPrefixRule2"/>&gt;elementcontent&gt;elementhead&gt;box&gt;text</xsl:if>{
<xsl:value-of select="sm:container/sm:head/sm:abstractWhenClosed/@style"/>
		}
</xsl:if>
</xsl:for-each>
</xsl:template>
<xsl:template match="sm:hiddenWidget" mode="widgetsStyles">
<xsl:variable name="vType" select="concat(resultatAgent('//codeModel'), '#', $vFormEditor/@key, '#', ../@refCode)"/>
element[type="<xsl:value-of select="$vType"/>"] {
	-moz-binding:url("chrome://scenariXedLib/content/libUiXml/widgets/xedUiXmlElt.xbl.xml#hiddenElement");
}
element[type="<xsl:value-of select="$vType"/>"]&gt;childs{
	-moz-margin-start:0px;
}
</xsl:template>
<xsl:template match="node()"  mode="widgetsStyles"/>
	
	
	
<xsl:template name="getIconUrl">
<xsl:param name="vUriRes"/>
<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>
</xsl:template>
	
<xsl:template name="contentVisibleCompo">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:choose>
<xsl:when test="$vFormEditor/sm:composition/sm:stylableWidget">
<xsl:attribute name="type"><xsl:value-of select="resultatAgent('//codeModel')"/>#<xsl:value-of select="$vFormEditor/@key"/>#</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="$vFormEditor/sm:composition/sm:standardWidget">
<xsl:if test="@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="sm:iconTag/@style"><xsl:attribute name="styleIcon"><xsl:value-of select="sm:iconTag/@style"/></xsl:attribute></xsl:if>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</xsl:template>
	
<xsl:template name="attsOnPart">
<xsl:param name="vFormParams"/>
<xsl:choose>
<xsl:when test="$vFormParams/sm:stylableWidget or $vFormParams/sm:hiddenWidget">
<xsl:attribute name="type"><xsl:value-of select="resultatAgent('//codeModel')"/>#<xsl:value-of select="$vFormEditor/@key"/>#<xsl:value-of select="$vFormParams/@refCode"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:if test="@family='property'"><xsl:attribute name="class">property</xsl:attribute></xsl:if>
<xsl:if test="@family='content'"><xsl:attribute name="class">content</xsl:attribute></xsl:if>
<xsl:for-each select="$vFormParams/sm:standardWidget">
<xsl:if test="@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="sm:iconTag/@style"><xsl:attribute name="styleIcon"><xsl:value-of select="sm:iconTag/@style"/></xsl:attribute></xsl:if>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
<xsl:variable name="vDisplayMode" select="$vFormParams/*/@displayMode"/>
<xsl:if test="$vDisplayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vDisplayMode='alwaysOpened'"><xsl:attribute name="opened">always</xsl:attribute></xsl:if>
<xsl:if test="$vDisplayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@autoRepeatPart='yes'"><xsl:attribute name="nextElementToAppend">.</xsl:attribute></xsl:if>
		
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/*/sm:perms"/>
</xsl:call-template>
</xsl:template>
</xsl:stylesheet>
