<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sc sp sm xsl java"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/model/ssGenAttr.xsl.xsl"/>
	
<xsl0:template match="sm:compositionPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', 'sp'))"/>
<xsl0:apply-templates select="sm:structure/*">
<xsl0:with-param name="pPath" select="concat(sm:identification/@targetPrefix, ':', sm:identification/@code)"/>
</xsl0:apply-templates>
<xsl0:apply-templates select="sm:storage/sm:index"/>
</xsl0:template>
	
<xsl0:template match="sm:part[not(@internalized='always')]">
<xsl0:param name="pPath"/>
<xsl0:variable name="vHasStandAloneItem">
<xsl0:for-each select="sm:allowedModel[not(@restrictUserDep='neverExternalized')]">
<xsl0:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true'">true</xsl0:if>
</xsl0:for-each>
</xsl0:variable>
<xsl0:if test="$vHasStandAloneItem">
<xsl:template match="{$pPath}/sp:{@code}[@sc:refUri]">
<xsl0:variable name="vForbidItemCodes" select="normalize-space(/sm:compositionPrim/sm:structure/sm:constraint/sm:forbidSameItemTwice/@refCodes)"/>
<xsl0:if test="containWord($vForbidItemCodes, @code) or $vForbidItemCodes='*'">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri{si(not($vForbidItemCodes='*'), concat(' and (name()=''sp:', java:replaceAll(string($vForbidItemCodes), '\s', ''' or name()=''sp:'), ''')'))}]">
<cPbs>￼?uri=sc:sm:￼<pb typ="Error" msg="￼Un item a été référencé plusieurs fois !￼"><xsl:value-of select="formatStr('￼@.xpathStr?syntax=Formatter;Veuillez supprimer une des références à l'item %s.￼', string(@sc:refUri))"/></pb>￼￼</cPbs>
</xsl:if>
</xsl0:if>
<xsl0:variable name="vForbidRecursiveCodes" select="normalize-space(/sm:compositionPrim/sm:structure/sm:constraint/sm:forbidDirectRecursivity/@refCodes)"/>
<xsl0:if test="containWord($vForbidRecursiveCodes, @code) or $vForbidRecursiveCodes='*'">
<xsl:if test="@sc:refUri = java:com.scenari.src.feature.ids.SrcFeatureIds.getRefUri($srcNode)">
<cPbs>￼?uri=sc:sm:￼<pb typ="Error" msg="￼Récursivité directe détectée !￼"><xsl:value-of select="formatStr('￼@.xpathStr?syntax=Formatter;Veuillez supprimer les références à l'item %s.￼', string(@sc:refUri))"/></pb>￼￼</cPbs>
</xsl:if>
</xsl0:if>
<attrRef refUri="{{@sc:refUri}}" nm="{resultatAgent('//codeModel')}:{@code}"/>
<xsl:apply-templates/>
</xsl:template>
</xsl0:if>
</xsl0:template>
	
	
	
<xsl0:template match="sm:set | sm:alternative">
<xsl0:param name="pPath"/>
<xsl0:apply-templates>
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
	
</xsl0:stylesheet>