<?xml version="1.0" encoding="UTF-8"?>

 
 
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:so="scenari.eu:xmlOverlay:1.0"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc xalan java">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vMainViewOverlay" select="computeNodeAgent('@@/mainViewOverlay', codeAgent('//'))"/>
	
	
<xsl:template match="*">
<so:overlay>
<xsl:apply-templates select="$vMainViewOverlay/*" mode="overlay"/>
</so:overlay>
</xsl:template>
	
<xsl:template match="sm:insertTabs" mode="overlay">
<so:insertElements position="{si(@position='before', 'firstChild', 'lastChild')}" fromId="sctabs">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertTabs[@refIdInView]" mode="overlay">
<so:insertElements position="{@position}" fromId="tab_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
	
	
<xsl:template match="sm:insertBlocks[@position='beforeBlock']" mode="overlay">
<so:insertElements position="before" fromId="block_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertBlocks[@position='afterBlock']" mode="overlay">
<so:insertElements position="after" fromId="block_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertBlocks[@position='asFirstBlockOfTab']" mode="overlay">
<so:insertElements position="firstChild" fromId="tab_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertBlocks[@position='asLastBlockOfTab']" mode="overlay">
<so:insertElements position="lastChild" fromId="tab_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
	
	
<xsl:template match="sm:insertGenBoxes[@position='beforeGenBox']" mode="overlay">
<so:insertElements position="before" fromId="genBox_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertGenBoxes[@position='afterGenBox']" mode="overlay">
<so:insertElements position="after" fromId="genBox_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertGenBoxes[@position='asFirstBoxOfBlock']" mode="overlay">
<so:insertElements position="firstChild" fromId="block_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertGenBoxes[@position='asLastBoxOfBlock']" mode="overlay">
<so:insertElements position="lastChild" fromId="block_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
	
<xsl:template match="sm:insertDeployBoxes[@position='beforeDeployBox']" mode="overlay">
<so:insertElements position="before" fromId="deployBox_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertDeployBoxes[@position='afterDeployBox']" mode="overlay">
<so:insertElements position="after" fromId="deployBox_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertDeployBoxes[@position='asFirstBoxOfGenBox']" mode="overlay">
<so:insertElements position="firstChild" fromId="genBox_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
<xsl:template match="sm:insertDeployBoxes[@position='asLastBoxOfGenBox']" mode="overlay">
<so:insertElements position="lastChild" fromId="genBox_{@refIdInView}">
<xsl:apply-templates mode="mainview"/>
</so:insertElements>
</xsl:template>
	
<xsl:template match="*" mode="overlay"/>
	
</xsl:stylesheet>
