<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
                 xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias"  
                 xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
                 xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                 xmlns:java="http://xml.apache.org/xslt/java" 
                 xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
			     xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
			     xmlns:dc="http://purl.org/dc/elements/1.1/"
                 version="1.0" exclude-result-prefixes="xsl sm sc java">
    
    
<xsl0:template name="tPublishError">
<xsl0:param name="pContent"/>
        
</xsl0:template>

    
<xsl0:template name="tGetWidgetCateg">
<xsl0:param name="pLocalName"/>
<xsl0:choose>
<xsl0:when test="$pLocalName='paraTag'">WParagraph</xsl0:when>
<xsl0:when test="$pLocalName='WLink'">WInline</xsl0:when>
<xsl0:when test="$pLocalName='orderedListTag' or $pLocalName='itemizedListTag' or $pLocalName='simpleListTag'">WListWithPara</xsl0:when>
<xsl0:when test="$pLocalName='WImage'">WObject</xsl0:when>
<xsl0:when test="starts-with($pLocalName, 'textLeafTag') or $pLocalName='inlineStyleTag' or $pLocalName='phraseTag'">WInlineExt</xsl0:when>
<xsl0:otherwise><xsl0:value-of select="local-name()"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template name="tRepeatCopyElement">
<xsl0:param name="pNbRepeat"/>
<xsl0:param name="pElementToRepeat"/>
<xsl0:param name="pNn"/>
<xsl0:variable name="vNb" select="si(not(number($pNn)), 0, $pNn)"/>
<xsl0:if test="not($vNb>=$pNbRepeat)">
<xsl0:copy-of select="$pElementToRepeat"/>
<xsl0:call-template name="tRepeatCopyElement">
<xsl0:with-param name="pNbRepeat" select="$pNbRepeat"/>
<xsl0:with-param name="pElementToRepeat" select="$pElementToRepeat"/>
<xsl0:with-param name="pNn" select="$vNb+1"/>
</xsl0:call-template>
</xsl0:if>
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '_meta', '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl0:template>
		
</xsl0:stylesheet>
