<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:scod="scenari.eu:openDocumentExtension:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
	
<xsl0:template match="sm:WInlineExtended" name="sm:WInlineExtended">
<xsl:comment># sm:WInlineExtended</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
        
<xsl0:if test="string-length(normalize-space(sm:imgWrapper/sm:prefix/@sc:refUri))&gt;0">
<draw:frame draw:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@draw:style-name}}" 
                     draw:name="{concat('Picture', generate-id())}" 
                     text:anchor-type="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@text:anchor-type}}" 
                     svg:width="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@svg:width}}" 
                     svg:height="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@svg:height}}" 
                     svg:x="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@svg:x, '0cm')}}" 
                     svg:y="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@svg:y, '0cm')}}" 
                     draw:z-index="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/@draw:z-index}}">
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[following-sibling::text:span]/draw:image"/>
             
</draw:frame>
</xsl0:if>
        
<xsl0:if test="string-length(normalize-space(sm:textWrapper/@prefix))&gt;0">
<text:span text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/text:span[1]/@text:style-name}}"><xsl0:value-of select="sm:textWrapper/@prefix"/></text:span>
</xsl0:if>
        
<text:span text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/text:span[office:annotation]/@text:style-name}}">
<xsl0:choose>
<xsl0:when test="sm:Widget">
<xsl0:apply-templates select="sm:Widget"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:apply-templates/>
</xsl0:otherwise>
</xsl0:choose>
</text:span>
        
<xsl0:if test="string-length(normalize-space(sm:textWrapper/@suffix))&gt;0">
<text:span text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/text:span[last()]/@text:style-name}}"><xsl0:value-of select="sm:textWrapper/@suffix"/></text:span>
</xsl0:if>
        
<xsl0:if test="string-length(normalize-space(sm:imgWrapper/sm:suffix/@sc:refUri))&gt;0">
<draw:frame draw:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@draw:style-name}}" 
                        draw:name="{concat('Picture', generate-id())}" 
                        text:anchor-type="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@text:anchor-type}}" 
                        svg:width="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@svg:width}}" 
                        svg:height="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@svg:height}}" 
                        svg:x="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@svg:x, '0cm')}}" 
                        svg:y="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@svg:y, '0cm')}}" 
                        draw:z-index="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/@draw:z-index}}">
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame[preceding-sibling::text:span]/draw:image"/>
                
</draw:frame>
</xsl0:if>
</xsl0:template>
    
</xsl0:stylesheet>
