<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
	
<xsl0:template match="sm:WImage | sm:WObject" name="sm:WObject">
<xsl:comment># sm:WObject</xsl:comment>
<xsl0:param name="pResOd"/>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<text:p text:style-name="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/@text:style-name, '_scod_noDisplayNoKeep')}}">
<xsl0:call-template name="sm:WObject_inline">
<xsl0:with-param name="pResOd" select="$pResOd"/>
</xsl0:call-template>
</text:p>
</xsl0:template>
    
<xsl0:template name="sm:WObject_inline">
<xsl0:param name="pResOd"/>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<draw:frame   draw:name="{{local-name()}}" 
                      draw:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame/@draw:style-name}}" 
                      text:anchor-type="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame/@text:anchor-type}}" 
                      draw:z-index="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame/@draw:z-index}}" 
                      svg:x="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame/@svg:x, '0cm')}}" 
                      svg:y="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame/@svg:y, '0cm')}}" 
                      svg:width="{{round(normalize-space($vWidth) * 100) div 100}}cm"  svg:height="{{round(normalize-space($vHeight) * 100) div 100}}cm">
<xsl0:choose>
<xsl0:when test="$pResOd"><xsl0:copy-of select="$pResOd"/></xsl0:when>
<xsl0:otherwise>
<xsl0:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/draw:frame/*"/>
</xsl0:otherwise>
</xsl0:choose>
</draw:frame>
</xsl0:template>
    
		
</xsl0:stylesheet>
