<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:scod="scenari.eu:openDocumentExtension:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc">
	
	
<xsl0:template match="sm:WPictureBlock" name="sm:WPictureBlock">
<xsl:comment># sm:WPictureBlock</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
       
<xsl:variable name="vTitleContent{generate-id()}"><xsl0:apply-templates select="sm:title"/></xsl:variable>
<xsl:variable name="vIsTitleMandatory{generate-id()}"><xsl0:value-of select="boolean(sm:title/sm:fixedTitle)"/></xsl:variable>
<xsl:variable name="vDataContent{generate-id()}"><xsl0:apply-templates select="*[name()!='sm:title' and name()!='sm:picture']"/></xsl:variable>
<xsl:choose>
<xsl:when test="string-length(normalize-space($vTitleContent{generate-id()}))&gt;0 or string-length(normalize-space($vDataContent{generate-id()}))&gt;0">
<table:table table:name="Table" table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/@table:style-name}}">
<table:table-column table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-column[1]/@table:style-name}}"/>
<table:table-column table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-column[2]/@table:style-name}}"/>
<xsl:if test="string-length(normalize-space($vTitleContent{generate-id()}))&gt;0 or $vIsTitleMandatory{generate-id()}='true'">
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[1]/@table:style-name}}">
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[1]/table:table-cell/@table:style-name}}" table:number-columns-spanned="2">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[1]/table:table-cell/text:p/@text:style-name}}">
<xsl:value-of select="$vTitleContent{generate-id()}" disable-output-escaping="yes"/>
</text:p>
</table:table-cell>
<table:covered-table-cell/>
</table:table-row>
</xsl:if>
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[2]/@table:style-name}}">
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[2]/table:table-cell[1]/@table:style-name}}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[2]/table:table-cell[1]/text:p/@text:style-name}}">
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[2]/table:table-cell[1]/text:p/draw:frame"/>
</text:p>
</table:table-cell>
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[2]/table:table-cell[2]/@table:style-name}}">
<xsl:copy-of select="$vDataContent{generate-id()}" />
</table:table-cell>
</table:table-row>
</table:table>
</xsl:when>
<xsl:otherwise>
<scodPp:error type="info" phase="generation" text="Bloc ignoré">Le widget "<xsl0:value-of select="name()"/>" de code "<xsl0:value-of select="$vBlockCode"/>" ne possède pas de contenu.</scodPp:error>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
    
</xsl0:stylesheet>
