<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>

<xsl0:template match="/*">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<intitule type="xpath-dynamique">resultatAgent(metaAgt, 'shortTitleText')</intitule>
<valeur code="getContent">
<source type="xslOnSrc-dynamique" href="{resultatDialogue('../contentFile', 'act:')}"/>
				
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
				
<redirect code="metaAgt">
<pathAgent type="xpath-statique">concat('@', getIdNode(.), '_meta')</pathAgent>
</redirect>
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
<xsl0:if test="count(sm:fullTitleText)=0">
					
					
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'fullTitleText')</source>
</valeur>
</xsl0:if>
<xsl0:if test="count(sm:shortTitleText)=0">
					
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'shortTitleText')</source>
</valeur>
</xsl0:if>
</xsl0:if>
<xsl0:apply-templates/>
</structure>
</xsl0:template>
	
    
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:variable name="vMatchXPath">
<xsl0:variable name="vRootTag" select="ancestor::*[count(ancestor::*)=2]"/>
<xsl0:variable name="vRadical" select="substring-before(local-name($vRootTag),'Tag')"/>
<xsl0:variable name="vFinaltagName" select="concat('sc:', $vRadical)"/>
<xsl0:variable name="vRole" select="$vRootTag/@role"/>
<xsl0:value-of select="$vFinaltagName"/><xsl0:if test="$vRole!=''">[@role='<xsl0:value-of select="$vRole"/>']</xsl0:if>
</xsl0:variable>
<valeur code="widget_{generate-id()}" 
				codecomposant="concat('widget_{generate-id()}_', generate-id())"
				racine=".//{$vMatchXPath}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:odContentZone" mode="agentsWidgetZones">
<valeur code="{si(@key, concat('odContentZone_', @key), concat('XZ_', generate-id()))}">
<source type="xpath-statique">.</source>
</valeur>
</xsl0:template>
<xsl0:template match="*" mode="agentsWidgetZones"/>
	
</xsl0:stylesheet>
