<?xml version="1.0" encoding="UTF-8"?>
<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:scod="scenari.eu:openDocumentExtension:1.0"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="xalan sm sc scodPp xsl office text table fo draw svg xlink style scod">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
		
	
<xsl0:variable name="cstMaxLevelList" select="10"/>
	
<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTransformer')"/>
	
		
<xsl0:template match="sm:content | sm:odContentZone" name="sm:content">
		
<xsl:template name="tGetParam">
			
<xsl:param name="pKey"/>
<xsl:if test="contains($vArguments, $pKey)">
<xsl:value-of select="substring-before(substring-after($vArguments, concat($pKey, '::')), ';')"/>
</xsl:if>
</xsl:template>
<xsl0:choose>
<xsl0:when test="name()='sm:odContentZone'">
<xsl0:for-each select="ancestor::*[name(..)='sm:content'][1]">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl:template match="{$vMatchXPath}">
<xsl:apply-templates/>
</xsl:template>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="*"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
		
	
<xsl0:template match="sm:paraTag">
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl:param name="paraStyle"/>
			
<xsl:variable name="vFinalStyle">
<xsl:variable name="vArgStyle"><xsl:call-template name="tGetParam"><xsl:with-param name="pKey" select="'paraStyle'"/></xsl:call-template></xsl:variable>
<xsl:choose>
<xsl:when test="string-length(normalize-space($paraStyle))&gt;0"><xsl:value-of select="$paraStyle"/></xsl:when>
<xsl:when test="string-length(normalize-space($vArgStyle))&gt;0"><xsl:value-of select="$vArgStyle"/></xsl:when>
<xsl:otherwise><xsl:value-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<text:p text:style-name="{{$vFinalStyle}}">
<xsl:apply-templates/>
</text:p>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:textLeafTag | sm:phraseTag | sm:inlineStyleTag">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl0:call-template name="sm:WInlineExtended"/>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:uLinkTag | sm:objectLeafTag">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:footNote">
<scodPp:condition xpath="string-length(text:note/text:note-body/text:p)&gt;0">
<scodPp:idBlock categ="cNote">
<text:note text:id="[scodPp[idbId]scodPp]" text:note-class="footnote">
<text:note-citation><scodPp:idbPosition/></text:note-citation>
<text:note-body>
<xsl0:apply-templates/>
</text:note-body>
</text:note>
</scodPp:idBlock>
</scodPp:condition>
</xsl0:template>
	
	
<xsl0:template match="sm:textLink"><xsl:apply-templates/></xsl0:template>
<xsl0:template match="sm:subModelTitle">
<xsl0:variable name="vTitleType" select="si(@format and @format='shortTitleText', 'shortTitleText', 'fullTitleText')"/>
<xsl0:variable name="vId" select="generate-id()"/>
<xsl:variable name="vTitle{$vId}"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '{getAxisSuffix(@axis)}', '/{$vTitleType}'))" disable-output-escaping="yes"/></xsl:variable>
<xsl:if test="string-length(normalize-space($vTitle{$vId}))&gt;0">
<xsl:text><xsl0:value-of select="@prefix"/></xsl:text><xsl:value-of select="$vTitle{$vId}"/><xsl:text><xsl0:value-of select="@suffix"/></xsl:text>	
</xsl:if>
</xsl0:template>
	
<xsl0:template match="sm:link | sm:note"><xsl0:apply-templates/></xsl0:template>
<xsl0:template match="sm:externalUrlLink"><xsl:value-of select="@url"/></xsl0:template>
<xsl0:template match="sm:callSubModel">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl0:template>
<xsl0:template match="sm:callSubModelMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))"/>
<xsl:value-of disable-output-escaping="yes" select="si($vPathAgentContent{$vIdCall}, resultatAgent(concat($vPathAgentContent{$vIdCall}, '{getAxisSuffix(@axis)}', '/getContent')))"/>
</xsl0:template>
<xsl0:template match="sm:callSubModelId">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '{getAxisSuffix(@axis)}')"/>
</xsl0:template>
	
	
<xsl0:template match="sm:noteTag">
		
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<scodPp:condition xpath="string-length(text:note/text:note-body/text:p)&gt;0">
<scodPp:idBlock categ="cNote">
<text:note text:id="[scodPp[idbId]scodPp]" text:note-class="footnote">
<text:note-citation><scodPp:idbPosition/></text:note-citation>
<text:note-body>
							
<xsl:variable name="vPathAgentContent" select="concat('@', getIdNode(.), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent, '/getContent'))"/>
</text:note-body>
</text:note>
</scodPp:idBlock>
</scodPp:condition>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:listTags">
<xsl0:apply-templates/>
</xsl0:template>
<xsl0:template match="sm:simpleListTag | sm:itemizedListTag | sm:orderedListTag | sm:variableListTag">
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
		
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl0:apply-templates select="sm:titleTag"/>
<text:list text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:list/@text:style-name}}">
<xsl:apply-templates/>
</text:list>
</xsl:template>
		
<xsl:template match="{$vMatchXPath}/sc:member">
<xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::{$vMatchXPath})"/></xsl:variable>
<xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:member)"/></xsl:variable>
<xsl:variable name="vStyle">
<xsl:call-template name="{$vMatchXPath}_getStyle">
<xsl:with-param name="pLevel" select="$vLevel"/>
</xsl:call-template>
</xsl:variable>
<text:list-item>
<xsl:if test="count(preceding-sibling::sc:member)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if>
<text:p text:style-name="{{$vStyle}}"><xsl:apply-templates/></text:p>
</text:list-item>
</xsl:template>
<xsl:template match="{$vMatchXPath}/sc:listItem">
<xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::{$vMatchXPath})"/></xsl:variable>
<xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:listItem)"/></xsl:variable>
<xsl:variable name="vStyle">
<xsl:call-template name="{$vMatchXPath}_getStyle">
<xsl:with-param name="pLevel" select="$vLevel"/>
</xsl:call-template>
</xsl:variable>
<text:list-item>
<xsl:if test="count(preceding-sibling::sc:listItem)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if>
<xsl:apply-templates>
<xsl:with-param name="paraStyle" select="$vStyle"/>
</xsl:apply-templates>
</text:list-item>
</xsl:template>
		
<xsl:template name="{$vMatchXPath}_getStyle">
<xsl:param name="pLevel"/>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:list">
<xsl:value-of select="descendant::text:p[number($pLevel)]/@text:style-name"/>
</xsl:for-each>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:titleTag">
<xsl:variable name="vTitleContent">
<xsl0:apply-templates select="*/sm:title"/>
</xsl:variable>
<xsl:if test="string-length(normalize-space($vTitleContent))&gt;0">
<xsl0:apply-templates>
<xsl0:with-param name="pContent">
<xsl:copy-of select="$vTitleContent"/>
</xsl0:with-param>
</xsl0:apply-templates>
</xsl:if>
</xsl0:template>

	
<xsl0:template match="sm:tableTag">
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
	    
<xsl0:variable name="vIniStyle_table">getEntryBuffer('odStyleBlocks', '<xsl0:value-of select="$vBlockCode"/>')/table:table/@table:style-name</xsl0:variable>
<xsl0:variable name="vNewStyle_table">tb_{alphaHash(getIdNode(.))}</xsl0:variable>
		
		
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl:variable name="vTableObj" select="java:eu.scenari.modeling.textprim.TableLayout.new(.)"/>
<xsl0:if test="sm:captionTag/@position='before'">
<xsl0:apply-templates select="sm:captionTag"/>
</xsl0:if>
<xsl:variable name="vTabWidth" select="{concat('sum(sc:column/@width) * 0.156 * ', si(@targetFontSizeInPt, @targetFontSizeInPt, 10), ' div 10')}"/>
<xsl:variable name="vFinalTabWidth" select="{concat( si(sm:dimBounds/@maxWidth, 'min('), si(sm:dimBounds/@minWidth, 'max('),
			                                                     '$vTabWidth',
			                                                     si(sm:dimBounds/@minWidth, concat(', ', sm:dimBounds/@minWidth, ')')),
			                                                     si(sm:dimBounds/@maxWidth, concat(', ', sm:dimBounds/@maxWidth, ')'))
			                                                     )                                                    
		    }"/>
<xsl:variable name="vTabWidthFactor" select="$vFinalTabWidth div $vTabWidth"/>
<xsl:comment>Tab - widthIni : <xsl:value-of select="$vTabWidth"/>, widthFinal : <xsl:value-of select="$vFinalTabWidth"/>, factor : <xsl:value-of select="$vTabWidthFactor"/></xsl:comment>
			
<style:style style:name="{$vNewStyle_table}" style:family="table" scod:onlyIfNecessay="true">
<style:table-properties>
<xsl:variable name="vTableStyleName" select="{$vIniStyle_table}"/>
<xsl:copy-of select="getEntryBuffer('odContentAutoStyles', string($vTableStyleName))//style:table-properties/@*[name()!='style:rel-width' and name()!='style:width']"/>
<xsl:attribute name="style:width"><xsl:value-of select="normalize-space($vFinalTabWidth)"/>cm</xsl:attribute> 
<xsl:copy-of select="getEntryBuffer('odContentAutoStyles', string($vTableStyleName))//style:table-properties/*"/>
</style:table-properties>
</style:style>
<table:table table:name="{{local-name()}}" table:style-name="{$vNewStyle_table}">
				
<xsl:for-each select="sc:column">
<style:style style:name="{$vNewStyle_table}.{{count(preceding-sibling::sc:column) + 1}}" style:family="table-column" scod:onlyIfNecessay="true">
<style:table-column-properties style:column-width="{concat('{@width * 0.156 * $vTabWidthFactor * ', si(@targetFontSizeInPt, @targetFontSizeInPt, 10), ' div 10}')}cm"/>
</style:style>
<table:table-column table:style-name="{$vNewStyle_table}.{{count(preceding-sibling::sc:column) + 1}}"/>
</xsl:for-each>
				
<xsl0:choose>
<xsl0:when test="@headerRowRole">
                        
<xsl:if test="sc:row[1]/@role='{@headerRowRole}'">
<table:table-header-rows>
<xsl:for-each select="sc:row[@role='{@headerRowRole}' and not(preceding-sibling::sc:row[not(@role) or @role!='{@headerRowRole}'])]">
<xsl:apply-templates select=".">
<xsl:with-param name="vTableObj" select="$vTableObj"/>
</xsl:apply-templates>
</xsl:for-each>
</table:table-header-rows>
</xsl:if>
                        
<xsl:for-each select="sc:row[not(@role='{@headerRowRole}' and not(preceding-sibling::sc:row[not(@role) or @role!='{@headerRowRole}']))]">
<xsl:apply-templates select=".">
<xsl:with-param name="vTableObj" select="$vTableObj"/>
</xsl:apply-templates>
</xsl:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl:for-each select="sc:row">
<xsl:apply-templates select=".">
<xsl:with-param name="vTableObj" select="$vTableObj"/>
</xsl:apply-templates>
</xsl:for-each>
</xsl0:otherwise>
</xsl0:choose>
</table:table>
<xsl0:if test="not(sm:captionTag/@position='before')">
<xsl0:apply-templates select="sm:captionTag"/>
</xsl0:if>
</xsl:template>
<xsl0:for-each select="sm:stylesList/sm:rowTag">
<xsl0:variable name="vCurrentRowPos" select="count(preceding-sibling::*) + 1"/>
<xsl:template match="{$vMatchXPath}/sc:row{si(@role, concat('[@role=''',@role,''']'), '[not(@role) or @role='''']')}">
<xsl:param name="vTableObj"/>
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table//table:table-row[position() = {$vCurrentRowPos}]/@table:style-name}}">
<xsl:apply-templates>
<xsl:with-param name="vTableObj" select="$vTableObj"/>
</xsl:apply-templates>
</table:table-row>
</xsl:template>
</xsl0:for-each>
<xsl:template match="{$vMatchXPath}//sc:cell">
<xsl:param name="vTableObj"/>
<xsl:variable name="vCellPos" select="java:getColumnIdx($vTableObj,.) + 1"/>
<xsl:variable name="vCellStyle">
<xsl:call-template name="tCellStyleResolver_{generate-id()}">
<xsl:with-param name="pCellRole" select="@role"/>
<xsl:with-param name="pRowRole" select="ancestor::sc:row/@role"/>
<xsl:with-param name="pCollRole" select="ancestor::sc:table[1]/sc:column[$vCellPos]/@role"/>
</xsl:call-template>
</xsl:variable>
<xsl:variable name="vCellAxis">
<xsl:call-template name="tCellAxisResolver_{generate-id()}">
<xsl:with-param name="pCellRole" select="@role"/>
<xsl:with-param name="pRowRole" select="ancestor::sc:row/@role"/>
<xsl:with-param name="pCollRole" select="ancestor::sc:table[1]/sc:column[$vCellPos]/@role"/>
</xsl:call-template>
</xsl:variable>
<table:table-cell table:style-name="{{$vCellStyle}}" office:value-type="string">
<xsl:if test="@colSpan"><xsl:attribute name="table:number-columns-spanned"><xsl:value-of select="@colSpan"/></xsl:attribute></xsl:if>
<xsl:if test="@rowSpan"><xsl:attribute name="table:number-rows-spanned"><xsl:value-of select="@rowSpan"/></xsl:attribute></xsl:if>
<xsl:choose>
<xsl:when test="not(*)"><text:p text:style-name="_scod_noDisplay"/></xsl:when>
<xsl:otherwise>
<xsl:value-of select="execute(setDialogVar('txtContent', .))"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), $vCellAxis), '/getContent'), .)"/>
<xsl:value-of select="removeDialogVar('txtContent')"/>
</xsl:otherwise>
</xsl:choose>
</table:table-cell>
</xsl:template>
<xsl:template name="tCellStyleResolver_{generate-id()}">
<xsl:param name="pCellRole"/>
<xsl:param name="pRowRole"/>
<xsl:param name="pCollRole"/>
<xsl:if test="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')">
<xsl:choose>
<xsl0:for-each select="sm:stylesList/*">
<xsl0:variable name="vTmpCellPos" select="count(preceding-sibling::*) + 1"/>
<xsl:when test="normalize-space(${si(local-name()='cellTag', 'pCellRole', si(local-name()='rowTag', 'pRowRole', 'pCollRole'))})='{@role}'">
<xsl:value-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')//table:table-row[count(preceding-sibling::table:table-row) + count(preceding-sibling::table:table-header-rows/table:table-row) + 1 = {$vTmpCellPos}]/table:table-cell/@table:style-name"/>
</xsl:when>
</xsl0:for-each>
<xsl:when test="true()"></xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>
<xsl:template name="tCellAxisResolver_{generate-id()}">
<xsl:param name="pCellRole"/>
<xsl:param name="pRowRole"/>
<xsl:param name="pCollRole"/>
<xsl:if test="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')">
<xsl:choose>
<xsl0:for-each select="sm:stylesList/*">
<xsl0:variable name="vTmpCellPos" select="count(preceding-sibling::*) + 1"/>
<xsl:when test="normalize-space(${si(local-name()='cellTag', 'pCellRole', si(local-name()='rowTag', 'pRowRole', 'pCollRole'))})='{@role}'"><xsl0:value-of select="@axis"/></xsl:when>
</xsl0:for-each>
<xsl:when test="true()"></xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:captionTag">
<xsl0:variable name="vCategoryId" select="@category"/>
        
<xsl:variable name="vCaptionContent">
<xsl0:apply-templates select="*/*"/>
</xsl:variable>
<xsl:if test="string-length(normalize-space($vCaptionContent))&gt;0">
<xsl0:apply-templates>
<xsl0:with-param name="pContent">
<xsl0:if test="$vCategoryId">
<xsl:variable name="vCategoryAgtPath" select="'/@@/odSequence/cat_{$vCategoryId}'"/>
<xsl:variable name="vCategoryDefaulAgtPath" select="'/@@/odSequence/default'"/>
<xsl:variable name="vPrefix" select="si(actifAgent($vCategoryAgtPath), resultatAgent(concat($vCategoryAgtPath, '/prefix')), resultatAgent(concat($vCategoryDefaulAgtPath, '/prefix')))"/>
<xsl:variable name="vSeparator" select="si(actifAgent($vCategoryAgtPath), resultatAgent(concat($vCategoryAgtPath, '/separator')), resultatAgent(concat($vCategoryDefaulAgtPath, '/separator')))"/>
<xsl:variable name="vFormat" select="si(actifAgent($vCategoryAgtPath), resultatAgent(concat($vCategoryAgtPath, '/numbering')), resultatAgent(concat($vCategoryDefaulAgtPath, '/numbering')))"/>
<xsl:if test="string-length(normalize-space($vPrefix))&gt;0"><xsl:value-of select="$vPrefix"/></xsl:if>
<xsl:if test="normalize-space($vFormat)!='none'"><text:sequence text:ref-name="ooow:{$vCategoryId}+1" text:name="{$vCategoryId}" text:formula="ooow:{$vCategoryId}+1" style:num-format="{{$vFormat}}"/></xsl:if>
<xsl:value-of select="$vSeparator"/>
</xsl0:if><xsl:copy-of select="$vCaptionContent"/>
</xsl0:with-param>
</xsl0:apply-templates>
</xsl:if>
</xsl0:template>
    
	
<xsl0:template match="sm:extBlockTag">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
    
<xsl0:template match="sm:emptyBlockTag | sm:emptyLeafTag">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:inlineImgTag">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
		
<xsl0:comment># <xsl0:value-of select="$vMatchXPath"/></xsl0:comment>
<xsl:template match="{$vMatchXPath}">
<xsl:variable name="vPathAgentContent">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}')"/>
</xsl:variable>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))"/>
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:Widget">
<xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()))" disable-output-escaping="yes"/>
</xsl0:template>
	
<xsl0:template name="getMatchXPath">
<xsl0:variable name="vRadical" select="substring-before(local-name(),'Tag')"/>
<xsl0:variable name="vFinaltagName" select="concat('sc:', $vRadical)"/>
<xsl0:variable name="vRole" select="@role"/>
<xsl0:value-of select="$vFinaltagName"/><xsl0:value-of select="si($vRole!='', concat('[@role=''', $vRole, ''']'), '[not(@role) or @role='''']')"/>
</xsl0:template>
	
<xsl0:template match="sm:title">
<xsl0:for-each select="sm:dynamicString">
<xsl:variable name="dynStr{generate-id()}">
<xsl0:apply-templates select="current()"/>
</xsl:variable>
</xsl0:for-each>
<xsl:choose>
<xsl0:for-each select="*">
<xsl0:variable name="vTitleType" select="si(@format and @format='shortTitleText', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="name()='sm:caption'">
<xsl:when test="string-length(normalize-space(sc:captionBlock | sc:caption))&gt;0 or sc:captionBlock/*  or sc:caption/*">
<xsl:apply-templates select="sc:captionBlock/* | sc:captionBlock/text() | sc:caption/* | sc:caption/text()"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:tableTitle'">
<xsl:when test="string-length(normalize-space(sc:title))&gt;0 or sc:title/*">
<xsl:apply-templates select="sc:title/* | sc:title/text()"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:subModelTitle'">
<xsl:when test="string-length(normalize-space(getView('{$vTitleType}', gotoSubModel(ancestor-or-self::sc:*[1]), '{@axis}')))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="getView('{$vTitleType}', gotoSubModel(ancestor-or-self::sc:*[1]), '{@axis}')" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:fixedTitle'">
<xsl:when test="boolean('true')"><xsl0:value-of select="@value"/></xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:dynamicString'">
<xsl:when test="string-length(normalize-space($dynStr{generate-id()}))&gt;0"><xsl:value-of select="$dynStr{generate-id()}"/></xsl:when>
</xsl0:when>
</xsl0:choose>
</xsl0:for-each>
<xsl:when test="boolean('true')"></xsl:when>
</xsl:choose>
</xsl0:template>
			
<xsl0:template match="*" mode="prim"/>
<xsl0:template match="*"/>
</xsl0:stylesheet>