<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="sm sc se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:include href="bsco:sm/model/commons.xed.xsl"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vStructure" select="/sm:textPrim/sm:structure"/>

<xsl:template match="sm:textPrim|sm:formEditor">
<se:uiLib se:src="{resultatAgent('uilib.xml', 'act:')}"/>
<se:lib>

<element se:id="text" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="sm:perms"/>
</xsl:call-template>
<childs>
<contentElement se:bind="current">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="sm:perms"/>
</xsl:call-template>
<xsl:call-template name="richTextInput"/>
</contentElement>
</childs>
</element>
			
<contentElement se:id="text:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="sm:perms"/>
</xsl:call-template>
<xsl:call-template name="richTextInput"/>
</contentElement>
			
<xsl:if test="$vStructure/sm:inlineTags/sm:noteTag">
				
<xmlview se:id="note" se:bind="document" flex="1">
<hiddenElement se:bind="element" se:name="sc:note">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="sm:perms"/>
</xsl:call-template>
<childs>
<staticBox se:bind="attribute"/> 
<se:ref se:refid="text:hideHeader" flex="1" style="padding:0px;"/>
</childs>
</hiddenElement>
</xmlview>
</xsl:if>
</se:lib>
<xmlview se:bind="document">
<se:ref se:refid="text:hideHeader" flex="1" style="padding:0px;"/>
</xmlview>
</xsl:template>

<xsl:template name="richTextInput">
<xsl:variable name="vCharsCtrl" select="$vStructure/sm:constraint/sm:charactersCount"/>
<xsl:if test="$vCharsCtrl"><xsl:attribute name="orient">vertical</xsl:attribute></xsl:if>
<richTextInput type="{resultatAgent('//codeModel')}_{@key}" se:bind="plugin" se:childs="*" notnull="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="sm:perms"/>
</xsl:call-template>
<xsl:if test="sm:writingAids/@spellCheck='no'">
<xsl:attribute name="spellcheck">false</xsl:attribute>
</xsl:if>
<xsl:if test="sm:writingAids/@autoInsertions='no'">
<xsl:attribute name="frenchPonct">false</xsl:attribute>
</xsl:if>
</richTextInput>
<xsl:if test="$vCharsCtrl">
<lengthCtrl inputXPath="preceding-sibling::*" style="-moz-binding: url(chrome://scenariXedLib/content/libUiExtra/inputCtrl/widgets/inputCtrl.xbl.xml#lengthCtrl);">
<xsl:if test="string-length($vCharsCtrl/@max)&gt;0"><xsl:attribute name="maxChars"><xsl:value-of select="$vCharsCtrl/@max"/></xsl:attribute></xsl:if>
<xsl:if test="string-length($vCharsCtrl/@maxAdvised)&gt;0"><xsl:attribute name="maxCharsAdvised"><xsl:value-of select="$vCharsCtrl/@maxAdvised"/></xsl:attribute></xsl:if>
</lengthCtrl>
</xsl:if>
</xsl:template>
</xsl:stylesheet>