<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		exclude-result-prefixes="sc sm xsl"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/model/ssGenAttr.xsl.xsl"/>

<xsl0:template match="sm:textPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl0:apply-templates select="sm:structure"/>
<xsl0:apply-templates select="sm:storage/sm:index"/>
</xsl0:template>

<xsl0:template match="sm:structure">
<xsl0:apply-templates/>
<xsl0:variable name="vCharsCtrl" select="sm:constraint/sm:charactersCount"/>
<xsl:template match="{resultatAgent('//qNameTagRootModel')}">
<xsl0:if test="$vCharsCtrl">
<xsl:variable name="vText"><xsl:apply-templates mode="strLen"/></xsl:variable>
<xsl:variable name="vLen" select="string-length(normalize-space($vText))"/>
<xsl:choose>
<xsl0:if test="$vCharsCtrl/@max">						
<xsl:when test="$vLen &gt; {$vCharsCtrl/@max}">
<cPbs>
<pb typ="Error" cd="textTooLong" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sm:&amp;syntax=Formatter;Un texte est trop long : %1$s / %2$s￼', string($vLen), '{escapeXpathString($vCharsCtrl/@max)}')}} - {{si($vLen &gt; 256, concat(substring($vText, 0, 200), '...'), $vText)}}"/>
</cPbs>
</xsl:when>
</xsl0:if>
<xsl0:if test="$vCharsCtrl/@maxAdvised">						
<xsl:when test="$vLen &gt; {$vCharsCtrl/@maxAdvised}">
<cPbs>
<pb typ="Warning" cd="textTooLong" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sm:&amp;syntax=Formatter;Un texte dépasse le nombre de caractères conseillé : %1$s / %2$s￼', string($vLen), '{escapeXpathString($vCharsCtrl/@maxAdvised)}')}} - {{si($vLen &gt; 256, concat(substring($vText, 0, 200), '...'), $vText)}}"/>
</cPbs>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl0:if>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl0:if test="$vCharsCtrl">
<xsl:template match="sc:*" mode="strLen">
<xsl:apply-templates mode="strLen"/>
</xsl:template>
<xsl:template match="*" mode="strLen"/>
<xsl:template match="text()" mode="strLen">
<xsl:value-of select="."/>
</xsl:template>
</xsl0:if>
</xsl0:template>
	
<xsl0:template match="sm:blockTags">
<xsl0:apply-templates/>
</xsl0:template>

<xsl0:template match="sm:inlineTags">
<xsl0:apply-templates/>
</xsl0:template>

<xsl0:template match="sm:extBlockTag">
<xsl0:variable name="vHasStandAloneItem">
<xsl0:for-each select="sm:allowedModel">
<xsl0:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true'">1</xsl0:if>
</xsl0:for-each>
</xsl0:variable>
<xsl0:if test="$vHasStandAloneItem">
<xsl:template match="sc:extBlock[@role='{@role}'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::{resultatAgent('//qNameTagRootModel')}]">
<attrRef refUri="{{@sc:refUri}}" nm="{resultatAgent('//codeModel')}:{local-name(.)}:{@role}"/>
</xsl:template>
</xsl0:if>
</xsl0:template>
	
<xsl0:template match="sm:uLinkTag">
<xsl0:apply-templates/>
</xsl0:template>
<xsl0:template match="sm:objectLeafTag">
<xsl0:apply-templates/>
</xsl0:template>
<xsl0:template match="sm:uLinkTag/sm:refItem">
<xsl0:variable name="vHasStandAloneItem">
<xsl0:for-each select="sm:allowedModel">
<xsl0:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true'">1</xsl0:if>
</xsl0:for-each>
</xsl0:variable>
<xsl0:if test="$vHasStandAloneItem">
<xsl:template match="sc:uLink[@role='{../@role}'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::{resultatAgent('//qNameTagRootModel')}]">
<attrRef refUri="{{@sc:refUri}}" nm="{resultatAgent('//codeModel')}:{local-name(..)}:{../@role}"/>
<xsl:apply-templates/>
</xsl:template>
</xsl0:if>
</xsl0:template>
<xsl0:template match="sm:objectLeafTag/sm:refItem">
<xsl0:variable name="vHasStandAloneItem">
<xsl0:for-each select="sm:allowedModel">
<xsl0:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true'">1</xsl0:if>
</xsl0:for-each>
</xsl0:variable>
<xsl0:if test="$vHasStandAloneItem">
<xsl:template match="sc:objectLeaf[@role='{../@role}'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::{resultatAgent('//qNameTagRootModel')}]">
<attrRef refUri="{{@sc:refUri}}" nm="{resultatAgent('//codeModel')}:{local-name(..)}:{../@role}"/>
</xsl:template>
</xsl0:if>
</xsl0:template>
	
<xsl0:template match="sm:inlineImgTag">
<xsl0:variable name="vHasStandAloneItem">
<xsl0:for-each select="sm:allowedModel">
<xsl0:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true'">1</xsl0:if>
</xsl0:for-each>
</xsl0:variable>
<xsl0:if test="$vHasStandAloneItem">
<xsl:template match="sc:inlineImg[@role='{@role}'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::{resultatAgent('//qNameTagRootModel')}]">
<attrRef refUri="{{@sc:refUri}}" nm="{resultatAgent('//codeModel')}:{local-name(.)}:{@role}"/>
</xsl:template>
</xsl0:if>
</xsl0:template>
	
</xsl0:stylesheet>