<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:c="composition"
	exclude-result-prefixes="sm xsl java xalan c">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>

<xsl0:include href="bsco:sm/textXhtmlTransf/content.xsl.xsl"/>
			
<xsl0:template match="node()"/>
	
<xsl0:template name="commonXslDecl">
<xsl0:attribute name="exclude-result-prefixes">sc sp java <xsl0:value-of select="resultatAgent($vAgentModel/prefixModel)"/></xsl0:attribute>
<xsl0:attribute name="extension-element-prefixes">redirect</xsl0:attribute>
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
</xsl0:template>
	
	
<xsl0:template match="sm:when[@sc:refUri]" mode="agents">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="agents"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agents"/>

	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<valeur code="widget_{generate-id()}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
<valeur code="xhtmlContentZone_content">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
						
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
						
<xsl:template match="*">
							
<xsl:value-of select="resultatAgent('//xhtmlContent', $vArguments)" disable-output-escaping="yes"/>
</xsl:template>
</xsl:stylesheet>
</source>
				
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</valeur>
</xsl0:template>
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets"/>
</xsl0:template>
<xsl0:template match="text()" mode="agentsWidgets"/>
	
</xsl0:stylesheet>
