<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm xsl xalan sc xml"
	>
	
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WTooltip.xml.xsl"/>

<xsl0:output method="xml" indent="no"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

	
<xsl0:variable name="vPrefixClass" select="si( sm:axis/@code, concat(resultatAgent('//agentModel', 'codeModel'), '_', sm:axis/@code), resultatAgent('//agentModel', 'codeModel'))"/>

			
<xsl0:template name="classAtt">
<xsl0:param name="pNode" select="."/>
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:param name="pRole" select="$pNode/@role"/>
<xsl0:param name="pXslAtt"/>
<xsl0:variable name="vClassVal">
<xsl0:choose>
<xsl0:when test="$vLegacyClasses"><xsl0:value-of select="concat($vPrefixClass,$pSuffix,si($pRole,concat('_',$pRole)))"/></xsl0:when>
<xsl0:otherwise>
<xsl0:if test="$pNode/@widgetClass or $pExtraClasses"><xsl0:value-of select="concat(addSuffixOnWords($pNode/@widgetClass,$pSuffix),si($pNode/@widgetClass,' ',''),$pExtraClasses)"/></xsl0:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:if test="string-length($vClassVal) &gt; 0">
<xsl0:choose>
<xsl0:when test="$pXslAtt = 'true'">
<xsl:attribute name="class"><xsl0:value-of select="$vClassVal"/></xsl:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="class"><xsl0:value-of select="$vClassVal"/></xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:if>
</xsl0:template>

<xsl0:template name="classAttTitle">
<xsl0:param name="pWidgetClass"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="$pWidgetClass">
<xsl0:attribute name="class"><xsl0:value-of select="addSuffixOnWords($pWidgetClass, $pSuffix)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>

	
<xsl0:template match="sm:paraTag" mode="content">
<xsl:template match="sc:para" mode="bk">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'p')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_p'"/>
</xsl0:call-template>
<xsl:apply-templates mode="in"/>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl:apply-templates mode="in"/>
</xsl0:otherwise>
</xsl0:choose>		
</xsl:template>
</xsl0:template>

	
<xsl0:template match="sm:listTags" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>

	
<xsl0:template match="sm:simpleListTag" mode="content">
<xsl0:variable name="vId" select="generate-id(.)"/>
<xsl:template match="sc:simpleList{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="bk">
<xsl0:call-template name="addListStruct"/>
</xsl:template>
<xsl:template match="sc:member" mode="list{$vId}">
<li>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_m'"/>
</xsl0:call-template>
<span>
<xsl:apply-templates mode="in"/>
</span>
</li>
</xsl:template>
<xsl:template match="node()" mode="list{$vId}"/>
</xsl0:template>

	
<xsl0:template match="sm:itemizedListTag" mode="content">
<xsl0:variable name="vId" select="generate-id(.)"/>
<xsl:template match="sc:itemizedList{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="bk">
<xsl0:call-template name="addListStruct"/>
</xsl:template>
<xsl:template match="sc:listItem" mode="list{$vId}">
<li>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ili'"/>
</xsl0:call-template>
<xsl:apply-templates mode="bk"/>
</li>
</xsl:template>
<xsl:template match="node()" mode="list{$vId}"/>
</xsl0:template>

	
<xsl0:template match="sm:orderedListTag" mode="content">
<xsl0:variable name="vId" select="generate-id(.)"/>
<xsl:template match="sc:orderedList{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="bk">
<xsl0:call-template name="addListStruct"/>
</xsl:template>
<xsl:template match="sc:listItem" mode="list{$vId}">
<li>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_oli'"/>
</xsl0:call-template>
<xsl:apply-templates mode="bk"/>
</li>
</xsl:template>
<xsl:template match="node()" mode="list{$vId}"/>
</xsl0:template>

	
<xsl0:template name="addListStruct">
<xsl0:variable name="vListType" select="si(local-name(.)='itemizedListTag','il',si(local-name(.)='orderedListTag','ol',si(@tagName,@tagName,'sl')))"/>
<xsl0:param name="pListClassPre"/>
<xsl0:choose>
<xsl0:when test="sm:titleTag/@tagName = 'none'">
<xsl:value-of select="sc:title/text()"/>
<xsl0:call-template name="addList"/>
</xsl0:when>
<xsl0:when test="sm:titleTag">
<xsl:choose>
<xsl:when test="sc:title">
<xsl0:element name="{si(sm:titleTag/@tagName = 'hx','scBlock','div')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="concat('_',$vListType,'f')"/>
</xsl0:call-template>
<xsl0:call-template name="addListTitle"/>
<xsl0:call-template name="addList"/>
</xsl0:element>
</xsl:when>
<xsl:otherwise>
<xsl0:call-template name="addList"/>
</xsl:otherwise>
</xsl:choose>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="addList"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

<xsl0:template name="addListTitle">
<xsl0:variable name="vListType" select="si(local-name(.)='itemizedListTag','il',si(local-name(.)='orderedListTag','ol',si(@tagName,@tagName,'sl')))"/>
<ifText>
<xsl0:element name="{returnFirst(sm:titleTag/@tagName,'div')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="concat('_',$vListType,'t')"/>
<xsl0:with-param name="pExtraClasses" select="sm:titleTag/@class"/>
</xsl0:call-template>
<xsl:value-of select="sc:title/text()"/>
</xsl0:element>
</ifText>
</xsl0:template>

<xsl0:template name="addList">
<xsl0:variable name="vId" select="generate-id(.)"/>
<xsl0:variable name="vListType" select="si(local-name(.)='itemizedListTag','il',si(local-name(.)='orderedListTag','ol',si(@tagName,@tagName,'sl')))"/>
<xsl0:variable name="vListTag" select="si(local-name(.)='itemizedListTag','ul',si(local-name(.)='orderedListTag','ol',si(@tagName,@tagName,'ul')))"/>
<xsl0:element name="{$vListTag}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="concat('_',$vListType)"/>
</xsl0:call-template>
<xsl:apply-templates mode="list{$vId}"/>
</xsl0:element>
</xsl0:template>

	
<xsl0:template match="sm:inlineStyleTag" mode="content">
<xsl:template match="sc:inlineStyle[@role='{@role}']" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_is'"/>
</xsl0:call-template>
<xsl0:if test="sm:textWrapper/@prefix">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_isp'"/>
</xsl0:call-template>
<xsl0:value-of select="sm:textWrapper/@prefix"/>
</span>
</xsl0:if>
<xsl:apply-templates mode="in"/>
<xsl0:if test="sm:textWrapper/@suffix">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_iss'"/>
</xsl0:call-template>
<xsl0:value-of select="sm:textWrapper/@suffix"/>
</span>
</xsl0:if>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="sm:textWrapper/@prefix"/>
<xsl:apply-templates mode="in"/>
<xsl0:value-of select="sm:textWrapper/@suffix"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:inlineStyleTag[sm:Widget]" mode="content">
<xsl:template match="sc:inlineStyle[@role='{@role}']" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_is'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>

	
<xsl0:template match="sm:phraseTag" mode="content">
<xsl:template match="sc:phrase[@role='{@role}']" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ph'"/>
</xsl0:call-template>
<xsl0:if test="sm:textWrapper/@prefix">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_php'"/>
</xsl0:call-template>
<xsl0:value-of select="sm:textWrapper/@prefix"/>
</span>
</xsl0:if>
<xsl:apply-templates mode="in"/>
<xsl0:if test="sm:textWrapper/@suffix">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_phs'"/>
</xsl0:call-template>
<xsl0:value-of select="sm:textWrapper/@suffix"/>
</span>
</xsl0:if>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="sm:textWrapper/@prefix"/>
<xsl:apply-templates mode="in"/>
<xsl0:value-of select="sm:textWrapper/@suffix"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:phraseTag[sm:Widget]" mode="content">
<xsl:template match="sc:phrase[@role='{@role}']" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ph'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:textLeafTag" mode="content">
<xsl:template match="sc:textLeaf[@role='{@role}']" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tl'"/>
</xsl0:call-template>
<xsl0:if test="sm:textWrapper/@prefix">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tlp'"/>
</xsl0:call-template>
<xsl0:value-of select="sm:textWrapper/@prefix"/>
</span>
</xsl0:if>
<xsl:apply-templates mode="in"/>
<xsl0:if test="sm:textWrapper/@suffix">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tls'"/>
</xsl0:call-template>
<xsl0:value-of select="sm:textWrapper/@suffix"/>
</span>
</xsl0:if>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="sm:textWrapper/@prefix"/>
<xsl:apply-templates mode="in"/>
<xsl0:value-of select="sm:textWrapper/@suffix"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:textLeafTag[sm:Widget]" mode="content">
<xsl:template match="sc:textLeaf[@role='{@role}']" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tl'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
 
	
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent('widget_{generate-id(.)}', .)" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:inlineImgTag" mode="content">
<xsl:template match="sc:inlineImg[@role='{@role}']" mode="in">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tim'"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<alternative alt="{{.}}"><xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></alternative>
</span>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:inlineImgTag[sm:Widget]" mode="content">
<xsl:template match="sc:inlineImg[@role='{@role}']" mode="in">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tim'"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates select="sm:Widget" mode="content"/>
</span>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:tableTag" mode="content">
<xsl0:variable name="vId" select="generate-id(.)"/>
<xsl:template match="sc:table{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="bk">
<xsl:variable name="vTableObj" select="java:eu.scenari.modeling.textprim.TableLayout.new(.)"/>
<table>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tb'"/>
</xsl0:call-template>
				
<xsl0:apply-templates select="sm:Widget" mode="content"/>
				
<xsl0:if test="sm:captionTag">
<xsl:if test="sc:caption">
<caption>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tbcp'"/>
</xsl0:call-template>
<xsl:apply-templates select="sc:caption/node()" mode="in"/>
</caption>
</xsl:if>
</xsl0:if>
<xsl:apply-templates select="sc:column" mode="table{$vId}"/>
<xsl:apply-templates select="sc:row" mode="table{$vId}"><xsl:with-param name="vTableObj" select="$vTableObj"/></xsl:apply-templates>
</table>
</xsl:template>

<xsl0:apply-templates select="sm:columnTag" mode="table"><xsl0:with-param name="vId" select="$vId"/></xsl0:apply-templates>
<xsl0:apply-templates select="sm:rowTag" mode="table"><xsl0:with-param name="vId" select="$vId"/></xsl0:apply-templates>
<xsl0:apply-templates select="sm:cellTag" mode="table"><xsl0:with-param name="vId" select="$vId"/></xsl0:apply-templates>
		
<xsl:template name="getColPrefCellTag{$vId}">
<xsl:param name="vColIdx"/>
<xsl:variable name="vColRole"><xsl:value-of select="ancestor::sc:table[1]/sc:column[$vColIdx+1]/@role"/></xsl:variable>
<xsl0:if test="sm:columnTag[@preferedCellTagName]">
<xsl:choose>
<xsl0:for-each select="sm:columnTag[@preferedCellTagName]">
<xsl:when test="$vColRole = '{@role}'"><xsl0:value-of select="@preferedCellTagName"/></xsl:when>
</xsl0:for-each>
</xsl:choose>
</xsl0:if>
</xsl:template>
</xsl0:template>

<xsl0:template match="sm:columnTag" mode="table">
<xsl0:param name="vId"/>
<xsl:template match="sc:column{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="table{$vId}">
<col>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tbcl'"/>
</xsl0:call-template>
<xsl:attribute name="width"><xsl:value-of select="{concat('round(@width * 5.89 *', si(../@targetFontSizeInPt, ../@targetFontSizeInPt, 10), ' div 10', si(@fixedMarginInPx, concat(' + ', @fixedMarginInPx)),')')}"/></xsl:attribute>
</col>
</xsl:template>
</xsl0:template>

<xsl0:template match="sm:rowTag" mode="table">
<xsl0:param name="vId"/>
<xsl:template match="sc:row{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="table{$vId}">
<xsl:param name="vTableObj"/>
<tr>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tbtr'"/>
</xsl0:call-template>
<xsl:apply-templates mode="table{$vId}" select="sc:cell">
<xsl0:if test="@preferedCellTagName"><xsl:with-param name="vRowPrefCellTag" select="'{@preferedCellTagName}'"/></xsl0:if>
<xsl:with-param name="vTableObj" select="$vTableObj"/>
</xsl:apply-templates>
</tr>
</xsl:template>
</xsl0:template>

<xsl0:template match="sm:cellTag" mode="table">
<xsl0:param name="vId"/>
<xsl:template match="sc:cell{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="table{$vId}">
<xsl:param name="vRowPrefCellTag"/>
<xsl:param name="vTableObj"/>
<xsl:variable name="vColPrefCellTag">
<xsl:call-template name="getColPrefCellTag{$vId}"><xsl:with-param name="vColIdx" select="java:getColumnIdx($vTableObj,.)"/></xsl:call-template>
</xsl:variable>
<xsl:variable name="vCellPrefCellTag"><xsl0:value-of select="@preferedCellTagName"/></xsl:variable>
<xsl:variable name="vPrefCellTag" select="returnFirst($vCellPrefCellTag,$vRowPrefCellTag,$vColPrefCellTag,'td')"/>
<xsl:variable name="vScope" select="returnFirst(@scope,si($vRowPrefCellTag='th','col',si($vColPrefCellTag='th','row','')))"/>
<xsl:element name="{{$vPrefCellTag}}">
<xsl:if test="@colSpan"><xsl:attribute name="colspan"><xsl:value-of select="@colSpan"/></xsl:attribute></xsl:if>
<xsl:if test="@rowSpan"><xsl:attribute name="rowspan"><xsl:value-of select="@rowSpan"/></xsl:attribute></xsl:if>
<xsl:if test="$vScope"><xsl:attribute name="scope"><xsl:value-of select="$vScope"/></xsl:attribute></xsl:if>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tbtd'"/>
<xsl0:with-param name="pXslAtt" select="'true'"/>
</xsl0:call-template>
<xsl:apply-templates mode="bk"/>
</xsl:element>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:extBlockTag" mode="content">
<xsl:template match="sc:extBlock{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="bk">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl0:if test="sm:captionBlockTag and not(sm:captionBlockTag/@position='bottom')">
<xsl0:call-template name="extBk_caption"/>
</xsl0:if>
<xsl0:apply-templates mode="content"/>
<xsl0:if test="sm:captionBlockTag/@position='bottom'">
<xsl0:call-template name="extBk_caption"/>
</xsl0:if>
</xsl0:when>
<xsl0:otherwise>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ex'"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="sm:captionBlockTag and not(sm:captionBlockTag/@position='bottom')">
<xsl0:call-template name="extBk_caption"/>
</xsl0:if>
<xsl0:apply-templates mode="content"/>
<xsl0:if test="sm:captionBlockTag/@position='bottom'">
<xsl0:call-template name="extBk_caption"/>
</xsl0:if>
</div>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template name="extBk_caption">
<xsl:if test="sc:captionBlock">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'"><xsl:apply-templates select="sc:captionBlock/node()" mode="in"/></xsl0:when>
<xsl0:otherwise>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_excp'"/>
</xsl0:call-template>
<xsl:apply-templates select="sc:captionBlock/node()" mode="in"/>
</div>
</xsl0:otherwise>
</xsl0:choose>
</xsl:if>
</xsl0:template>
	
	
<xsl0:template match="sm:callSubModel" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:emptyBlockTag" mode="content">
<xsl:template match="sc:emptyBlock{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="bk">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl0:apply-templates mode="content"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{returnFirst(@tagName,'div')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_eb'"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:blockTag" mode="content">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl0:apply-templates mode="content"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{returnFirst(@tagName,'div')}">
<xsl0:if test="@class"><xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute></xsl0:if>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:emptyLeafTag" mode="content">
<xsl:template match="sc:emptyLeaf{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="in">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl0:apply-templates mode="content"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{returnFirst(@tagName,'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_el'"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:leafTag" mode="content">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl0:apply-templates mode="content"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{returnFirst(@tagName,'span')}">
<xsl0:if test="@class"><xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute></xsl0:if>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:emptyLeafTag[sm:Widget]" mode="content">
<xsl:template match="sc:emptyLeaf{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName, @tagName, 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_el'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:fixedString" mode="content"><xsl0:value-of select="@value"/></xsl0:template>
	
	
<xsl0:template match="sm:objectLeafTag" mode="content">
<xsl:template match="sc:objectLeaf{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="in">
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="."/>
</xsl0:apply-templates>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:objectLeafTag[sm:Widget]" mode="content">
<xsl:template match="sc:objectLeaf{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName = 'auto', 'span', @tagName)}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tl'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="."/>
</xsl0:apply-templates>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:uLinkTag" mode="content">
<xsl:template match="sc:uLink{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="in">
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="."/>
</xsl0:apply-templates>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:uLinkTag[sm:Widget]" mode="content">
<xsl:template match="sc:uLink{si(@role, concat('[@role=&quot;', @role, '&quot;]'))}" mode="in">
<xsl0:choose>
<xsl0:when test="not(@tagName = 'none')">
<xsl0:element name="{si(@tagName = 'a', 'a', 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ul'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="."/>
</xsl0:apply-templates>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>

	
<xsl0:template match="sm:refItem | sm:externalUrl" mode="content">
<xsl0:param name="pRoot" select=".."/>
<xsl0:choose>
<xsl0:when test="$pRoot/@tagName = 'none'"><xsl0:apply-templates select="sm:label/*" mode="refItemLabel"/></xsl0:when>
<xsl0:when test="boolean(sm:tooltip)">
<xsl0:call-template name="refItemAddTooltip">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:when test="boolean(sm:link)">
<xsl0:call-template name="refItemAddLink">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{si($pRoot/@tagName = 'a', 'a', 'span')}">
<xsl0:if test="$pRoot/@tagName = 'a'"><xsl0:attribute name="href">#</xsl0:attribute></xsl0:if>
<xsl0:call-template name="refItemClassAtt">
<xsl0:with-param name="pNode" select="$pRoot"/>
<xsl0:with-param name="pSuffix" select="'_ul'"/>
<xsl0:with-param name="pExtraClasses" select="sm:label/@class"/>
</xsl0:call-template>
<xsl0:call-template name="refItemAddCo">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

<xsl0:template match="sm:choose" mode="content">
<xsl0:param name="pRoot" select=".."/>
<xsl:choose>
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:param name="pRoot"/>
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:apply-templates>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:when[sm:Widget]" mode="content">
<xsl0:param name="pRoot"/>
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:choose>
<xsl0:when test="not($pRoot/@tagName = 'none')">
<xsl0:element name="{si($pRoot/@tagName = 'a', 'a', 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pNode" select="$pRoot"/>
<xsl0:with-param name="pSuffix" select="'_ul'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="."/>
</xsl0:apply-templates>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl0:param name="pRoot"/>
<xsl:otherwise>
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:apply-templates>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:otherwise[sm:Widget]" mode="content">
<xsl0:param name="pRoot"/>
<xsl:otherwise>
<xsl0:choose>
<xsl0:when test="not($pRoot/@tagName = 'none')">
<xsl0:element name="{si($pRoot/@tagName = 'a', 'a', 'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pNode" select="$pRoot"/>
<xsl0:with-param name="pSuffix" select="'_ul'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content">
<xsl0:with-param name="pRoot" select="."/>
</xsl0:apply-templates>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template name="refItemAddCo">
<xsl0:param name="pRoot" select=".."/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="refItemLabel"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/*" mode="refItemLabel"/></span></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

<xsl0:template name="refItemAddLink">
<xsl0:param name="pRoot" select=".."/>
<a>
<xsl0:call-template name="refItemClassAtt">
<xsl0:with-param name="pNode" select="$pRoot"/>
<xsl0:with-param name="pSuffix" select="'_ul'"/>
<xsl0:with-param name="pExtraClasses" select="sm:label/@class"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:link" mode="refItemHrefTarget">
<xsl0:with-param name="vXslUrl">
<xsl0:choose>
<xsl0:when test="local-name(.) = 'externalUrl'"><xsl:value-of select="@url"/></xsl0:when>
<xsl0:otherwise>
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates mode="refItemHref" select="sm:link/*"/>
</xsl0:attribute>
</xsl:value-of>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:with-param>
</xsl0:apply-templates>
<xsl0:call-template name="refItemAddCo">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:call-template>
</a>
</xsl0:template>

<xsl0:template name="refItemAddTooltip">
<xsl0:param name="pRoot" select=".."/>
<xsl0:variable name="vOptions"><xsl0:call-template name="tooltipOptions"/></xsl0:variable>
<scTooltip>
<xsl0:attribute name="trigger"><xsl0:value-of select="si(sm:tooltip/sm:behavior/@trigger and count(sm:link) = 0, sm:tooltip/sm:behavior/@trigger, 'onmouseover')"/></xsl0:attribute>
<xsl0:choose>
<xsl0:when test="$vLegacyClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat($vPrefixClass,'_tt',si($pRoot/@role, concat('_', $pRoot/@role)),si(substring-after($pRoot/@widgetClass,' '),concat(' ',substring-after($pRoot/@widgetClass,' ')),''),si(sm:tooltip/@widgetClass,concat(' ',sm:tooltip/@widgetClass)))"/></xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="class"><xsl0:value-of select="concat($pRoot/@widgetClass,si(sm:tooltip/@widgetClass,concat(' ',sm:tooltip/@widgetClass)))"/></xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:attribute name="classRoot"><xsl0:value-of select="sm:tooltip/@class"/></xsl0:attribute>
<xsl0:attribute name="options"><xsl0:value-of select="si(string-length($vOptions)&gt;0, substring($vOptions,0,string-length($vOptions)), '')"/></xsl0:attribute>
<xsl0:if test="sm:tooltip/sm:basket">
<xsl0:attribute name="basketKey"><xsl0:value-of select="sm:tooltip/sm:basket/@key"/></xsl0:attribute>
<xsl0:attribute name="render"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@render,'asTooltip')"/></xsl0:attribute>
<xsl0:attribute name="basketLnk"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@addLinkToBasket,'yes')"/></xsl0:attribute>
<xsl:attribute name="itemKey"><xsl0:value-of select="sm:tooltip/sm:basket/@itemKey"/><xsl:value-of select="alphaHash(si(@sc:refUri, getIdFromPath(@sc:refUri), @url))"/></xsl:attribute>
</xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttTitle"><scTooltipTitle><xsl0:apply-templates select="sm:tooltip/sm:ttTitle/*" mode="refItemLabel"><xsl0:with-param name="pRoot" select="$pRoot"/></xsl0:apply-templates></scTooltipTitle></xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttContent"><scTooltipContent><xsl0:apply-templates select="sm:tooltip/sm:ttContent/*" mode="refItemLabel"><xsl0:with-param name="pRoot" select="$pRoot"/></xsl0:apply-templates></scTooltipContent></xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:link) = 0">
<xsl0:element name="{si($pRoot/@tagName = 'a', 'a', 'span')}">
<xsl0:if test="$pRoot/@tagName = 'a'"><xsl0:attribute name="href">#</xsl0:attribute></xsl0:if>
<xsl0:call-template name="refItemClassAtt">
<xsl0:with-param name="pNode" select="$pRoot"/>
<xsl0:with-param name="pSuffix" select="'_ul'"/>
<xsl0:with-param name="pExtraClasses" select="sm:label/@class"/>
</xsl0:call-template>
<xsl0:call-template name="refItemAddCo">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="refItemAddLink">
<xsl0:with-param name="pRoot" select="$pRoot"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</scTooltip>
</xsl0:template>
<xsl0:template match="sm:ttCloseButton" mode="refItemLabel">
<xsl0:param name="pRoot"/>
<a href="#" onclick="return scTooltipMgr.hideTooltip(true);">
<xsl0:choose>
<xsl0:when test="$vLegacyClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat($vPrefixClass,'_tt',si($pRoot/@role, concat('_', $pRoot/@role)),'_x',si(substring-after($pRoot/@widgetClass,' '),concat(' ',substring-after($pRoot/@widgetClass,' '),'_x'),''))"/></xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="concat($pRoot/@widgetClass,si(../../@widgetClass,concat(' ',../../@widgetClass)))"/>
<xsl0:with-param name="pSuffix" select="'_x'"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:if test="@title"><xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute></xsl0:if>
<span><xsl0:value-of select="si(@caption, @caption, '&#160;')"/></span></a>
</xsl0:template>
	
<xsl0:template name="refItemClassAtt">
<xsl0:param name="pNode" select=".."/>
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:choose>
<xsl0:when test="$vLegacyClasses and $pNode/@widgetClass">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(substring-before($pNode/@widgetClass,' '),concat($pSuffix,si($pNode/@role,concat('_',$pNode/@role)))),' ',addSuffixOnWords(substring-after($pNode/@widgetClass,' '),'_a'),si($pExtraClasses,concat(' ',$pExtraClasses)))"/></xsl0:attribute>
</xsl0:when>
<xsl0:when test="$vLegacyClasses">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pNode" select="$pNode"/>
<xsl0:with-param name="pSuffix" select="$pSuffix"/>
<xsl0:with-param name="pExtraClasses" select="$pExtraClasses"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:if test="$pNode/@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords($pNode/@widgetClass,$pSuffix),si($pNode/@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="*" mode="refItemHrefTarget">
<xsl0:param name="vXslUrl"/>
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="@target='subWindow'">
<xsl0:attribute name="target">_blank</xsl0:attribute>
<xsl:attribute name="href"><xsl0:choose><xsl0:when test="sm:behavior/@addLinkInHref='yes'"><xsl0:copy-of select="$vXslUrl"/></xsl0:when><xsl0:otherwise>#</xsl0:otherwise></xsl0:choose></xsl:attribute>
<xsl:attribute name="{returnFirst(sm:behavior/@trigger,'onclick')}">scDynUiMgr.displaySubWindow(this,&quot;<xsl0:copy-of select="$vXslUrl"/>&quot;,&quot;<xsl0:value-of select="si(@windowName, @windowName, 'subWindow')"/>&quot;<xsl0:if test="string-length($vOptions)&gt;0">,{<xsl0:value-of select="substring($vOptions,0,string-length($vOptions))"/>}</xsl0:if>);return false;</xsl:attribute>
<xsl0:if test="sm:behavior/@trigger='ondblclick'"><xsl:attribute name="onclick">return false;</xsl:attribute></xsl0:if>
</xsl0:when>
<xsl0:when test="boolean($vOptions) or sm:behavior">
<xsl0:if test="sm:behavior/@trigger='ondblclick'"><xsl0:attribute name="onclick">return false;</xsl0:attribute></xsl0:if>
<xsl0:if test="sm:behavior/@addLinkInHref='yes'">
<xsl0:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl0:if>
<xsl:attribute name="href"><xsl0:choose><xsl0:when test="sm:behavior/@addLinkInHref='yes'"><xsl0:copy-of select="$vXslUrl"/></xsl0:when><xsl0:otherwise>#</xsl0:otherwise></xsl0:choose></xsl:attribute>
<xsl:attribute name="{returnFirst(sm:behavior/@trigger,'onclick')}">window.open(&quot;<xsl0:copy-of select="$vXslUrl"/>&quot;,<xsl0:choose>
<xsl0:when test="@target='newWindow'">&quot;_blank&quot;</xsl0:when>
<xsl0:when test="@target='sameWindow'">&quot;_self&quot;</xsl0:when>
<xsl0:when test="@target='parentWindow'">&quot;_parent&quot;</xsl0:when>
<xsl0:when test="@target='topWindow'">&quot;_top&quot;</xsl0:when>
<xsl0:when test="@target='namedWindow'">&quot;<xsl0:value-of select="si(@windowName, @windowName, '_blank')"/>&quot;</xsl0:when>
<xsl0:otherwise>&quot;_self&quot;</xsl0:otherwise>
</xsl0:choose>,&quot;<xsl0:value-of select="substring($vOptions,0,string-length($vOptions))"/>&quot;);return false;</xsl:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl:attribute>
<xsl:attribute name="href"><xsl0:copy-of select="$vXslUrl"/></xsl:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:textLink" mode="refItemLabel"><xsl:apply-templates mode="in"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="refItemLabel"><xsl0:value-of select="@value"/></xsl0:template>
<xsl0:template match="sm:callSubModel" mode="refItemLabel"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:subModelTitle" mode="refItemLabel"><xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}/{si(@format, @format, 'fullTitleText')}'))"/><xsl0:value-of select="@suffix"/></xsl0:template>
<xsl0:template match="sm:urlText" mode="refItemLabel">
<xsl0:choose>
<xsl0:when test="@cropTo"><xsl:value-of select="si(string-length(@url)>{@cropTo},concat(substring(@url,1,{@cropTo}),'…'),@url)"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="@url"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="refItemLabel"><xsl0:apply-templates mode="refItemLabel"/></xsl0:template>
<xsl0:template match="sm:freeSelect" mode="refItemLabel"><xsl:value-of select="{@xpath}"/></xsl0:template>
<xsl0:template match="sm:freeXslFragment" mode="refItemLabel"><xsl0:copy-of select="parseXml(concat('&lt;root&gt;',.,'&lt;/root&gt;'))/*/*"/></xsl0:template>
<xsl0:template match="node()" mode="refItemLabel"/>
	
<xsl0:template match="sm:callSubModel" mode="refItemHref">resultatDialogue(concat('<xsl0:if test="not(@navCtx='preserveCurrent')">/</xsl0:if>@', getIdFromPath(@sc:refUri), '<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:template>
<xsl0:template match="sm:lookForExistingSubModelPage[sm:ifNoPage]" mode="refItemHref">returnFirst(<xsl0:call-template name="lookForExistingSubModelPage"/>, <xsl0:apply-templates mode="refItemHref" select="sm:ifNoPage/*"/>)</xsl0:template>
<xsl0:template match="sm:ifNoPage/sm:lookForExistingSubModelPage[sm:ifNoPage]" mode="refItemHref"><xsl0:call-template name="lookForExistingSubModelPage"/>, <xsl0:apply-templates mode="refItemHref" select="sm:ifNoPage/*"/></xsl0:template>
<xsl0:template match="sm:lookForExistingSubModelPage" mode="refItemHref"><xsl0:call-template name="lookForExistingSubModelPage"/></xsl0:template>
<xsl0:template name="lookForExistingSubModelPage">resultatAgent('//', concat('lookFor:dir=ancestor&amp;codeAgentPrinc=', escapeQueryString(getIdFromPath(@sc:refUri)), '<xsl0:value-of select="getAxisSuffix(@axis)"/>', '&amp;computeResultWithArguments=act:'))</xsl0:template>
<xsl0:template match="node()" mode="refItemHref"/>
	
	
<xsl0:template match="sm:noteTag" mode="content">
<xsl:template match="sc:note" mode="in">
<scTooltip trigger="onclick">
<xsl0:choose>
<xsl0:when test="$vLegacyClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat($vPrefixClass,'note')"/></xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:attribute name="classRoot"></xsl0:attribute>
<xsl0:attribute name="options"><xsl0:if test="not(sm:basket/@render = 'inBasket')">STATIC:true,STICKY:true,TEMP:20000</xsl0:if></xsl0:attribute>
<xsl0:if test="sm:basket">
<xsl0:attribute name="basketKey"><xsl0:value-of select="sm:basket/@key"/></xsl0:attribute>
<xsl0:attribute name="render"><xsl0:value-of select="returnFirst(sm:basket/@render,'asTooltip')"/></xsl0:attribute>
<xsl0:attribute name="basketLnk"><xsl0:value-of select="returnFirst(sm:basket/@addLinkToBasket,'yes')"/></xsl0:attribute>
<xsl:attribute name="itemKey"><xsl0:value-of select="sm:basket/@itemKey"/><xsl:value-of select="alphaHash(getIdNode(.))"/></xsl:attribute>
</xsl0:if>
<scTooltipContent><xsl:apply-templates/></scTooltipContent>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_note_ptr'"/>
</xsl0:call-template>
<span><xsl0:value-of select="returnFirst(@textPointer,'*')"/></span>
</span>
</scTooltip>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="node()" mode="content"/>
	
	
<xsl0:template name="crossRefEntries">
<xsl0:param name="pNode" select="."/>	
<xsl0:if test="$pNode/@crossRefEntries">
<crossRef>
<xsl:variable name="vValue" select="getIdFromPath(@sc:refUri)"/>
<xsl0:for-each select="xalan:tokenize($pNode/@crossRefEntries, ' ')">
<entry keyRef="{.}" value="{{$vValue}}"/>
</xsl0:for-each>
</crossRef>
</xsl0:if>
</xsl0:template>
	
	
<xsl0:template name="commonTpl">
			
		
<xsl:template match="*">
<xsl:choose>
<xsl:when test="$vArguments">
<xsl:variable name="vTagName" select="local-name($vArguments)"/>
<xsl:choose>
<xsl:when test="$vTagName='para' or $vTagName='simpleList' or $vTagName='itemizedList' or $vTagName='orderedList' or $vTagName='table' or $vTagName='extBlock' or $vTagName='emptyBlock'">
<xsl:apply-templates mode="bk" select="$vArguments/node()"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="in" select="$vArguments/node()"/>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="bk" select="*"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="*" mode="bk"/>
<xsl:template match="text()" mode="bk"/>
<xsl:template match="*" mode="in"/>
<xsl:template match="text()" mode="in">
<xsl:copy-of select="."/>
</xsl:template>

</xsl0:template>
</xsl0:stylesheet>
