<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:variable name="prfMigrFrom">migrFrom_</xsl:variable>
<xsl:variable name="prfMigrTo">migrTo_</xsl:variable>
<xsl:variable name="prfUpdtTo">updtTo_</xsl:variable>
	
<xsl:template match="sm:wspDefinition">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:extDefinition">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:migration">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:update">
<xsl:variable name="model.keyWsp" select="resultatAgent('/@@/keyPrimary')"/>
<xsl:variable name="model.version.major" select="number(/*/@majorVersion)"/>
<xsl:variable name="model.version.medium" select="number(/*/@mediumVersion)"/>
<xsl:variable name="model.version.minor" select="number(/*/@minorVersion)"/>
		
		
<xsl:variable name="current.idSystem">4.0</xsl:variable>
	
<xsl:variable name="from.idSystem" select="returnFirst(sm:from/@scenariVersion, '4.0')"/>
<xsl:variable name="from.keyWsp">
<xsl:choose>
<xsl:when test="sm:from/@key='#currentKeyWsp'"><xsl:value-of select="$model.keyWsp"/></xsl:when>
<xsl:otherwise><xsl:value-of select="sm:from/@key"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="from.version.major" select="number(sm:from/@majorVersion)"/>
<xsl:variable name="from.version.medium" select="number(sm:from/@mediumVersion)"/>
<xsl:variable name="from.version.minor" select="number(sm:from/@minorVersion)"/>
<xsl:variable name="from.key.full">
<xsl:choose>
<xsl:when test="$from.idSystem='3.6'"><xsl:value-of select="$from.keyWsp"/>-<xsl:value-of select="$from.version.major"/>.<xsl:value-of select="$from.version.medium"/></xsl:when>
<xsl:when test="$from.idSystem='3.7'"><xsl:value-of select="$from.keyWsp"/>-<xsl:value-of select="$from.version.major"/>_<xsl:value-of select="$from.version.medium"/></xsl:when>
<xsl:otherwise><xsl:value-of select="$from.keyWsp"/><xsl:value-of select="$from.version.major"/>-<xsl:value-of select="$from.version.medium"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
		
<xsl:variable name="to.idSystem" select="returnFirst(sm:to/@scenariVersion, '4.0')"/>
<xsl:variable name="to.keyWsp">
<xsl:choose>
<xsl:when test="sm:to/@key='#currentKeyWsp'"><xsl:value-of select="$model.keyWsp"/></xsl:when>
<xsl:otherwise><xsl:value-of select="sm:to/@key"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="to.version.major" select="number(sm:to/@majorVersion)"/>
<xsl:variable name="to.version.medium" select="number(sm:to/@mediumVersion)"/>
<xsl:variable name="to.version.minor" select="number(sm:to/@minorVersion)"/>
<xsl:variable name="to.key.full">
<xsl:choose>
<xsl:when test="$to.idSystem='3.6'"><xsl:value-of select="$to.keyWsp"/>-<xsl:value-of select="$to.version.major"/>.<xsl:value-of select="$to.version.medium"/></xsl:when>
<xsl:when test="$to.idSystem='3.7'"><xsl:value-of select="$to.keyWsp"/>-<xsl:value-of select="$to.version.major"/>_<xsl:value-of select="$to.version.medium"/></xsl:when>
<xsl:otherwise><xsl:value-of select="$to.keyWsp"/><xsl:value-of select="$to.version.major"/>-<xsl:value-of select="$to.version.medium"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
		
<xsl:choose>
			
<xsl:when test="$from.keyWsp=$model.keyWsp and $to.keyWsp=$model.keyWsp 
							and $from.version.major=$model.version.major and $to.version.major=$model.version.major 
							and $from.version.medium=$model.version.medium and $to.version.medium=$model.version.medium 
							and $from.idSystem=$current.idSystem and $to.idSystem=$current.idSystem">
<xsl:value-of select="si(@sc:refUri,
								resultatAgent('//', 
								concat('resUri:src=wsp:', 
										@sc:refUri,
										';overidedst=',
										$prfUpdtTo,$to.version.major,'.',$to.version.medium,'.',$to.version.minor
										)))"/>
</xsl:when>
			
<xsl:when test="$from.keyWsp=$to.keyWsp
                                        and $from.version.major=$to.version.major
                                        and $from.version.medium=$to.version.medium
                                        and $from.idSystem=$to.idSystem">
<xsl:value-of select="si(@sc:refUri,
                                resultatAgent('//', 
                                concat('resUri:src=wsp:', 
                                        @sc:refUri,
                                        ';overidedst=',
                                        $prfMigrFrom, $from.key.full,'/',
                                        $prfUpdtTo,$to.version.major,'.',$to.version.medium,'.',$to.version.minor
                                        )))"/>
</xsl:when>
			
<xsl:otherwise>
				
<xsl:value-of select="si(@sc:refUri,
								resultatAgent('//', 
								concat('resUri:src=wsp:', 
										@sc:refUri,
										';overidedst=',
										$prfMigrFrom, $from.key.full,'/',
										$prfMigrTo, $to.key.full, '_',$to.version.major,'.',$to.version.medium,'.',$to.version.minor
										)))"/>
</xsl:otherwise>
</xsl:choose>		
</xsl:template>
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>