<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        xmlns:java="http://xml.apache.org/xslt/java" 
        exclude-result-prefixes="sm" 
        version="1.0">
<xsl:output method="text" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
    
<xsl:template match="/*">
<xsl:apply-overlays/>
// # Overlay wspDesk
extPoints.addToList("xmlOverlay:wspDesk.xul", "initMatrix", <xsl:value-of select="resultatAgent('/@@/levelAutority')"/>, "<xsl:value-of select="resultatAgent('//wspDesk.overlay.xul', 'act:')"/>", <xsl:value-of select="si(local-name(.)!='wspDefinition',0,-10)"/>);
<xsl:if test="sm:collaboration/sm:lifeCycle or sm:collaboration/sm:publicTasks">
// # LifeCycle
src.appendShortDescFields(extPoints, ["lcSt"]);
src.appendLongDescFields(extPoints, ["lcDt", "lcBy"]);
</xsl:if>
<xsl:if test="sm:publicClasses//sm:responsibility">
// # Items Responsibilities
var vCollabColumns = {}
Components.utils.import("chrome://scenariCollab/content/defaultColumnsCollab.jsm", vCollabColumns);
src.appendLongDescFields(extPoints, ["rspUsrs"]);<xsl:text/>
<xsl:value-of select="execute(initBuffer('respOnItems', java:java.util.HashSet.new()))"/>
<xsl:for-each select="sm:publicClasses//sm:responsibility">
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/declareRespSrcInExtPoints'))"/>
</xsl:for-each>
<xsl:value-of select="execute(initBuffer('respOnItems'))"/>
</xsl:if>
<xsl:if test="sm:collaboration/sm:publicTasks">
// # Tasks Responsibilities
<xsl:if test="not(sm:publicClasses//sm:responsibility)">var vCollabColumns = {}
Components.utils.import("chrome://scenariCollab/content/defaultColumnsCollab.jsm", vCollabColumns);</xsl:if>
<xsl:value-of select="execute(initBuffer('respOnTasks', java:java.util.HashSet.new()))"/>
<xsl:for-each select="sm:collaboration/sm:publicTasks/sm:task">
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/declareRespTaskInExtPoints'))"/>
</xsl:for-each>
<xsl:value-of select="execute(initBuffer('respOnTasks'))"/>
</xsl:if>
</xsl:template>
</xsl:stylesheet>

