<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:java="http://xml.apache.org/xslt/java"
		xmlns:so="scenari.eu:xmlOverlay:1.0" 
		exclude-result-prefixes="sm sc java"
		version="1.0">
<xsl:output method="xml" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:template match="/*">
<xsl:variable name="vAppNamePrefix" select="si(local-name(.)!='wspDefinition', concat(resultatAgent('//nameWsp'), ' - '))"/>
<so:overlay xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
<xsl:apply-overlays/>
			
<xsl:variable name="wspUi.welcomeSite.refUri" select="getGeneratorProperty('wspUi.welcomeSite.refUri')"/>
<xsl:if test="$wspUi.welcomeSite.refUri">
<xsl:variable name="wspUi.welcomeSite.mainFile" select="getGeneratorProperty('wspUi.welcomeSite.mainFile')"/>
<so:insertElements fromId="contentsSlot">
<box id="welcome@{resultatAgent('//key')}" 
						 fixedUrlViewController="welcome@fixedUrlViewController" 
						 label="{resultatAgent('//nameWsp')} - ￼?uri=sc:sm:;accueil￼" 
						 iconUrl=""
						 actionGroup="wsp{resultatAgent('//key')}"
						 url="{concat('chrome://', resultatAgent('@@/chromeCode'),'/content/_wspUi/view/wsp/welcome/', $wspUi.welcomeSite.mainFile)}" 
						 locked="true" 
						 closable="true" 
						 storedDataCapability="true" attsToStore="closed,locked"
						 style="-moz-binding: url(chrome://scenariCore/content/views/fixedUrlView/fixedUrlView.xbl.xml#fixedUrlView);"/>
</so:insertElements> 
<xsl:value-of select="execute(resultatAgent('//', 
													concat('resUri:src=wsp:', $wspUi.welcomeSite.refUri,
													';overidedst=content/_wspUi/view/wsp/welcome'
													)))"/>
</xsl:if>
			
			
<xsl:variable name="wspUi.webSite.url" select="getGeneratorProperty('wspUi.webSite.url')"/>
<xsl:if test="$wspUi.webSite.url">
<so:insertElements fromId="contentsSlot">
<box id="web@{resultatAgent('//key')}" 
						 fixedUrlViewController="web@fixedUrlViewController" 
						 label="{resultatAgent('//nameWsp')} - ￼?uri=sc:sm:;site web￼"
						 iconUrl=""
						 actionGroup="wsp{resultatAgent('//key')}"
						 url="{$wspUi.webSite.url}" 
						 closed="true" 
						 closable="true" 
						 storedDataCapability="true" attsToStore="closed,locked"
						 style="-moz-binding: url(chrome://scenariCore/content/views/fixedUrlView/fixedUrlView.xbl.xml#fixedUrlView);"/>
</so:insertElements> 
</xsl:if>
			
			
<xsl:variable name="wspUi.helpSite.refUri" select="getGeneratorProperty('wspUi.helpSite.refUri')"/>
<xsl:if test="$wspUi.helpSite.refUri">
<xsl:variable name="wspUi.helpSite.mainFile" select="getGeneratorProperty('wspUi.helpSite.mainFile')"/>
<so:insertElements fromId="contentsSlot">
<box id="help@{resultatAgent('//key')}" 
						 fixedUrlViewController="help@fixedUrlViewController" 
						 label="{resultatAgent('//nameWsp')} - ￼?uri=sc:sm:;aide￼"
						 iconUrl=""
						 actionGroup="wsp{resultatAgent('//key')}"
						 url="{concat('chrome://', resultatAgent('@@/chromeCode'),'/content/_wspUi/view/wsp/help/', $wspUi.helpSite.mainFile)}" 
						 closed="true" 
						 closable="true"
						 storedDataCapability="true" attsToStore="closed,locked"
						 style="-moz-binding: url(chrome://scenariCore/content/views/fixedUrlView/fixedUrlView.xbl.xml#fixedUrlView);"/>
</so:insertElements> 
<xsl:value-of select="execute(resultatAgent('//', 
													concat('resUri:src=wsp:', $wspUi.helpSite.refUri,
													';overidedst=content/_wspUi/view/wsp/help'
													)))"/>
</xsl:if>
</so:overlay>
</xsl:template>
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>