<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:scod="scenari.eu:openDocumentExtension:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xalan xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTransformer')"/>
	
	
<xsl0:variable name="vIsInline" select="si(codeAgent('.')='contentFile.inline', 'true', 'false')"/>
	
<xsl0:template match="/* | sm:odContentZone">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:variable name="idRootAgt" select="getIdNode(.)"/>
		
<xsl0:choose>
<xsl0:when test="name()='sm:odContentZone'">
<xsl:template match="*" priority="1">
<xsl0:apply-templates select="*"/>
</xsl:template>
</xsl0:when>
<xsl0:otherwise>
<xsl:template match="/*">
<xsl0:apply-templates select="sm:content/*"/>
</xsl:template>
</xsl0:otherwise>
</xsl0:choose>
		
<xsl:template match="*"/>
</xsl0:template>
				
	
<xsl0:template match="sm:Widget">
<xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()))" disable-output-escaping="yes"/>
</xsl0:template>
		

<xsl0:template match="sm:WObject" priority="2">
<xsl0:variable name="vWidgetId" select="concat('elt_', generate-id())"/>
		
		
<xsl:variable name="vInfosRes" select="resultatAgent('//{$vWidgetId}/genResSize')"/>
<xsl:variable name="vWidth" select="substring-before(substring-after($vInfosRes, 'w='), ';')"/>
<xsl:variable name="vHeight" select="substring-before(substring-after($vInfosRes, 'h='), ';')"/>
<xsl:variable name="vExistRes" select="java:getContentStatus(java:findNodeChild(srcFileAgent(), java:getSrcName(srcFileAgent())))='1'"/>
		
<xsl:variable name="vResourceType" select="si(resultatAgent('//{$vWidgetId}/isVectorImg'), 'file', 'zip')"/>
<xsl:variable name="vOdInsertTag" select="si(resultatAgent('//{$vWidgetId}/isVectorImg'), 'draw:image', 'draw:object')"/>

<xsl:comment>
			### OBJECT ###
			infores : <xsl:copy-of select="$vInfosRes"/>
</xsl:comment>
		
<xsl:choose>
<xsl:when test="$vExistRes">
<xsl0:choose>
<xsl0:when test="$vIsInline='true'">
<xsl0:call-template name="sm:WObject_inline">
<xsl0:with-param name="pResOd">
<xsl:element name="{{$vOdInsertTag}}">
<xsl:attribute name="scod:src"><xsl:value-of select="concat('dest:', resultatAgent('//{$vWidgetId}/genResUri'))"/></xsl:attribute>
<xsl:attribute name="scod:removeSettings"><xsl:value-of select="si(resultatAgent('//{$vWidgetId}/targetMime')='application/vnd.oasis.opendocument.graphics', 'true', 'false')"/></xsl:attribute>
<xsl:attribute name="xlink:type">simple</xsl:attribute>
<xsl:attribute name="xlink:show">embed</xsl:attribute>
<xsl:attribute name="xlink:actuate">onLoad</xsl:attribute>
</xsl:element>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="sm:WObject">
<xsl0:with-param name="pResOd">
<xsl:element name="{{$vOdInsertTag}}">
<xsl:attribute name="scod:src"><xsl:value-of select="concat('dest:', resultatAgent('//{$vWidgetId}/genResUri'))"/></xsl:attribute>
<xsl:attribute name="scod:removeSettings"><xsl:value-of select="si(resultatAgent('//{$vWidgetId}/targetMime')='application/vnd.oasis.opendocument.graphics', 'true', 'false')"/></xsl:attribute>
<xsl:attribute name="xlink:type">simple</xsl:attribute>
<xsl:attribute name="xlink:show">embed</xsl:attribute>
<xsl:attribute name="xlink:actuate">onLoad</xsl:attribute>
</xsl:element>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</xsl:when>
<xsl:otherwise>
<scodPp:error type="error" phase="generation" text="Ressource manquante">La ressource '<xsl:value-of select="resultatAgent('//{$vWidgetId}/UriResSource')"/>' est introuvable.</scodPp:error>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>


<xsl0:template match="sm:WImage" priority="2">
<xsl0:variable name="vWidgetId" select="concat('elt_', generate-id())"/>
		
		
<xsl:variable name="vInfosRes" select="resultatAgent('//{$vWidgetId}/genResSize')"/>
<xsl:variable name="vWidth" select="substring-before(substring-after($vInfosRes, 'w='), ';')"/>
<xsl:variable name="vHeight" select="substring-before(substring-after($vInfosRes, 'h='), ';')"/>
<xsl:variable name="vExistRes" select="java:getContentStatus(java:findNodeChild(srcFileAgent(), java:getSrcName(srcFileAgent())))='1'"/>
		
<xsl:comment>
			### IMAGE ###
			infores : <xsl:copy-of select="$vInfosRes"/>
</xsl:comment>
		
<xsl:choose>
<xsl:when test="$vExistRes">
<xsl0:choose>
<xsl0:when test="$vIsInline='true'">
<xsl0:call-template name="sm:WObject_inline">
<xsl0:with-param name="pResOd">
<draw:image>
<xsl:attribute name="scod:src"><xsl:value-of select="concat('dest:', resultatAgent('//{$vWidgetId}/genResUri'))"/></xsl:attribute>
<xsl:attribute name="xlink:type">simple</xsl:attribute>
<xsl:attribute name="xlink:show">embed</xsl:attribute>
<xsl:attribute name="xlink:actuate">onLoad</xsl:attribute>
</draw:image>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="sm:WObject">
<xsl0:with-param name="pResOd">
<draw:image>
<xsl:attribute name="scod:src"><xsl:value-of select="concat('dest:', resultatAgent('//{$vWidgetId}/genResUri'))"/></xsl:attribute>
<xsl:attribute name="xlink:type">simple</xsl:attribute>
<xsl:attribute name="xlink:show">embed</xsl:attribute>
<xsl:attribute name="xlink:actuate">onLoad</xsl:attribute>
</draw:image>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</xsl:when>
<xsl:otherwise>
<scodPp:error type="error" phase="generation" text="Image manquante">La ressource '<xsl:value-of select="resultatAgent('//{$vWidgetId}/UriResSource')"/>' est introuvable.</scodPp:error>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
		

<xsl0:template match="sm:title" name="sm:title">
<xsl:choose>
<xsl0:for-each select="*">
<xsl0:variable name="vTitleType" select="si(@format and @format='shortTitleText', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="name()='sm:binaryTitle'">
<xsl:when test="string-length(normalize-space(resultatAgent(concat('@', $idRootAgt, '{getAxisSuffix(@axis)}', '/{$vTitleType}'))))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat('@', $idRootAgt, '{getAxisSuffix(@axis)}', '/{$vTitleType}'))" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:fixedTitle'">
<xsl:when test="boolean('true')"><xsl0:value-of select="@value"/></xsl:when>
</xsl0:when>
</xsl0:choose>
</xsl0:for-each>
<xsl:when test="boolean('true')"></xsl:when>
</xsl:choose>
</xsl0:template>
	

<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}"><xsl0:apply-templates select="*"/></xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template match="sm:callBinaryMeta">
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta{getAxisSuffix(@axis)}/getContent'))" disable-output-escaping="yes"/>
</xsl0:template>
	
<xsl0:template match="sm:binaryFileName">
        
<xsl0:choose>
<xsl0:when test="@format='trimExtension'">
<xsl:value-of select="substring-before(java:getSrcName(srcFileAgent()), '.')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:value-of select="java:getSrcName(srcFileAgent())"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="*"/>
</xsl0:stylesheet>
