<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sfile="http://www.utc.fr/ics/scenari/v3/file"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan" 
	exclude-result-prefixes="sm">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
<xsl0:include href="bs:widgets.xsl.xsl"/>

<xsl0:template match="sm:binaryXhtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" racine="/sfile:{resultatAgent($vAgentModel/localNameDescXml)}"
			codecomposant="{si(sm:axis/@code, concat(&quot;concat(getIdNode(.), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(.)')}" version="1.0">
			
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta')</source>
</valeur>
<xsl0:if test="count(sm:fullTitleText)=0">
					
					
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
</xsl0:if>
<xsl0:if test="count(sm:shortTitleText)=0">
					
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>
</xsl0:if>
</xsl0:if>

			
<valeur code="props">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:template match="*">
<xsl0:variable name="vBinaryType" select="local-name(computeNodeAgent($vAgentModel/source))"/>
<props>
<file source="{{java:getSrcUri(srcFileAgent())}}">
<xsl0:if test="sm:navigation/sm:binaryUrl">
<xsl0:variable name="vOutType"><xsl0:apply-templates mode="outType" select="sm:navigation/sm:binaryUrl/*/*"/></xsl0:variable>
<xsl0:attribute name="outType"><xsl0:value-of select="substring-after($vOutType,'outType=')"/></xsl0:attribute>
<xsl:variable name="vTransform">
<xsl0:attribute name="select">'<xsl0:for-each select="sm:navigation/sm:binaryUrl"><xsl0:call-template name="getTransformForUrl"/></xsl0:for-each>'</xsl0:attribute>
</xsl:variable>
<xsl:attribute name="transform"><xsl:value-of select="$vTransform"/></xsl:attribute>
<xsl:variable name="vDimTransform">
<xsl0:attribute name="select">'<xsl0:apply-templates mode="getTransformForSize" select="sm:navigation/sm:binaryUrl"><xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/></xsl0:apply-templates>'</xsl0:attribute>
</xsl:variable>
<xsl:attribute name="dimTransform"><xsl:value-of select="$vDimTransform"/></xsl:attribute>
</xsl0:if>
</file>
<xsl0:choose>
<xsl0:when test="$vBinaryType='imagePrim'">
<xsl:variable name="vNativeDims" select="xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', 'transform=img2img&amp;outType=DIMS&amp;outRules=', &quot;Str(pattern'!wpx_!hpx')&quot;)), '_')"/>
<image nativeWidth="{{round($vNativeDims[1])}}" nativeHeight="{{round($vNativeDims[2])}}">
<xsl0:if test="sm:navigation/sm:binaryUrl">
<xsl:variable name="vTransformedDims">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', '<xsl0:apply-templates mode="getTransformForSize" select="sm:navigation/sm:binaryUrl"><xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/></xsl0:apply-templates>', "outRules=Str(pattern'!wpx_!hpx')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:attribute name="transformedWidth"><xsl:value-of select="round($vTransformedDims[1])"/></xsl:attribute>
<xsl:attribute name="transformedHeight"><xsl:value-of select="round($vTransformedDims[2])"/></xsl:attribute>
<xsl0:if test="sm:navigation/sm:binaryUrl/sm:imageTransformForPrint">
<xsl:variable name="vCmDims">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', '<xsl0:apply-templates mode="getTransformForSize" select="sm:navigation/sm:binaryUrl"><xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/></xsl0:apply-templates>', "outRules=Str(pattern'!wcm_!hcm')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:attribute name="cmWidth"><xsl:value-of select="$vCmDims[1]"/></xsl:attribute>
<xsl:attribute name="cmHeight"><xsl:value-of select="$vCmDims[2]"/></xsl:attribute>
</xsl0:if>
</xsl0:if>
</image>
</xsl0:when>
</xsl0:choose>
</props>
</xsl:template>
</xsl:stylesheet>
</source>
<resultat cache="*"/>
</valeur>

<xsl0:apply-templates/>
</structure>
</xsl0:template>

		
<xsl0:template match="sm:fullTitleText|sm:shortTitleText">
<valeur code="{local-name()}">
<source type="xpathOnSrc-dynamique">concat(<xsl0:apply-templates mode="bsTitle"><xsl0:with-param name="pView" select="local-name()"/></xsl0:apply-templates>'')</source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:returnFirst" mode="bsTitle"><xsl0:param name="pView"/>returnFirst(<xsl0:apply-templates mode="bsTitle"><xsl0:with-param name="pView" select="$pView"/></xsl0:apply-templates>''), </xsl0:template>
<xsl0:template match="sm:callBinaryMeta" mode="bsTitle"><xsl0:param name="pView"/>resultatAgent(concat('@', resultatAgent('//codeMeta'), '<xsl0:value-of select="getAxisSuffix(@axis)"/>', '/<xsl0:value-of select="$pView"/>')), </xsl0:template>
<xsl0:template match="sm:binaryFileName" mode="bsTitle"><xsl0:choose><xsl0:when test="@format='trimExtension'">substring-before(java:getSrcName(srcFileAgent()), '.')</xsl0:when><xsl0:otherwise>java:getSrcName(srcFileAgent())</xsl0:otherwise></xsl0:choose>, </xsl0:template>	
<xsl0:template match="sm:fixedTitle" mode="bsTitle">'<xsl0:value-of select="escapeXpathString(@value)"/>', </xsl0:template>	
<xsl0:template match="node()" mode="bsTitle"/>

	
<xsl0:template match="sm:binaryXhtmlTransf/sm:content">
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
<xsl0:apply-templates mode="agents"/>
</xsl0:template>

	
<xsl0:template match="sm:binaryXhtmlTransf/sm:navigation">
		
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
		
<xsl0:apply-templates mode="comps"/>
<xsl0:apply-templates mode="agents"/>
</xsl0:template>

<xsl0:template match="*"/>
	
	
<xsl0:template match="sm:binaryUrl" mode="listenoeuds">
<noeud type="singleton" cle="b_{generate-id()}">
<ref>.@/_<xsl0:value-of select="generate-id()"/></ref>
</noeud>
</xsl0:template>
<xsl0:template match="sm:choose|sm:chooseOnBinary" mode="listenoeuds">
<noeud cle="l_{generate-id()}" type="liste">
<listeref type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:template match="*">
<liste><xsl0:apply-templates mode="listenoeuds_xsl" select="."/></liste>
</xsl:template>
</xsl:stylesheet>
</listeref>
</noeud>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds"/>

	
<xsl0:template match="sm:choose" mode="listenoeuds_xsl">
<xsl:choose>
<xsl0:apply-templates mode="listenoeuds_choose"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:chooseOnBinary" mode="listenoeuds_xsl">
<xsl:variable name="vProps{generate-id()}">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', '<xsl0:apply-templates mode="getTransformForSize" select="sm:binary"/>', "outRules=Str(pattern'!wpx_!hpx_!scs_!lcs')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:variable name="vWidth{generate-id()}" select="number($vProps{generate-id()}[1])"/>
<xsl:variable name="vHeight{generate-id()}" select="number($vProps{generate-id()}[2])"/>
<xsl:variable name="vScs{generate-id()}" select="number($vProps{generate-id()}[3])"/>
<xsl:variable name="vLcs{generate-id()}" select="number($vProps{generate-id()}[4])"/>
<xsl:choose>
<xsl0:apply-templates mode="listenoeuds_choose"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:*" mode="listenoeuds_xsl">
<item>
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates select="." mode="listenoeuds_item"/>
</xsl0:attribute>
</xsl:value-of>
</item>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_xsl"/>

	
<xsl0:template match="sm:when" mode="listenoeuds_choose">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:whenSize" mode="listenoeuds_choose">
<xsl:when test="{concat(si(@widthOver, concat('$vWidth', generate-id(..), '&gt;', @widthOver, ' or ')), si(@heightOver, concat('$vHeight', generate-id(..), '&gt;', @heightOver, ' or ')), 'false()')}">
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:whenCharSize" mode="listenoeuds_choose">
<xsl:when test="{concat(si(@standardFontSizeOver, concat('$vScs', generate-id(..), '&gt;', @standardFontSizeOver, ' or ')), si(@limitFontSizeOver, concat('$vLcs', generate-id(..), '&gt;', @limitFontSizeOver, ' or ')), 'false()')}">
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="listenoeuds_choose">
<xsl:otherwise>
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_choose"/>
	
	
<xsl0:template match="sm:binaryUrl" mode="listenoeuds_item">'.@/_<xsl0:value-of select="generate-id()"/>'</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_item"/>

	
<xsl0:template match="sm:binaryUrl" mode="comps">
<affichage code="_{generate-id()}">
<urlPage type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="getBinaryUrl" select="."/></urlPage>
</affichage>
</xsl0:template>
<xsl0:template match="sm:choose|sm:chooseOnBinary|sm:when|sm:whenSize|sm:whenCharSize|sm:otherwise" mode="comps">
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
<xsl0:template match="node()" mode="comps"/>

	
<xsl0:template match="sm:binaryUrl" mode="pathNav"><xsl0:apply-templates mode="getBinaryUrl" select="."/></xsl0:template>
<xsl0:template match="sm:fixedValue" mode="pathNav">'<xsl0:value-of select="escapeXpathString(@value)"/>'</xsl0:template>
<xsl0:template match="sm:WImage|sm:WFlash|sm:WObject|sm:WVideo|sm:WVideoFlv|sm:WAudio|sm:WAudioMp3|sm:Widget" mode="pathNav">resultatAgent('//page_<xsl0:value-of select="generate-id(.)"/>','act:')</xsl0:template>
<xsl0:template match="sm:callBinaryMeta" mode="pathNav">resultatDialogue(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:template>
<xsl0:template match="sm:callModel" mode="pathNav">resultatAgent('//callModel_<xsl0:value-of select="generate-id(.)"/>')</xsl0:template>
<xsl0:template match="sm:externalUrl" mode="pathNav"><xsl0:apply-templates mode="pathNav"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="pathNav">'<xsl0:value-of select="escapeXpathString(@value)"/>'</xsl0:template>
<xsl0:template match="node()" mode="pathNav"/>
	
	
<xsl0:template match="sm:binaryUrl" mode="pathNavXsl"><xsl:value-of><xsl0:attribute name="select"><xsl0:apply-templates mode="getBinaryUrl" select="."/></xsl0:attribute></xsl:value-of></xsl0:template>
<xsl0:template match="sm:fixedValue" mode="pathNavXsl"><xsl0:value-of select="@value"/></xsl0:template>
<xsl0:template match="sm:WImage|sm:WFlash|sm:WObject|sm:WVideo|sm:WVideoFlv|sm:WAudio|sm:WAudioMp3|sm:Widget" mode="pathNavXsl"><xsl:value-of select="resultatAgent('//page_{generate-id(.)}','act:')"/></xsl0:template>
<xsl0:template match="sm:callBinaryMeta" mode="pathNavXsl"><xsl:value-of><xsl0:attribute name="select">resultatDialogue(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:attribute></xsl:value-of></xsl0:template>
<xsl0:template match="sm:callModel" mode="pathNavXsl"><xsl:value-of select="resultatAgent('//callModel_{generate-id(.)}')"/></xsl0:template>
<xsl0:template match="sm:externalUrl" mode="pathNavXsl"><xsl0:apply-templates mode="pathNavXsl"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="pathNavXsl"><xsl0:value-of select="@value"/></xsl0:template>
<xsl0:template match="node()" mode="pathNavXsl"/>
	
	
<xsl0:template mode="getBinaryUrl" match="sm:binaryUrl">
<xsl0:choose>
			
<xsl0:when test="not(*) and computeNodeAgent($vAgentModel/source)/self::sm:folderPrim">resultatAgent('//', concat( 'res:src=src:', java:getSrcUri(srcFileAgent()), ';folderIndex=<xsl0:for-each select="computeNodeAgent($vAgentModel/source)/sm:structure/sm:mainFile"><xsl0:value-of select="escapeXpathString(@name)"/>:</xsl0:for-each>'))</xsl0:when>
<xsl0:otherwise>resultatAgent('//', concat('res:src=src:', java:getSrcUri(srcFileAgent()), ';<xsl0:call-template name="getTransformForUrl"/>'))</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template name="getTransformForUrl">
<xsl0:variable name="vTransform"><xsl0:apply-templates mode="transformForUrl"/></xsl0:variable>
<xsl0:choose>
<xsl0:when test="not($vTransform)">copy=res</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="$vTransform"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:binaryUrl|sm:binary" mode="getTransformForSize">
<xsl0:param name="pDefaultFinalTransform"/>
<xsl0:for-each select="*"><xsl0:apply-templates mode="transformForSize" select="."/>&amp;</xsl0:for-each>
<xsl0:choose>
			
<xsl0:when test="*[local-name()!='freeTransform']">outType=DIMS&amp;</xsl0:when>
<xsl0:otherwise>transform=<xsl0:value-of select="$pDefaultFinalTransform"/>&amp;outType=DIMS&amp;</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
	
<xsl0:template match="sm:freeTransform" mode="transformForUrl">transform=<xsl0:value-of select="si(@options, concat(@code, '&amp;', @options), @code)"/>&amp;</xsl0:template>
<xsl0:template match="sm:imageTransform" mode="transformForUrl">transform=img2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)<xsl0:apply-templates mode="outType"/>&amp;</xsl0:template>
<xsl0:template match="sm:imageTransformForPrint" mode="transformForUrl">transform=img2img&amp;sizeRules=Dim(<xsl0:value-of select="si(string-length(@minTargetDpi)&gt;0, concat('minDpi''''',@minTargetDpi,''''''),'')"/><xsl0:value-of select="si(string-length(@maxTargetDpi)&gt;0, concat('maxDpi''''',@maxTargetDpi,''''''),'')"/><xsl0:apply-templates mode="sizeRulesForPrint"/>)<xsl0:apply-templates mode="outType"/>&amp;</xsl0:template>
<xsl0:template match="sm:odTransform" mode="transformForUrl">transform=od2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)<xsl0:apply-templates mode="outType"/><xsl0:value-of select="si(@bgColor,concat('&amp;backgroundColor=#',@bgColor))"/>&amp;</xsl0:template>
<xsl0:template match="node()" mode="transformForUrl"/>
	
	
<xsl0:template match="sm:freeTransform" mode="transformForSize">transform=<xsl0:value-of select="si(@options, concat(@code, '&amp;', @options), @code)"/></xsl0:template>
<xsl0:template match="sm:imageTransform" mode="transformForSize">transform=img2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:imageTransformForPrint" mode="transformForSize">transform=img2img&amp;sizeRules=Dim(<xsl0:value-of select="si(string-length(@minTargetDpi)&gt;0, concat('minDpi''''',@minTargetDpi,''''''),'')"/><xsl0:value-of select="si(string-length(@maxTargetDpi)&gt;0, concat('maxDpi''''',@maxTargetDpi,''''''),'')"/><xsl0:apply-templates mode="sizeRulesForPrint"/>)</xsl0:template>
<xsl0:template match="sm:imageSize" mode="transformForSize">transform=img2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:odTransform" mode="transformForSize">transform=od2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:odSize" mode="transformForSize">transform=od2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:flvSize" mode="transformForSize">transform=ffmpeg&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:swfSize" mode="transformForSize">transform=swf2dims&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:pdfSize" mode="transformForSize">transform=pdf2img&amp;sizeRules=Px(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="node()" mode="transformForSize"/>
	
	
<xsl0:template match="sm:scaleFromStandardCharSize" mode="sizeRules">ScSCS(<xsl0:value-of select="si(@targetFontSizeInPt, concat('fontPt''''',@targetFontSizeInPt,''''''),'')"/><xsl0:value-of select="si(@ifDiffMoreThan, concat('ifDiff''''',@ifDiffMoreThan,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoStandardCharSize/*" mode="sizeRules"/></xsl0:template>
<xsl0:template match="sm:scaleFromLimitCharSize" mode="sizeRules">ScLCS(<xsl0:value-of select="si(@targetFontSizeInPt, concat('fontPt''''',@targetFontSizeInPt,''''''),'')"/><xsl0:value-of select="si(@ifDiffMoreThan, concat('ifDiff''''',@ifDiffMoreThan,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoLimitCharSize/*" mode="sizeRules"/></xsl0:template>
<xsl0:template match="sm:scaleFromDpi" mode="sizeRules">ScDpi(<xsl0:value-of select="si(@targetDpi, concat('targetDpi''''',@targetDpi,''''''),'')"/><xsl0:value-of select="si(@ifDiffMoreThan, concat('ifDiff''''',@ifDiffMoreThan,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoDpiInfo/*" mode="sizeRules"/></xsl0:template>
<xsl0:template match="sm:scale" mode="sizeRules">Sc(<xsl0:value-of select="si(@ratio, concat('ratio''''',@ratio,''''''),'')"/>)</xsl0:template>
<xsl0:template match="sm:sizeBounds" mode="sizeRules">Bounds(<xsl0:value-of select="si(@minWidthInPx, concat('minW''''',@minWidthInPx,''''''),'')"/><xsl0:value-of select="si(@maxWidthInPx, concat('maxW''''',@maxWidthInPx,''''''),'')"/><xsl0:value-of select="si(@minHeightInPx, concat('minH''''',@minHeightInPx,''''''),'')"/><xsl0:value-of select="si(@maxHeightInPx, concat('maxH''''',@maxHeightInPx,''''''),'')"/>)</xsl0:template>
<xsl0:template match="node()" mode="sizeRules"/>
	
	
<xsl0:template match="sm:scaleFromStandardCharSize" mode="sizeRulesForPrint">ScSCS(<xsl0:value-of select="si(string-length(@targetFontSizeInPt)&gt;0, concat('fontPt''''',@targetFontSizeInPt,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoStandardCharSize/*" mode="sizeRulesForPrint"/></xsl0:template>
<xsl0:template match="sm:scaleFromLimitCharSize" mode="sizeRulesForPrint">ScLCS(<xsl0:value-of select="si(string-length(@targetFontSizeInPt)&gt;0, concat('fontPt''''',@targetFontSizeInPt,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoLimitCharSize/*" mode="sizeRulesForPrint"/></xsl0:template>
<xsl0:template match="sm:scale" mode="sizeRulesForPrint">Sc(<xsl0:value-of select="si(string-length(@ratio)&gt;0, concat('ratio''''',@ratio,''''''),'')"/><xsl0:value-of select="si(string-length(@sourceDpi)&gt;0, concat('srcDpi''''',@sourceDpi,''''''),'')"/><xsl0:value-of select="si(string-length(@sourceDpiIfNone)&gt;0, concat('srcDefDpi''''',@sourceDpiIfNone,''''''),'')"/>)</xsl0:template>
<xsl0:template match="sm:dimBounds" mode="sizeRulesForPrint">Bounds(<xsl0:value-of select="si(string-length(@unit)&gt;0, concat('unit''''',@unit,''''''),'')"/><xsl0:value-of select="si(string-length(@minWidth)&gt;0, concat('minW''''',@minWidth,''''''),'')"/><xsl0:value-of select="si(string-length(@maxWidth)&gt;0, concat('maxW''''',@maxWidth,''''''),'')"/><xsl0:value-of select="si(string-length(@minHeight)&gt;0, concat('minH''''',@minHeight,''''''),'')"/><xsl0:value-of select="si(string-length(@maxHeight)&gt;0, concat('maxH''''',@maxHeight,''''''),'')"/><xsl0:apply-templates mode="sizeRulesForPrint"/>)</xsl0:template>
<xsl0:template match="sm:rotate" mode="sizeRulesForPrint">Rotate(<xsl0:value-of select="si(string-length(@ifExtraScaleMoreThan)&gt;0, concat('ifDiff''''',@ifExtraScaleMoreThan,''''''),'')"/><xsl0:value-of select="si(@ifSmallerThanLimitCharSizeWithFontSizeInPt, concat('ifLessLCS''''',@ifSmallerThanLimitCharSizeWithFontSizeInPt,''''''),'')"/><xsl0:value-of select="si(string-length(@ifUndefined)&gt;0, concat('ifExplicitlyAllowed''''',@ifUndefined='false',''''''),'')"/>)</xsl0:template>
<xsl0:template match="node()" mode="sizeRulesForPrint"/>
	
	
<xsl0:template match="sm:outputPNG" mode="outType">&amp;outType=PNG</xsl0:template>
<xsl0:template match="sm:outputGIF" mode="outType">&amp;outType=GIF</xsl0:template>
<xsl0:template match="sm:outputJPEG" mode="outType">&amp;outType=JPEG</xsl0:template>
<xsl0:template match="sm:outputSWF" mode="outType">&amp;outType=SWF</xsl0:template>
<xsl0:template match="node()" mode="outType"/>
	
	
<xsl0:template name="commonXslDecl">
<xsl0:variable name="vMetaPrefix" select="resultatAgent(computeNodeAgent($vAgentModel/agentMeta)/prefixModel)"/>
<xsl0:attribute name="exclude-result-prefixes">xalan sc sp sfm java <xsl0:value-of select="$vMetaPrefix"/></xsl0:attribute>
<xsl0:if test="$vMetaPrefix"><xsl0:attribute name="xmlns:{$vMetaPrefix}"><xsl0:value-of select="resultatAgent(computeNodeAgent($vAgentModel/agentMeta)/nsModel)"/></xsl0:attribute></xsl0:if>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:sfm">http://www.utc.fr/ics/scenari/v3/filemeta</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
		
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
		
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl0:if test="descendant-or-self::sm:WVideoFlv">			
<xsl:variable name="flashPlayerFlv" select="resultatAgent('//', 'pubres:/site/lib-sm/binaryXhtmlTransf/playerFlv.swf')"/>
</xsl0:if>
<xsl0:if test="descendant-or-self::sm:WAudio/sm:pluginType[@value='flashPlayer']">			
<xsl:variable name="flashPlayerAudio" select="resultatAgent('//', 'pubres:/site/lib-sm/binaryXhtmlTransf/playerAudio.swf')"/>
</xsl0:if>
<xsl0:if test="descendant-or-self::sm:WAudioMp3">			
<xsl:variable name="flashPlayerMp3" select="resultatAgent('//', 'pubres:/site/lib-sm/binaryXhtmlTransf/playerMp3.swf')"/>
</xsl0:if>
<xsl0:if test="descendant-or-self::sm:WVideo/sm:pluginType[@value='flashPlayer']">
<xsl:variable name="flashPlayerVideo" select="resultatAgent('//', 'pubres:/site/lib-sm/binaryXhtmlTransf/playerVideo.swfplayerVideo.swf')"/>
</xsl0:if>
</xsl0:template>
	
	
<xsl0:template match="sm:link|sm:WIFrame" mode="agents">
<xsl0:apply-templates mode="lnkAgents"/>
</xsl0:template>	

<xsl0:template match="sm:callModel" mode="agents">
<valeur code="callModel_{generate-id()}">
<xsl0:choose>
<xsl0:when test="parent::sm:link or parent::sm:WIFrame">
					
<source type="xpath-dynamique">resultatDialogue(<xsl0:if test="not(*/@navCtx='preserveCurrent')">concat('/', </xsl0:if><xsl0:apply-templates mode="agents"/><xsl0:if test="not(*/@navCtx='preserveCurrent')">)</xsl0:if>, 'act:')</source>
</xsl0:when>
<xsl0:otherwise>
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="agents"/>, '/xhtmlContent'))</source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:root" mode="agents">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:current" mode="agents">concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="agents">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="agents"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="agents">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="agents">pathAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:template>
	
<xsl0:template match="sm:when[@sc:refUri]" mode="agents">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="agents"/>
</xsl0:template>

<xsl0:template match="text()|@*" mode="agents"/>

	
<xsl0:template match="sm:WImage|sm:WFlash|sm:WObject|sm:WVideo|sm:WVideoFlv|sm:WAudio|sm:WAudioMp3|sm:Widget" mode="lnkAgents">
<affichage code="page_{generate-id(.)}">
<urlPage type="xpath-dynamique">concat(java:getSrcName(srcFileAgent()), '.html')</urlPage>
<page>
<modele/>
<zone cle="mainZone" type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:template match="*">
<html>
<head>
<title><xsl:value-of select="si(resultatAgent('//fullTitleText')!='', resultatAgent('//fullTitleText'), java:getSrcName(srcFileAgent()) )"/></title>
<script type="text/JavaScript">try{if(window.frameElement.setSubWindowTitle) window.frameElement.setSubWindowTitle(document.title);}catch(e){}</script>
<style type="text/css">html,body{margin:0px;padding:0px;height:100%;} body{text-align:center;} a img{border: none;}</style>
</head>
<body><xsl0:apply-templates select="." mode="content"/></body>
</html>
</xsl:template>
</xsl:stylesheet>
</zone>
</page>
<xsl0:apply-templates select="sm:WObject"/>
</affichage>
<xsl0:apply-templates mode="agents"/>
</xsl0:template>

<xsl0:template match="sm:callModel" mode="lnkAgents">
<xsl0:apply-templates select="." mode="agents"/>
</xsl0:template>	

<xsl0:template match="text()|@*" mode="lnkAgents"/>

	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets"/>
</xsl0:template>
<xsl0:template match="text()" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agentsWidgetZones">
<valeur code="xhtmlContentZone_{@key}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:param name="vArguments"/>
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agentsWidgetZones">
<valeur code="urlZone_{@key}">
<source type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="pathNav" select="sm:link/*"/></source>
</valeur>
</xsl0:template>

	
<xsl0:template match="sm:binaryTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat" select="'fullTitleText'"/>
<xsl:when test="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{sm:binaryTitle/@axis}'), '/{si(sm:binaryTitle/@format, sm:binaryTitle/@format, 'fullTitleText')}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:binaryMeta" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat" select="'fullTitleText'"/>
<xsl:when test="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="titleMultiInXslWhen">
<xsl:when test="{sm:freeSelect/@xpath} != ''">
<xsl:value-of select="{sm:freeSelect/@xpath}"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:binaryFileName" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:choose>
<xsl0:when test="@format='trimExtension'">
<xsl:value-of select="substring-before(java:getSrcName(srcFileAgent()), '.')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:value-of select="java:getSrcName(srcFileAgent())"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:value-of select="@value"/>
</xsl:otherwise>
</xsl0:template>

	
<xsl0:template name="crossRefEntries">
<xsl0:if test="@crossRefEntries">
<crossRef>
<xsl0:for-each select="xalan:tokenize(@crossRefEntries, ' ')">
<entry keyRef="{.}" value="{{getIdNode(/*)}}"/>
</xsl0:for-each>
</crossRef>
</xsl0:if>
</xsl0:template>

</xsl0:stylesheet>