<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc xalan java">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

	
<xsl:template match="sm:binaryTitle" mode="in">
<call model="{/sm:binaryXhtmlTransf/sm:model/@sc:refUri}" axis="{@axis}" view="title"/>
</xsl:template>
	
<xsl:template match="sm:callBinaryMeta" mode="in">
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="ancestor::sm:fullTitleText or ancestor::sm:shortTitleText">title</xsl:when>
<xsl:when test="parent::sm:link or parent::sm:WIFrame">navigation</xsl:when>
<xsl:otherwise>xhtmlContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<call model="{$vStructureModel/sm:meta/@sc:refUri}" axis="{@axis}" view="{$vView}"/>
</xsl:template>	
	
<xsl:template match="sm:callModel/sm:current" mode="in">
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="../../sm:link or ../../sm:WIFrame">navigation</xsl:when>
<xsl:otherwise>xhtmlContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<call model="{/sm:binaryXhtmlTransf/sm:model/@sc:refUri}" axis="{@axis}" view="{$vView}"/>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:root" mode="in">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="../../sm:link or ../../sm:WIFrame">navigation</xsl:when>
<xsl:otherwise>xhtmlContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:for-each select="agentsLies(computeNodeAgent('//agentGenerator', 'listAgentRootAllowed'))">
<call model="{java:getSrcUri(srcFileAgent(.))}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:lookForAscendants" mode="in">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="../../sm:link or ../../sm:WIFrame">navigation</xsl:when>
<xsl:otherwise>xhtmlContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:agentPath" mode="in">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="../../sm:link or ../../sm:WIFrame">navigation</xsl:when>
<xsl:otherwise>xhtmlContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="text()|@*" mode="in"/>
	
</xsl:stylesheet>
