<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="java xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
		
<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTransformer')"/>


<xsl0:template match="/* | sm:odContentZone">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:variable name="idRootAgt" select="getIdNode(ancestor-or-self::{concat(resultatAgent('//agentModel', 'prefixModel'), ':', resultatAgent('//agentModel', 'tagRootModel'))}[1])"/>
		
<xsl0:choose>
<xsl0:when test="name()='sm:odContentZone'">
<xsl:template match="*" priority="1">
<xsl:choose>
<xsl:when test="checkNoCycleAgent()">
<xsl0:if test="ancestor::sm:for">
<xsl:variable name="vContentAgt">
<xsl:choose>
<xsl:when test="@sc:refUri">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="concat('@', getIdNode(.))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
</xsl0:if>
<xsl0:apply-templates select="*"/>
</xsl:when>
<xsl:otherwise>
<xsl0:call-template name="tPublishError">
<xsl0:with-param name="pInPara">false</xsl0:with-param>
<xsl0:with-param name="pContent">
<text:p>Cycle détecté [<xsl:value-of select="java:getSrcName(srcFileAgent())"/>]</text:p>
</xsl0:with-param>
</xsl0:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl0:when>
<xsl0:otherwise>
<xsl:template match="{concat(resultatAgent('//agentModel', 'prefixModel'), ':', resultatAgent('//agentModel', 'tagRootModel'))}">
<xsl:choose>
<xsl:when test="checkNoCycleAgent()">
<xsl0:apply-templates select="sm:content | sm:heading"/>
</xsl:when>
<xsl:otherwise>
<xsl0:call-template name="tPublishError">
<xsl0:with-param name="pInPara">false</xsl0:with-param>
<xsl0:with-param name="pContent">Cycle détecté [<xsl:value-of select="java:getSrcName(srcFileAgent())"/>]</xsl0:with-param>
</xsl0:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl0:otherwise>
</xsl0:choose>
				
		
<xsl0:apply-templates select=".//*" mode="mMatch"/>
<xsl:template match="*"/>
		
</xsl0:template>
		

<xsl0:template match="sm:content">
<xsl0:apply-templates/>
</xsl0:template>
	
	
<xsl0:template match="sm:heading" name="sm:heading">
<scodPp:condition xpath="{si((not(@display) or @display='ifNotNull'), '*/scodPp:content/*', 'true()')}">
<scodPp:section>
<xsl0:if test="sm:title"> 
<scodPp:title><xsl0:apply-templates select="sm:title"/></scodPp:title>
</xsl0:if>
<scodPp:content>
<xsl0:apply-templates select="*[name()!='sm:title']"/>
</scodPp:content>
</scodPp:section>
</scodPp:condition>
</xsl0:template>
	
	
	

	
<xsl0:template name="tGetXpath">
<xsl0:variable name="vPartCodeList">
<xsl0:choose>
<xsl0:when test="@codes!='*'"><xsl0:value-of select="string(@codes)"/></xsl0:when>
<xsl0:otherwise>
<xsl0:for-each select="$vXmlPrim//sm:part"><xsl0:text> </xsl0:text><xsl0:value-of select="@code"/></xsl0:for-each>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:value-of select="concat('sp:', java:replaceAll(normalize-space($vPartCodeList), '\s', ' | sp:'))"/>
</xsl0:template>
	
<xsl0:template match="sm:for" name="sm:for">
<xsl0:variable name="vMatch"><xsl0:call-template name="tGetXpath"/></xsl0:variable>
<xsl0:variable name="vMode" select="si(local-name(..)='inDataOrder', generate-id(..), generate-id(.))"/>
<xsl:for-each select="{$vMatch}">
<xsl:variable name="vContentAgt">
<xsl:choose>
<xsl:when test="@sc:refUri">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="concat('@', getIdNode(.))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:for[ancestor-or-self::sm:inDataOrder]" name="sm:for_mMatch" mode="mMatch">
<xsl0:variable name="vMatch"><xsl0:call-template name="tGetXpath"/></xsl0:variable>
<xsl0:variable name="vMode" select="si(local-name(..)='inDataOrder', generate-id(..), generate-id(.))"/>
<xsl0:comment># <xsl0:value-of select="@codes"/></xsl0:comment>
<xsl:template match="{$vMatch}" mode="{$vMode}">
<xsl:variable name="vContentAgt">
<xsl:choose>
<xsl:when test="@sc:refUri">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="concat('@', getIdNode(.))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl0:apply-templates/>
</xsl:template>
		
</xsl0:template>
	
<xsl0:template match="sm:inDataOrder" name="sm:inDataOrder">
<xsl0:variable name="vMode" select="generate-id(.)"/>
<xsl:apply-templates mode="{$vMode}"/>
</xsl0:template>
<xsl0:template match="sm:inDataOrder" name="sm:inDataOrder_mMatch" mode="mMatch">
<xsl0:variable name="vMode" select="generate-id(.)"/>
<xsl:template match="*" mode="{$vMode}"/>
</xsl0:template>
	
<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@codes">
<xsl0:value-of select="si(ancestor::sm:inDataOrder, concat('../sp:', java:replaceAll(string(@codes), '\s', ' | ../sp:')), concat('sp:', java:replaceAll(string(@codes), '\s', ' | sp:')))"/>
</xsl0:when>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}"><xsl0:apply-templates select="*"/></xsl:when>
</xsl0:template>
	
<xsl0:template match="sm:otherwise">
<xsl:otherwise><xsl0:apply-templates select="*"/></xsl:otherwise>
</xsl0:template>


	 
	
<xsl0:template match="sm:Widget" name="sm:Widget">
<xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()))" disable-output-escaping="yes"/>
</xsl0:template>


<xsl0:template match="sm:title">
<xsl0:call-template name="sm:title"/>
</xsl0:template>
<xsl0:template match="sm:title" name="sm:title">
<xsl0:for-each select="sm:dynamicString">
<xsl:variable name="dynStr{generate-id()}">
<xsl0:apply-templates select="current()"/>
</xsl:variable>
</xsl0:for-each>
<xsl:choose>
<xsl0:for-each select="*">
<xsl0:variable name="vTitleType" select="si(@format and @format='shortTitleText', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="name()='sm:partTitle'">
<xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/{$vTitleType}'))))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta/{$vTitleType}'))" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:subModelTitle'">
<xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '{getAxisSuffix(@axis)}', '/{$vTitleType}'))))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat($vContentAgt, '{getAxisSuffix(@axis)}', '/{$vTitleType}'))" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:compositionTitle'">
<xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{$vTitleType}'))))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{$vTitleType}'))" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:fixedTitle'">
<xsl:when test="boolean('true')"><xsl0:value-of select="@value"/></xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:dynamicString'">
<xsl:when test="string-length(normalize-space($dynStr{generate-id()}))&gt;0"><xsl:value-of select="$dynStr{generate-id()}"/></xsl:when>
</xsl0:when>
</xsl0:choose>
</xsl0:for-each>
<xsl:when test="boolean('true')"></xsl:when>
</xsl:choose>
</xsl0:template>
	

	 
<xsl0:template match="sm:subModelId">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:value-of select="concat($vContentAgt, '{getAxisSuffix(@axis)}')"/>
</xsl0:template>
<xsl0:template match="sm:compositionId">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:value-of select="concat('@', switchAxis(codeAgent('//'), '{@axis}'))"/>
</xsl0:template>
	
	
<xsl0:template match="sm:callSubModel">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vContentAgt{$vIdCall}" select="concat($vContentAgt, '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt{$vIdCall}, '/getContent'))"/>
</xsl0:template>
	
<xsl0:template match="sm:callPartMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPartAgt{$vIdCall}" select="concat('@', getIdNode(ancestor-or-self::sp:*[1]), '_meta', '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPartAgt{$vIdCall}, '/getContent'))"/>
</xsl0:template>
	
<xsl0:template match="sm:callSubModelMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vContentAgt{$vIdCall}" select="resultatAgent(concat($vContentAgt, '/metaAgt'))"/>
<xsl:value-of disable-output-escaping="yes" select="si($vContentAgt{$vIdCall}, resultatAgent(concat($vContentAgt{$vIdCall}, '{getAxisSuffix(@axis)}', '/getContent')))"/>
</xsl0:template>
	
<xsl0:template match="sm:callCompositionMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vContentAgt{$vIdCall}" select="concat('@', $idRootAgt, '_meta', '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt{$vIdCall}, '/getContent'))"/>
</xsl0:template>

<xsl0:template match="*" mode="mMatch"/>
	
</xsl0:stylesheet>
