<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="sm" version="1.0">

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WTooltip.xml.xsl"/>

<xsl0:output method="xml" indent="no" omit-xml-declaration="yes" />
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0" />

<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>

		
<xsl0:template name="classAtt">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
<xsl0:template name="classAttTitle">
<xsl0:param name="pWidgetClass"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="$pWidgetClass">
<xsl0:attribute name="class"><xsl0:value-of select="addSuffixOnWords($pWidgetClass, $pSuffix)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>

<xsl0:template match="sm:crossRefTableUiWidget">
<xsl0:variable name="vSortKeyMode" select="si(sm:sortEntries/sm:alphaNonCaseSensitive, 'A', '')" />
<xsl0:variable name="vSortKeyPath">
<xsl0:apply-templates select="sm:sortEntries/*/*" mode="sortKeyPath" />
</xsl0:variable>
<xsl0:variable name="vRegExpFilter">
<xsl0:choose>
<xsl0:when test="sm:filterEntries/sm:callersFromDescendants[@axis]">concat('.*/@', java:java.util.regex.Pattern.quote(switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>')), '/.*')</xsl0:when>
<xsl0:when test="sm:filterEntries/sm:callersFromDescendants">concat('.*/@', java:java.util.regex.Pattern.quote(switchAxis(codeAgent('//'), '')), '(/|_A).*')</xsl0:when>
<xsl0:when test="sm:filterEntries/sm:callersFromThisPage">java:java.util.regex.Pattern.quote(pathDialogAgent($vDialog))</xsl0:when>
<xsl0:otherwise>''</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vCategMode">
</xsl0:variable>
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc java xhtml">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes" />
<xsl:param name="vAgent" />
<xsl:param name="vDialog" />
<xsl:variable name="vIdAgent" select="idExportAgentHier(dialog(pathAgent(.)))"/>
<xsl:template match="*">
				
<xsl:variable name="vCategMode">
<xsl0:for-each select="sm:sortEntries/sm:alphaNonCaseSensitive/sm:categories/sm:firstLetter">
<xsl0:text>A</xsl0:text>
<xsl0:if test="@minEntriesByCateg">[min=<xsl0:value-of select="@minEntriesByCateg"/>]</xsl0:if>
<xsl0:if test="@ifOnlyOneCateg='eliminate'">[offIfOne]</xsl0:if>
<xsl0:for-each select="sm:forceCategories">[range=<xsl0:value-of select="@from"/><xsl0:value-of select="@to"/>]</xsl0:for-each>
<xsl0:if test="sm:mergeOthersCategories/@char">[mergeOthersRanges=<xsl0:value-of select="sm:mergeOthersCategories/@char"/>]</xsl0:if>
</xsl0:for-each>
</xsl:variable>
<xsl:variable name="vIndex" select="java:com.scenari.m.ge.generator.web.CrossRefEntry.getIndexAsIdSrcNode($vDialog, '{sm:refEntries/@key}', '{$vSortKeyPath}', {si(boolean(//sm:forCaller), 'true()', 'false()')}, '{$vSortKeyMode}', $vCategMode, {$vRegExpFilter})" />
<xsl:for-each select="$vIndex/index">
<xsl0:apply-templates select="sm:content/node()" mode="contentTpl" />
</xsl:for-each>
</xsl:template>
<xsl0:apply-templates select="sm:content/*" mode="indexTpl" />
</xsl:stylesheet>
</xsl0:template>

	
<xsl0:template match="sm:callEntryContent" mode="sortKeyPath"><xsl0:value-of select="getAxisSuffix(@axis)" />/xhtmlContent</xsl0:template>
<xsl0:template match="sm:callEntryTitle" mode="sortKeyPath"><xsl0:value-of select="getAxisSuffix(@axis)" />/<xsl0:value-of select="@type" /></xsl0:template>
<xsl0:template match="node()" mode="sortKeyPath"/>
	
<xsl0:template match="sm:forEntry" mode="indexTpl">
<xsl:template match="entry" mode="index_{generate-id()}">
<crossRefEntry idEntry="{{@idSrcNode}}">
<xsl0:apply-templates mode="contentTpl" />
</crossRefEntry>
</xsl:template>
<xsl0:apply-templates mode="indexTpl" />
</xsl0:template>
<xsl0:template match="sm:forCaller" mode="indexTpl">
<xsl:template match="caller{si(@maxRefsByPage, concat('[count(preceding-sibling::caller[substring-before(@url, &quot;#&quot;)=substring-before(current()/@url, &quot;#&quot;)])=', @maxRefsByPage -1, ']'))}" mode="index_{generate-id()}">
<xsl0:apply-templates mode="contentTpl" />
</xsl:template>
<xsl0:apply-templates mode="indexTpl" />
</xsl0:template>
<xsl0:template match="text()" mode="indexTpl" />

	
<xsl0:template match="sm:forEntry" mode="contentTpl">
<xsl:apply-templates select="entry" mode="index_{generate-id()}" />
</xsl0:template>
<xsl0:template match="sm:forCateg" mode="contentTpl">
<xsl:for-each select="categ{si(@filter='ifContainEntries', '[entry]')}">
<xsl0:apply-templates mode="contentTpl" />
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:categLabel" mode="contentTpl">
<xsl:value-of select="@label"/>
</xsl0:template>
<xsl0:template match="sm:WCategAnchor" mode="contentTpl">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:attribute name="id">categ{$vIdAgent}_{generate-id(.)}</xsl0:attribute>
<xsl0:call-template name="classAtt"/>
<xsl0:apply-templates mode="contentTpl" />
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WCategLink[@tagNameIfCategEmpty]" mode="contentTpl">
<xsl:choose>
<xsl:when test="entry">
<a href="#categ{{$vIdAgent}}_{{generate-id(.)}}">
<xsl0:call-template name="classAtt"/>
<xsl0:apply-templates mode="contentTpl" />
</a>
</xsl:when>
<xsl:otherwise>
<xsl0:element name="{@tagNameIfCategEmpty}">
<xsl0:call-template name="classAtt"/>
<xsl0:apply-templates mode="contentTpl" />					
</xsl0:element>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:WCategLink" mode="contentTpl">
<a href="#categ{{$vIdAgent}}_{{generate-id(.)}}">
<xsl0:call-template name="classAtt"/>
<xsl0:apply-templates mode="contentTpl" />
</a>
</xsl0:template>
	
	
<xsl0:template match="sm:callEntryContent" mode="contentTpl"><xsl:value-of select="resultatAgent(concat('@', si(@idSrcNode,@idSrcNode,ancestor::entry/@idSrcNode), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callEntryTitle" mode="contentTpl"><xsl:value-of select="resultatAgent(concat('@', si(@idSrcNode,@idSrcNode,ancestor::entry/@idSrcNode), '{getAxisSuffix(@axis)}/{@type}'))"/></xsl0:template>
<xsl0:template match="sm:forCaller" mode="contentTpl">
<xsl:apply-templates mode="index_{generate-id()}" />
</xsl0:template>

	
<xsl0:template match="sm:WLinkCaller" mode="contentTpl">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>
<a>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="linkHref">
<xsl0:with-param name="pUrl">
<xsl0:choose>
<xsl0:when test="sm:link/@includeEntryAnchor='no'">{substring-before(@url,'#')}</xsl0:when>
<xsl0:otherwise>{@url}</xsl0:otherwise>
</xsl0:choose></xsl0:with-param>
<xsl0:with-param name="pOptions"><xsl0:value-of select="$vOptions"/></xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()" mode="contentTpl"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/node()" mode="contentTpl" /></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
	
	
<xsl0:template match="sm:WidgetInCallerContext" mode="contentTpl">
<xsl:value-of select="resultat(agent('widget_{generate-id()}',$vAgent), dialog(string(@dialog)))" disable-output-escaping="yes"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WCollapsableBlock" mode="contentTpl">
<xsl0:variable name="vClassOpen" select="si(@widgetClass,addSuffixOnWords(@widgetClass, '_open'))"/>
<xsl0:variable name="vClassClosed" select="si(@widgetClass,addSuffixOnWords(@widgetClass, '_closed'))"/>
<xsl0:variable name="vContentPosition" select="si(@position='bottom','chi:div','chl:div')"/>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<xsl0:if test="@position='bottom'">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:if test="@defaultClosed='true'">
<addAttribute name="style">display:none;</addAttribute>
</xsl0:if>
<xsl0:apply-templates select="sm:content/node()" mode="contentTpl"/>
</div>
</xsl0:if>
<a style="display:block;" href="#" class="{si(@defaultClosed='true',$vClassClosed,$vClassOpen)}" onclick="scDynUiMgr.collBlkToggle(this,scPaLib.findNode('{$vContentPosition}',this.parentNode),'{$vClassOpen}','{$vClassClosed}');return false;"> 
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()" mode="contentTpl"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="boolean(sm:label/node())">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tiIn'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:label/node()" mode="contentTpl"/>
</span>
</span>
</xsl0:when>
<xsl0:otherwise>&#160;</xsl0:otherwise>
</xsl0:choose>
</a>
<xsl0:if test="count(@position)=0 or @position='top'">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:if test="@defaultClosed='true'">
<addAttribute name="style">display:none;</addAttribute>
</xsl0:if>
<xsl0:apply-templates select="sm:content/node()" mode="contentTpl"/>
</div>
</xsl0:if>
</div>
</xsl0:template>
	
	
<xsl0:template match="sm:WTooltip" mode="contentTpl">
<xsl0:variable name="vOptions">
<xsl0:call-template name="tooltipOptions"/>
</xsl0:variable>
<scTooltip>
<xsl0:attribute name="trigger"><xsl0:value-of select="si(sm:tooltip/sm:behavior/@trigger, sm:tooltip/sm:behavior/@trigger, 'onmouseover')"/></xsl0:attribute>
<xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute>
<xsl0:attribute name="classRoot"><xsl0:value-of select="sm:tooltip/@class"/></xsl0:attribute>
<xsl0:attribute name="options"><xsl0:value-of select="si(string-length($vOptions)&gt;0, substring($vOptions,0,string-length($vOptions)), '')"/></xsl0:attribute>
<xsl0:if test="sm:tooltip/sm:basket">
<xsl0:attribute name="basketKey"><xsl0:value-of select="sm:tooltip/sm:basket/@key"/></xsl0:attribute>
<xsl0:attribute name="render"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@render,'asTooltip')"/></xsl0:attribute>
<xsl0:attribute name="basketLnk"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@addLinkToBasket,'yes')"/></xsl0:attribute>
<xsl:attribute name="itemKey"><xsl0:value-of select="sm:tooltip/sm:basket/@itemKey"/><xsl:value-of select="alphaHash(getIdNode(.))"/></xsl:attribute>
</xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttTitle"><scTooltipTitle><xsl0:apply-templates select="sm:tooltip/sm:ttTitle/node()" mode="contentTpl"/></scTooltipTitle></xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttContent"><scTooltipContent><xsl0:apply-templates select="sm:tooltip/sm:ttContent/node()" mode="contentTpl"/></scTooltipContent></xsl0:if>
<xsl0:element name="{returnFirst(@tagName,'span')}">
<xsl0:if test="@tagName = 'a'"><xsl0:attribute name="href">#</xsl0:attribute></xsl0:if>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_a'"/>
<xsl0:with-param name="pExtraClasses" select="sm:label/@class"/>
</xsl0:call-template>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()" mode="contentTpl"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><xsl0:apply-templates select="sm:label/node()" mode="contentTpl"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:element>
</scTooltip>
</xsl0:template>
<xsl0:template match="sm:ttCloseButton" mode="contentTpl">
<a href="#" onclick="return scTooltipMgr.hideTooltip(true);">
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="../../../@widgetClass"/>
<xsl0:with-param name="pSuffix" select="'_x'"/>
</xsl0:call-template>
<xsl0:if test="@title"><xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute></xsl0:if>
<span><xsl0:value-of select="si(@caption, @caption, '&#160;')"/></span></a>
</xsl0:template>
	
<xsl0:template match="sm:titlePageCaller" mode="contentTpl">
<xsl:value-of select="@titlePage" />
</xsl0:template>
	
<xsl0:template match="xhtml:*" mode="contentTpl">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:apply-templates select="node()" mode="contentTpl" />
</xsl0:element>
</xsl0:template>

	
<xsl0:template match="sm:WImg" mode="contentTpl">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

<xsl0:template match="xhtml:img" mode="contentTpl">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts" />
<xsl0:template match="text()" mode="contentTpl">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>

<xsl0:template match="*" mode="contentTpl" />
</xsl0:stylesheet>