<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:c="composition"
	exclude-result-prefixes="sm xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vPrimSource" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
	
<xsl0:template match="sm:dataFormOdTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<intitule type="xpath-dynamique">resultatAgent('//', 'shortTitleText')</intitule>
<valeur code="getContent">
<source type="xslOnSrc-dynamique" href="{resultatDialogue('//contentFile', 'act:')}"/>
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
			
<valeur code="fullTitleText">
<xsl0:choose>
<xsl0:when test="boolean(sm:fullTitleText)">
<xsl0:apply-templates select="sm:fullTitleText"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:fullTitleBuilder"/>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
			
<valeur code="shortTitleText">
<xsl0:choose>
<xsl0:when test="boolean(sm:shortTitleText)">
<xsl0:apply-templates select="sm:shortTitleText"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:choose>
<xsl0:when test="$vPrimSource/sm:storage/sm:shortTitleBuilder/@returnFullTitleIfEmpty='yes'">
<source type="contextuel-dynamique">
<choose>
<case xpath="resultatAgent('title')" returnXpath="true"/>
<default type="resultat-dynamique">agent=//fullTitleText</default>
</choose>
</source>
<valeur code="title">
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:shortTitleBuilder"/>
</valeur>
</xsl0:when>
<xsl0:when test="$vPrimSource/sm:storage/sm:shortTitleBuilder">
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:shortTitleBuilder"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:fullTitleBuilder"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
			
			
<xsl0:for-each select="//sm:when[@sc:refUri]">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
</xsl0:for-each>
</structure>
</xsl0:template>
	
	
	 
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
	
<xsl0:template match="sm:forGroup|sm:forSet|sm:forSubData|sm:forField" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="concat($pPath, si($pPath, '/sp:', 'sp:'), si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
	
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:odContentZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('odContentZone_', @key), concat('XZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xslOnSrc-dynamique" href="{resultatDialogue(concat('../../contentFile', generate-id()), 'act:')}"/>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
	
<xsl0:template match="*" mode="agentsWidgetZones"/>
	
	
<xsl0:template match="sm:shortTitleBuilder|sm:fullTitleBuilder|sm:shortTitleText|sm:fullTitleText">
<xsl0:choose>
<xsl0:when test="count(*) = 1 and self::sm:fixedString">
<source><xsl0:value-of select="sm:fixedString/@value"/></source>
</xsl0:when>
<xsl0:otherwise>
<source type="composition-dynamique">
<c:composition>
<xsl0:attribute name="xmlns:c">composition</xsl0:attribute>
<xsl0:apply-templates/>
</c:composition>
</source>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:fixedString"><xsl0:value-of select="@value"/></xsl0:template>
	
<xsl0:template match="sm:dynamicString | sm:formattingMark">
<c:donnee type="xslOnSrc-dynamique">
<xsl0:text disable-output-escaping="yes">
<![CDATA[
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                               xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
                               xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                               xmlns:java="http://xml.apache.org/xslt/java" 
                               xmlns:xalan="http://xml.apache.org/xalan"
                               exclude-result-prefixes="xalan" version="1.0">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
               ]]>
</xsl0:text>
<xsl:template match="*">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:apply-templates/>
</xsl:template>
<xsl0:text disable-output-escaping="yes">
<![CDATA[
</xsl:stylesheet>
	           ]]>
</xsl0:text>
</c:donnee>
</xsl0:template>
	
<xsl0:template match="sm:fieldValue | sm:fieldValueString | sm:fieldValueEnum | sm:fieldValueDate">
<xsl0:if test="@prefixIfExist"><c:if type="xpath-statique" test="boolean(sp:{@refCode})"><c:donnee><xsl0:value-of select="@prefixIfExist"/></c:donnee></c:if></xsl0:if><c:donnee type="xsl-statique"><xsl0:call-template name="tFieldValue.getValue"/></c:donnee><xsl0:if test="@suffixIfExist"><c:if type="xpath-statique" test="boolean(sp:{@refCode})"><c:donnee><xsl0:value-of select="@suffixIfExist"/></c:donnee></c:if></xsl0:if>
</xsl0:template>
<xsl0:template name="tFieldValue.getValue">
<xsl:stylesheet version="1.0" xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="sp sc se">
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
<xsl:template match="*">
<xsl0:variable name="vRefCode" select="@refCode"/>
<xsl0:choose>
<xsl0:when test="self::sm:fieldValueEnum">
<xsl0:variable name="vCodeLabel">
<xsl0:variable name="vFieldValueEnum" select="."/>
<xsl:choose>
<xsl0:for-each select="$vPrimSource//sm:field[@code=current()/@refCode]/sm:enum//sm:option">
<xsl0:variable name="vOverideLabel" select="$vFieldValueEnum/sm:option[@key=current()/@key]"/>
<xsl:when test="sp:{$vRefCode}='{escapeXpathString(@key)}'"><xsl0:value-of select="si($vOverideLabel, $vOverideLabel/@label, @name)"/></xsl:when>
</xsl0:for-each>
<xsl:otherwise><xsl:value-of select="sp:{$vRefCode}"/></xsl:otherwise>
</xsl:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="@format='label'"><xsl0:copy-of select="$vCodeLabel"/></xsl0:when>
<xsl0:when test="@format='key (label)'"><xsl:value-of select="."/> (<xsl0:copy-of select="$vCodeLabel"/>)</xsl0:when>
<xsl0:when test="@format='label (key)'"><xsl0:copy-of select="$vCodeLabel"/> (<xsl:value-of select="."/>)</xsl0:when>
</xsl0:choose>
</xsl0:when>
<xsl0:when test="self::sm:fieldValueDate">
<xsl:value-of select="java:eu.scenari.modeling.dataformprim.DateFormatter.formatDate(sp:{$vRefCode}/text(),'{returnFirst(@format,'yyyy.MM.dd')}','{returnFirst(@locale,'fr-FR')}','',sp:{$vRefCode}/text())"/>
</xsl0:when>
<xsl0:otherwise><xsl:value-of select="sp:{@refCode}"/></xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
<xsl0:template match="sm:callSubModel">
<xsl0:if test="@refCode">
<c:donnee type="xpathOnSrc-dynamique">
				resultatAgent(concat('@', si(sp:<xsl0:value-of select="@refCode"/>/@sc:refUri, getIdFromPath(sp:<xsl0:value-of select="@refCode"/>/@sc:refUri), getIdNode(sp:<xsl0:value-of select="@refCode"/>)), '<xsl0:value-of select="getAxisSuffix(@axis)"/>','/<xsl0:value-of select="local-name(..)"/>'))
</c:donnee>
</xsl0:if>
</xsl0:template>
	
<xsl0:template match="sm:choose">
<c:choose>
<xsl0:apply-templates/>
</c:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<c:when type="xpathOnSrc-dynamique" test="boolean({returnFirst(@xpath, si(@refCodes, concat('sp:', java:replaceAll(string(@refCodes), '\s', ' | sp:'))))})">
<xsl0:apply-templates/>
</c:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<c:otherwise>
<xsl0:apply-templates/>
</c:otherwise>
</xsl0:template>

<xsl0:template match="*"/>
<xsl0:template match="text()|@*"/>
	
</xsl0:stylesheet>
