<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTransformer')"/>


<xsl0:template match="/* | sm:odContentZone">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:variable name="idRootAgt" select="getIdNode(ancestor-or-self::{concat(resultatAgent('//agentModel', 'prefixModel'), ':', resultatAgent('//agentModel', 'tagRootModel'))}[1])"/>
		
		
<xsl0:choose>
<xsl0:when test="name()='sm:odContentZone'">
<xsl:template match="*" priority="1">
<xsl0:apply-templates select="*"/>
</xsl:template>
<xsl0:apply-templates mode="mSet" select=".//sm:forSet"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:template match="{concat(resultatAgent('//agentModel', 'prefixModel'), ':', resultatAgent('//agentModel', 'tagRootModel'))}">
<xsl0:apply-templates select="sm:content/*"/>
</xsl:template>
<xsl0:apply-templates mode="mSet" select="sm:content//sm:forSet"/>
</xsl0:otherwise>
</xsl0:choose>
		
<xsl:template match="*"/>
</xsl0:template>
		

<xsl0:template match="sm:WTable">
<xsl:comment># sm:WTable</xsl:comment>
<xsl0:variable name="vTableCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table table:name="WTable" table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vTableCode}')/table:table/@table:style-name}}">
			
<xsl0:variable name="vPosRow" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl0:for-each select=".//sm:WTableRow">
<xsl0:if test="java:hIncreaseOne($vPosRow)=1">
<xsl0:variable name="vPosCol" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl0:apply-templates mode="mRowsDeclaration">
<xsl0:with-param name="pPosCol" select="$vPosCol"/>
</xsl0:apply-templates>
</xsl0:if>
</xsl0:for-each>
			
<xsl0:apply-templates/>
</table:table>
</xsl0:template>
	
<xsl0:template match="*" mode="mRowsDeclaration">
<xsl0:param name="pPosCol"/>
<xsl0:apply-templates mode="mRowsDeclaration">
<xsl0:with-param name="pPosCol" select="$pPosCol"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:forField | sm:forGroup | sm:forSet | sm:forSubData" mode="mRowsDeclaration">
<xsl0:param name="pPosCol"/>
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="mRowsDeclaration">
<xsl0:with-param name="pPosCol" select="$pPosCol"/>
</xsl0:apply-templates>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:WTableCell" mode="mRowsDeclaration">
<xsl0:param name="pPosCol"/>
<xsl0:variable name="vTableCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<xsl0:variable name="vCurrentPosCol_num"><xsl0:value-of select="java:hIncreaseOne($pPosCol)"/></xsl0:variable>
<xsl:choose>
<xsl:when test="getEntryBuffer('odStyleBlocks', '{$vTableCode}')">
<xsl:variable name="vColStyle">
<xsl:variable name="vColDom">
<xsl:variable name="vTmpColCount" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<cols>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vTableCode}')/table:table/table:table-column">
<xsl:variable name="vNbColRepeated" select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)"/>
<col style="{{@table:style-name}}">
<xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute>
<xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/>
<xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute>
</col>
</xsl:for-each>
</cols>
</xsl:variable>
<xsl:value-of select="xalan:nodeset($vColDom)/*/col[{$vCurrentPosCol_num}&gt;=@min and {$vCurrentPosCol_num}&lt;=@max][1]/@style"/>
</xsl:variable>
<table:table-column table:style-name="{{normalize-space($vColStyle)}}"/>
</xsl:when>
<xsl:otherwise>
<table:table-column/>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
		
<xsl0:template match="sm:WTableRow">
<xsl0:variable name="vTableCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:variable name="vPosRow_format"><xsl0:number value="$vPosRow" format="1"/></xsl0:variable>
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vTableCode}')/table:table/table:table-row[{number($vPosRow)}]/@table:style-name}}">
<xsl0:apply-templates/>
</table:table-row>
</xsl0:template>
<xsl0:template match="sm:WTableCell">
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vTableCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<xsl0:variable name="vTableRowId" select="generate-id(ancestor::sm:WTableRow[1])"/>
<xsl0:variable name="vPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:variable name="vPosRow_format"><xsl0:number value="$vPosRow" format="1"/></xsl0:variable>
<xsl0:variable name="vPosCol" select="count(preceding::sm:WTableCell[generate-id(ancestor::sm:WTableRow[1]) = $vTableRowId])+1"/>
<xsl0:variable name="vPosCol_format"><xsl0:number value="$vPosCol" format="A"/></xsl0:variable>
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vTableCode}')/table:table/table:table-row[{number($vPosRow)}]/table:table-cell[{number($vPosCol)}]/@table:style-name}}">
<xsl0:for-each select="*">
<xsl0:apply-templates select="."/>
</xsl0:for-each>
</table:table-cell>
</xsl0:template>


<xsl0:template match="sm:Widget" name="sm:Widget">
<xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()))" disable-output-escaping="yes"/>
</xsl0:template>
	

	
<xsl0:template match="sm:forGroup">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>	
	
<xsl0:template match="sm:forSet">
<xsl:apply-templates select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}" mode="mSet_{generate-id(.)}"/>
</xsl0:template>
<xsl0:template match="sm:forSet" mode="mSet">
		
<xsl:template match="*" mode="mSet_{generate-id(.)}">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:forSubData">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:forField">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:forField | sm:forGroup | sm:forSet | sm:forSubData" mode="mInSet">
		
<xsl:template match="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}" mode="mSet_{generate-id(..)}">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
<xsl0:template match="*" mode="mInSet"/>


	
<xsl0:template match="sm:callSubModel">
<xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta', '{getAxisSuffix(@axis)}', '/getContent'))" disable-output-escaping="yes"/>
</xsl0:template>
	

	
<xsl0:template match="sm:fieldValueString">
<xsl:value-of select="."/>
</xsl0:template>
	
<xsl0:template match="sm:fieldName">
<xsl:variable name="vCode" select="local-name(ancestor-or-self::*[starts-with(name(), 'sp:')][1])"/>
<xsl:choose>
<xsl0:for-each select="$vXmlPrim//sm:field">
<xsl:when test="$vCode='{@code}'"><xsl0:value-of select="@name"/></xsl:when>
</xsl0:for-each>
<xsl:when test="boolean(true)"><xsl:value-of select="$vCode"/></xsl:when>
</xsl:choose>
</xsl0:template>
	
<xsl0:template match="sm:fieldValueEnum">
<xsl0:choose>
<xsl0:when test="@format='key'">
<xsl:value-of select="."/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:variable name="vCodeLabel">
<xsl0:variable name="vFieldValueEnum" select="."/>
<xsl:choose>
<xsl0:choose>
<xsl0:when test="ancestor::sm:forField/@codes='*'">
<xsl0:for-each select="$vXmlPrim//sm:field/sm:enum//sm:option">
<xsl0:variable name="vFieldCode" select="ancestor::sm:field/@code"/>
<xsl0:variable name="vOverideLabel" select="$vFieldValueEnum/sm:option[@key=current()/@key]"/>
<xsl:when test="self::sp:{$vFieldCode}/text()='{escapeXpathString(@key)}'"><xsl0:value-of select="si($vOverideLabel, $vOverideLabel/@label, @name)"/></xsl:when>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:for-each select="xalan:tokenize(ancestor::sm:forField/@codes, ' ')">
<xsl0:variable name="vFieldCode" select="."/>
<xsl0:for-each select="$vXmlPrim//sm:field[@code=$vFieldCode]/sm:enum//sm:option">
<xsl0:variable name="vOverideLabel" select="$vFieldValueEnum/sm:option[@key=current()/@key]"/>
<xsl:when test="self::sp:{$vFieldCode}/text()='{escapeXpathString(@key)}'"><xsl0:value-of select="si($vOverideLabel, $vOverideLabel/@label, @name)"/></xsl:when>
</xsl0:for-each>
</xsl0:for-each>
</xsl0:otherwise>
</xsl0:choose>
<xsl:when test="true()"><xsl:value-of select="."/></xsl:when>
</xsl:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="@format='label'"><xsl0:copy-of select="$vCodeLabel"/></xsl0:when>
<xsl0:when test="@format='key (label)'"><xsl:value-of select="."/> (<xsl0:copy-of select="$vCodeLabel"/>)</xsl0:when>
<xsl0:when test="@format='label (key)'"><xsl0:copy-of select="$vCodeLabel"/> (<xsl:value-of select="."/>)</xsl0:when>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:fieldValueDate">
<xsl:value-of select="java:eu.scenari.modeling.dataformprim.DateFormatter.formatDate(text(),'{returnFirst(@format,'yyyy.MM.dd')}','{returnFirst(@locale,'fr-FR')}','',text())"/>
</xsl0:template>

	
<xsl0:template match="sm:fieldValueOtherType">
<xsl:variable name="vPathAgent{generate-id()}">
<xsl:choose>
<xsl:when test="@sc:refUri">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="concat('@', getIdNode(.))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="resultatAgent(concat($vPathAgent{generate-id()}, '{getAxisSuffix(@axis)}', '/getContent'))" disable-output-escaping="yes"/>
</xsl0:template>
<xsl0:template match="sm:fieldValueOtherTypeId">
<xsl:variable name="vPathAgent{generate-id()}">
<xsl:choose>
<xsl:when test="@sc:refUri">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="concat('@', getIdNode(.))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="concat($vPathAgent{generate-id()}, '{getAxisSuffix(@axis)}')"/>
</xsl0:template>
	
<xsl0:template match="sm:fieldValueRefItem">
<xsl0:apply-templates/>
</xsl0:template>
<xsl0:template match="sm:callRefModel">
<xsl0:variable name="vAxis" select="@axis"/>
<xsl0:variable name="vFor" select="ancestor::sm:forField"/>
<xsl0:for-each select="xalan:tokenize($vFor/@codes, ' ')">
<xsl0:variable name="vDefModel" select="$vXmlPrim//sm:field[@code=current()]/sm:refItem"/>
<xsl0:if test="boolean($vDefModel)">
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix($vAxis)}', '/getContent'))" disable-output-escaping="yes"/>
</xsl0:if>
</xsl0:for-each>
</xsl0:template>
	
<xsl0:template match="sm:fieldValueRefItemId">
<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}')"/>
</xsl0:template>
	
	
<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@codes">
<xsl0:value-of select="concat('sp:', java:replaceAll(string(@codes), '\s', ' | sp:'))"/>
</xsl0:when>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}"><xsl0:apply-templates select="*"/></xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>
	

<xsl0:template match="sm:title" name="sm:title">
<xsl:choose>
<xsl0:for-each select="*">
<xsl0:variable name="vTitleType" select="si(@format and @format='shortTitleText', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="name()='sm:dataFormTitle'">
<xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{$vTitleType}'))))&gt;0">
<xsl0:value-of select="@prefix"/><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{$vTitleType}'))" disable-output-escaping="yes"/><xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:when>
<xsl0:when test="name()='sm:fixedTitle'">
<xsl:when test="boolean('true')"><xsl0:value-of select="@value"/></xsl:when>
</xsl0:when>
</xsl0:choose>
</xsl0:for-each>
<xsl:when test="boolean('true')"></xsl:when>
</xsl:choose>
</xsl0:template>
	
<xsl0:template match="*"/>
</xsl0:stylesheet>
