<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	exclude-result-prefixes="sm sc sp se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:include href="bsco:sm/model/commons.xed.xsl"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:dataFormPrim">
<xsl:if test="sm:structure/descendant::sm:date">
<se:uiLib se:src="chrome://scenariXedLib/content/libUiExtra/dateInput/dateInput.uilib.xml"/>
</xsl:if>
<xsl:choose>
<xsl:when test="resultatAgent('//isStandAloneItem')='true'">
<se:lib>
<dropPasteItem se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:dataForm/sm:perms"/>
</xsl:call-template>
<element>
<xsl:call-template name="contentVisibleCompo"/>
</element>
</dropPasteItem>
<dropPasteItem se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:dataForm/sm:perms"/>
</xsl:call-template>
<hiddenElement>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:dataForm/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
</dropPasteItem>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure/*"/>
<xsl:if test="contains(sm:structure/*[last()]/@occurence, 'More')">
<insert se:bind="current">
								
</insert>
</xsl:if>
</se:template>
</se:lib>
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="sc:item" se:title="￼?uri=sc:sm:;Item￼">
						
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:dataForm/sm:perms"/>
</xsl:call-template>
<childs>
<dropPasteItem se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:dataForm/sm:perms"/>
</xsl:call-template>
<element insert="collapsed" opened="always">
<xsl:call-template name="contentVisibleCompo"/>
</element>
</dropPasteItem>
</childs>
</hiddenElement>
</xmlview>
</xsl:when>
<xsl:otherwise>
<se:lib>
<element se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:dataForm/sm:perms"/>
</xsl:call-template>
<xsl:call-template name="contentVisibleCompo"/>
</element>
<hiddenElement se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:dataForm/sm:perms"/>
</xsl:call-template>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:dataForm/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure/*"/>
<xsl:if test="contains(sm:structure/*[last()]/@occurence, 'More')">
<insert se:bind="current">
								
</insert>
</xsl:if>
</se:template>
</se:lib>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template name="contentVisibleCompo">
<xsl:if test="sm:help/@quickHelp and (not($vFormEditor/sm:dataForm/sm:help/sm:quickHelp) or $vFormEditor/sm:dataForm/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/@defaultStyle != 'element'"><xsl:attribute name="class"><xsl:value-of select="$vFormEditor/sm:dataForm/@defaultStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormEditor/sm:dataForm/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/@headStyle"><xsl:attribute name="styleHead"><xsl:value-of select="$vFormEditor/sm:dataForm/@headStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormEditor/sm:dataForm/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormEditor/sm:dataForm/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:dataForm/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:dataForm/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</xsl:template>

	
<xsl:template match="sm:field" name="field">
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=current()/@code]"/>
<element se:name="sp:{@code}" se:title="{@name}" se:bind="element" startAt="80" class="{si($vFormParams/@defaultStyle, $vFormParams/@defaultStyle, 'property')}">
<xsl:if test="sm:help/@quickHelp and (not($vFormParams/sm:help/sm:quickHelp) or $vFormParams/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="preceding-sibling::*[1][contains(@occurence, 'More')]"><xsl:attribute name="insert">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormParams/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@headStyle"><xsl:attribute name="styleHead"><xsl:value-of select="$vFormParams/@headStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormParams/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormParams/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@autoRepeatField='yes'"><xsl:attribute name="nextElementToAppend">.</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
			
<xsl:call-template name="occ"/>
			
<xsl:apply-templates mode="orient"/>
<childs>
<xsl:apply-templates/>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormParams/sm:help/sm:quickHelp"/>
</xsl:call-template>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:field[sm:refItem]">
		
<xsl:variable name="vIsExternalizable" select="testExpr(sm:refItem/sm:allowedModel, resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem')) = 'true', 'or')"/>
<xsl:if test="$vIsExternalizable">
<xsl:call-template name="field"/>
</xsl:if>
</xsl:template>
<xsl:template match="sm:group">
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=current()/@code]"/>
<element se:name="sp:{@code}" se:title="{@name}" se:bind="element" class="{si($vFormParams/@defaultStyle, $vFormParams/@defaultStyle, 'property')}">
<xsl:if test="sm:help/@quickHelp and (not($vFormParams/sm:help/sm:quickHelp) or $vFormParams/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="preceding-sibling::*[1][contains(@occurence, 'More')]"><xsl:attribute name="insert">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormParams/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@headStyle"><xsl:attribute name="styleHead"><xsl:value-of select="$vFormParams/@headStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormParams/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormParams/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
			
<xsl:call-template name="occ"/>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormParams/sm:help/sm:quickHelp"/>
</xsl:call-template>
<xsl:apply-templates/>
<xsl:if test="contains(*[last()]/@occurence, 'More')">
<insert se:bind="current"/>
</xsl:if>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:setOf">
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=current()/@code]"/>
<element se:name="sp:{@code}" se:title="{@name}" se:bind="element" class="{si($vFormParams/@defaultStyle, $vFormParams/@defaultStyle, 'property')}">
<xsl:if test="sm:help/@quickHelp and (not($vFormParams/sm:help/sm:quickHelp) or $vFormParams/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="preceding-sibling::*[1][contains(@occurence, 'More')]"><xsl:attribute name="insert">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormParams/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@headStyle"><xsl:attribute name="styleHead"><xsl:value-of select="$vFormParams/@headStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormParams/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormParams/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
			
<xsl:call-template name="occ"/>
<childs controlCardPlus="true">
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormParams/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:choice se:card="+" se:show="ifExist">
<xsl:apply-templates/>
</se:choice>
<insert se:bind="current"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:subData">
<xsl:variable name="vCountInternalizable" select="concatExpr(sm:allowedDataModel, si(resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true', '1'), '')"/>
<xsl:if test="$vCountInternalizable">
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=current()/@code]"/>
<xsl:choose>
<xsl:when test="$vFormParams/@editMode='hideRootLevel' and not(contains(@occurence, 'More'))">
<hiddenElement se:name="sp:{@code}" se:title="{@name}" se:bind="element">
						
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
<xsl:call-template name="occ"/>
<xsl:call-template name="subDataChilds">
<xsl:with-param name="pCountInternalizable" select="$vCountInternalizable"/>
<xsl:with-param name="pFormParams" select="$vFormParams"/>
</xsl:call-template>
</hiddenElement>
</xsl:when>
<xsl:otherwise>
<element se:name="sp:{@code}" se:title="{@name}" se:bind="{si($vFormParams/@displayMode='openedByDefault', 'element', 'elementSubtree')}" class="{si($vFormParams/@defaultStyle, $vFormParams/@defaultStyle, 'property')}">
<xsl:if test="sm:help/@quickHelp and (not($vFormParams/sm:help/sm:quickHelp) or $vFormParams/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="preceding-sibling::*[1][contains(@occurence, 'More')]"><xsl:attribute name="insert">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormParams/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@headStyle"><xsl:attribute name="styleHead"><xsl:value-of select="$vFormParams/@headStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormParams/@tagStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormParams/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
						
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
						
<xsl:call-template name="occ"/>
<xsl:call-template name="subDataChilds">
<xsl:with-param name="pCountInternalizable" select="$vCountInternalizable"/>
<xsl:with-param name="pFormParams" select="$vFormParams"/>
</xsl:call-template>
</element>
</xsl:otherwise>
</xsl:choose>
</xsl:if>
</xsl:template>
<xsl:template name="subDataChilds">
<xsl:param name="pCountInternalizable"/>
<xsl:param name="pFormParams"/>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$pFormParams/sm:help/sm:quickHelp"/>
</xsl:call-template>
<xsl:choose>
<xsl:when test="string-length($pCountInternalizable) &gt; 1">
<alternative se:bind="choice" se:defaultChild="-1">
						
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$pFormParams/sm:perms"/>
</xsl:call-template>
<xsl:for-each select="sm:allowedDataModel">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlForm', $pFormParams/sm:callSubModelEditor/@key))}">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$pFormParams/sm:perms"/>
</xsl:call-template>
</se:ref>
</xsl:if>
</xsl:for-each>
</alternative>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="sm:allowedDataModel">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlFormHideHeader', $pFormParams/sm:callSubModelEditor/@key))}"/>
</xsl:if>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
</childs>
</xsl:template>
	
<xsl:template name="quickHelpAsDescription">
<xsl:param name="pQuickHelp"/>
<xsl:if test="sm:help/@quickHelp and $pQuickHelp/sm:description">
<description>
<xsl:if test="$pQuickHelp/sm:description/@style"><xsl:attribute name="style"><xsl:value-of select="$pQuickHelp/sm:description/@style"/></xsl:attribute></xsl:if>
<xsl:value-of select="sm:help/@quickHelp"/>
</description>
</xsl:if>
</xsl:template>
	
	
	
<xsl:template match="sm:string" mode="orient">
<xsl:attribute name="orientation">horizontal</xsl:attribute>
</xsl:template>
<xsl:template match="sm:string">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<contentElement se:bind="text" class="property">
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
<textInput notnull="true" trim="true">
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:fullTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="fullTitleField"/></xsl:if>
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:shortTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="shortTitleField"/></xsl:if>
<xsl:if test="$vFormParams/@textStyle"><xsl:attribute name="textStyle"><xsl:value-of select="$vFormParams/@textStyle"/></xsl:attribute></xsl:if>
</textInput>
</contentElement>
<xsl:if test="string-length(@maxCharacters)&gt;0 or string-length(@maxCharactersAdvised)&gt;0 ">
<lengthCtrl inputXPath="preceding-sibling::*/*" style="-moz-binding: url(chrome://scenariXedLib/content/libUiExtra/inputCtrl/widgets/inputCtrl.xbl.xml#lengthCtrl);">
<xsl:if test="string-length(@maxCharacters)&gt;0"><xsl:attribute name="maxChars"><xsl:value-of select="@maxCharacters"/></xsl:attribute></xsl:if>
<xsl:if test="string-length(@maxCharactersAdvised)&gt;0"><xsl:attribute name="maxCharsAdvised"><xsl:value-of select="@maxCharactersAdvised"/></xsl:attribute></xsl:if>
</lengthCtrl>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:enum" mode="orient">
<xsl:attribute name="orientation">horizontal</xsl:attribute>
</xsl:template>
<xsl:template match="sm:enum">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<contentElement se:bind="text" class="property">
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
<choiceInput notnull="true">
<xsl:apply-templates/>
</choiceInput>
</contentElement>
</xsl:template>
<xsl:template match="sm:option">
<ciItem label="{@name}" value="{@key}"/>
</xsl:template>
<xsl:template match="sm:optionSeparator">
<ciSeparator/>
</xsl:template>
<xsl:template match="sm:optionsList">
<ciSubList label="{@name}">
<xsl:apply-templates/>
</ciSubList>
</xsl:template>
	 
<xsl:template match="sm:number" mode="orient">
<xsl:attribute name="orientation">horizontal</xsl:attribute>
</xsl:template>
<xsl:template match="sm:number">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<hbox>
<contentElement se:bind="text" class="property" style="width:10em;">
				
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
<textInput notnull="true" type="number" min="{@min}" max="{@max}" decimalplaces="{@allowedDecimals}" style="min-height:25px;"  validRegExp="{si(@allowedDecimals='Infinity',  '^\d*\.\d*$', si(number(@allowedDecimals)&gt;0, concat('^\d*(\.\d{0,', @allowedDecimals, '})?$'), '^\d+$'))}">
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:fullTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="fullTitleField"/></xsl:if>
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:shortTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="shortTitleField"/></xsl:if>
<xsl:if test="$vFormParams/@textStyle"><xsl:attribute name="textStyle"><xsl:value-of select="$vFormParams/@textStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormParams/@increment and $vFormParams/@increment!='1'"><xsl:attribute name="increment"><xsl:value-of select="$vFormParams/@increment"/></xsl:attribute></xsl:if>
</textInput>
</contentElement>
<spacer flex="1"/>
</hbox>
</xsl:template>
	
<xsl:template match="sm:date" mode="orient">
<xsl:attribute name="orientation">horizontal</xsl:attribute>
</xsl:template>
<xsl:template match="sm:date">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<hbox>
<contentElement se:bind="text" class="property">
				
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
<dateInput notnull="true">
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:fullTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="fullTitleField"/></xsl:if>
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:shortTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="shortTitleField"/></xsl:if>
<xsl:if test="$vFormParams/@textStyle"><xsl:attribute name="textStyle"><xsl:value-of select="$vFormParams/@textStyle"/></xsl:attribute></xsl:if>
</dateInput>
</contentElement>
<spacer flex="1"/>
</hbox>
</xsl:template>
	
<xsl:template match="sm:url" mode="orient">
<xsl:attribute name="orientation">horizontal</xsl:attribute>
</xsl:template>
<xsl:template match="sm:url">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<contentElement se:bind="text" class="property">
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
<urlCtrl inputXPath="child::*" style="-moz-binding: url(chrome://scenariXedLib/content/libUiExtra/inputCtrl/widgets/inputCtrl.xbl.xml#urlCtrl);">
<textInput notnull="true" trim="true" frenchPonct="false">
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:fullTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="fullTitleField"/></xsl:if>
<xsl:if test="/sm:dataFormPrim/sm:storage/sm:fullTitleBuilder/sm:fieldValue[@refCode=$vCodeField]"><xsl:attribute name="fullTitleField"/></xsl:if>
<xsl:if test="$vFormParams/@textStyle"><xsl:attribute name="textStyle"><xsl:value-of select="$vFormParams/@textStyle"/></xsl:attribute></xsl:if>
</textInput>
</urlCtrl>
</contentElement>
</xsl:template>
	
<xsl:template match="sm:refItem" mode="orient">
<xsl:attribute name="orientation">horizontal</xsl:attribute>
</xsl:template>
<xsl:template match="sm:refItem">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<xsl:variable name="vPublicSgn">
<xsl:for-each select="sm:allowedModel[resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true']"><xsl:if test="position() &gt; 1">|</xsl:if>.*<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/sgn'))"/>\b.*</xsl:for-each>
</xsl:variable>
<ptritem se:bind="attribute" se:title="Ref" se:name="sc:refUri" class="formview" regexpSgn="{$vPublicSgn}" notnull="true">
			
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template>
</ptritem>
</xsl:template>
	
<xsl:template match="sm:otherType" mode="orient"/>
<xsl:template match="sm:otherType">
<xsl:variable name="vCodeField" select="../@code"/>
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=$vCodeField]"/>
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isInternalizable'))='true'">
<se:ref se:refurl="{resultatAgent(concat($vAgtModel, '/xedRefUrlFormHideHeader', $vFormParams/sm:callSubModelEditor/@key))}">
				
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormParams/sm:perms"/>
</xsl:call-template> 
</se:ref>
</xsl:if>
</xsl:template>
	
	
<xsl:template name="occ">
<xsl:choose>
<xsl:when test="@occurence='zeroOrOne'">
<xsl:attribute name="se:card">?</xsl:attribute>
</xsl:when>
<xsl:when test="@occurence='zeroOrMore'">
<xsl:attribute name="se:card">*</xsl:attribute>
</xsl:when>
<xsl:when test="@occurence='oneOrMore'">
<xsl:attribute name="se:card">+</xsl:attribute>
</xsl:when>
</xsl:choose>
</xsl:template>
	
<xsl:template match="*|text()|@*"/>
<xsl:template match="*|text()|@*" mode="orient"/>
	
	
<xsl:template name="getIconUrl">
<xsl:param name="vUriRes"/>
<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>
</xsl:template>
</xsl:stylesheet>
