<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sc sp sm xsl java"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/model/ssGenAttr.xsl.xsl"/>
	
<xsl0:template match="sm:dataFormPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
		
<xsl0:value-of select="execute(setEntryBuffer('ns', '#default', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl:template match="{concat(sm:identification/@targetPrefix, ':', sm:identification/@code)}">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl0:apply-templates select="sm:structure/*">
<xsl0:with-param name="pPath" select="concat(sm:identification/@targetPrefix, ':', sm:identification/@code)"/>
</xsl0:apply-templates>
<xsl0:apply-templates select="sm:storage/sm:index"/>
</xsl0:template>
	
<xsl0:template match="sm:group">
<xsl0:param name="pPath"/>
<xsl0:apply-templates>
<xsl0:with-param name="pPath" select="concat($pPath, '/sp:', @code)"/>
</xsl0:apply-templates>
</xsl0:template>
	
<xsl0:template match="sm:setOf">
<xsl0:param name="pPath"/>
<xsl0:apply-templates>
<xsl0:with-param name="pPath" select="concat($pPath, '/sp:', @code)"/>
</xsl0:apply-templates>
</xsl0:template>
	
<xsl0:template match="sm:field">
<xsl0:param name="pPath"/>
<xsl0:apply-templates>
<xsl0:with-param name="pPath" select="concat($pPath, '/sp:', @code)"/>
</xsl0:apply-templates>
</xsl0:template>
	
<xsl0:template match="sm:refItem">
<xsl0:param name="pPath"/>
<xsl0:variable name="vHasStandAloneItem">
<xsl0:for-each select="sm:allowedModel">
<xsl0:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isStandAloneItem'))='true'">true</xsl0:if>
</xsl0:for-each>
</xsl0:variable>
<xsl0:if test="$vHasStandAloneItem">
<xsl0:variable name="vCode">
<xsl0:for-each select="ancestor::*[@code]"><xsl0:value-of select="concat(@code, ':')"/></xsl0:for-each>
</xsl0:variable>
<xsl:template match="{$pPath}[@sc:refUri]">
<attrRef refUri="{{@sc:refUri}}" nm="{resultatAgent('//codeModel')}:{$vCode}"/>
</xsl:template>
</xsl0:if>
</xsl0:template>
	
<xsl0:template match="sm:string[string-length(@maxCharacters)&gt;0 or string-length(@maxCharactersAdvised)&gt;0]">
<xsl0:param name="pPath"/>
<xsl:template match="{$pPath}">
<xsl:choose>
<xsl0:if test="string-length(@maxCharacters)&gt;0 ">
<xsl:when test="string-length(.) &gt; {@maxCharacters}">
<cPbs>
<pb typ="Error" cd="fieldTooLong" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sm:&amp;syntax=Formatter;Le texte du champ ''%1$s'' est trop long : %3$s / %2$s￼', '{escapeXpathString(../@name)}', '{escapeXpathString(@maxCharacters)}', string(string-length(.)))}}"/>
</cPbs>
</xsl:when>
</xsl0:if>
<xsl0:if test="string-length(@maxCharactersAdvised)&gt;0 ">
<xsl:when test="string-length(.) &gt; {@maxCharactersAdvised}">
<cPbs>
<pb typ="Warning" cd="fieldTooLong" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sm:&amp;syntax=Formatter;Le texte du champ ''%1$s'' dépasse la taille conseillée : %3$s / %2$s￼', '{escapeXpathString(../@name)}', '{escapeXpathString(@maxCharactersAdvised)}', string(string-length(.)))}}"/>
</cPbs>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl:template>
</xsl0:template>
	
	
<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl:when test="{si(@refCodes, concat('sp:', java:replaceAll(string(@refCodes), '\s', ' | sp:')), @xpath)}">
<xsl0:apply-templates/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:for">
<xsl:for-each select="{si(@refCodes, concat('sp:', java:replaceAll(string(@refCodes), '\s', ' | sp:')), @xpath)}">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:listFieldValues">
<xsl:variable name="vList" select="{si(@refCodes, concat('sp:', java:replaceAll(string(@refCodes), '\s', ' | sp:')), returnFirst(@xpath, '.'))}"/>
<xsl:if test="$vList"><xsl0:if test="@prefixIfExist"><xsl:text><xsl0:value-of select="@prefixIfExist"/></xsl:text></xsl0:if><xsl:for-each select="$vList"><xsl:value-of select="{si(@xpathOnValue, @xpathOnValue, '.')}"/><xsl0:if test="@separator"><xsl:if test="position()!=last()"><xsl:text><xsl0:value-of select="@separator"/></xsl:text></xsl:if></xsl0:if></xsl:for-each><xsl0:if test="@suffixIfExist"><xsl:text><xsl0:value-of select="@suffixIfExist"/></xsl:text></xsl0:if></xsl:if>
</xsl0:template>
<xsl0:template match="sm:fieldValue[@prefixIfExist or @suffixIfExist]">
<xsl0:variable name="vMatch" select="si(@refCode, concat('sp:', @refCode), '.')"/>
<xsl:if test="{$vMatch}"><xsl0:if test="@prefixIfExist"><xsl:text><xsl0:value-of select="@prefixIfExist"/></xsl:text></xsl0:if><xsl:value-of select="normalize-space({$vMatch})"/><xsl0:if test="@suffixIfExist"><xsl:text><xsl0:value-of select="@suffixIfExist"/></xsl:text></xsl0:if></xsl:if>
</xsl0:template>
<xsl0:template match="sm:fieldValue">
<xsl:value-of select="normalize-space({si(@refCode, concat('sp:', @refCode), '.')})"/>
</xsl0:template>
	
</xsl0:stylesheet>