<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp sm xalan"
		version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:template match="sm:refItem">
<xsl:variable name="vSubStandAloneItemList">
<xsl:for-each select="sm:allowedModel">
<xsl:variable name="vAgtModel" select="concat('@', getIdFromPath(@sc:refUri))"/>
<xsl:if test="resultatAgent(concat($vAgtModel, '/isStandAloneItem'))='true'">
<item name="{resultatAgent(concat($vAgtModel, '/nameModel'))}"><xsl:value-of select="resultatAgent(concat($vAgtModel, '/sgn'))"/></item>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="vSubStandAloneItemListNS" select="xalan:nodeset($vSubStandAloneItemList)"/>
<xsl:if test="$vSubStandAloneItemList">
<xsl:variable name="vCode">
<xsl:for-each select="ancestor::*[@code]"><xsl:value-of select="concat(@code, ':')"/></xsl:for-each>
</xsl:variable>
<validAttrMatchSgn nm="{resultatAgent('//codeModel')}:{$vCode}" regexpSgn=".*({concatExpr($vSubStandAloneItemListNS//item, text(), '|')})\b.*">
<pb typ="Error" msg="￼?uri=sc:sm:;Cet item n'est pas d'un type autorisé : ￼'{concatExpr($vSubStandAloneItemListNS//item, @name, ''', ''')}'"/>
</validAttrMatchSgn>
</xsl:if>
</xsl:template>
	
<xsl:template match="text()|@*"/>
	
</xsl:stylesheet>