<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm sc sp xsl java xalan">
	
	

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
	
		
<xsl0:template name="classAtt">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>

	
<xsl0:template match="sm:formattingMark" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>
<xsl0:template match="sm:nonBreakingSpace" mode="content"><xsl:text>&#160;</xsl:text></xsl0:template>
<xsl0:template match="sm:tabulation" mode="content"><xsl:text>&#9;</xsl:text></xsl0:template>

	
<xsl0:template match="sm:WBlock" mode="content">
<xsl0:element name="{returnFirst(@tagName,'div')}">
<xsl0:call-template name="classAtt"/>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
	
	
<xsl0:template match="sm:WText" mode="content">
<xsl:text><xsl0:value-of select="@value"/></xsl:text>
</xsl0:template>
	
	
<xsl0:template match="sm:WLink" mode="content">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>
<a>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl"><xsl0:apply-templates select="sm:link/*" mode="nav"/></xsl0:with-param>
<xsl0:with-param name="pOptions"><xsl0:value-of select="$vOptions"/></xsl0:with-param>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/*" mode="content"/></span></xsl0:otherwise>
</xsl0:choose>
</a>
</xsl0:template>
	
	
<xsl0:template match="sm:W2Cols" mode="content">
<table>
<xsl0:call-template name="classAtt"/>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</table>
</xsl0:template>

	
<xsl0:template match="sm:W2ColsFreeRow" mode="content">
<tr>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses">{si(si(java:hGet($vCounter)=0, java:hIncreaseOne($vCounter), java:hDecreaseOne($vCounter))=0, 'odd', 'even')}</xsl0:with-param> 
</xsl0:call-template>
<th>
<xsl0:apply-templates select="sm:labelCell/*" mode="content"/>
</th>
<td>
<xsl0:apply-templates select="sm:valueCell/*" mode="content"/>
</td>
</tr>
</xsl0:template>
	
	
<xsl0:template match="sm:W2ColsFieldRow" mode="content">
<tr>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses">{si(si(java:hGet($vCounter)=0, java:hIncreaseOne($vCounter), java:hDecreaseOne($vCounter))=0, 'odd', 'even')}</xsl0:with-param>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<th>
<xsl0:variable name="vForList" select="xalan:tokenize(ancestor::sm:forField/@codes, ' ')"/>
<xsl0:choose>
<xsl0:when test="count($vForList)=1">
<xsl0:value-of select="$vStructureModel//sm:field[@code=$vForList]/@name"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:choose>
<xsl0:for-each select="$vForList">
<xsl:when test="local-name(.)=&quot;{.}&quot;"><xsl0:value-of select="$vStructureModel//sm:field[@code=current()]/@name"/></xsl:when>
</xsl0:for-each>
</xsl:choose>
</xsl0:otherwise>
</xsl0:choose>
</th>
<td class="value">
<xsl0:apply-templates mode="content"/>
</td>
</tr>
</xsl0:template>
	
	
<xsl0:template match="sm:WTable" mode="content">
<table>
<xsl0:call-template name="classAtt"/>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="sm:col">
<thead>
<tr>
<xsl0:for-each select="sm:col">
<th>
<xsl0:value-of select="@label"/>
</th>
</xsl0:for-each>
</tr>
</thead>
</xsl0:if>
<tbody>
<xsl0:apply-templates mode="content"/>
</tbody>
</table>
</xsl0:template>
	
	
<xsl0:template match="sm:WTableRow" mode="content">
<tr>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses">{si(si(java:hGet($vCounter)=0, java:hIncreaseOne($vCounter), java:hDecreaseOne($vCounter))=0, 'odd', 'even')}</xsl0:with-param>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</tr>
</xsl0:template>
	
	
<xsl0:template match="sm:WTableCell" mode="content">
<xsl0:element name="{returnFirst(@tagName,'td')}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
	
	
<xsl0:template match="sm:WImg" mode="content">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

</xsl0:stylesheet>
