<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm sc xsl xalan xhtml"
	>

	

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>

<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>

	
<xsl0:template name="rootTemplates">
<xsl:variable name="vTargetDialog" select="resultatAgent('pathDialog')"/>
<xsl:variable name="vTargetTitle" select="si($vTargetDialog, intituleAgent(dialog($vTargetDialog)), '')"/>

<xsl:template match="*">
<xsl0:if test="resultatAgent('//agentGenerator', 'debug') != 'no'">
<xsl:comment>navUiWidget pathDialog : "<xsl:value-of select="$vTargetDialog"/>"</xsl:comment>
</xsl0:if>
<xsl:choose>
<xsl:when test="$vTargetDialog">
<xsl0:apply-templates select="sm:content/sm:ifPageFound/node()" mode="content"/>
</xsl:when>
<xsl:otherwise>
<xsl0:apply-templates select="sm:content/sm:ifPageNotFound/node()" mode="content"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="text()"/>

</xsl0:template>
	
	
<xsl0:template match="sm:WLink" mode="content">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>
<a>
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:call-template name="linkHref">
<xsl0:with-param name="pUrl">{resultatDialogue(string($vTargetDialog), 'act:')}</xsl0:with-param>
<xsl0:with-param name="pOptions"><xsl0:value-of select="$vOptions"/></xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="@widgetClass"><xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute></xsl0:if>
<xsl0:if test="@accesskey"><xsl0:attribute name="accesskey"><xsl0:value-of select="@accesskey"/></xsl0:attribute></xsl0:if>
<xsl0:if test="sm:labelTitle">
<xsl:attribute name="title"><xsl0:apply-templates select="sm:labelTitle/node()" mode="content"/></xsl:attribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/node()" mode="content"/></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
<xsl0:template match="sm:WLink/@accesskey" mode="freeAtts"/>
<xsl0:template match="sm:WLink/@widgetClass" mode="freeAtts"/>

	
<xsl0:template match="sm:targetTitle" mode="content"><xsl:value-of select="$vTargetTitle"/></xsl0:template>

	
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent('widget_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
	
	
<xsl0:template match="sm:WImg" mode="content">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

	
<xsl0:template match="xhtml:*" mode="content">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:apply-templates select="node()" mode="content"/>
</xsl0:element>
</xsl0:template>

<xsl0:template match="xhtml:img" mode="content">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts" />
<xsl0:template match="text()" mode="content">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>
<xsl0:template match="*" mode="content"/>

</xsl0:stylesheet>