<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
		
<xsl:template match="sm:odGenerator">
<infoGenerator code="{@code}" name="{filterInlineLoc(@name)}">
<xsl:value-of select="initBuffer('models', java:java.util.HashSet.new())"/>
			
<xsl:apply-templates select="sm:modelRoot/sm:allowedModel"/>
			
<xsl:apply-templates select="sm:modelRoot/sm:allowedModel" mode="callSubModels"/>
<xsl:value-of select="initBuffer('models')"/>
			
<xsl:apply-templates select="sm:odTemplate"/>
			
<xsl:for-each select="agentsLies('//linksTransf')">
<transf model="{java:getSrcUri(srcFileAgent(computeNodeAgent(agentModel)))}" axis="{resultatAgent(axis)}" src="{java:getSrcUri(srcFileAgent(.))}">
<xsl:value-of select="resultatAgent(viewsInfo)" disable-output-escaping="yes"/>
</transf>
</xsl:for-each>
			
</infoGenerator>
</xsl:template>




	
<xsl:template match="sm:allowedModel">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:if test="boolean($vModel) and setEntryBuffer('models', codeAgent($vModel))">
<model isRoot="true" code="{resultatAgent($vModel/codeModel)}" name="{resultatAgent($vModel/nameModel)}" isPublic="{resultatAgent($vModel/isStandAloneItem)}" isInternalizable="{resultatAgent($vModel/isInternalizable)}" src="{java:getSrcUri(srcFileAgent($vModel))}"/>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:allowedModel" mode="callSubModels">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:if test="boolean($vModel)">
<xsl:for-each select="$vModel/links/*">
<xsl:for-each select="agentsLies(.)">
<xsl:call-template name="model"/>
</xsl:for-each>
</xsl:for-each>
</xsl:if>
</xsl:template>
<xsl:template match="text()|@*" mode="callSubModels"/>
	
	
<xsl:template name="model">
<xsl:if test="setEntryBuffer('models', codeAgent(.))">
<model code="{resultatAgent(codeModel)}" name="{resultatAgent(nameModel)}" isPublic="{resultatAgent(isStandAloneItem)}" isInternalizable="{resultatAgent(isInternalizable)}" src="{java:getSrcUri(srcFileAgent(.))}"/>
<xsl:for-each select="links/*">
<xsl:for-each select="agentsLies(.)">
<xsl:call-template name="model"/>
</xsl:for-each>
</xsl:for-each>
</xsl:if>
</xsl:template>




<xsl:template match="sm:odTemplate">
<xsl:variable name="vOdTemplate" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
		
<xsl:value-of select="resultatAgent($vOdTemplate/calledModels)" disable-output-escaping="yes"/>
		
<template src="{java:getSrcUri(srcFileAgent($vOdTemplate))}">
<xsl:value-of select="resultatAgent($vOdTemplate/viewsInfo)" disable-output-escaping="yes"/>
</template>
		
</xsl:template>
	
<xsl:template match="text()|@*"/>




	
<xsl:template match="text()|@*" mode="templates"/>
	
</xsl:stylesheet>
