<?xml version="1.0" encoding="UTF-8"?>
<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" 
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:xlink="http://www.w3.org/1999/xlink" 
	xmlns:dc="http://purl.org/dc/elements/1.1/" 
	xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
	xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" 
	xmlns:svg="http://www.w3.org/2000/svg" 
	xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
	xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" 
	xmlns:math="http://www.w3.org/1998/Math/MathML"
	xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" 
	xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" 
	xmlns:ooo="http://openoffice.org/2004/office" 
	xmlns:ooow="http://openoffice.org/2004/writer" 
	xmlns:oooc="http://openoffice.org/2004/calc"	
	xmlns:dom="http://www.w3.org/2001/xml-events" 
	xmlns:xforms="http://www.w3.org/2002/xforms" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:scod="scenari.eu:openDocumentExtension:1.0"
	exclude-result-prefixes="sc sm sp scodPp office style text table draw fo xlink dc meta number svg chart dr3d math form script ooo ooow oooc dom xforms xsd xsi java xalan">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bs:xWidgetsContent.xsl"/>
<xsl0:include href="bs:getStyles.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
		
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTemplate')"/>

<xsl0:template match="/* | sm:odContentZone">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl0:choose>
<xsl0:when test="name()='sm:odContentZone'">
<xsl:template match="*" priority="1">
<xsl0:apply-templates select="*"/>
</xsl:template>
</xsl0:when>
<xsl0:otherwise>
<xsl:template match="*">
<scodPp:root>
						
<xsl0:for-each select="agentsLies(computeNodeAgent('//agentRootGenerator')/listAgentRootAllowed)">
<xsl0:value-of select="execute(setEntryBuffer('ns', resultatAgent(prefixModel), resultatAgent(nsModel)))"/>
</xsl0:for-each>
<xsl0:for-each select="agentsLies(computeNodeAgent('//agentRootGenerator')/listAgentRootAllowed)">
<xsl0:value-of select="execute(setEntryBuffer('ns', resultatAgent(agentMeta, 'prefixModel'), resultatAgent(agentMeta, 'nsModel')))"/>
</xsl0:for-each>
						
						
						
<style:style style:name="_scod_noDisplay" style:family="paragraph" style:parent-style-name="Standard">
<style:paragraph-properties fo:keep-together="always" fo:keep-with-next="always"/>
<style:text-properties fo:color="#FFFFFF" style:font-name="Arial" fo:font-size="1pt"/>
</style:style>
<style:style style:name="_scod_noDisplayNoKeep" style:family="paragraph" style:parent-style-name="Standard">
<style:paragraph-properties/>
<style:text-properties fo:color="#FFFFFF" style:font-name="Arial" fo:font-size="1pt"/>
</style:style>
	                    
<style:style style:name="_scod_hiddenParagraph" style:family="paragraph" style:parent-style-name="Standard">
<style:paragraph-properties fo:keep-together="always" fo:keep-with-next="always"/>
<style:text-properties fo:color="#c0c0c0" fo:font-size="8pt" fo:font-style="italic" fo:font-weight="normal" text:display="{si(resultatAgent('//agentRootGenerator','openOfficeVersion')='2.x', 'true', 'none')}"/>
</style:style>
<style:style style:name="_scod_hiddenText" style:family="text">
<style:text-properties text:display="{si(resultatAgent('//agentRootGenerator','openOfficeVersion')='2.x', 'true', 'none')}"/>
</style:style>
<style:style style:name="_scod_noDisplayText" style:family="text" >
<style:text-properties fo:font-size="1pt" style:font-name="Arial" fo:color="#FFFFFF"/>
</style:style>
	                    
<style:style style:name="_scod_breakAfter" style:family="paragraph" style:parent-style-name="Standard">
<style:paragraph-properties fo:break-after="page"/>
</style:style>
<style:style style:name="_scod_breakBefore" style:family="paragraph" style:parent-style-name="Standard">
<style:paragraph-properties fo:break-before="page"/>
</style:style>
<style:style style:name="_scod_section" style:family="section">
<style:section-properties style:editable="false">
<style:columns fo:column-count="0" fo:column-gap="0cm"/>
</style:section-properties>
</style:style>
                        
                        
<xsl0:value-of select="resultatAgent('//agentRootGenerator','odblender.content')" disable-output-escaping="yes"/>
	                    
	                    
<scod:useStyle name="Visited_20_Internet_20_Link"/>
<scod:useStyle name="Internet_20_link"/>
	                    
	                    
<office:text>
<text:sequence-decls>
<xsl0:value-of select="resultatAgent('//agentRootGenerator', 'sequenceList')" disable-output-escaping="yes"/>
</text:sequence-decls>
							
<xsl0:apply-templates select="sm:contentStruct/*"/>
</office:text>
						
						
<xsl0:apply-templates select="sm:dataBlockDeclaration"/>
						
						
<xsl0:apply-templates select="sm:contentStruct//sm:WPageMaster" mode="mMasterStyles"/>
<xsl0:apply-templates select="sm:contentStruct//sm:pagesLayout" mode="mMasterStyles"/>
</scodPp:root>
</xsl:template>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:WPageMaster">
<scodPp:section>
<scodPp:content>
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{concat(resultatAgent('//codeTemplate'), '_', @style, '_#main')}')/@text:style-name}}"/>
<xsl0:apply-templates select="sm:body/*"/>
</scodPp:content>
</scodPp:section>
</xsl0:template>
	
	
<xsl0:template match="sm:forEachBlock">
<scodPp:forEachBlock id="db_{generate-id()}">
<xsl0:apply-templates/>
</scodPp:forEachBlock>
</xsl0:template>
<xsl0:template match="sm:dataBlockDeclaration">
<scodPp:dataBlockDeclaration category="{@category}" sort="{@sort}" hideSameBlock="{@hideSameBlock}" hideEmptyBlocks="{@hideEmptyBlocks}" hideBlockIfShowInContent="{si(@hideBlockIfShowInContent, @hideBlockIfShowInContent, 'no')}">
<xsl0:apply-templates/>
</scodPp:dataBlockDeclaration>
</xsl0:template>
	
<xsl0:template match="sm:dataBlockDeclaration/sm:content">
<scodPp:content><xsl0:apply-templates select="*"/></scodPp:content>
</xsl0:template>
	
<xsl0:template match="sm:dataBlockDeclaration/sm:conditionalContent">
<xsl0:apply-templates/>
</xsl0:template>
	
<xsl0:template match="sm:conditionalContent/sm:position">
<scodPp:conditionalContent type="position">
<scodPp:firstCall><xsl0:apply-templates select="sm:firstCall/*"/></scodPp:firstCall>
<scodPp:otherCalls><xsl0:apply-templates select="sm:otherCalls/*"/></scodPp:otherCalls>
</scodPp:conditionalContent>
</xsl0:template>
	
<xsl0:template match="sm:conditionalContent/sm:dataShow">
<scodPp:conditionalContent type="data">
<scodPp:ifDataIsShow><xsl0:apply-templates select="sm:ifDataIsShow/*"/></scodPp:ifDataIsShow>
<scodPp:ifDataIsNotShow><xsl0:apply-templates select="sm:ifDataIsNotShow/*"/></scodPp:ifDataIsNotShow>
</scodPp:conditionalContent>
</xsl0:template>
	
<xsl0:template match="sm:dataBlockDeclaration/sm:noContent">
<scodPp:noContent/>
</xsl0:template>
	
	
<xsl0:template match="sm:heading">
<scodPp:condition xpath="{si((not(@display) or @display='ifNotNull'), '*/scodPp:content/*', 'true()')}">
<scodPp:section>
<xsl0:if test="sm:title">
<scodPp:title><xsl0:apply-templates select="sm:title/*"/></scodPp:title>
</xsl0:if>
<scodPp:content>
<xsl0:apply-templates select="*[name()!='sm:title']"/>
</scodPp:content>
</scodPp:section>
</scodPp:condition>
</xsl0:template>
	
	
<xsl0:template match="sm:WPageMaster | sm:stylePage" mode="mMasterStyles">
<xsl0:variable name="vPageCode" select="concat(resultatAgent('//codeTemplate'), '_', ancestor-or-self::sm:WPageMaster/@style)"/>
<xsl0:variable name="vShowHeader" select="si(name()='sm:stylePage',
                                                        si(not(@header) or @header='show', 'true', 'false'),
                                                        si(not(sm:pagesLayout/sm:mainStylePage/@header) or sm:pagesLayout/sm:mainStylePage/@header='show', 'true', 'false')
                                                    )"/>
<xsl0:variable name="vShowFooter" select="si(name()='sm:stylePage',
                                                        si(not(@footer) or @footer='show', 'true', 'false'),
                                                        si(not(sm:pagesLayout/sm:mainStylePage/@footer) or sm:pagesLayout/sm:mainStylePage/@footer='show', 'true', 'false')
                                                    )"/>
<xsl0:variable name="vMasterPageName" select="concat(resultatAgent('//codeTemplate'), '_', ancestor-or-self::sm:WPageMaster/@style, ' &gt; ', si(local-name()='WPageMaster', '#main', @style))"/>
<style:master-page style:name="{encodeNameOd($vMasterPageName)}">
<xsl0:if test="$vShowHeader='true'">
<xsl0:apply-templates select="ancestor-or-self::sm:WPageMaster/sm:header/sm:headerContent | ancestor-or-self::sm:WPageMaster/sm:header/sm:headerContentRight"/>
<xsl0:apply-templates select="ancestor-or-self::sm:WPageMaster/sm:header/sm:headerContentLeft"/>
</xsl0:if>
<xsl0:if test="$vShowFooter='true'">
<xsl0:apply-templates select="ancestor-or-self::sm:WPageMaster/sm:footer/sm:footerContent | ancestor-or-self::sm:WPageMaster/sm:footer/sm:footerContentRight"/>
<xsl0:apply-templates select="ancestor-or-self::sm:WPageMaster/sm:footer/sm:footerContentLeft"/>
</xsl0:if>
            
</style:master-page>
</xsl0:template>
    
<xsl0:template match="sm:pagesLayout" mode="mMasterStyles">
<xsl0:apply-templates select="sm:stylePage" mode="mMasterStyles"/>
</xsl0:template>
        
<xsl0:template match="sm:headerContent | sm:headerContentRight">
<style:header><xsl0:call-template name="tGetZoneContent"/></style:header>
</xsl0:template>
<xsl0:template match="sm:headerContentLeft">
<style:header-left><xsl0:call-template name="tGetZoneContent"/></style:header-left>
</xsl0:template>
<xsl0:template match="sm:footerContent | sm:footerContentRight">
<style:footer><xsl0:call-template name="tGetZoneContent"/></style:footer>
</xsl0:template>
<xsl0:template match="sm:footerContentLeft">
<style:footer-left><xsl0:call-template name="tGetZoneContent"/></style:footer-left>
</xsl0:template>
    
<xsl0:template name="tGetZoneContent">
<text:p>
<xsl0:for-each select="sm:left"><xsl0:apply-templates select="*"/></xsl0:for-each>
<text:tab/>
<xsl0:for-each select="sm:middle"><xsl0:apply-templates select="*"/></xsl0:for-each>
<text:tab/>
<xsl0:for-each select="sm:right"> <xsl0:apply-templates select="*"/></xsl0:for-each>
</text:p>
</xsl0:template>
	
	
	
<xsl0:template match="*"/>
	
</xsl0:stylesheet>
