<?xml version="1.0" encoding="UTF-8"?>
<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" 
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:xlink="http://www.w3.org/1999/xlink" 
	xmlns:dc="http://purl.org/dc/elements/1.1/" 
	xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
	xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" 
	xmlns:svg="http://www.w3.org/2000/svg" 
	xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
	xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" 
	xmlns:math="http://www.w3.org/1998/Math/MathML"
	xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" 
	xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" 
	xmlns:ooo="http://openoffice.org/2004/office" 
	xmlns:ooow="http://openoffice.org/2004/writer" 
	xmlns:oooc="http://openoffice.org/2004/calc"	
	xmlns:dom="http://www.w3.org/2001/xml-events" 
	xmlns:xforms="http://www.w3.org/2002/xforms" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sc sm sp scodPp office style text table draw fo xlink dc meta number svg chart dr3d math form script ooo ooow oooc dom xforms xsd xsi java xalan">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTemplate')"/>

<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:template match="*">
<office:document-meta>
				
<xsl0:for-each select="agentsLies(computeNodeAgent('//agentRootGenerator')/listAgentRootAllowed)">
<xsl0:value-of select="execute(setEntryBuffer('ns', resultatAgent(prefixModel), resultatAgent(nsModel)))"/>
</xsl0:for-each>
<xsl0:for-each select="agentsLies(computeNodeAgent('//agentRootGenerator')/listAgentRootAllowed)">
<xsl0:value-of select="execute(setEntryBuffer('ns', resultatAgent(agentMeta, 'prefixModel'), resultatAgent(agentMeta, 'nsModel')))"/>
</xsl0:for-each>
<office:meta>
<meta:generator>
<xsl0:choose>
<xsl0:when test="resultatAgent('//agentRootGenerator','openOfficeVersion')='2.x'">OpenOffice.org/2.4$Xxx OpenOffice.org_project/680m17$Build-9310$http://scenari-platform.org</xsl0:when>
<xsl0:otherwise>OpenOffice.org/3.0$Xxx OpenOffice.org_project/300m9$Build-9358$http://scenari-platform.org</xsl0:otherwise>
</xsl0:choose>
</meta:generator>
<xsl0:apply-templates select="sm:properties/*"/>
</office:meta>	
</office:document-meta>
</xsl:template>
</xsl0:template>

<xsl0:template match="sm:meta[@name='keywords']">
<xsl:variable name="vContent"><xsl0:apply-templates/></xsl:variable>
<meta:keyword><xsl:value-of select="normalize-space($vContent)"/></meta:keyword>
</xsl0:template>
<xsl0:template match="sm:meta[@name='title']">
<xsl:variable name="vContent"><xsl0:apply-templates/></xsl:variable>
<dc:title><xsl:value-of select="normalize-space($vContent)"/></dc:title>
</xsl0:template>
<xsl0:template match="sm:meta[@name='description']">
<dc:description><xsl0:apply-templates/></dc:description>
</xsl0:template>
<xsl0:template match="sm:meta[@name='subject']">
<xsl:variable name="vContent"><xsl0:apply-templates/></xsl:variable>
<dc:subject><xsl:value-of select="normalize-space($vContent)"/></dc:subject>
</xsl0:template>
<xsl0:template match="sm:meta">
<xsl:variable name="vContent"><xsl0:apply-templates/></xsl:variable>
<meta:user-defined meta:name="{@name}"><xsl:value-of select="normalize-space($vContent)"/></meta:user-defined>
</xsl0:template>
	
	
	
<xsl0:template match="sm:rootTitle">
<xsl0:choose>
<xsl0:when test="@format='shortTitleText'"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/shortTitleText'))" disable-output-escaping="yes"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/fullTitleText'))" disable-output-escaping="yes"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:callRootModel" name="sm:callRootModel"><xsl:value-of select="parseXml(concat('&lt;root&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/getContent')),'&lt;/root&gt;'))"/></xsl0:template>
<xsl0:template match="sm:callRootModelMeta" name="sm:callRootModelMeta"><xsl:value-of select="parseXml(concat('&lt;root&gt;',resultatAgent(concat(resultatAgent('//metaAgt'), '{getAxisSuffix(@axis)}/getContent')),'&lt;/root&gt;'))"/></xsl0:template>

<xsl0:template match="*"/>
</xsl0:stylesheet>
