<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sp sc xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bs:xWidgetsContent.xsl"/>
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>

<xsl0:template match="/*">
<xsl0:for-each select="//sm:when[@sc:refUri]">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
</xsl0:for-each>
<xsl0:apply-templates mode="agentsWidgets"/>
		
		
<set code="odSequence">
<set code="default">
<valeur code="numbering"><source>1</source></valeur>
<valeur code="separator"><source>&#160;:&#160;</source></valeur>
</set>
<xsl0:for-each select="sm:sequenceDeclaration">
<set code="{concat('cat_', @category)}">
<valeur code="prefix"><source><xsl0:value-of select="@prefix"/></source></valeur>
<valeur code="numbering"><source><xsl0:value-of select="@numbering"/></source></valeur>
<valeur code="separator"><source><xsl0:value-of select="@separator"/></source></valeur>
</set>
</xsl0:for-each>
</set>
</xsl0:template>
	
    
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<valeur code="widget_{generate-id()}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>

<xsl0:template match="*" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:odContentZone" mode="agentsWidgetZones">
<valeur code="{concat('odContentZone_', @key)}">
<source type="xslOnSrc-dynamique" href="{resultatAgent(concat('//widgetZone.getContent', generate-id()), 'act:')}"/>
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="agentsWidgetZones"/>

</xsl0:stylesheet>
