<?xml version="1.0" encoding="UTF-8"?>
<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java"
	exclude-result-prefixes="xsl xsl0 sm scodPp sc office text table fo draw svg xlink xalan java">
	
		
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeTemplate')"/>
	
<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
		
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:key name="textSequenceList" match="//text:sequence" use="@text:name"/>
<xsl:key name="textBookmark" match="//text:bookmark-start" use="@text:name"/>
		
		
<xsl:template match="/*">
<xsl:apply-templates/>
</xsl:template>
		
		
<xsl:template match="scodPp:ifSequence">
<xsl:if test="key('textSequenceList', @category)">
<xsl:apply-templates/>
</xsl:if>
</xsl:template>
		
<xsl:template match="scodPp:ifBookmark">
<xsl:if test="key('textBookmark', @id)">
<xsl:apply-templates/>
</xsl:if>
</xsl:template>
		
		
<xsl:template match="scodPp:conditionalFrame">
<xsl:choose>
<xsl:when test="ancestor::draw:frame and (draw:frame/draw:text-box/text:p/draw:frame and count(draw:frame/draw:text-box/*)=1)">
<xsl:apply-templates select="draw:frame/draw:text-box/text:p/*"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
		
		
<xsl:template match="scodPp:section">
<xsl:variable name="vLevel" select="count(ancestor::*[name()='scodPp:section'])"/>
<xsl:if test="@break and @break='before'"><text:p text:style-name="_scod_breakBefore"/></xsl:if>
<xsl:choose>
<xsl:when test="$vLevel=0">
<xsl:if test="string-length(normalize-space(scodPp:title))&gt;0"><text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{concat(resultatAgent('//codeTemplate'), '_#title')}')/text:h[1]/@text:style-name}}"><xsl:value-of select="scodPp:title"/></text:p></xsl:if>
</xsl:when>
<xsl:otherwise>
<xsl:if test="string-length(normalize-space(scodPp:title))&gt;0"><text:h text:style-name="{{getEntryBuffer('odStyleBlocks', '{concat(resultatAgent('//codeTemplate'), '_#title')}')/text:h[$vLevel]/@text:style-name}}" text:outline-level="{{$vLevel}}"><xsl:value-of select="scodPp:title"/></text:h></xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates select="scodPp:content/* | scodPp:content/text()"/>
<xsl:if test="@break and @break='after'"><text:p text:style-name="_scod_breakAfter"/></xsl:if>
</xsl:template>
		
		
<xsl:template match="scodPp:condition">
<xsl:variable name="vCondition" select="xalan:evaluate(si(@xpath, @xpath, true()))"/>
<xsl:if test="$vCondition">
<xsl:apply-templates/>
</xsl:if>
</xsl:template>
		
		
<xsl:template match="text:p">
<xsl:copy>
<xsl:apply-templates select="@*|node()|text()"/>
<xsl:choose>
<xsl:when test="count(*)=0 and string-length(normalize-space(.))=0 or normalize-space(.)='&#160;'">
<xsl:text>&#160;</xsl:text><text:span text:style-name="_scod_noDisplayText">&#160;</text:span>
</xsl:when>
<xsl:when test="count(*)=0 and string-length(normalize-space(.))=0">
<xsl:text>&#160;</xsl:text><text:span text:style-name="_scod_noDisplayText">&#160;</text:span>
</xsl:when>
</xsl:choose>
</xsl:copy>
</xsl:template>
		
<xsl:template match="scodPp:callBlockPages">
<xsl:variable name="vRefIdListDom">
<ids>
<xsl:for-each select="xalan:tokenize(@refIdList, '###')">
<xsl:variable name="vRefid" select="normalize-space(current())"/>
<xsl:if test="$vRefid and key('textBookmark', $vRefid)"><id><xsl:value-of select="$vRefid"/></id></xsl:if>
</xsl:for-each>
</ids>
</xsl:variable>
<xsl:variable name="vSeparator" select="@separator"/>
<xsl:for-each select="xalan:nodeset($vRefIdListDom)//id">
<text:bookmark-ref text:reference-format="page" text:ref-name="{{current()}}"/><xsl:if test="boolean(following-sibling::id)"><xsl:value-of select="$vSeparator"/></xsl:if>
</xsl:for-each>
</xsl:template>
							
		
<xsl:template match="@*|node()|text()">
<xsl:copy>
<xsl:apply-templates select="@*|node()|text()"/>
</xsl:copy>
</xsl:template>
		
<xsl:template match="scodPp:*"/>
		
</xsl0:template>
		
</xsl0:stylesheet>