<?xml version="1.0" encoding="UTF-8"?>
<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:scod="scenari.eu:openDocumentExtension:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink" 
	xmlns:dc="http://purl.org/dc/elements/1.1/" 
	xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
	xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" 
	xmlns:svg="http://www.w3.org/2000/svg" 
	xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
	xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" 
	xmlns:math="http://www.w3.org/1998/Math/MathML"
	xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" 
	xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" 
	xmlns:ooo="http://openoffice.org/2004/office" 
	xmlns:ooow="http://openoffice.org/2004/writer" 
	xmlns:oooc="http://openoffice.org/2004/calc"	
	xmlns:dom="http://www.w3.org/2001/xml-events" 
	xmlns:xforms="http://www.w3.org/2002/xforms" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sc sm sp scodPp office style text table draw fo xlink dc meta number svg chart dr3d math form script ooo ooow oooc dom xforms xsd xsi java xalan">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>


	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>


<xsl0:template match="sm:Widget" name="sm:Widget">
<xsl:value-of select="resultatAgent('../widget_{generate-id()}')" disable-output-escaping="yes"/>
</xsl0:template>


<xsl0:template match="sm:WTextArea" name="sm:WTextArea">
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<text:span text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@text:style-name}}"><xsl0:apply-templates select="*"/></text:span>
</xsl0:template>
	

<xsl0:template match="sm:WFlowTextArea" name="sm:WFlowTextArea">
<xsl:comment># sm:WFlowTextArea</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<text:p text:style-name="Standard">
<draw:frame draw:name="{$vBlockCode}">
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@*[name()!='draw:name']">
<xsl:attribute name="{{name()}}"><xsl:value-of select="."/></xsl:attribute>
</xsl:for-each>
<draw:text-box>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/draw:text-box/@*">
<xsl:attribute name="{{name()}}"><xsl:value-of select="."/></xsl:attribute>
</xsl:for-each>
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/draw:text-box/text:p/@text:style-name}}"><xsl0:apply-templates select="*"/></text:p>
</draw:text-box>
</draw:frame>
</text:p>
</xsl0:template>


<xsl0:template match="sm:WArea" name="sm:WArea">
<xsl:comment># sm:WArea</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<draw:frame draw:name="{$vBlockCode}">
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@*[name()!='draw:name']">
<xsl:attribute name="{{name()}}"><xsl:value-of select="."/></xsl:attribute>
</xsl:for-each>
<draw:text-box>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/draw:text-box/@*">
<xsl:attribute name="{{name()}}"><xsl:value-of select="."/></xsl:attribute>
</xsl:for-each>
<xsl0:apply-templates/>
</draw:text-box>
</draw:frame>
</xsl0:template>
	

<xsl0:template match="sm:WFlowPictureArea" name="sm:WFlowPictureArea">
<xsl:comment># sm:WFlowPictureArea</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<text:p text:style-name="Standard">
<draw:frame draw:name="{@style}">
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@*[name()!='draw:name']">
<xsl:attribute name="{{name()}}"><xsl:value-of select="."/></xsl:attribute>
</xsl:for-each>
				 
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/draw:image"/>
                
</draw:frame>
</text:p>
</xsl0:template>
	

<xsl0:template match="sm:WPictureArea" name="sm:WPictureArea">
<xsl:comment># sm:WPictureArea</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<draw:frame draw:name="{@style}">
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/@*[name()!='draw:name']">
<xsl:attribute name="{{name()}}"><xsl:value-of select="."/></xsl:attribute>
</xsl:for-each>
		   
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/draw:image"/>
           
</draw:frame>
</xsl0:template>


<xsl0:template match="sm:showDataBlocks" name="sm:showDataBlocks">
<scodPp:showDataBlocks category="{@refCategory}" hideIfNoBlocks="{@hideIfNoBlocks}">
<xsl0:apply-templates/>
</scodPp:showDataBlocks>
</xsl0:template>
	

<xsl0:template match="sm:choose" name="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}"><xsl0:apply-templates select="*"/></xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template match="sm:rootTitle">
<xsl0:value-of select="@prefix"/>
<xsl0:choose>
<xsl0:when test="@format='shortTitleText'"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/shortTitleText'))" disable-output-escaping="yes"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/fullTitleText'))" disable-output-escaping="yes"/></xsl0:otherwise>
</xsl0:choose>
<xsl0:value-of select="@suffix"/>
</xsl0:template>
<xsl0:template match="sm:callRootModel" name="sm:callRootModel">
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/getContent'))" disable-output-escaping="yes"/>
</xsl0:template>
<xsl0:template match="sm:callRootModelMeta" name="sm:callRootModelMeta">
<xsl:value-of select="resultatAgent(concat(resultatAgent('//metaAgt'), '{getAxisSuffix(@axis)}/getContent'))" disable-output-escaping="yes"/>
</xsl0:template>
<xsl0:template match="sm:callModel">
<xsl0:choose>
			
<xsl0:when test="sm:agentPath">
<xsl:value-of select="resultatDialogue({@path})" disable-output-escaping="yes"/>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
			
</xsl0:stylesheet>
