<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sc xsl xalan" version="1.0">

<xsl0:output method="xml" indent="no" omit-xml-declaration="yes" />
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0" />

<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>

<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:variable name="vMainEltCode" select="resultatAgent('//codeWidget')"/>

<xsl0:template match="sm:openOdWidget" name="root">
<source type="xslOnSrc-dynamique">
		    
<xsl0:text disable-output-escaping="yes"><![CDATA[<xsl:stylesheet
			                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			                xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
							xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
							xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
						    xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
						    xmlns:scod="scenari.eu:openDocumentExtension:1.0"
						    xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
						    xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
						    xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
						    xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
						    xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
						    xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
						    xmlns:xlink="http://www.w3.org/1999/xlink"
						    xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
						    xmlns:java="http://xml.apache.org/xslt/java"
						    xmlns:xalan="http://xml.apache.org/xalan"
							exclude-result-prefixes="java sc sp sm"
							version="1.0"
							>]]></xsl0:text>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:template match="*">
<xsl0:apply-templates select="sm:content/node()"/>
</xsl:template>
<xsl0:text disable-output-escaping="yes"><![CDATA[</xsl:stylesheet>]]></xsl0:text>
</source>
<xsl0:for-each select="//sm:when[@sc:refUri]">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
</xsl0:for-each>
<xsl0:apply-templates select="sm:content/node()" mode="agentsSubWidgets"/>
</xsl0:template>

	
<xsl0:template match="sm:callZone">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">resultatAgent('<xsl0:for-each select="ancestor::sm:Widget">../../</xsl0:for-each>odContentZone_<xsl0:value-of select="@key"/>')</xsl0:attribute>
</xsl:value-of>
</xsl0:template>
			
	
<xsl0:template match="sm:Widget" mode="mContent">
<xsl:value-of select="resultatAgent('widget_{generate-id()}')"  disable-output-escaping="yes"/>
</xsl0:template>
							
	
<xsl0:template match="sm:WTable" name="sm:WTable">
<xsl:comment># sm:WTable</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table table:name="WTable" table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/@table:style-name}}">
			
<xsl0:for-each select=".//sm:WTableRow[1]">
<xsl0:variable name="vPosCol" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl0:apply-templates mode="mRowsDeclaration">
<xsl0:with-param name="pPosCol" select="$vPosCol"/>
</xsl0:apply-templates>
</xsl0:for-each>
			
<xsl0:apply-templates/>
</table:table>
</xsl0:template>
	
<xsl0:template match="*" mode="mRowsDeclaration">
<xsl0:param name="pPosCol"/>
<xsl0:apply-templates mode="mRowsDeclaration">
<xsl0:with-param name="pPosCol" select="$pPosCol"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:WTableCell" mode="mRowsDeclaration">
<xsl0:param name="pPosCol"/>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<xsl0:variable name="vCurrentPosCol_num"><xsl0:value-of select="java:hIncreaseOne($pPosCol)"/></xsl0:variable>
<xsl:choose>
<xsl:when test="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')">
<xsl:variable name="vColStyle">
<xsl:variable name="vColDom">
<xsl:variable name="vTmpColCount" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<cols>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-column">
<xsl:variable name="vNbColRepeated" select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)"/>
<col style="{{@table:style-name}}">
<xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute>
<xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/>
<xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute>
</col>
</xsl:for-each>
</cols>
</xsl:variable>
<xsl:value-of select="xalan:nodeset($vColDom)/*/col[{$vCurrentPosCol_num}&gt;=@min and {$vCurrentPosCol_num}&lt;=@max][1]/@style"/>
</xsl:variable>
<table:table-column table:style-name="{{normalize-space($vColStyle)}}"/>
</xsl:when>
<xsl:otherwise>
<table:table-column/>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
		
<xsl0:template match="sm:WTableRow">
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:variable name="vPosRow_format"><xsl0:number value="$vPosRow" format="1"/></xsl0:variable>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{number($vPosRow)}]/@table:style-name}}">
<xsl0:apply-templates/>
</table:table-row>
</xsl0:template>
<xsl0:template match="sm:WTableCell">
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vTableRowId" select="generate-id(ancestor::sm:WTableRow[1])"/>
<xsl0:variable name="vPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:variable name="vPosRow_format"><xsl0:number value="$vPosRow" format="1"/></xsl0:variable>
<xsl0:variable name="vPosCol" select="count(preceding::sm:WTableCell[generate-id(ancestor::sm:WTableRow[1]) = $vTableRowId])+1"/>
<xsl0:variable name="vPosCol_format"><xsl0:number value="$vPosCol" format="A"/></xsl0:variable>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{number($vPosRow)}]/table:table-cell[{number($vPosCol)}]/@table:style-name}}">
<xsl0:apply-templates/>
</table:table-cell>
</xsl0:template>

	
<xsl0:template match="sm:choose">
		
<xsl0:for-each select="sm:when/@keyZone">
<xsl:variable name="vContentZone_{current()}">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">resultatAgent('<xsl0:for-each select="ancestor::sm:Widget">../../</xsl0:for-each>odContentZone_<xsl0:value-of select="current()"/>')</xsl0:attribute>
</xsl:value-of>
</xsl:variable>
</xsl0:for-each>
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:when test="@keyZone">
					string-length(normalize-space($vContentZone_<xsl0:value-of select="@keyZone"/>))&gt;0
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{normalize-space($vMatch)}"><xsl0:apply-templates select="*"/></xsl:when>
</xsl0:template>
	
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>
	
<xsl0:template match="sm:title">
<xsl0:apply-templates/>
</xsl0:template>

<xsl0:template match="text()">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>
<xsl0:template match="*" />


<xsl0:template match="sm:Widget" mode="agentsSubWidgets">
<valeur code="widget_{generate-id()}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsSubWidgetZones"/>
</valeur>
</xsl0:template>

<xsl0:template match="*" mode="agentsSubWidgets">
<xsl0:apply-templates mode="agentsSubWidgets"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsSubWidgets"/>
	
	
<xsl0:template match="sm:odContentZone" mode="agentsSubWidgetZones">
<valeur code="{concat('odContentZone_', @key)}">
<xsl0:call-template name="root"/>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="agentsSubWidgetZones"/>

</xsl0:stylesheet>