<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm sc xsl xhtml" version="1.0">

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WTooltip.xml.xsl"/>

<xsl0:output method="xml" indent="no" omit-xml-declaration="yes" />
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0" />

<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>

<xsl0:template match="sm:openUiWidget">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
				
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:param name="vArguments"/>
				
<xsl:template match="*">
<xsl0:apply-templates select="sm:content/node()" mode="content" />
</xsl:template>
<xsl:template match="text()"/>
</xsl:stylesheet>
</source>
<xsl0:apply-templates select="sm:content/node()" mode="agts" />
</xsl0:template>




<xsl0:template name="classAtt">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
<xsl0:template name="classAttTitle">
<xsl0:param name="pWidgetClass"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="$pWidgetClass">
<xsl0:attribute name="class"><xsl0:value-of select="addSuffixOnWords($pWidgetClass, $pSuffix)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>

	
<xsl0:template match="sm:addSrcPath" mode="content">
<scOrigin:addContextNode/>
</xsl0:template>

	
<xsl0:template match="sm:callZone" mode="content">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">resultatAgent('<xsl0:for-each select="ancestor::sm:Widget">../../</xsl0:for-each>xhtmlContentZone_<xsl0:value-of select="@key"/>',$vArguments)</xsl0:attribute>
</xsl:value-of>
</xsl0:template>

	
<xsl0:template match="sm:callUrlZone" mode="content">
<xsl0:apply-templates select="." mode="nav"/>
</xsl0:template>

	
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>

	
<xsl0:template match="sm:formattingMark" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>
<xsl0:template match="sm:nonBreakingSpace" mode="content"><xsl:text>&#160;</xsl:text></xsl0:template>
<xsl0:template match="sm:tabulation" mode="content"><xsl:text>&#9;</xsl:text></xsl0:template>

	
<xsl0:template match="sm:wspInfo" mode="content">
<xsl0:value-of select="@prefix"/>
<xsl0:choose>
<xsl0:when test="@type='modName'"><xsl0:value-of select="resultatAgent('/@@/namePrimary')"/></xsl0:when>
<xsl0:when test="@type='modKey'"><xsl0:value-of select="resultatAgent('/@@/keyPrimary')"/></xsl0:when>
<xsl0:when test="@type='modVersion'"><xsl0:value-of select="concat(resultatAgent('/@@/version/major'), '.', resultatAgent('/@@/version/medium'))"/></xsl0:when>
<xsl0:when test="@type='modVersionFull'"><xsl0:value-of select="resultatAgent('/@@/version')"/></xsl0:when>
<xsl0:when test="@type='scenariVersion'"><xsl0:value-of select="concat(resultatAgent('/@@/scenari.version/major'), '.', resultatAgent('/@@/scenari.version/medium'))"/></xsl0:when>
<xsl0:when test="@type='scenariVersionFull'"><xsl0:value-of select="resultatAgent('/@@/scenari.version')"/></xsl0:when>
</xsl0:choose>
<xsl0:value-of select="@suffix"/>
</xsl0:template>

	
<xsl0:template match="sm:WLink" mode="content">
<a>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<xsl0:if test="@accesskey"><xsl0:attribute name="accesskey"><xsl0:value-of select="@accesskey"/></xsl0:attribute></xsl0:if>
<xsl0:apply-templates select="@*" mode="freeAtts" />

<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl">
<xsl0:apply-templates mode="nav" select="sm:link/*"/>
</xsl0:with-param>
<xsl0:with-param name="pOptions">
<xsl0:call-template name="linkOptionsXsl"/>
</xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/node()" mode="content" /></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
<xsl0:template match="sm:WLink/@accesskey" mode="freeAtts"/>
<xsl0:template match="sm:WLink/@widgetClass" mode="freeAtts"/>
<xsl0:template match="sm:WLink/@class" mode="freeAtts"/>
	
	
<xsl0:template match="sm:WCollapsableBlock" mode="content">
<xsl0:variable name="vClassOpen" select="si(@widgetClass,addSuffixOnWords(@widgetClass, '_open'))"/>
<xsl0:variable name="vClassClosed" select="si(@widgetClass,addSuffixOnWords(@widgetClass, '_closed'))"/>
<xsl0:variable name="vContentPosition" select="si(@position='bottom','chi:div','chl:div')"/>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:if test="@position='bottom'">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:if test="@defaultClosed='true'">
<addAttribute name="style">display:none;</addAttribute>
</xsl0:if>
<xsl0:apply-templates select="sm:content/node()" mode="content"/>
</div>
</xsl0:if>
<a style="display:block;" href="#" class="{si(@defaultClosed='true',$vClassClosed,$vClassOpen)}" onclick="scDynUiMgr.collBlkToggle(this,scPaLib.findNode('{$vContentPosition}',this.parentNode),'{$vClassOpen}','{$vClassClosed}');return false;"> 
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="boolean(sm:label/node())">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tiIn'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:label/node()" mode="content"/>
</span>
</span>
</xsl0:when>
<xsl0:otherwise>&#160;</xsl0:otherwise>
</xsl0:choose>
</a>
<xsl0:if test="count(@position)=0 or @position='top'">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:if test="@defaultClosed='true'">
<addAttribute name="style">display:none;</addAttribute>
</xsl0:if>
<xsl0:apply-templates select="sm:content/node()" mode="content"/>
</div>
</xsl0:if>
</div>
</xsl0:template>
<xsl0:template match="sm:WCollapsableBlock/@position" mode="freeAtts"/>
<xsl0:template match="sm:WCollapsableBlock/@defaultClosed" mode="freeAtts"/>
<xsl0:template match="sm:WCollapsableBlock/@class" mode="freeAtts"/>
	
	
<xsl0:template match="sm:WTooltip" mode="content">
<xsl0:variable name="vOptions">
<xsl0:call-template name="tooltipOptions"/>
</xsl0:variable>
<scTooltip>
<xsl0:attribute name="trigger"><xsl0:value-of select="si(sm:tooltip/sm:behavior/@trigger, sm:tooltip/sm:behavior/@trigger, 'onmouseover')"/></xsl0:attribute>
<xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute>
<xsl0:attribute name="classRoot"><xsl0:value-of select="sm:tooltip/@class"/></xsl0:attribute>
<xsl0:attribute name="options"><xsl0:value-of select="si(string-length($vOptions)&gt;0, substring($vOptions,0,string-length($vOptions)), '')"/></xsl0:attribute>
<xsl0:if test="sm:tooltip/sm:basket">
<xsl0:attribute name="basketKey"><xsl0:value-of select="sm:tooltip/sm:basket/@key"/></xsl0:attribute>
<xsl0:attribute name="render"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@render,'asTooltip')"/></xsl0:attribute>
<xsl0:attribute name="basketLnk"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@addLinkToBasket,'yes')"/></xsl0:attribute>
<xsl:attribute name="itemKey"><xsl0:value-of select="sm:tooltip/sm:basket/@itemKey"/><xsl:value-of select="alphaHash(getIdNode(.))"/></xsl:attribute>
</xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttTitle"><scTooltipTitle><xsl0:apply-templates select="sm:tooltip/sm:ttTitle/node()" mode="content"/></scTooltipTitle></xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttContent"><scTooltipContent><xsl0:apply-templates select="sm:tooltip/sm:ttContent/node()" mode="content"/></scTooltipContent></xsl0:if>
<xsl0:element name="{returnFirst(@tagName,'span')}">
<xsl0:if test="@tagName = 'a'"><xsl0:attribute name="href">#</xsl0:attribute></xsl0:if>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
<xsl0:with-param name="pSuffix" select="'_a'"/>
</xsl0:call-template>
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><xsl0:apply-templates select="sm:label/node()" mode="content"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:element>
</scTooltip>
</xsl0:template>
<xsl0:template match="sm:ttCloseButton" mode="content">
<a href="#" onclick="return scTooltipMgr.hideTooltip(true);">
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="../../../@widgetClass"/>
<xsl0:with-param name="pSuffix" select="'_x'"/>
</xsl0:call-template>
<xsl0:if test="@title"><xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute></xsl0:if>
<span><xsl0:value-of select="si(@caption, @caption, '&#160;')"/></span></a>
</xsl0:template>
<xsl0:template match="sm:WTooltip/@widgetClass" mode="freeAtts"/>
<xsl0:template match="sm:WTooltip/@tagName" mode="freeAtts"/>
<xsl0:template match="sm:WTooltip/@class" mode="freeAtts"/>
	
	
<xsl0:template match="sm:WBasket" mode="content">
<scBasket key="{@key}" suppressIfEmpty="{returnFirst(@suppressIfEmpty,'no')}" tagName="{returnFirst(@tagName,'div')}" sort="{returnFirst(@sort,'no')}" widgetClass="{@widgetClass}" class="{@class}">
<xsl0:if test="sm:title">
<xsl0:element name="{si(sm:title/@tagName='hx','scBlock','scBasketTitle')}">
<xsl0:element name="{returnFirst(sm:title/@tagName,'div')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:title/node()" mode="content"/>
</xsl0:element>
</xsl0:element>
</xsl0:if> 
</scBasket>
</xsl0:template>
	
	
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent('widget_{generate-id()}',$vArguments)" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
	
	
<xsl0:template match="sm:WImg" mode="content">
<xsl0:variable name="vPathPrefix" select="si(@srcFrom='widgetResources', concat(resultatAgent('//destPathWidgetResInSite'),'/'), si(@srcFrom='skin', '/site/skin/', '/'))"/>
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"><xsl0:with-param name="pPathPrefix" select="$vPathPrefix"/></xsl0:call-template> 
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

	
<xsl0:template match="xhtml:*" mode="content">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:apply-templates select="node()" mode="content" />
</xsl0:element>
</xsl0:template>
	
<xsl0:template match="xhtml:img" mode="content">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts" />
<xsl0:template match="text()" mode="content">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>
<xsl0:template match="*" mode="content" />



<xsl0:template match="sm:Widget" mode="agts">
<valeur code="widget_{generate-id()}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agtsSubWidgetZones"/>
</valeur>
</xsl0:template>

<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/xhtmlContent'))</source>
</valeur>
</xsl0:template>
	
<xsl0:template match="sm:when[@sc:refUri]" mode="agts">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="agts"/>
</xsl0:template>

<xsl0:template match="*" mode="agts">
<xsl0:apply-templates mode="agts"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agts"/>

	
<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent(agent(<xsl0:value-of select="@path"/>, $vDialog))</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel">concat('/', <xsl0:apply-templates mode="callModel"/>)</xsl0:template>
<xsl0:template match="text()|@*" mode="callModel"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agtsSubWidgetZones">
<valeur code="{concat('xhtmlContentZone_', @key)}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp">
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
<xsl:template match="text()"/>
</xsl:stylesheet>
</source>
<xsl0:apply-templates mode="agts"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agtsSubWidgetZones">
<valeur code="{concat('urlZone_', @key)}">
<source type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="nav" select="sm:link/*"/></source>
</valeur>
</xsl0:template>
	

<xsl0:template match="sm:fixedURL" mode="nav"><xsl0:value-of select="@url"/></xsl0:template>
<xsl0:template match="sm:callUrlZone" mode="nav">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">resultatAgent('<xsl0:for-each select="ancestor::sm:Widget">../../</xsl0:for-each>urlZone_<xsl0:value-of select="@key"/>',$vArguments)</xsl0:attribute>
</xsl:value-of>
</xsl0:template>
<xsl0:template match="node()" mode="nav"/>

</xsl0:stylesheet>