<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	exclude-result-prefixes="sm sc sp se">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>

<xsl:include href="bsco:sm/model/commons.xed.xsl"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:searchPrim">
<se:uiLib se:src="chrome://scenariWsp/content/widgets/xed/libUiWsp/searchElement/searchElement.uilib.xml"/>
<se:lib>
<element se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:search/sm:perms"/>
</xsl:call-template>
<xsl:call-template name="contentVisibleCompo"/>
</element>
<hiddenElement se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)">
<xsl:call-template name="tGetRightsAttributes">
<xsl:with-param name="pRightsTag" select="$vFormEditor/sm:search/sm:perms"/>
</xsl:call-template>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:search/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure/*"/>
</se:template>
</se:lib>
</xsl:template>
	
<xsl:template name="quickHelpAsDescription">
<xsl:param name="pQuickHelp"/>
<xsl:if test="sm:help/@quickHelp and $pQuickHelp/sm:description">
<description>
<xsl:if test="$pQuickHelp/sm:description/@style"><xsl:attribute name="style"><xsl:value-of select="$pQuickHelp/sm:description/@style"/></xsl:attribute></xsl:if>
<xsl:value-of select="sm:help/@quickHelp"/>
</description>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:criterions">
<xsl:variable name="vFormParams" select="$vFormEditor/*[@refCode=current()/@code]"/>
<searchElement se:bind="subtree" se:name="sc:where">
<xsl:attribute name="insertCriterionsLists">
<xsl:value-of select="concatExpr(sm:criterionsList, @code, ' ')"/>
</xsl:attribute>
<xsl:if test="sm:groupOrder">
<xsl:attribute name="insertCriterionsGroupOrder">
<xsl:value-of select="sm:groupOrder/@order"/>
</xsl:attribute>
</xsl:if>
<xsl:if test="@usage='required'">
<xsl:attribute name="notnull">true</xsl:attribute>
</xsl:if>
<xsl:if test="$vFormEditor/sm:search/@fillEditorLists">
<xsl:attribute name="fillEditorLists"><xsl:value-of select="$vFormEditor/sm:search/@fillEditorLists"/></xsl:attribute>
</xsl:if>
</searchElement>
</xsl:template>
	
	
<xsl:template name="contentVisibleCompo">
<xsl:if test="sm:help/@quickHelp and (not($vFormEditor/sm:search/sm:help/sm:quickHelp) or $vFormEditor/sm:search/sm:help/sm:quickHelp/sm:tooltip)"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:search/@containerStyle"><xsl:attribute name="styleContainer"><xsl:value-of select="$vFormEditor/sm:search/@containerStyle"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:search/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormEditor/sm:search/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:search/@displayMode='openedByDefault'"><xsl:attribute name="opened">true</xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:search/@displayMode='closedByDefault'"><xsl:attribute name="closed">true</xsl:attribute></xsl:if>
<childs>
<xsl:call-template name="quickHelpAsDescription">
<xsl:with-param name="pQuickHelp" select="$vFormEditor/sm:search/sm:help/sm:quickHelp"/>
</xsl:call-template>
<se:ref se:refid="s_content"/>
</childs>
</xsl:template>
	
<xsl:template match="*|text()|@*"/>
	
	
<xsl:template name="getIconUrl">
<xsl:param name="vUriRes"/>
<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>
</xsl:template>
</xsl:stylesheet>
