<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:sng="http://relaxng.org/ns/structure/1.0" 
                xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0"
                xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
                xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="sc sp sm sng snga xalan" version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:include href="bsco:sm/model/relaxNg.xsl"/>
	 
<xsl:template match="sm:searchPrim">
<xsl:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<sng:define name="{sm:identification/@targetPrefix}_{sm:identification/@code}">
<sng:element name="{sm:identification/@targetPrefix}:{sm:identification/@code}" snga:title="{si(@info, concat(filterInlineLoc(@name), ' (',@info, ')'), filterInlineLoc(@name))}">
<xsl:call-template name="tGetRngDocumentationTag">
<xsl:with-param name="pDocTxt" select="returnFirst(sm:doc, filterInlineLoc(sm:help/@quickHelp))"/>
</xsl:call-template>
<xsl:apply-templates select="sm:structure"/>
</sng:element>
</sng:define>
</xsl:template>
<xsl:template match="sm:structure">
<xsl:choose>
<xsl:when test="*">
<xsl:apply-templates/>
</xsl:when>
<xsl:otherwise>
<sng:empty/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:criterions">
<xsl:choose>
<xsl:when test="@usage='required'">
<sng:element name="sc:where">
<sng:oneOrMore>
<xsl:call-template name="tExp"/>
</sng:oneOrMore>
</sng:element>
</xsl:when>
<xsl:otherwise>
<sng:optional>
<sng:element name="sc:where">
<sng:zeroOrMore>
<xsl:call-template name="tExp"/>
</sng:zeroOrMore>
</sng:element>
</sng:optional>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template name="tExp">
<sng:grammar>
<sng:start>
<sng:ref name="any"/>
</sng:start>
<sng:define name="any">
<sng:element>
<sng:anyName/>
<sng:zeroOrMore>
<sng:attribute>
<sng:anyName/>
</sng:attribute>
</sng:zeroOrMore>
<sng:zeroOrMore>
<sng:choice>
<sng:ref name="any"/>
<sng:text/>
</sng:choice>
</sng:zeroOrMore>
</sng:element>
</sng:define>
</sng:grammar>
</xsl:template>
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>