<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

	
<xsl:template match="sm:callModel" mode="in">
<xsl:apply-templates mode="in">
<xsl:with-param name="vView" select="si(@view or ancestor::sm:outlineClasses or ancestor::sm:description, si(contains(@view, 'TitleText'), 'title', 'xhtmlContent'), 'navigation')"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="sm:fieldValueSubModel" mode="in">
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="local-name(..)!='link' and ( boolean(ancestor::sm:content))">xhtmlContent</xsl:when>
<xsl:otherwise>navigation</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:choose>
<xsl:when test="ancestor::sm:forDescription">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:description"/>
<xsl:if test="boolean($vDefModel)">
<call model="{$vDefModel/@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:if>
</xsl:when>
<xsl:when test="ancestor::sm:forComment">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:comment"/>
<xsl:if test="boolean($vDefModel)">
<call model="{$vDefModel/@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:if>
</xsl:when>
<xsl:otherwise>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:lookForExistingModelPage/sm:target" mode="in">
<xsl:apply-templates mode="in">
<xsl:with-param name="vView" select="'navigation'"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="sm:lookForExistingModelPage/sm:navContext" mode="in"/>
<xsl:template match="sm:current" mode="in">
<xsl:param name="vView"/>
<call model="{/sm:simpleTaskXhtmlTransf/sm:model/@sc:refUri}" axis="{@axis}" view="{$vView}"/>
</xsl:template>
<xsl:template match="sm:root" mode="in">
<xsl:param name="vView"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="agentsLies(computeNodeAgent('//agentGenerator', 'listAgentRootAllowed'))">
<call model="{java:getSrcUri(srcFileAgent(.))}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
<xsl:template match="sm:lookForAscendants" mode="in">
<xsl:param name="vView"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
<xsl:template match="sm:agentPath" mode="in">
<xsl:param name="vView"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{@axis}" view="{$vView}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="text()|@*" mode="in"/>
	
</xsl:stylesheet>
