<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:sng="http://relaxng.org/ns/structure/1.0" 
                xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0"
                xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
                xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="sc sp sm sng snga xalan" version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:include href="bsco:sm/model/relaxNg.xsl"/>
	 
<xsl:template match="*">
<xsl:value-of select="execute(setEntryBuffer('ns', resultatAgent('//prefixModel'), resultatAgent('//nsModel')))"/>
<sng:define name="{resultatAgent('//codeModel')}">
<sng:element name="{resultatAgent('//qNameTagRootModel')}" snga:title="{chaineProtegeAttHtml(si(@info, concat(filterInlineLoc(@name), ' (',@info, ')'), filterInlineLoc(@name)))}">
<xsl:call-template name="tGetRngDocumentationTag">
<xsl:with-param name="pDocTxt" select="returnFirst(sm:doc, filterInlineLoc(sm:help/@quickHelp))"/>
</xsl:call-template>
<sng:element name="sc:fullTitle">
<sng:data type="string">
<sng:param name="minLength">1</sng:param>
</sng:data>
</sng:element>
<xsl:if test="boolean(sm:structure/sm:shortTitleTag)">
<sng:optional>
<sng:element name="sc:shortTitle">
<sng:text/>
</sng:element>
</sng:optional>
</xsl:if>
</sng:element>
</sng:define>
</xsl:template>
	
</xsl:stylesheet>