<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
		
<xsl:template match="sm:wspDefinition">
<div>
<div style="-moz-binding: url(chrome://scenariAppBuilder/content/infoWsp/infowsp.xbl.xml#infoModels);">
<infoModels>
<xsl:value-of select="initBuffer('models', java:java.util.HashSet.new())"/>
<xsl:apply-templates select="sm:publicClasses/*"/>
<xsl:value-of select="initBuffer('models')"/>
</infoModels>
</div>
</div>
</xsl:template>
	
<xsl:template match="sm:class">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:for-each select="$vModel">
<xsl:call-template name="model"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template name="model">
<xsl:if test="setEntryBuffer('models', codeAgent(.))">
<model code="{resultatAgent(codeModel)}" name="{filterInlineLoc(resultatAgent(nameModel))}" src="{java:getSrcUri(srcFileAgent(.))}">
<xsl:if test="resultatAgent(nsModel)">
<xsl:attribute name="prefix"><xsl:value-of select="resultatAgent(prefixModel)"/></xsl:attribute>
<xsl:attribute name="ns"><xsl:value-of select="resultatAgent(nsModel)"/></xsl:attribute>
</xsl:if>
				
<xsl:for-each select="computeNodeAgent(source)//*[@internalized]">
<element code="{@code}" name="{filterInlineLoc(@name)}" internalized="{@internalized}">
<xsl:for-each select=".//sm:allowedModel">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vModelName" select="filterInlineLoc(resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/nameModel')))"/>
<xsl:for-each select="$vModel">
<child name="{$vModelName}" code="{typeAgent(.)}">
<xsl:attribute name="canBeInternalized">
<xsl:variable name="vCodeAgent" select="typeAgent(.)"/>
<xsl:choose>
<xsl:when test="starts-with($vCodeAgent, 'sm_audioPrim') or starts-with($vCodeAgent, 'sm_videoPrim') or starts-with($vCodeAgent, 'sm_imagePrim') or starts-with($vCodeAgent, 'sm_binaryPrim') or starts-with($vCodeAgent, 'sm_folderPrim')">false</xsl:when>
<xsl:when test="starts-with($vCodeAgent, 'sma_assmntUnitGmcqPrim')">false</xsl:when>
<xsl:otherwise>true</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="canBeExternalized">
<xsl:variable name="vCodeAgent" select="typeAgent(.)"/>
<xsl:choose>
<xsl:when test="starts-with($vCodeAgent, 'sm_textPrim')">false</xsl:when>
<xsl:otherwise>true</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</child>
</xsl:for-each>
</xsl:for-each>
</element>
</xsl:for-each>
</model>
			
<xsl:for-each select="links/*">
<xsl:for-each select="agentsLies(.)">
<xsl:call-template name="model"/>
</xsl:for-each>
</xsl:for-each>
</xsl:if>
</xsl:template>
	
<xsl:template match="text()|@*"/>
	
</xsl:stylesheet>
