<?xml version="1.0" encoding="UTF-8"?>

	
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:xlink="http://www.w3.org/1999/xlink" 
				xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
				xmlns:xalan="http://xml.apache.org/xalan"
				xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
				version="1.0"
				exclude-result-prefixes="sm sc xalan">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:param name="vArguments"/>
	
	
<xsl:variable name="vXmlPrimitive" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
	
<xsl:template match="*">
<xsl:variable name="vDefaultBlockName" select="getDialogVar('fDefaultBlockName')"/>
<xsl:if test="$vArguments/node()">
<xsl:value-of select="$vDefaultBlockName"/>
<xsl:choose>
<xsl:when test="$vArguments/ancestor::sm:for">
<xsl:variable name="vForCode" select="$vArguments/ancestor::sm:for/@codes"/>
<xsl:text> (parts : </xsl:text>
<xsl:choose>
<xsl:when test="$vForCode='*'">
<xsl:for-each select="$vXmlPrimitive//sm:part">
<xsl:variable name="vCurrentPartCode" select="normalize-space(@code)"/>
<xsl:variable name="vCurrentPartName" select="normalize-space(filterInlineLoc(@name))"/>
<xsl:value-of select="returnFirst($vCurrentPartName, $vCurrentPartCode)"/>
<xsl:text>; </xsl:text>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="xalan:tokenize($vForCode, ' ')">
<xsl:variable name="vCurrentPartCode" select="normalize-space(current())"/>
<xsl:variable name="vCurrentPartName" select="normalize-space(filterInlineLoc($vXmlPrimitive//*[@code=$vCurrentPartCode]/@name))"/>
<xsl:value-of select="returnFirst($vCurrentPartName, $vCurrentPartCode)"/>
<xsl:text>; </xsl:text>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
<xsl:text>)</xsl:text>
</xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>

</xsl:stylesheet>