<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
	
<xsl:template name="inputMinMaxStepFormat">
<xsl:variable name="vStep" select="returnFirst(number(@step), 1)"/>
<xsl:choose>
<xsl:when test="$vStep &lt; 1">
				
<wordsInput trim="true" notnull="true"/>
</xsl:when>
<xsl:when test="not(@min) or not(@max)">
<wordsInput trim="true" notnull="true" type="number" increment="{$vStep}" min="{si(string-length(@min)&gt;0, @min, '-Infinity')}">
<xsl:if test="string-length(@max)&gt;0"><xsl:attribute name="max"><xsl:value-of select="@max"/></xsl:attribute></xsl:if>
</wordsInput>
</xsl:when>
<xsl:when test="(@max - @min) div $vStep &gt; 30">
<wordsInput trim="true" notnull="true" type="number" increment="{$vStep}" min="@min" max="@max"/>
</xsl:when>
<xsl:when test="@displayFormat='alpha'">
<choiceInput notnull="true">
<xsl:variable name="k" select="ceiling(@max div $vStep) + 1"/>
<repeat:count from="{@max}" to="{@min - ($vStep div 2)}" counterName="i" step="-{$vStep}">
<ciItem value="{$i}" label="{substring('ABCDEFGHIJKLMNOPRSTUVWXYZ', $k - ceiling($i div $vStep), 1)}"/>
</repeat:count>
</choiceInput>
</xsl:when>
<xsl:when test="@displayFormat='alpha+-'">
<choiceInput notnull="true">
<xsl:variable name="k" select="ceiling(@max div 3 div $vStep) + 1"/>
<repeat:count from="{@max}" to="{@min - ($vStep div 2)}" counterName="i" step="-{$vStep * 3}">
<xsl:variable name="letter" select="substring('ABCDEFGHIJKLMNOPRSTUVWXYZ', $k - ceiling($i div 3 div $vStep), 1)"/>
<ciItem value="{$i}" label="{$letter}+"/>
<xsl:if test="$i &gt; number(@min)">
<ciItem value="{$i - $vStep}" label="{$letter}"/>
</xsl:if>
<xsl:if test="$i &gt; @min + $vStep">
<ciItem value="{$i - ($vStep * 2)}" label="{$letter}-"/>
</xsl:if>
</repeat:count>
</choiceInput>
</xsl:when>
<xsl:otherwise>
				
<choiceInput notnull="true">
<repeat:count from="{@max}" to="{@min - ($vStep div 2)}" counterName="i" step="-{$vStep}">
<ciItem label="{$i}"/>
</repeat:count>
</choiceInput>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

	
<xsl:template name="getIconUrl">
<xsl:param name="vUriRes"/>
<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>
</xsl:template>
	
	
<xsl:template match="sm:meta">
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), si(@usage='optional', '/xedRefUrlForm', '/xedRefUrlFormHideHeader') ))}" se:card="{si(@usage='optional', '?', '1')}"/>
</xsl:template>
</xsl:stylesheet>
