<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:sng="http://relaxng.org/ns/structure/1.0" 
                xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0" 
                xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
                xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
                xmlns:xalan="http://xml.apache.org/xalan" 
                exclude-result-prefixes="sc sp sm sng snga xalan" 
                version="1.0">

	
<xsl:template match="sm:feedbackModel">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<xsl:choose>
<xsl:when test="@usage='optional'">
<sng:optional>
<sng:element name="sc:feedbacks" snga:title="{filterInlineLoc(@name)}">
<xsl:apply-templates />
</sng:element>
</sng:optional>
</xsl:when>
<xsl:otherwise>
<sng:element name="sc:feedbacks" snga:title="{filterInlineLoc(@name)}">
<xsl:apply-templates />
</sng:element>
</xsl:otherwise>
</xsl:choose>
</xsl:if>
</xsl:template>

<xsl:template match="sm:pointScoreIntervals|sm:scaledScoreIntervals">
<sng:oneOrMore>
<sng:element name="sc:feedback" snga:title="{filterInlineLoc(sm:interval/@name)}">
<sng:optional>
<sng:attribute name="gt" snga:title="{filterInlineLoc(sm:scoreMoreThan/@name)}">
<sng:data type="string" />
</sng:attribute>
</sng:optional>
<sng:optional>
<sng:attribute name="get" snga:title="{filterInlineLoc(sm:scoreMoreOrEqualThan/@name)}">
<sng:data type="string" />
</sng:attribute>
</sng:optional>
<sng:optional>
<sng:attribute name="lt" snga:title="{filterInlineLoc(sm:scoreLessThan/@name)}">
<sng:data type="string" />
</sng:attribute>
</sng:optional>
<sng:optional>
<sng:attribute name="let" snga:title="{filterInlineLoc(sm:scoreLessOrEqualThan/@name)}">
<sng:data type="string" />
</sng:attribute>
</sng:optional>
<sng:ref name="{resultatAgent(concat('@', getIdFromPath(../@sc:refUri), '/codeModel'))}"/>
</sng:element>
</sng:oneOrMore>
</xsl:template>

<xsl:template match="sm:fixedScaledIntervals">
<sng:oneOrMore>
<sng:element name="sc:feedback" snga:title="{concatExpr(sm:interval, filterInlineLoc(@name), ', ')}">
<sng:ref name="{resultatAgent(concat('@', getIdFromPath(../@sc:refUri), '/codeModel'))}"/>
</sng:element>
</sng:oneOrMore>
</xsl:template>

</xsl:stylesheet>