<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
	
	
<xsl:template match="sm:feedbackModel" mode="intervalsFeedbackBlock">
<xsl:if test="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/isInternalizable')) = 'true'">
<element se:name="sc:feedbacks" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<xsl:apply-templates mode="intervalsFeedbackBlock"/>
</childs>
</element>
</xsl:if>
</xsl:template>
<xsl:template match="sm:scaledScoreIntervals" mode="intervalsFeedbackBlock">
<xsl:apply-templates mode="intervalsFeedbackBlock"/>
</xsl:template>
<xsl:template match="sm:pointScoreIntervals" mode="intervalsFeedbackBlock">
<xsl:apply-templates mode="intervalsFeedbackBlock"/>
</xsl:template>
<xsl:template match="sm:interval" mode="intervalsFeedbackBlock">
<element se:name="sc:feedback" se:bind="element" se:title="{@name}" se:card="+" class="property">
<atts>
<attribute se:bind="attribute" se:name="gt" se:title="{sm:scoreMoreThan/@name}">
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
<attribute se:bind="attribute" se:name="get" se:title="{sm:scoreMoreOrEqualThan/@name}">
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
<attribute se:bind="attribute" se:name="lt" se:title="{sm:scoreLessThan/@name}">
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
<attribute se:bind="attribute" se:name="let" se:title="{sm:scoreLessOrEqualThan/@name}">
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</atts>
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(../../@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
<insert se:bind="current"/>
</xsl:template>
<xsl:template match="sm:fixedScaledIntervals" mode="intervalsFeedbackBlock">
<xsl:for-each select="sm:interval">
<element se:name="sc:feedback" se:bind="element" se:title="{@name}" class="property">
<atts/>
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(../../@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:for-each>
</xsl:template>
<xsl:template match="*" mode="intervalsFeedbackBlock"/>
	
</xsl:stylesheet>
