<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
<xsl:template match="sm:hintModel">
<xsl:variable name="vMin" select="si(@min, @min, 0)"/>
<xsl:if test="$vMin &gt; 0">
<repeat:count from="1" to="{si($vMin, $vMin + 1, '0')}" counterName="i">
<element se:name="sc:hint" se:bind="element" se:title="{@name} {si(@max, $i)}">
<xsl:call-template name="hintContent"/>
</element>
</repeat:count>
</xsl:if>
<xsl:choose>
<xsl:when test="not(@max)">
				
<element se:name="sc:hint" se:bind="element" se:title="{@name}" se:card="*">
<xsl:call-template name="hintContent"/>
</element>
<insert se:bind="current"/>
</xsl:when>
<xsl:when test="@max and number(@max) &gt; $vMin">
<repeat:count from="{$vMin+1}" to="{@max + 1}" counterName="i">
<element se:name="sc:hint" se:bind="element" se:title="{@name} {$i}" se:card="?">
<xsl:call-template name="hintContent"/>
</element>
</repeat:count>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template name="hintContent">
<xsl:apply-templates select="sm:hintCost" mode="hint"/>
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</xsl:template>
<xsl:template match="sm:hintCost" mode="hint">
<atts>
<attribute se:bind="attribute" se:name="cost" se:title="{@name}">
<xsl:apply-templates mode="hint"/>
</attribute>
</atts>
</xsl:template>
<xsl:template match="sm:pointsLost" mode="hint">
<wordsInput trim="true"/>
</xsl:template>
<xsl:template match="sm:percentageLost" mode="hint">
<choiceInput>
<ciItem value="0" label="0"/>
<ciItem value="5" label="-5%"/>
<ciItem value="10" label="-10%"/>
<ciItem value="15" label="-15%"/>
<ciItem value="20" label="-20%"/>
<ciItem value="25" label="-25%"/>
<ciItem value="30" label="-30%"/>
<ciItem value="35" label="-35%"/>
<ciItem value="40" label="-40%"/>
<ciItem value="45" label="-45%"/>
<ciItem value="50" label="-50%"/>
<ciItem value="55" label="-55%"/>
<ciItem value="60" label="-60%"/>
<ciItem value="65" label="-65%"/>
<ciItem value="70" label="-70%"/>
<ciItem value="75" label="-75%"/>
<ciItem value="80" label="-80%"/>
<ciItem value="85" label="-85%"/>
<ciItem value="90" label="-90%"/>
<ciItem value="95" label="-95%"/>
<ciItem value="100" label="-100%"/>
</choiceInput>
</xsl:template>
<xsl:template match="*" mode="hint"/>
	
</xsl:stylesheet>
