<?xml version="1.0" encoding="UTF-8"?>


<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm xsl sma xhtml"
	>
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:template match="sm:callModel" mode="callModel">
<valeur code="callModel_{generate-id()}">
<source type="xpath-dynamique"><xsl0:apply-templates mode="callModel"/></source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:root" mode="callModel">
<xsl0:choose>
			
<xsl0:when test="parent::sm:callModel/parent::sm:link or parent::sm:callModel/parent::sm:ifNoPage or parent::sm:target">resultatDialogue(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:when>
			
<xsl0:otherwise>resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>/xhtmlContent'))</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:current" mode="callModel">
<xsl0:choose>
			
<xsl0:when test="parent::sm:callModel/parent::sm:link or parent::sm:callModel/parent::sm:ifNoPage or parent::sm:target">resultatDialogue(concat('/@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>')), 'act:')</xsl0:when>
			
<xsl0:otherwise>resultatAgent(concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'), '/xhtmlContent'))</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">
<xsl0:choose>
			
<xsl0:when test="parent::sm:callModel/parent::sm:link or parent::sm:callModel/parent::sm:ifNoPage or parent::sm:target">resultatDialogue(concat('/@', switchAxis(codeAgent(lookForAncestorAgentByTypes($vDialog<xsl0:apply-templates mode="callModel"/>)[<xsl0:value-of select="si(@direction='rootToCurrent', 'last()', '1')"/>]), '<xsl0:value-of select="@axis"/>')), 'act:')</xsl0:when>
			
<xsl0:otherwise>resultatAgent(concat('@', switchAxis(codeAgent(lookForAncestorAgentByTypes($vDialog<xsl0:apply-templates mode="callModel"/>)[<xsl0:value-of select="si(@direction='rootToCurrent', 'last()', '1')"/>]), '<xsl0:value-of select="@axis"/>'), '/xhtmlContent'))</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'
</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">
<xsl0:choose>
<xsl0:when test="parent::sm:callModel/parent::sm:link or parent::sm:callModel/parent::sm:ifNoPage or parent::sm:target">resultatDialogue(dialog('<xsl0:value-of select="@path"/>', $vDialog), 'act:')</xsl0:when>
<xsl0:otherwise>resultatAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

<xsl0:template match="sm:lookForExistingModelPage" mode="callModel">
<valeur code="lookForPage_{generate-id()}">
<source type="xpath-dynamique">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</source>
</valeur>
<xsl0:apply-templates select="sm:ifNoPage/*" mode="callModel"/>
</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel">concat('/', <xsl0:apply-templates mode="callModel"/>)</xsl0:template>

<xsl0:template match="sm:when[@sc:refUri]" mode="callModel">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="callModel"/>
</xsl0:template>
	
	
<xsl0:template match="sm:nav" mode="callModel">
<valeur code="callModel_{generate-id()}">
<source type="xpath-dynamique">resultatDialogue(resultatAgent(urlDialog), 'act:')</source>
<valeur code="urlDialog">
<source type="navOutline-dynamique">
<navOutlineDef>
<xsl0:apply-templates mode="callModel"/>
</navOutlineDef>
</source>
</valeur>
</valeur>
</xsl0:template>
<xsl0:template match="sm:step" mode="callModel">
<xsl0:apply-templates mode="callModel"/>
</xsl0:template>
<xsl0:template match="sm:next" mode="callModel">
<next/>
</xsl0:template>
<xsl0:template match="sm:previous" mode="callModel">
<next dir="up"/>
</xsl0:template>
<xsl0:template match="sm:child" mode="callModel">
<child dir="{si(@direction='lastToFirst', 'up', 'down')}"/>
</xsl0:template>
<xsl0:template match="sm:ancestor" mode="callModel">
<ancestor dir="{si(@direction='topToCurrent', 'down', 'up')}" offset="{si(@offset &gt; 1, @offset, '1')}"/>
</xsl0:template>
	
<xsl0:template match="text()|@*" mode="callModel"/>
	
</xsl0:stylesheet>