<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl sma xhtml java"
	>
	
<xsl0:output method="xml" indent="no"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vStructure" select="computeNodeAgent($vAgentModel/source)/sm:structure"/>
	
<xsl0:template match="sm:callQuestionModel" mode="content">
<xsl:for-each select="sc:question"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>

	
<xsl0:template match="sm:WChoiceList" mode="content">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl:for-each select="sc:choices/sc:choice">
<xsl0:apply-templates select="sm:choiceBody/*" mode="content"/>
</xsl:for-each>
<xsl0:apply-templates select="sm:noChoiceBody" mode="content"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:variable name="vItemTag" select="si(@tagName='div', 'div', 'li')"/>
<xsl0:element name="{returnFirst(@tagName, 'ul')}">
<xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="si($vIsSingleResp, '_sur', '_mur')"/></xsl0:call-template>
<xsl:for-each select="sc:choices/sc:choice">
<xsl:variable name="vIndex" select="count(preceding-sibling::sc:choice)"/>
<xsl:variable name="vItemClasses">
<xsl0:value-of select="addSuffixOnWords(@widgetClass, '_ur')"/>
<xsl0:if test="boolean(@solutionClassPrefix)">
<xsl:value-of select="'{concat(si(@widgetClass,' ',''),@solutionClassPrefix)}_'"/>
<xsl0:call-template name="getChoiceSolution"/>
</xsl0:if>						
</xsl:variable>
<xsl0:element name="{$vItemTag}">
<xsl:attribute name="class">
<xsl:value-of select="$vItemClasses"/>
</xsl:attribute>
<xsl0:apply-templates select="sm:choiceBody/*" mode="content"/>
</xsl0:element>
</xsl:for-each>
<xsl0:apply-templates select="sm:noChoiceBody" mode="content"/>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:choiceNumber" mode="content">
<xsl0:value-of select="@prefix"/><xsl:number format="{returnFirst(@format,'1')}"/><xsl0:value-of select="@suffix"/>
</xsl0:template>
<xsl0:template match="sm:callLabelModel" mode="content">
<xsl:for-each select="sc:choiceLabel"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:noChoiceBody" mode="content">
<xsl0:choose>
<xsl0:when test="@tagName = 'none'">
<xsl0:apply-templates mode="content"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:variable name="vItemTag" select="si(@tagName='div', 'div', 'li')"/>
<xsl0:element name="{$vItemTag}">
<xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="'_nour'"/></xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template name="getChoiceSolution">
<xsl0:variable name="vIsGmcq" select="boolean(ancestor::sma:assmntUnitGmcqHtmlTransf)"/>
<xsl0:choose>
<xsl0:when test="$vIsGmcq and boolean($vStructure/sm:solution/sm:singleUserResponse/sm:booleanScoring)">
<xsl:value-of select="si(@solution='selected', 'right', 'wrong')"/>
</xsl0:when>
<xsl0:when test="not($vIsGmcq) and boolean($vStructure/sm:solution/sm:singleUserResponse/sm:booleanScoring)">
<xsl:value-of select="si(../../sc:solution/@choice=($vIndex + 1), 'right', 'wrong')"/>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring)">
<xsl:variable name="vMaxScoring" select="max(../../sc:choices/sc:choice/@score)"/>
<xsl:variable name="vIdx" select="count(../../sc:choices/sc:choice[@score = $vMaxScoring][1]/preceding-sibling::sc:choice)"/>
<xsl:value-of select="si($vIdx=$vIndex, 'right', 'wrong')"/>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:booleanScoring)">
<xsl:value-of select="si(@solution='checked', 'check', 'unche')"/>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring)">
<xsl0:choose>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring/sm:scoreIfUnselected">
<xsl:value-of select="si(@scoreIfSelected &gt; @scoreIfUnselected, 'check', 'unche')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:value-of select="si(@scoreIfSelected &gt; 0, 'check', 'unche')"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:when>			
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring)">
<xsl:variable name="vBestMap" select="../../sc:solutions/sc:response[@score=max(../../../sc:response/@score)]"/>
<xsl:value-of select="si($vBestMap/sc:choice[count(current()/preceding-sibling::sc:choice)+1]/@solution='checked', 'check', 'unche')"/>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
		
<xsl0:template match="sm:WChoiceExplanation" mode="content">
<xsl:for-each select="sc:choiceExplanation">
<div><xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</div>
</xsl:for-each>
</xsl0:template>

</xsl0:stylesheet>