<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	exclude-result-prefixes="sm sc sp se">

<xsl:import href="bsco:sm/compositionPrim/form.xed.xml.xsl"/>
<xsl:import href="bsco:sma/common.xed.xml.xsl"/>
<xsl:import href="bsco:sma/feedbackIntervals.xed.xml.xsl"/>
	
<xsl:variable name="vFormEditor" select="sm:authoring/sm:formEditor[not(@key)]"/>
	
	
<xsl:template name="partProperties">
<xsl:for-each select="sm:properties/sm:globalRating">
<element se:bind="element" se:name="sc:globalRating" se:title="{@name}" class="property">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<atts>
<boxStatic se:bind="attribute" se:name="rate" se:title=" " se:mandat="true" style="-moz-binding:url(chrome://scenariXedLib/content/libUiBase/widgets/xedUiBase.xbl.xml#wrapper);">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</boxStatic>
</atts>
</element>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:feedbackModel">
<xsl:apply-templates select="." mode="intervalsFeedbackBlock"/>
</xsl:template>

</xsl:stylesheet>
