<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:c="composition"
	exclude-result-prefixes="sm xsl java xalan c">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:include href="bsco:sm/textXhtmlTransf/bs.xml.xsl"/>
<xsl0:include href="bs:content.xsl.xsl"/>
			
<xsl0:variable name="vLegacyClasses" select="/sma:assmntGapInTextDhtmlTransf/sm:staticContent/@classConstructionType = 'legacy'"/>

<xsl0:template match="sma:assmntGapInTextDhtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xsl0t/java</xsl0:attribute>
						
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:variable name="vIdObj" select="getDialogVar('assmntIdObj')"/>
<xsl:variable name="vLen">
<xsl0:attribute name="select">max(<xsl0:apply-templates select="sm:gapsDefinition/*" mode="computeLen"/>6)</xsl0:attribute>
</xsl:variable>

<xsl0:call-template name="commonTpl"/>
<xsl0:apply-templates select="sm:gapsDefinition/*" mode="content"/>
<xsl0:apply-templates select="sm:staticContent/*" mode="content"/>
</xsl:stylesheet>
</source>
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>

			
<valeur code="fieldList">
<source type="xsl-statique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:param name="vAgent"/>
			
<xsl:template match="*">
<fields>
<xsl:apply-templates mode="in"/>
</fields>
</xsl:template>
<xsl:template match="*" mode="str"/>
<xsl:template match="text()" mode="str">
<xsl:value-of select="."/>
</xsl:template>
<xsl0:apply-templates select="sm:gapsDefinition/*" mode="fieldList"/>
</xsl:stylesheet>
</source>
</valeur>

<xsl0:apply-templates mode="agents"/>
</structure>
</xsl0:template>
	
<xsl0:template match="sm:textLeafTagAsGap" mode="fieldList">
<xsl:template match="sc:textLeaf[@role='{@role}']" mode="in">
<xsl:variable name="vText"><xsl:apply-templates mode="str"/></xsl:variable>
<xsl0:element name="sp:{@role}">
<xsl0:attribute name="index">{generate-id(.)}</xsl0:attribute>
<sc:SFSolution>
<sc:value><xsl:value-of select="$vText"/></sc:value>
<xsl0:variable name="vSynonymsPath" select="resultatAgent($vAgentModel/getSynonymsPath,@role)"/>
<xsl0:if test="$vSynonymsPath != ''">
<xsl:variable name="vSyns" select="{$vSynonymsPath}"/>
<xsl:for-each select="$vSyns">
<sc:value><xsl:value-of select="."/></sc:value>
</xsl:for-each>
</xsl0:if>
</sc:SFSolution>
</xsl0:element>
</xsl:template>
</xsl0:template>
<xsl0:template match="node()" mode="fieldList"/>
	
</xsl0:stylesheet>
