<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java"
	exclude-result-prefixes="sm sma xsl xalan java"
	>
		
<xsl0:template match="sm:textLeafTagAsGap" mode="content">
<xsl:template match="sc:textLeaf[@role='{@role}']" mode="in">
<xsl:variable name="vIndex" select="generate-id(.)"/>
<xsl:variable name="vText"><xsl:apply-templates mode="str"/></xsl:variable>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tl'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</span>
</xsl:template>
<xsl:template match="*" mode="str"/>
<xsl:template match="text()" mode="str">
<xsl:value-of select="."/>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:WInputText" mode="content">
<span>
<xsl0:variable name="vOptionsPath" select="resultatAgent($vAgentModel/getOptionsPath,../@role)"/>
<xsl0:choose>
<xsl0:when test="$vOptionsPath = ''">
<input name="{{$vIndex}}" type="text" size="{{$vLen}}" onblur="{{$vIdObj}}.setResp(this);">
<xsl0:call-template name="attClass"/>
</input>
</xsl0:when>
<xsl0:otherwise>
<xsl:variable name="vOpts" select="{$vOptionsPath}"/>
<xsl:variable name="vIsOpts" select="count($vOpts)&gt;0"/>
<xsl:choose>
<xsl:when test="$vIsOpts">
<select name="{{$vIndex}}" onblur="{{$vIdObj}}.setResp(this);">
<xsl0:call-template name="attClass"/>
<option value=""/>
<xsl:for-each select="$vOpts">
<option value="{{string(.)}}">
<xsl:value-of select="."/>
</option>
</xsl:for-each>
</select>
</xsl:when>
<xsl:otherwise>
<input name="{{$vIndex}}" type="text" size="{{$vLen}}" onblur="{{$vIdObj}}.setResp(this);">
<xsl0:call-template name="attClass"/>
</input>
</xsl:otherwise>
</xsl:choose>
</xsl0:otherwise>
</xsl0:choose>
</span>
</xsl0:template>
<xsl0:template match="sm:WSolution" mode="content">
<span id="{{$vIdObj}}_X_{{$vIndex}}" >
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</span>
</xsl0:template>
<xsl0:template match="sm:solution" mode="content">
<span>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
<xsl0:call-template name="attClass"/>
<xsl:value-of select="$vText"/>
</span>
</xsl0:template>
	
	
<xsl0:template match="sm:textLeafTagAsGap" mode="computeLen">parseXml(listXmlExpr(.//sc:textLeaf[@role='<xsl0:value-of select="@role"/>'], string-length(text())))/liste/item/text(), </xsl0:template>
	
	
<xsl0:template name="attClass" match="*" mode="attClass">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
</xsl0:stylesheet>