<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		exclude-result-prefixes="sc sp sm xsl"
		version="1.0">

<xsl0:import href="bsco:sm/textPrim/ssGenAttr.xsl.xsl"/>
	
<xsl0:template match="sm:interaction">
<xsl0:apply-templates/>
</xsl0:template>
	
<xsl0:template match="sm:gapTextLeaf">
<xsl0:if test="@synonymsFieldName or @optionsFieldName">
<xsl:template match="sc:textLeaf[@role='{@role}']">
<xsl:variable name="vText"><xsl:apply-templates mode="str"/></xsl:variable>
<xsl0:if test="@optionsFieldName">
<xsl:if test="descendant::sp:{@optionsFieldName}">
<xsl:if test="string-length($vText)&gt;0 and count(descendant::sp:{@optionsFieldName}[text() = $vText])=0">
<cPbs>
<pb typ="Error" cd="gapOptNotPresent" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sma:&amp;syntax=Formatter;Une option du trou ''%1$s'' doit contenir le texte original.￼', string($vText))}}"/>
</cPbs>
</xsl:if>
<xsl:if test="count(descendant::sp:{@optionsFieldName})=1">
<cPbs>
<pb typ="Warning" cd="gapOptUnique" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sma:&amp;syntax=Formatter;Le trou ''%1$s'' a qu''une seule option.￼', string($vText))}}"/>
</cPbs>
</xsl:if>
<xsl0:if test="@synonymsFieldName">
<xsl:variable name="vHasSynErr">
<xsl:variable name="vTextLeaf" select="."/>
<xsl:for-each select="descendant::sp:{@synonymsFieldName}">
<xsl:variable name="vSyn" select="string(.)"/>
<xsl:if test="count($vTextLeaf/descendant::sp:{@optionsFieldName}[text() = $vSyn])=0">1</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:if test="contains($vHasSynErr,'1')">
<cPbs>
<pb typ="Error" cd="gapSynOptNotPresent" msg="{{formatStr('￼@dic:.xslAtt.xpathStr@.xpathStr?uri=sc:sma:&amp;syntax=Formatter;Au moins un synonyme du trou ''%1$s'' n'est pas présent dans ses options.￼', string($vText))}}"/>
</cPbs>
</xsl:if>
</xsl0:if>
</xsl:if>
</xsl0:if>
</xsl:template>
<xsl:template match="*" mode="str"/>
<xsl:template match="text()" mode="str">
<xsl:value-of select="."/>
</xsl:template>
</xsl0:if>
</xsl0:template>

</xsl0:stylesheet>