<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	version="1.0"
	exclude-result-prefixes="sm sma sc xalan">
	
<xsl:import href="bsco:sma/odTransf/communCalledTransformersInc.xsl"/>
	
<xsl:template match="/sma:assmntUnitEditOdTransf">
<view code="odContent">
<xsl:apply-templates/>
</view>
<xsl:variable name="vMetaModel" select="$vStructureModel/sm:meta/@sc:refUri"/>
<xsl:if test="$vMetaModel">
<view code="title"><call model="{$vMetaModel}" axis="" view="title"/></view>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:callTextModel">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="$vStructureModel//sm:gapInText/sm:textModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
	
	
<xsl:template match="sm:callSolutionModel">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vForCodes" select="ancestor::*[starts-with(name(), 'sm:for')][1]/@codes"/>
<xsl:choose>
<xsl:when test="$vForCodes = '*'">
<xsl:for-each select="$vStructureModel//sm:notAssessableField/sm:solutionModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="xalan:tokenize($vForCodes, ' ')">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:notAssessableField[@code=current()]"/>
<xsl:if test="$vDefModel">
<xsl:for-each select="$vDefModel/sm:solutionModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:if>
</xsl:for-each>				
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
	
<xsl:template match="sm:callQuestionModel">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="$vStructureModel/sm:questionModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
<xsl:template match="sm:callGlobalExplanationModel">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="$vStructureModel/sm:globalExplanationModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
		
<xsl:template match="sm:callUnitMeta">
<xsl:call-template name="tCallRootMeta"/>
</xsl:template>
		
</xsl:stylesheet>
