<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
	
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sma:assmntUnitEditPrim">
<xsl:if test="boolean($vFormEditor/sm:assmntUnitEdit[@fullTitleStyle or @shortTitleStyle])">
<se:uiLib>
<se:style>
		@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
		@namespace se url("http://www.utc.fr/ics/scenari/v3/editing");
<xsl:apply-templates select="$vFormEditor/sm:assmntUnitEdit" mode="titleStyles"/>
</se:style>
</se:uiLib>
</xsl:if>
<se:lib>
<dropPasteItem se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<element>
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:assmntUnitEdit/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormEditor/sm:assmntUnitEdit/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:assmntUnitEdit/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormEditor/sm:assmntUnitEdit/@tagStyle"/></xsl:attribute></xsl:if>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</element>
</dropPasteItem>
<dropPasteItem se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<hiddenElement>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
</dropPasteItem>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure"/>
</se:template>
</se:lib>
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="sc:item" se:title="￼?uri=sc:sma:;Item￼">
<childs>
<dropPasteItem se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<element insert="collapsed">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:assmntUnitEdit/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="$vFormEditor/sm:assmntUnitEdit/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="$vFormEditor/sm:assmntUnitEdit/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="$vFormEditor/sm:assmntUnitEdit/@tagStyle"/></xsl:attribute></xsl:if>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</element>
</dropPasteItem>
</childs>
</hiddenElement>
</xmlview>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates select="sm:meta"/>
<xsl:apply-templates select="sm:questionModel"/>
<xsl:apply-templates select="sm:interaction"/>
<xsl:apply-templates select="sm:globalExplanationModel"/>
<xsl:apply-templates select="sm:hintModel"/>
</xsl:template>
	
<xsl:template match="sm:interaction">
<xsl:apply-templates/>
</xsl:template>

	
<xsl:template match="sm:singleField[count(sm:*[local-name()!='feedbackModel'])&gt;1]">
<alternativeAlone se:bind="choice">
<xsl:apply-templates/>
</alternativeAlone>
</xsl:template>
<xsl:template match="sm:singleField">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:stringField">
<element se:name="sp:{@code}" se:bind="element" se:title="{@name}">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<childs>
<xsl:apply-templates/>
</childs>
</element>
</xsl:template>
	
<xsl:template match="sm:numberField">
<element se:name="sp:{@code}" se:bind="element" se:title="{@name}">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<childs>
<xsl:apply-templates/>
</childs>
</element>
</xsl:template>
	
<xsl:template match="sm:solution[@allowMultipleSolutions='yes']">
<element se:name="sc:SFSolution" se:bind="element" se:title="{@name}" se:card="+" forcefilled="true">
<childs>
<xsl:call-template name="solutionValue"/>
<xsl:apply-templates/>
</childs>
</element>
<xsl:if test="not(../sm:undefinedResponse)">
<insert se:bind="current"/>
</xsl:if>
</xsl:template>
<xsl:template match="sm:solution">
<xsl:choose>
<xsl:when test="parent::sm:stringField">
<hiddenElement se:name="sc:SFSolution" se:bind="element">
<childs>
<xsl:call-template name="solutionValue"/>
<xsl:apply-templates/>
</childs>
</hiddenElement>
</xsl:when>
<xsl:when test="parent::sm:numberField">
<hiddenElement se:name="sc:NFSolution" se:bind="element" se:title="{@name}" forcefilled="true">
<childs>
<xsl:call-template name="solutionValue"/>
<xsl:variable name="hasEqual" select="not(sm:conditions/@equal!='yes')"/>
<xsl:variable name="hasUnequal" select="not(sm:conditions/@unequal!='yes' and sm:conditions/@unequalStrict!='yes')"/>
<xsl:variable name="hasMargin" select="not(sm:conditions/@marginAbsolute!='yes' and sm:conditions/@marginPercentage!='yes')"/>
<xsl:variable name="cardPlus" select="$hasUnequal or ($hasEqual and $hasMargin)"/>
						￼?uri=sc:sma:￼
<element se:name="sc:condition" se:bind="element" se:title="￼Condition￼" se:card="{si($cardPlus,'+','1')}">
<xsl:if test="$cardPlus">
<xsl:attribute name="insert">true</xsl:attribute>
</xsl:if>
<atts>
<attribute se:bind="attribute" se:name="operation" se:title="￼Valeur￼" se:mandat="true">
<choiceInput notnull="true">
<xsl:if test="$hasEqual">
<ciItem value="==" label="￼égal à￼"/>
</xsl:if>
<xsl:if test="$hasEqual and $hasUnequal or $hasEqual and $hasMargin">
<ciSeparator/>
</xsl:if>
<xsl:if test="not(sm:conditions/@unequal!='yes')">
<ciItem value="&gt;=" label="￼supérieur ou égal à￼"/>
</xsl:if>
<xsl:if test="not(sm:conditions/@unequalStrict!='yes')">
<ciItem value="&gt;" label="￼supérieur à￼"/>
</xsl:if>
<xsl:if test="not(sm:conditions/@unequal!='yes')">
<ciItem value="&lt;=" label="￼inférieure ou égal à￼"/>
</xsl:if>
<xsl:if test="not(sm:conditions/@unequalStrict!='yes')">
<ciItem value="&lt;" label="￼inférieure à￼"/>
</xsl:if>
<xsl:if test="$hasMargin and $hasUnequal">
<ciSeparator/>
</xsl:if>
<xsl:if test="not(sm:conditions/@marginAbsolute!='yes')">
<ciItem value="+-" label="￼plus ou moins￼"/>
</xsl:if>
<xsl:if test="not(sm:conditions/@marginPercentage!='yes')">
<ciItem value="%" label="￼plus ou moins (pourcentage)￼"/>
</xsl:if>
</choiceInput>
</attribute>
</atts>
<childs>
<textnode se:bind="text">
<textInput trim="true" notnull="true"/>
</textnode>
</childs>
</element>
						￼￼
<xsl:if test="$cardPlus">
<insert se:bind="current"/>
</xsl:if>
<xsl:apply-templates/>
</childs>
</hiddenElement>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template name="solutionValue">
<hiddenElement se:bind="element" se:name="sc:value">
<childs>
<textnode se:bind="text">
<textInput trim="true" notnull="true"/>
</textnode>
</childs>
</hiddenElement>
</xsl:template>
<xsl:template match="sm:synomyms">
<element se:bind="element" se:name="sc:value" se:title="{@name}" se:card="*">
<childs>
<textnode se:bind="text">
<textInput trim="true" notnull="true"/>
</textnode>
</childs>
</element>
<xsl:if test="not(../sm:score) and not(sm:feedback)">
<insert se:bind="current"/>
</xsl:if>
</xsl:template>
<xsl:template match="sm:score">
<element se:name="sc:score" se:bind="element" se:title="{@name}" insert="{si(boolean(preceding-sibling::sm:synomyms), 'true', 'false')}">
<atts>
<attribute se:bind="attribute" se:name="value" se:title="￼Valeur￼" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</atts>
</element>
</xsl:template>
<xsl:template match="sm:feedbackModel"/>
<xsl:template match="sm:feedback">
<xsl:variable name="vFeedbackModel" select="../../../sm:feedbackModel"/>
<xsl:if test="$vFeedbackModel/@sc:refUri">
<element se:name="sc:feedback" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', '1')}" insert="{si(boolean(preceding-sibling::sm:synomyms) and count(preceding-sibling::sm:score)=0, 'true', 'false')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath($vFeedbackModel/@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:undefinedResponse">
<xsl:choose>
<xsl:when test="../sm:solution[@allowMultipleSolutions='yes']">
<element se:bind="element" se:name="sc:undefinedResponse" se:title="{@name}" insert="true">
<childs>
<xsl:apply-templates/>
</childs>
</element>
</xsl:when>
<xsl:otherwise>
<hiddenElement se:bind="element" se:name="sc:undefinedResponse">
<childs>
<xsl:apply-templates/>
</childs>
</hiddenElement>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:notAssessableField">
<element se:name="sp:{@code}" se:bind="element" se:title="{@name}" forcefilled="true">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<childs>
<xsl:apply-templates/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:solutionModel">
<element se:name="sc:NAFSolution" se:bind="element" se:title="{@name}" se:card="{si(@usage='required', '1', '?')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
	
	
<xsl:template match="sm:structuredFields">
<element se:name="sc:core" se:bind="element" se:title="{@name}">
<childs>
<se:choice se:card="*" se:id="fieldsZone" se:show="ifExist">
<xsl:apply-templates/>
</se:choice>
<insert se:bind="current"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:fieldList">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:division">
<element se:name="sc:division" se:bind="element" se:title="{@name}" forcefilled="true">
<atts>
<attribute se:name="title" se:title="{sm:titleDivision/@name}" se:bind="attribute" se:mandat="true">
<wordsInput trim="true" notnull="true"/>
</attribute>
</atts>
<childs>
<se:ref se:refid="fieldsZone"/>
<insert se:bind="current"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:contentModel">
<element se:name="sc:content" se:bind="element" se:title="{@name}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
	
	
	
<xsl:template match="sm:gapInText">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:textModel">
<element se:name="sc:gapText" se:bind="element" se:title="{@name}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:scoreBounds">
<element se:name="sc:score" se:bind="element" se:title="{@name}">
<atts>
<xsl:apply-templates/>
</atts>
</element>
</xsl:template>
<xsl:template match="sm:pointsIfAllIsRight">
<attribute se:bind="attribute" se:name="max" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:template>
<xsl:template match="sm:pointsIfAllIsWrong">
<attribute se:bind="attribute" se:name="min" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:template>
<xsl:template match="sm:gapInText/sm:feedbackModel">
<xsl:apply-templates select="." mode="intervalsFeedbackBlock"/>
</xsl:template>
	
	
	
<xsl:template match="sm:assmntUnitEdit" mode="titleStyles">
<xsl:if test="@fullTitleStyle">
			*[se|name="<xsl:value-of select="resultatAgent('//qNameTagRootModel')"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sma:assmntUnitEditPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[fullTitleField] {
<xsl:value-of select="@fullTitleStyle"/>
			}
</xsl:if>
<xsl:if test="@shortTitleStyle">
			*[se|name="<xsl:value-of select="resultatAgent('//qNameTagRootModel')"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sma:assmntUnitEditPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[shortTitleField] {
<xsl:value-of select="@shortTitleStyle"/>
			}
</xsl:if>
</xsl:template>
<xsl:template match="*" mode="titleStyles"/>

</xsl:stylesheet>
