<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:import href="bsco:sma/xhtmlTransf/calledTransformersInc.xsl"/>
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

	
	
<xsl:template match="sm:callQuestionModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:questionModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>	
	
<xsl:template match="sm:callUnitMeta" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:meta"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callBackgroundImageModel" mode="in">
<xsl:variable name="vView" select="si(parent::sm:WChoiceMap or parent::sm:WChoiceHighlightedImage, 'navigation', 'xhtmlContent')"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vDefModel" select="$vStructureModel/sm:backgroundImage"/>
<xsl:if test="$vDefModel">
<xsl:for-each select="$vDefModel/sm:allowedImageModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callLabelModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:choices/sm:choice/sm:choiceLabelModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:WChoiceList//sm:callExplanationModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:choices/sm:choice/sm:choiceExplanationModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callExplanationModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:globalExplanationModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callFeedbackModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:solution/sm:feedbackModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>	
	
<xsl:template match="sm:callHintModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:hintModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
</xsl:stylesheet>
