<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl sma xhtml java scOrigin"
	>
	
<xsl0:import href="bsco:sma/xhtmlTransf/common.xsl.xsl"/>
<xsl0:import href="bsco:sma/xhtmlTransf/commonMcqHtml.xsl.xsl"/>
	
<xsl0:variable name="vIsSingleResp" select="boolean($vStructure/sm:solution/sm:singleUserResponse)"/>
	
<xsl0:template match="sma:assmntUnitGmcqHtmlTransf" mode="content">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
			
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
			
<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
<xsl0:template match="sm:callBackgroundImageModel" mode="content">
<xsl:for-each select="sc:backgroundImage"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:WChoiceHighlightedImage/sm:callBackgroundImageModel" mode="content"/>

<xsl0:template match="sm:WChoiceHighlightedImage" mode="content">
<xsl:variable name="vFileProps" select="parseXml(resultatAgent(concat('@', getIdFromPath(sc:backgroundImage/@sc:refUri), '{getAxisSuffix(sm:callBackgroundImageModel/@axis)}/props')))/props/file"/>
<xsl:variable name="vImgProps" select="parseXml(resultatAgent(concat('@', getIdFromPath(sc:backgroundImage/@sc:refUri), '{getAxisSuffix(sm:callBackgroundImageModel/@axis)}/props')))/props/image"/>
<xsl:variable name="vRatio" select="$vImgProps/@transformedWidth div $vImgProps/@nativeWidth"/>
<xsl:variable name="vTransformZones">
<xsl:value-of select="concat('&amp;transform=imageMagick&amp;outType=', $vFileProps/@outType, '&amp;command=convert%20%24src%20')"/>
<xsl:for-each select="sc:choices/sc:choice">
<xsl:variable name="vStrokeColor">
<xsl0:choose>
<xsl0:when test="sm:choiceArea/sm:simpleHighlight">
<xsl0:value-of select="returnFirst(sm:choiceArea/sm:simpleHighlight/sm:area/@strokeColor,'black')"/>
</xsl0:when>
<xsl0:when test="sm:choiceArea/sm:solutionHighlight">
<xsl:variable name="vChoiceSolution"><xsl0:call-template name="getChoiceSolution"/></xsl:variable>
<xsl:value-of select="si($vChoiceSolution='right' or $vChoiceSolution='check', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:area/@strokeColorChecked, 'green')}', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:area/@strokeColorUnchecked, 'red')}')"/>
</xsl0:when>
<xsl0:otherwise>black</xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vFillColor">
<xsl0:choose>
<xsl0:when test="sm:choiceArea/sm:simpleHighlight">
<xsl0:value-of select="returnFirst(sm:choiceArea/sm:simpleHighlight/sm:area/@fillColor, 'none')"/>
</xsl0:when>
<xsl0:when test="sm:choiceArea/sm:solutionHighlight">
<xsl:variable name="vChoiceSolution"><xsl0:call-template name="getChoiceSolution"/></xsl:variable>
<xsl:value-of select="si($vChoiceSolution='right' or $vChoiceSolution='check', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:area/@fillColorChecked, 'none')}', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:area/@fillColorUnchecked, 'none')}')"/>
</xsl0:when>
<xsl0:otherwise>none</xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vStrokeWidth">
<xsl0:choose>
<xsl0:when test="sm:choiceArea/sm:simpleHighlight">
<xsl0:value-of select="returnFirst(sm:choiceArea/sm:simpleHighlight/sm:area/@strokeWidth, '1')"/>
</xsl0:when>
<xsl0:when test="sm:choiceArea/sm:solutionHighlight">
<xsl0:value-of select="returnFirst(sm:choiceArea/sm:solutionHighlight/sm:area/@strokeWidth, '1')"/>
</xsl0:when>
<xsl0:otherwise>1</xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:for-each select="sc:zone">
<xsl:value-of select="java:com.scenari.s.co.transform.img.ImageMagickUtil.getDrawShapeFragment(sp:shape/text(),java:eu.scenari.modeling.util.Math.coordsRound(java:eu.scenari.modeling.util.Math.coordsRatio(sp:coords/text(),$vRatio)), $vFillColor, $vStrokeColor, $vStrokeWidth)"/>
</xsl:for-each>
<xsl0:if test="sm:choiceArea/sm:simpleHighlight/sm:label or sm:choiceArea/sm:solutionHighlight/sm:label">
<xsl:variable name="vFontColor">
<xsl0:choose>
<xsl0:when test="sm:choiceArea/sm:simpleHighlight">
<xsl0:value-of select="returnFirst(sm:choiceArea/sm:simpleHighlight/sm:label/@fontColor,'white')"/>
</xsl0:when>
<xsl0:when test="sm:choiceArea/sm:solutionHighlight">
<xsl:variable name="vChoiceSolution"><xsl0:call-template name="getChoiceSolution"/></xsl:variable>
<xsl:value-of select="si($vChoiceSolution='right' or $vChoiceSolution='check', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:label/@fontColorChecked, 'white')}', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:label/@fontColorUnchecked, 'white')}')"/>
</xsl0:when>
<xsl0:otherwise>white</xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vLabelColor">
<xsl0:choose>
<xsl0:when test="sm:choiceArea/sm:simpleHighlight">
<xsl0:value-of select="returnFirst(sm:choiceArea/sm:simpleHighlight/sm:label/@fillColor, 'black')"/>
</xsl0:when>
<xsl0:when test="sm:choiceArea/sm:solutionHighlight">
<xsl:variable name="vChoiceSolution"><xsl0:call-template name="getChoiceSolution"/></xsl:variable>
<xsl:value-of select="si($vChoiceSolution='right' or $vChoiceSolution='check', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:label/@fillColorChecked, 'black')}', '{returnFirst(sm:choiceArea/sm:solutionHighlight/sm:label/@fillColorUnchecked, 'black')}')"/>
</xsl0:when>
<xsl0:otherwise>black</xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vLabelText">
<xsl:number format="{returnFirst(sm:choiceArea/*/sm:label/@format,'1')}"/>
</xsl:variable>
<xsl:variable name="vImageDensity">
<xsl:choose>
<xsl:when test="$vImgProps/@cmWidth">
<xsl:value-of select="$vImgProps/@transformedWidth div $vImgProps/@cmWidth * 2.54"/> 
</xsl:when>
<xsl:otherwise>96</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:for-each select="sc:zone">
<xsl:value-of select="java:com.scenari.s.co.transform.img.ImageMagickUtil.getDrawLabelFragment($vLabelText,java:eu.scenari.modeling.util.Math.coordsRound(java:eu.scenari.modeling.util.Math.coordsCentroid(java:eu.scenari.modeling.util.Math.coordsRatio(sp:coords/text(),$vRatio))), $vLabelColor, $vFontColor, '{returnFirst(sm:choiceArea/*/sm:label/@fontSizeInPt,'10')}', $vImageDensity)"/>
</xsl:for-each>
</xsl0:if>
</xsl:for-each>
<xsl:value-of select="'%20%24dst'"/>
</xsl:variable>
<img src="{{resultatAgent('//', concat('res:src=src:', $vFileProps/@source, ';', $vFileProps/@transform, $vTransformZones))}}" alt="">
<xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="'_img'"/></xsl0:call-template>
<xsl:choose>
<xsl:when test="$vImgProps/@cmWidth">
<xsl:attribute name="style">width:<xsl:value-of select="$vImgProps/@cmWidth"/>cm;height:<xsl:value-of select="$vImgProps/@cmHeight"/>cm;</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="width"><xsl:value-of select="$vImgProps/@transformedWidth"/></xsl:attribute>
<xsl:attribute name="height"><xsl:value-of select="$vImgProps/@transformedHeight"/></xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</img>
</xsl0:template>
	


</xsl0:stylesheet>