<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
	
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vMaxChoices" select="number(/sma:assmntUnitMcqPrim/sm:structure/sm:choices/sm:choice/@max)"/>
<xsl:variable name="vSolution" select="/sma:assmntUnitMcqPrim/sm:structure/sm:solution"/>
<xsl:variable name="vHintCost" select="$vSolution//sm:hintCost"/>
	
	
<xsl:template match="sma:assmntUnitMcqPrim">
<xsl:if test="boolean(sm:authoring/sm:formEditor/sm:assmntUnitMcq[@fullTitleStyle or @shortTitleStyle])">
<se:uiLib>
<se:style>
		@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
		@namespace se url("http://www.utc.fr/ics/scenari/v3/editing");
<xsl:apply-templates select="sm:authoring/sm:formEditor/sm:assmntUnitMcq" mode="titleStyles"/>
</se:style>
</se:uiLib>
</xsl:if>
<se:lib>
<dropPasteItem se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<element>
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMcq/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:authoring/sm:formEditor/sm:assmntUnitMcq/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMcq/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="sm:authoring/sm:formEditor/sm:assmntUnitMcq/@tagStyle"/></xsl:attribute></xsl:if>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</element>
</dropPasteItem>
<dropPasteItem se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<hiddenElement>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
</dropPasteItem>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure"/>
</se:template>
</se:lib>
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="sc:item" se:title="￼?uri=sc:sma:;Item￼">
<childs>
<dropPasteItem se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<element insert="collapsed">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMcq/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:authoring/sm:formEditor/sm:assmntUnitMcq/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMcq/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="sm:authoring/sm:formEditor/sm:assmntUnitMcq/@tagStyle"/></xsl:attribute></xsl:if>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</element>
</dropPasteItem>
</childs>
</hiddenElement>
</xmlview>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates select="sm:meta"/>
<xsl:apply-templates select="sm:questionModel"/>
<xsl:apply-templates select="sm:choices"/>
<xsl:apply-templates select="sm:solution" mode="solutionBlock"/>
<xsl:apply-templates select="sm:globalExplanationModel"/>
<xsl:apply-templates select="sm:hintModel"/>
</xsl:template>
	
	
<xsl:template match="sm:choices">
<element se:name="sc:choices" se:bind="element" se:title="{@name}">
<childs>
<xsl:apply-templates select="sm:choice"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:choice">
<xsl:variable name="vMin" select="si(@min, @min, 0)"/>
<xsl:variable name="vIconUrl" select="si($vSolution/sm:singleUserResponse, 
						resultatAgent('//', 'res:src=bs:img/SingleResp.png;dst=content/models/sma_assmntUnitMcqPrim/SingleResp.png'),
						resultatAgent('//', 'res:src=bs:img/MultiResp.png;dst=content/models/sma_assmntUnitMcqPrim/MultiResp.png'))"/>
<xsl:if test="$vMin &gt; 0">
<repeat:count from="1" to="{si($vMin, $vMin + 1, '0')}" counterName="i">
<element se:name="sc:choice" se:bind="element" se:title="{@name} {$i}" removable="true" icon="{$vIconUrl}">
<xsl:apply-templates select="$vSolution" mode="solInChoiceAtt"/>
<childs>
<xsl:apply-templates select="sm:choiceLabelModel"/>
<xsl:apply-templates select="$vSolution" mode="solInChoiceChild"/>
<xsl:apply-templates select="sm:choiceExplanationModel"/>
</childs>
</element>
</repeat:count>
</xsl:if>
<repeat:count from="{$vMin + 1}" to="{$vMaxChoices + 1}" counterName="i">
<element se:name="sc:choice" se:bind="element" se:title="{@name} {$i}" se:card="?" icon="{$vIconUrl}">
<xsl:apply-templates select="$vSolution" mode="solInChoiceAtt"/>
<childs>
<xsl:apply-templates select="sm:choiceLabelModel"/>
<xsl:apply-templates select="$vSolution" mode="solInChoiceChild"/>
<xsl:apply-templates select="sm:choiceExplanationModel"/>
</childs>
</element>
</repeat:count>
</xsl:template>
<xsl:template match="sm:choiceLabelModel">
<element se:name="sc:choiceLabel" se:bind="element" se:title="{@name}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:choiceExplanationModel">
<element se:name="sc:choiceExplanation" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
	
	
<xsl:template match="sm:solution" mode="solutionBlock">
<xsl:apply-templates mode="solutionBlock"/>
</xsl:template>
<xsl:template match="sm:singleUserResponse" mode="solutionBlock">
<xsl:for-each select="sm:booleanScoring">
			
<element se:name="sc:solution" se:bind="element" se:title="{../../@name}">
<atts>
<attribute se:bind="attribute" se:name="choice" se:title="{/sma:assmntUnitMcqPrim/sm:structure/sm:choices/sm:choice/@name}" se:mandat="true">
<choiceInput notnull="true">
<repeat:count from="1" to="{$vMaxChoices + 1}" counterName="i">
<ciItem label="{$i}"/>
</repeat:count>
</choiceInput>
</attribute>
<xsl:for-each select="sm:pointsIfRight">
<attribute se:bind="attribute" se:name="pointsIfRight" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:for-each>
<xsl:for-each select="sm:pointsIfWrong">
<attribute se:bind="attribute" se:name="pointsIfWrong" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:for-each>
</atts>
<childs>
<xsl:apply-templates mode="booleanFeedbackBlock"/>
</childs>
</element>
</xsl:for-each>
</xsl:template>
<xsl:template match="sm:multipleUserResponse" mode="solutionBlock">
<xsl:apply-templates mode="solutionBlock"/>
</xsl:template>
<xsl:template match="sm:multipleUserResponse/sm:booleanScoring" mode="solutionBlock">
<xsl:if test="*">
			
<element se:name="sc:solution" se:bind="element" se:title="{../../@name}">
<atts>
<xsl:for-each select="sm:pointsIfRight">
<attribute se:bind="attribute" se:name="pointsIfRight" se:title="{@name}" se:mandat="true">
<wordsInput trim="true" notnull="true"/>
</attribute>
</xsl:for-each>
<xsl:for-each select="sm:pointsIfWrong">
<attribute se:bind="attribute" se:name="pointsIfWrong" se:title="{@name}" se:defaultvalue="0" se:mandat="true">
<wordsInput trim="true" notnull="true"/>
</attribute>
</xsl:for-each>
</atts>
<childs>
<xsl:apply-templates select="sm:feedbackModel" mode="booleanFeedbackBlock"/>
</childs>
</element>
</xsl:if>
</xsl:template>
<xsl:template match="sm:multipleUserResponse/sm:summedNumericScoring" mode="solutionBlock">
<xsl:if test="sm:feedbackModel">
<element se:name="sc:solution" se:bind="element" se:title="{../../@name}" se:card="{si(sm:feedbackModel/@usage='optional', '?', '1')}">
<childs>
<xsl:apply-templates select="sm:feedbackModel" mode="intervalsFeedbackBlock"/>
</childs>
</element>
</xsl:if>
</xsl:template>
<xsl:template match="sm:multipleUserResponse/sm:mappedNumericScoring" mode="solutionBlock">
<element se:name="sc:solutions" se:bind="element" se:title="{../../@name}">
<childs>
<xsl:apply-templates mode="solutionBlock"/>
<xsl:if test="count(sm:undefinedResponse) = 0">
<insert se:bind="true"/>
</xsl:if>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:response" mode="solutionBlock">
<element se:name="sc:response" se:bind="element" se:title="{@name}" se:card="+">
<xsl:apply-templates select="sm:scoring" mode="solutionBlock"/>
<childs>
<contentElement>
					￼?uri=sc:sma:￼
<vbox style="-moz-border-start:1px solid lightgrey;">
<xsl:variable name="vName" select="/sma:assmntUnitMcqPrim/sm:structure/sm:choices/sm:choice/@name"/>
<repeat:count from="1" to="{$vMaxChoices + 1}" counterName="i">
<boxStatic se:name="sc:choice" se:bind="element">
<attribute se:bind="attribute" se:name="solution" se:title="{$vName} {$i}" se:mandat="true" se:defaultvalue="undefined">
<choiceInput notnull="true">
<ciItem value="checked" label="￼Coché￼"/>
<ciItem value="unchecked" label="￼Décoché￼"/>
<ciItem value="undefined" label="￼Indifférent￼"/>
</choiceInput>
</attribute>
</boxStatic>
</repeat:count>
</vbox>
					￼￼
</contentElement>
<xsl:apply-templates select="../sm:feedbackModel" mode="solInChoiceChild"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:undefinedResponse" mode="solutionBlock">
<element se:name="sc:undefinedResponse" se:bind="element" se:title="{@name}" insert="true">
<xsl:apply-templates select="sm:scoring" mode="solutionBlock"/>
<childs>
<xsl:apply-templates select="../sm:feedbackModel" mode="solInChoiceChild"/>
</childs>
</element>
</xsl:template>
<xsl:template match="sm:scoring" mode="solutionBlock">
<atts>
<attribute se:bind="attribute" se:name="score" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</atts>
</xsl:template>
<xsl:template match="*" mode="solutionBlock"/>
	
	
	
<xsl:template match="sm:feedbackModel" mode="booleanFeedbackBlock">
<element se:name="sc:feedbackRight" se:bind="element" se:title="{sm:ifRight/@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
<element se:name="sc:feedbackWrong" se:bind="element" se:title="{sm:ifWrong/@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
<xsl:template match="*" mode="booleanFeedbackBlock"/>
	
	
<xsl:template match="sm:solution" mode="solInChoiceAtt">
<xsl:apply-templates mode="solInChoiceAtt"/>
</xsl:template>
<xsl:template match="sm:singleUserResponse" mode="solInChoiceAtt">
<xsl:for-each select="sm:numericScoring">
<atts>
<attribute se:bind="attribute" se:name="score" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</atts>
</xsl:for-each>
</xsl:template>
<xsl:template match="sm:multipleUserResponse" mode="solInChoiceAtt">
<xsl:apply-templates mode="solInChoiceAtt"/>
</xsl:template>
<xsl:template match="sm:multipleUserResponse/sm:booleanScoring" mode="solInChoiceAtt">
		￼?uri=sc:sma:￼
<atts>
<attribute se:bind="attribute" se:name="solution" se:title="{../../@name}" se:mandat="true">
<choiceInput notnull="true">
<ciItem value="checked" label="￼Coché￼"/>
<ciItem value="unchecked" label="￼Non coché￼"/>
</choiceInput>
</attribute>
</atts>
		￼￼
</xsl:template>
<xsl:template match="sm:multipleUserResponse/sm:summedNumericScoring" mode="solInChoiceAtt">
<atts>
<xsl:for-each select="sm:scoreIfSelected">
<attribute se:bind="attribute" se:name="scoreIfSelected" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:for-each>
<xsl:for-each select="sm:scoreIfUnselected">
<attribute se:bind="attribute" se:name="scoreIfUnselected" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:for-each>
</atts>
</xsl:template>
<xsl:template match="*" mode="solInChoiceAtt"/>
			
			
<xsl:template match="sm:solution" mode="solInChoiceChild">
<xsl:apply-templates mode="solInChoiceChild"/>
</xsl:template>
<xsl:template match="sm:singleUserResponse" mode="solInChoiceChild">
<xsl:apply-templates mode="solInChoiceChild"/>
</xsl:template>
<xsl:template match="sm:numericScoring" mode="solInChoiceChild">
<xsl:apply-templates mode="solInChoiceChild"/>
</xsl:template>
<xsl:template match="sm:feedbackModel" mode="solInChoiceChild">
<element se:name="sc:feedback" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', '1')}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:template>
<xsl:template match="*" mode="solInChoiceChild"/>
	
	
<xsl:template match="sm:assmntUnitMcq" mode="titleStyles">
<xsl:if test="@fullTitleStyle">
			*[se|name="<xsl:value-of select="resultatAgent('//qNameTagRootModel')"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sma:assmntUnitMcqPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[fullTitleField] {
<xsl:value-of select="@fullTitleStyle"/>
			}
</xsl:if>
<xsl:if test="@shortTitleStyle">
			*[se|name="<xsl:value-of select="resultatAgent('//qNameTagRootModel')"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sma:assmntUnitMcqPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[shortTitleField] {
<xsl:value-of select="@shortTitleStyle"/>
			}
</xsl:if>
</xsl:template>
<xsl:template match="*" mode="titleStyles"/>

</xsl:stylesheet>
