<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl sma xhtml"
	>
	
<xsl0:import href="bsco:sma/xhtmlTransf/common.xsl.xsl"/>
	
<xsl0:variable name="vInteraction" select="local-name($vStructure/sm:interaction/sm:*)"/>
	
<xsl0:template match="sma:assmntUnitMlqDhtmlTransf" mode="content">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
			
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
			
<xsl:variable name="vIdObj" select="concat(alphaHash(getIdNode(..)), '{getAxisSuffix(sm:axis/@code)}')"/>
<xsl0:choose>
<xsl0:when test="$vInteraction='orderLabels'">
<xsl:variable name="vLabels" select="sc:label"/>
<xsl:variable name="vCountMaxLabels" select="count(sc:label)"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:variable name="vLabels" select=".//sc:label[parent::sc:group or parent::sc:traps]"/>
<xsl:variable name="vListCountMaxLabels"><a><xsl:for-each select="sc:group"><c><xsl:value-of select="count(sc:label)"/></c></xsl:for-each><xsl:for-each select="sc:traps"><c><xsl:value-of select="count(sc:label)"/></c></xsl:for-each></a></xsl:variable>
<xsl:variable name="vCountMaxLabels" select="max(xalan:nodeset($vListCountMaxLabels)/a/c)"/>
</xsl0:otherwise>
</xsl0:choose>
			
							
<xsl:template match="*">			
<script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {
<xsl0:call-template name="commonJsObj"/>
	saveResp:function(pSession){
		if(pSession==null) return;
		var vLabel = this.fLabels[0];
		var vStr = "[{g:" + vLabel.rG + ",offs:" + vLabel.rO + "," + scDragMgr.saveLabelPos(vLabel) + "}";
		for(var i=1, len=this.fLabels.length; i &lt; len; i++) {
			vLabel = this.fLabels[i];
			vStr += ",{g:" + vLabel.rG + ",offs:" + vLabel.rO + "," + scDragMgr.saveLabelPos(vLabel) + "}";
		}
		vStr+="]";
		scServices.assmntMgr.setResponse(this.fId, pSession, "pos", vStr);
	},
	load:function(pSession){
		var vStr = (pSession!=null) ? scServices.assmntMgr.getResponse(this.fId, pSession, "pos") : null;
		for(var i=this.fGroupsC.length -1; i &gt;=0; i--) {
			var vGroup = this.fGroupsC[i];
			for(var j=vGroup.length-1; j &gt;=0; j--) vGroup[j].labelsToAdd = [];
		}
		if(vStr) {
						var vList = eval(vStr);
			for(var i=0, len=this.fLabels.length; i &lt; len; i++) {
				var vLabelToAdd = vList[i];
				vLabelToAdd.label = this.fLabels[i];
				var vGroupC = this.fGroupsC[vLabelToAdd.g];
				if(vGroupC.length == 1) vGroupC[0].labelsToAdd[vLabelToAdd.offs] = vLabelToAdd; 
				else vGroupC[vLabelToAdd.offs].labelsToAdd.push(vLabelToAdd);
			}
		} else {
						var vBasketC = this.fGroupsC[0];
			for(var i=vBasketC.length-1; i &gt;=0; i--) for(var j=0, vLen=vBasketC[i]._Labels.length; j &lt; vLen; j++) vBasketC[i].labelsToAdd.push({label:vBasketC[i]._Labels[j]});
		}
		scDragMgr.repopulateContainers("<xsl:value-of select="$vIdObj"/>");
	},
	synch:function(){
		for(var i=this.fGroupsC.length -1; i &gt;=0; i--) {
			var vGroup = this.fGroupsC[i];
			var vOffset = 0;
			for(var j=0, vLenJ=vGroup.length; j &lt; vLenJ; j++) {
				var vItems = scDragMgr.getLabels(vGroup[j]);
				var vLenK = vItems.length;
								if(vLenK == 0) vOffset++;
				else for(var k=0; k &lt; vLenK; k++) {
					vItems[k].rG = i;
					vItems[k].rO = vOffset++;
				}
			}
		}
	},
	refreshScoresFeedbacks : function(){
<xsl0:apply-templates select="sm:assmntBody//sm:WScore" mode="jsScore"/>
<xsl0:if test="boolean(sm:assmntBody//sm:WFeedback)">
<xsl0:call-template name="feedbackIntervals_js">
<xsl0:with-param name="vSelectFeedbacks">sc:feedbacks/sc:feedback</xsl0:with-param>
<xsl0:with-param name="vModel" select="$vStructure/sm:feedbackModel"/>
</xsl0:call-template>
</xsl0:if>
	},
	onLoad: function(){
	try{
		var onChange = function() {
<xsl:value-of select="$vIdObj"/>.synch();
<xsl:value-of select="$vIdObj"/>.computeScore();
<xsl:value-of select="$vIdObj"/>.saveResp(<xsl:value-of select="$vIdObj"/>.fRespSession);
			scServices.assmntMgr.commit();
		}
		this.fLabels = [];
		var vLabel, vC;
<xsl0:apply-templates select="sm:assmntBody/*" mode="jsMakeDragDrop"/>
<xsl0:choose>
			
<xsl0:when test="boolean(sm:assmntBody//sm:forGroup//sm:WResponseArea)">this.fGroupsC = [scDragMgr.getContainers("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_L"))<xsl:for-each select="sc:group">,scDragMgr.getContainers("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_R<xsl:value-of select="generate-id()"/>"))</xsl:for-each>];
</xsl0:when>
			
<xsl0:when test="boolean(sm:assmntBody//sm:WResponseArea)">this.fGroupsC = [scDragMgr.getContainers("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_L")), scDragMgr.getContainers("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_R"))];
</xsl0:when>
			
<xsl0:otherwise>this.fGroupsC = [scDragMgr.getContainers("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_L"))];
</xsl0:otherwise>
</xsl0:choose>		for(var i = this.fGroupsC[0].length-1; i &gt;=0; i--) this.fGroupsC[0][i]._Labels = scDragMgr.getLabels(this.fGroupsC[0][i]);
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = sc$("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	}catch(e){console.log(e);}
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "A",
	unloadSortKey: "A"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script>
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
	
	
<xsl0:template match="sm:WDragDropContainer" mode="jsMakeDragDrop">scDragMgr.makeContainer("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(@sm:id, concat('_N_', @sm:id), concat('_S_', generate-id()))"/>"), vC = sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(.//sm:WContainer/@sm:id, concat('_N_', .//sm:WContainer/@sm:id), concat('_S_', generate-id(.//sm:WContainer)))"/>")<xsl0:if test=".//sm:WIfContainerEmpty">, sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(.//sm:WIfContainerEmpty/@sm:id, concat('_N_', .//sm:WIfContainerEmpty/@sm:id), concat('_S_', generate-id(.//.//sm:WIfContainerEmpty)))"/>")</xsl0:if>)<xsl0:call-template name="setModeC"/><xsl0:call-template name="setDragOverClassC"/>;
<xsl0:apply-templates mode="jsMakeDragDrop"/>
</xsl0:template>
<xsl0:template match="sm:forGroup//sm:WDragDropContainer" mode="jsMakeDragDrop">scDragMgr.makeContainer("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="generate-id()"/>"), vC = sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WContainer)"/>_<xsl:value-of select="generate-id()"/>")<xsl0:if test=".//sm:WIfContainerEmpty">, sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WIfContainerEmpty)"/>_<xsl:value-of select="generate-id()"/>")</xsl0:if>)<xsl0:call-template name="setModeC"/><xsl0:call-template name="setDragOverClassC"/>;
<xsl0:apply-templates mode="jsMakeDragDrop"/>
</xsl0:template>
<xsl0:template match="sm:loop//sm:WDragDropContainer" mode="jsMakeDragDrop">scDragMgr.makeContainer("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>"), vC = sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WContainer)"/>_<xsl:value-of select="$i"/>")<xsl0:if test=".//sm:WIfContainerEmpty">, sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WIfContainerEmpty)"/>_<xsl:value-of select="$i"/>")</xsl0:if>)<xsl0:call-template name="setModeC"/><xsl0:call-template name="setDragOverClassC"/>;
<xsl0:apply-templates mode="jsMakeDragDrop"/>
</xsl0:template>
<xsl0:template match="sm:forGroup//sm:loop//sm:WDragDropContainer" mode="jsMakeDragDrop">scDragMgr.makeContainer("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>"), vC = sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WContainer)"/>_<xsl:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>")<xsl0:if test=".//sm:WIfContainerEmpty">, sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WIfContainerEmpty)"/>_<xsl:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>")</xsl0:if>)<xsl0:call-template name="setModeC"/><xsl0:call-template name="setDragOverClassC"/>;
<xsl0:apply-templates mode="jsMakeDragDrop"/>
</xsl0:template>
<xsl0:template match="sm:forRandomLabel//sm:WDragDropContainer" mode="jsMakeDragDrop">scDragMgr.makeContainer("<xsl:value-of select="$vIdObj"/>", sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="generate-id()"/>"), vC = sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WContainer)"/>_<xsl:value-of select="generate-id()"/>")<xsl0:if test=".//sm:WIfContainerEmpty">, sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WIfContainerEmpty)"/>_<xsl:value-of select="generate-id()"/>")</xsl0:if>)<xsl0:call-template name="setModeC"/><xsl0:call-template name="setDragOverClassC"/>;
<xsl0:apply-templates mode="jsMakeDragDrop"/>
</xsl0:template>
<xsl0:template match="sm:WDraggableLabel" mode="jsMakeDragDrop">vLabel = sc$("<xsl:value-of select="$vIdObj"/>_L<xsl:value-of select="generate-id()"/>");
	this.fLabels.push(vLabel);
	vLabel.sO=<xsl:value-of select="count(preceding-sibling::sc:label)"/>;
<xsl0:choose>
		
<xsl0:when test="boolean(//sm:forGroup//sm:WResponseArea)">vLabel.sG=<xsl:value-of select="si(parent::sc:group,count(../preceding-sibling::sc:group)+1, 0)"/>;
</xsl0:when>
		
<xsl0:when test="boolean(//sm:WResponseArea)">vLabel.sG=1;
</xsl0:when>
		
<xsl0:otherwise>vLabel.sG=0;
</xsl0:otherwise>
</xsl0:choose>scDragMgr.makeDraggableLabel("<xsl:value-of select="$vIdObj"/>", vLabel<xsl0:if test=".//sm:handle">, sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(.//sm:WContainer)"/>_<xsl:value-of select="generate-id()"/>")</xsl0:if>).setCallback(vLabel, onChange).setDragClass(vLabel, '<xsl0:value-of select="si(@onDragClass, @onDragClass, '')"/>');
</xsl0:template>
<xsl0:template match="sm:forGroup" mode="jsMakeDragDrop">
<xsl:for-each select="sc:group"><xsl0:apply-templates mode="jsMakeDragDrop"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:forRandomLabel" mode="jsMakeDragDrop">
<xsl:for-each select="$vLabels"><xsl0:apply-templates mode="jsMakeDragDrop"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:loop" mode="jsMakeDragDrop">
<xsl0:call-template name="loopCount"/>
<repeat:count from="0" to="{{$vCount}}" counterName="i"><xsl0:apply-templates mode="jsMakeDragDrop"/></repeat:count>
</xsl0:template>
<xsl0:template match="text()" mode="jsMakeDragDrop"/>
	
	
	
	
<xsl0:template match="sm:callQuestionModel" mode="content">
<xsl:for-each select="sc:question"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callLabelModel" mode="content">
<xsl0:call-template name="CallSubModel"/>
</xsl0:template>
<xsl0:template match="sm:callTargetModel" mode="content">
<xsl:for-each select="sc:target"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:WResponseArea" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:attribute name="id">{$vIdObj}_R</xsl0:attribute>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:forGroup//sm:WResponseArea" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:attribute name="id">{$vIdObj}_R{generate-id()}</xsl0:attribute>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WLabelsBasket" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:attribute name="id">{$vIdObj}_L</xsl0:attribute>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WDragDropContainer" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:call-template name="smIdW"/>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WContainer" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:call-template name="smIdW"/>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WIfContainerEmpty" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:call-template name="smIdW"/>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WDraggableLabel" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:attribute name="id">{$vIdObj}_L{generate-id()}</xsl0:attribute>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WSolution" mode="content">
<xsl0:element name="{si(@tagName, @tagName, 'div')}">
<xsl0:call-template name="smIdW"/>
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:forGroup" mode="content">
<xsl:for-each select="sc:group">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:forRandomLabel" mode="content">
<xsl:variable name="vR{generate-id()}" select="java:com.scenari.s.fw.utils.RandomList.new()"/>
<xsl:for-each select="$vLabels">
<xsl:sort select="java:nextInt($vR{generate-id()})" data-type="number"/>
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:forLabel" mode="content">
<xsl:for-each select="sc:label">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:loop" mode="content">
<xsl0:call-template name="loopCount"/>
<repeat:count from="0" to="{{$vCount}}" counterName="i">
<xsl0:apply-templates mode="content"/>
</repeat:count>
</xsl0:template>
	
	
<xsl0:template match="sm:callFeedbackModel" mode="content">
<xsl0:call-template name="feedbackIntervals_co">
<xsl0:with-param name="vSelectFeedbacks">sc:feedbacks/sc:feedback</xsl0:with-param>
</xsl0:call-template>
</xsl0:template>
	
	
	
<xsl0:template match="sm:forGroup//@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id(..)"/>_{generate-id(.)}</xsl0:attribute>
</xsl0:template>
<xsl0:template match="sm:forRandomLabel//@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id(..)"/>_{generate-id(.)}</xsl0:attribute>
</xsl0:template>
<xsl0:template match="sm:loop//@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id(..)"/>_{$i}</xsl0:attribute>
</xsl0:template>
<xsl0:template match="sm:forGroup//sm:loop//@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id(..)"/>_{generate-id(.)}_{$i}</xsl0:attribute>
</xsl0:template>
	
	
	
<xsl0:template match="sm:sequence" mode="initSeq">
<xsl0:variable name="vClassIfRight" select="si(sm:resultDisplaying/@classIfRight, sm:resultDisplaying/@classIfRight, 'assmntResult_Right')"/>
<xsl0:variable name="vClassIfWrong" select="si(sm:resultDisplaying/@classIfWrong, sm:resultDisplaying/@classIfWrong, 'assmntResult_Wrong')"/>
<xsl0:variable name="vSeq" select="."/>case "<xsl0:value-of select="@code"/>" : {

	this.refreshResult = function(pDisplay){
		if(pDisplay) this.fResultDisplay = pDisplay;
		if(this.fResultDisplay == "none") for(var i=this.fLabels.length -1; i &gt;=0; i--)  scDragMgr.helpers.delClass(this.fLabels[i],"<xsl0:value-of select="$vClassIfRight"/>","<xsl0:value-of select="$vClassIfWrong"/>");
		else for(var i=this.fLabels.length -1; i &gt;=0; i--) {
			var vLabel = this.fLabels[i];
<xsl0:choose>
<xsl0:when test="$vInteraction='orderLabels'">
			var vOldClass = (vLabel.sO == vLabel.rO &amp;&amp; vLabel.sG == vLabel.rG) ? "<xsl0:value-of select="$vClassIfWrong"/>" : "<xsl0:value-of select="$vClassIfRight"/>";
			var vNewClass = (vLabel.sO == vLabel.rO &amp;&amp; vLabel.sG == vLabel.rG) ? "<xsl0:value-of select="$vClassIfRight"/>" : "<xsl0:value-of select="$vClassIfWrong"/>";
</xsl0:when>
<xsl0:when test="$vInteraction='associateLabels'">
			var vOldClass = (this.fGroupsC[vLabel.sG].isRight<xsl0:if test="sm:scoreComputing/sm:orderingScoring/@algorithm"> &amp;&amp; vLabel.sO == vLabel.rO</xsl0:if>) ? "<xsl0:value-of select="$vClassIfWrong"/>" : "<xsl0:value-of select="$vClassIfRight"/>";
			var vNewClass = (this.fGroupsC[vLabel.sG].isRight<xsl0:if test="sm:scoreComputing/sm:orderingScoring/@algorithm"> &amp;&amp; vLabel.sO == vLabel.rO</xsl0:if>) ? "<xsl0:value-of select="$vClassIfRight"/>" : "<xsl0:value-of select="$vClassIfWrong"/>";
</xsl0:when>
<xsl0:when test="$vInteraction='matchTarget'">
			var vOldClass = (vLabel.sG == vLabel.rG <xsl0:if test="sm:scoreComputing/sm:orderingScoring/@algorithm"> &amp;&amp; vLabel.sO == vLabel.rO</xsl0:if>) ? "<xsl0:value-of select="$vClassIfWrong"/>" : "<xsl0:value-of select="$vClassIfRight"/>";
			var vNewClass = (vLabel.sG == vLabel.rG <xsl0:if test="sm:scoreComputing/sm:orderingScoring/@algorithm"> &amp;&amp; vLabel.sO == vLabel.rO</xsl0:if>) ? "<xsl0:value-of select="$vClassIfRight"/>" : "<xsl0:value-of select="$vClassIfWrong"/>";
</xsl0:when>
</xsl0:choose>
			scDragMgr.helpers.switchClass(vLabel, vOldClass, vNewClass);
		}
	};
<xsl0:choose>
<xsl0:when test="boolean(sm:loadData/sm:responseSessionKey/*)">var vLoadRespSession = <xsl0:apply-templates select="sm:loadData/sm:responseSessionKey/*" mode="session"/>;
</xsl0:when>
<xsl0:otherwise>var vLoadRespSession = null;
</xsl0:otherwise>
</xsl0:choose>
		for(var i = this.fLabels.length - 1; i &gt;=0; i--) scDragMgr.setDraggable(this.fLabels[i], <xsl0:value-of select="not(sm:initBody/sm:labelInteraction/@mode) or sm:initBody/sm:labelInteraction/@mode != 'disabled'"/>);
		this.load(vLoadRespSession);
		this.synch();
	this.fResultDisplay = "<xsl0:value-of select="si(sm:initBody/sm:resultDisplay/@mode, sm:initBody/sm:resultDisplay/@mode, 'none')"/>";

<xsl0:if test="boolean(sm:loadData/sm:scoreSessionKey/*)">var vLoadScoreSession = <xsl0:apply-templates select="sm:loadData/sm:scoreSessionKey/*" mode="session"/>;
		this.fMinPts = scServices.assmntMgr.getMinPts(this.fId, vLoadScoreSession);
		this.fScorePts = scServices.assmntMgr.getScorePts(this.fId, vLoadScoreSession);
		this.fMaxPts = scServices.assmntMgr.getMaxPts(this.fId, vLoadScoreSession);
</xsl0:if>
<xsl0:for-each select="/sma:assmntUnitMlqDhtmlTransf/sm:assmntBody//*[@sm:id]">
<xsl0:variable name="vMode" select="$vSeq/sm:initBody/*[@refId=current()/@sm:id]/@mode"/>
<xsl0:choose>
<xsl0:when test="boolean(ancestor::sm:loop/ancestor::sm:forGroup)">
<xsl0:for-each select="ancestor::sm:loop"><xsl0:call-template name="loopCount"/></xsl0:for-each>
<xsl:for-each select="sc:group">
<repeat:count from="0" to="{{$vCount}}" counterName="i">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</repeat:count>
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forGroup)">
<xsl:for-each select="sc:group">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="generate-id()"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forRandomLabel)">
<xsl:for-each select="$vLabels">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="generate-id()"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:loop)">
<xsl0:for-each select="ancestor::sm:loop"><xsl0:call-template name="loopCount"/></xsl0:for-each>
<repeat:count from="0" to="{{$vCount}}" counterName="i">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</repeat:count>
</xsl0:when>
<xsl0:otherwise>scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl0:otherwise>
</xsl0:choose>
</xsl0:for-each>
<xsl0:for-each select="/sma:assmntUnitMlqDhtmlTransf/sm:assmntBody//sm:WToggleButton">
<xsl0:variable name="vStatus" select="$vSeq/sm:initBody/sm:buttonDisplay[@refId=current()/@sm:id]/@toggleStatus"/>scAssmntMgr.setToggleStatus(sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(@sm:id, concat('_N_', @sm:id), concat('_S_', generate-id()))"/>"), <xsl0:value-of select="$vStatus='on'"/>);
</xsl0:for-each>
<xsl0:choose>
<xsl0:when test="boolean(sm:saveData/sm:responseSessionKey/*)">this.fRespSession = <xsl0:apply-templates select="sm:saveData/sm:responseSessionKey/*" mode="session"/>;
		if(scServices.assmntMgr.getCompletionStatus(this.fId, this.fRespSession)=="notAttempt") scServices.assmntMgr.setCompletionStatus(this.fId, this.fRespSession, "attempt");
</xsl0:when>
<xsl0:otherwise>this.fRespSession = null;
</xsl0:otherwise>
</xsl0:choose>
		this.computeScore = function() {
<xsl0:if test="sm:scoreComputing">
<xsl0:choose>
<xsl0:when test="sm:scoreComputing/sm:orderingScoring/@algorithm='distance'">
		function scoreOrder(pLabels, pGroup) {
			var vMax=0, vErr=0;
			var vD = pLabels.length-1;
			for(var i=vD; i &gt;=0; i--) {
				if(pGroup &amp;&amp; pGroup!=pLabels[i].rG) return 0;
				vErr += Math.abs(pLabels[i].sO - pLabels[i].rO);
				vMax += Math.abs(vD);
				vD = vD - 2;
			}
			return vMax&gt;0 ? (vMax - vErr) / vMax : 0;
		}
</xsl0:when>
<xsl0:when test="$vInteraction='orderLabels' or sm:scoreComputing/sm:orderingScoring/@algorithm='boolean'">
		function scoreOrder(pLabels, pGroup) {
			for(var i=pLabels.length-1; i &gt;=0; i--) {
				if(pGroup &amp;&amp; pGroup!=pLabels[i].rG) return 0;
				if(pLabels[i].sO != pLabels[i].rO) return 0;
			}
			return 1;
		}
</xsl0:when>
</xsl0:choose>
<xsl0:choose>
<xsl0:when test="$vInteraction='orderLabels'">
		this.fMinPts = 0;
		this.fMaxPts = this.fLabels.length;
		this.fScorePts = Math.floor(scoreOrder(this.fLabels, this.fGroupsC.length-1) * this.fLabels.length);
</xsl0:when>
<xsl0:when test="$vInteraction='associateLabels'">this.fMinPts = 0;
		this.fMaxPts = this.fGroupsC.length - 1;
		this.fScorePts = 0;
		var vWrong = {};
		var vLists = {};
		for(var i=this.fGroupsC.length-1; i &gt;=1; i--) this.fGroupsC[i].isRight=true;
		loopLabels:
		for(var i=this.fLabels.length-1; i &gt;=0; i--) {
			var vSG = this.fLabels[i].sG;
			if(this.fGroupsC[vSG].isRight) {
				var vRG = this.fLabels[i].rG;
				if(vRG==0) {this.fGroupsC[vSG].isRight=false; continue loopLabels;}
				if(! vLists[vSG]) vLists[vSG] = [];
				else for(var j = vLists[vSG].length-1; j &gt;=0; j--) if(vLists[vSG][j].rG != vRG) {
					this.fGroupsC[vSG].isRight = false;
					continue loopLabels;
				}				for(var j=this.fLabels.length-1; j &gt;=0; j--) if(i!=j &amp;&amp; this.fLabels[j].rG == vRG &amp;&amp; this.fLabels[j].sG != vSG) {
					this.fGroupsC[vSG].isRight = false;
					this.fGroupsC[this.fLabels[j].sG].isRight = false;
					continue loopLabels;
				}
				vLists[vSG].push(this.fLabels[i]);
			}
		}
		for(var i=this.fGroupsC.length-1; i &gt;=1; i--) if(this.fGroupsC[i].isRight) this.fScorePts += <xsl0:value-of select="si(sm:scoreComputing/sm:orderingScoring/@algorithm, 'scoreOrder(vLists[i])', '1')"/>;
</xsl0:when>
<xsl0:when test="$vInteraction='matchTarget'">this.fMinPts = 0;
		this.fMaxPts = this.fLabels.length;
		this.fScorePts = 0;
		for(var i=this.fLabels.length -1; i &gt;=0; i--) {
			if(this.fLabels[i].sG == this.fLabels[i].rG) this.fScorePts += 1;
		}
<xsl0:if test="sm:scoreComputing/sm:orderingScoring/@algorithm">for(var i=this.fGroupsC.length-1; i &gt;=1; i--) {
			var vList = [];
			var j=this.fLabels.length -1;
			for(; j &gt;=0; j--) {
				if(this.fLabels[j].sG == i) {
					if(this.fLabels[j].rG != i) break;
					vList[this.fLabels[j].sO] = this.fLabels[j];
				}
			}
			if(j&lt;0) this.fScorePts += Math.floor(scoreOrder(vList)*vList.length);
		}
		this.fScorePts /= 2;
</xsl0:if>
</xsl0:when>
</xsl0:choose>
<xsl0:apply-templates select="sm:scoreComputing/sm:postProcessing/*" mode="computePts"/>
		//alert("score:::::"+this.fMinPts+" - "+this.fScorePts+" - "+this.fMaxPts);
<xsl0:if test="boolean(sm:saveData/sm:scoreSessionKey/*)">var vScoreSession = <xsl0:apply-templates select="sm:saveData/sm:scoreSessionKey/*" mode="session"/>;
		if(this.fScorePts != null) scServices.assmntMgr.setPts(this.fId, vScoreSession, this.fMinPts, this.fScorePts, this.fMaxPts);
</xsl0:if>
</xsl0:if>
		this.refreshScoresFeedbacks();
		this.refreshResult();
	}

<xsl0:if test="boolean(sm:saveData/sm:responseSessionKey/*)">if(this.fRespSession != vLoadRespSession) this.saveResp(this.fRespSession);
</xsl0:if>
		this.computeScore();
<xsl0:apply-templates select="sm:onEnter/*" mode="jsAction"/>
		scServices.assmntMgr.commit();
		break;
	}
</xsl0:template>
	
	
<xsl0:template match="sm:applyAuthorBounds" mode="computePts">
		var vScore=(this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts);
		this.fMinPts = <xsl:value-of select="si(sc:score/@min, sc:score/@min, '{si(@defaultMin, @defaultMin, '0')}')"/>;
		this.fMaxPts = <xsl:value-of select="si(sc:score/@max, sc:score/@max, '{si(@defaultMax, @defaultMax, '1')}')"/>;
		this.fScorePts = this.fMinPts + (vScore * (this.fMaxPts-this.fMinPts) );
</xsl0:template>
	
	
<xsl0:template match="sm:sequence" mode="closeSeq">case "<xsl0:value-of select="@code"/>" : {
		this.refreshResult("none");
<xsl0:apply-templates select="sm:onExit/*" mode="jsAction"/>
		break;
	}
</xsl0:template>
	
	
<xsl0:template match="sm:elementDisplay[//*[@sm:id=current()/@refId]/ancestor::sm:forGroup]" mode="jsAction">
<xsl:for-each select="sc:group">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(//*[@sm:id=current()/@refId])"/>_<xsl:value-of select="generate-id()"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:elementDisplay[//*[@sm:id=current()/@refId]/ancestor::sm:forRandomLabel]" mode="jsAction">
<xsl:for-each select="$vLabels">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(//*[@sm:id=current()/@refId])"/>_<xsl:value-of select="generate-id()"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:elementDisplay[//*[@sm:id=current()/@refId]/ancestor::sm:loop]" mode="jsAction">
<xsl0:call-template name="loopCount"/>
<repeat:count from="0" to="{{$vCount}}" counterName="i">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(//*[@sm:id=current()/@refId])"/>_<xsl:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>"), "<xsl0:value-of select="@mode"/>"); </repeat:count>
</xsl0:template>
<xsl0:template match="sm:elementDisplay[//*[@sm:id=current()/@refId]/ancestor::sm:loop/ancestor::sm:forGroup]" mode="jsAction">
<xsl0:call-template name="loopCount"/>
<xsl:for-each select="sc:group"><repeat:count from="0" to="{{$vCount}}" counterName="i">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:value-of select="generate-id(//*[@sm:id=current()/@refId])"/>_<xsl:value-of select="generate-id()"/>_<xsl:value-of select="$i"/>"), "<xsl0:value-of select="@mode"/>"); </repeat:count></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:resultDisplay" mode="jsAction">this.refreshResult("<xsl0:value-of select="@mode"/>");</xsl0:template>
<xsl0:template match="sm:labelInteraction" mode="jsAction">for(var i = this.fLabels.length - 1; i &gt;=0; i--) scDragMgr.setDraggable(this.fLabels[i], <xsl0:value-of select="@mode != 'disabled'"/>);
</xsl0:template>
	
	
<xsl0:template name="loopCount">
<xsl0:choose>
<xsl0:when test="@minCount &gt; 0 and @upTo='maxCountLabels'">
<xsl:variable name="vCount" select="max($vCountMaxLabels, {@minCount})"/>
</xsl0:when>
<xsl0:when test="@upTo='maxCountLabels'">
<xsl:variable name="vCount" select="$vCountMaxLabels"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:variable name="vCount" select="'{si(@minCount, @minCount, '1')}'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template name="smIdW">
<xsl0:choose>
<xsl0:when test="@sm:id">
<xsl0:apply-templates select="@sm:id" mode="freeAtts"/>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forRandomLabel)">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id()"/>_{generate-id()}</xsl0:attribute>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:loop/ancestor::sm:forGroup)">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id()"/>_{generate-id()}_{$i}</xsl0:attribute>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forGroup)">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id()"/>_{generate-id()}</xsl0:attribute>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:loop)">
<xsl0:attribute name="id">{$vIdObj}_N<xsl0:value-of select="generate-id()"/>_{$i}</xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="id">{$vIdObj}_S_<xsl0:value-of select="generate-id()"/></xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template name="setModeC">.setMode(vC, '<xsl0:value-of select="si(@dropMode, @dropMode, 'ordered')"/>', <xsl0:choose>
<xsl0:when test="contains(@maxLabels, 'maxCountLabels')"><xsl:value-of select="java:replaceAll(string(@maxLabels), 'maxCountLabels', string($vCountMaxLabels))"/></xsl0:when>
<xsl0:when test="@maxLabels"><xsl0:value-of select="@maxLabels"/></xsl0:when>
<xsl0:otherwise>-1</xsl0:otherwise>
</xsl0:choose>)</xsl0:template>
<xsl0:template name="setDragOverClassC">.setDragOverClass(vC, '<xsl0:value-of select="si(@onDragOverClass, @onDragOverClass, '')"/>')</xsl0:template>
</xsl0:stylesheet>