<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="java xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sma/odTransf/communContent.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	

<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:variable name="idRootAgt" select="getIdNode(..)"/>
		
<xsl:template match="{resultatAgent('//agentModel', 'prefixModel')}:{resultatAgent('//agentModel', 'tagRootModel')}">
<xsl0:apply-templates select="sm:content | sm:heading"/>
</xsl:template>
<xsl0:apply-templates select="sm:content | sm:heading" mode="mTemplate"/>

<xsl:template match="*"/>
</xsl0:template>
		

<xsl0:template match="sm:content">
<scodPp:notIfNotNull>
<xsl0:apply-templates/>
</scodPp:notIfNotNull>
</xsl0:template>
	

<xsl0:template match="sm:WTable">
<xsl:comment># sm:WTable</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table table:name="WTable" table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/@table:style-name}}">
			
<xsl0:apply-templates mode="mTableColumn"/>
			
<xsl0:apply-templates/>
</table:table>
</xsl0:template>
	
	
<xsl0:template match="*" mode="mTableColumn">
<xsl0:apply-templates mode="mTableColumn"/>
</xsl0:template>
<xsl0:template match="sm:forGroup[not(descendant::sm:WTableRow)] | sm:forTraps[not(descendant::sm:WTableRow)] | sm:forLabel[not(descendant::sm:WTableRow)]" mode="mTableColumn">
		
<xsl:for-each select="{returnFirst(si(local-name()='forGroup', 'sc:group'), si(local-name()='forTraps', 'sc:traps') , 'sc:label')}">
<xsl0:apply-templates mode="mTableColumn"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:WTableRow" mode="mTableColumn">
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vCurrentPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:if test="$vCurrentPosRow=1">
<xsl0:variable name="vPosColObj" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl0:apply-templates mode="mTableColumn">
<xsl0:with-param name="pPosColObj" select="$vPosColObj"/> 
</xsl0:apply-templates>
</xsl0:if>
</xsl0:template>
<xsl0:template match="sm:WTableCell" mode="mTableColumn">
<xsl0:variable name="vTableRowId" select="generate-id(ancestor::sm:WTableRow[1])"/>
<xsl0:variable name="vCurrentPosCol_num" select="count(preceding::sm:WTableCell[generate-id(ancestor::sm:WTableRow[1]) = $vTableRowId])+1"/>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<xsl:choose>
<xsl:when test="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')">
<xsl:variable name="vColStyle">
<xsl:variable name="vColDom">
<xsl:variable name="vTmpColCount" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<cols>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-column">
<xsl:variable name="vNbColRepeated" select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)"/>
<col style="{{@table:style-name}}">
<xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute>
<xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/>
<xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute>
</col>
</xsl:for-each>
</cols>
</xsl:variable>
<xsl:value-of select="xalan:nodeset($vColDom)/*/col[{$vCurrentPosCol_num}&gt;=@min and {$vCurrentPosCol_num}&lt;=@max][1]/@style"/>
</xsl:variable>
<table:table-column table:style-name="{{normalize-space($vColStyle)}}"/>
</xsl:when>
<xsl:otherwise>
<table:table-column/>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:WTableRow">
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{number($vPosRow)}]/@table:style-name}}">
<xsl0:apply-templates/>
</table:table-row>
</xsl0:template>
<xsl0:template match="sm:WTableCell">
<xsl0:variable name="vStyleCode" select="ancestor::sm:WTable[1]/@style"/>
<xsl0:variable name="vTableRowId" select="generate-id(ancestor::sm:WTableRow[1])"/>
<xsl0:variable name="vPosRow" select="count(preceding::sm:WTableRow[ancestor::sm:WTable[1]/@style = $vStyleCode])+1"/>
<xsl0:variable name="vPosCol" select="count(preceding::sm:WTableCell[generate-id(ancestor::sm:WTableRow[1]) = $vTableRowId])+1"/>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{number($vPosRow)}]/table:table-cell[{number($vPosCol)}]/@table:style-name}}">
<xsl0:for-each select="*">
<xsl0:apply-templates select="."/>
</xsl0:for-each>
</table:table-cell>
</xsl0:template>
	

<xsl0:template match="sm:forGroup" name="sm:forGroup">
<xsl:for-each select="sc:group">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:forTraps" name="sm:forTraps">
<xsl:for-each select="sc:traps">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:forLabel" name="sm:forLabel">
<xsl0:choose>
<xsl0:when test="@display='random'">
<xsl:variable name="vRandom" select="java:java.util.Random.new()"/>
<xsl:for-each select=".//sc:label">
<xsl:sort select="java:nextDouble($vRandom)" data-type="number"/>
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:when>
<xsl0:when test="@display='alphabetical'">
<xsl:for-each select=".//sc:label">
<xsl:sort select="." data-type="text"/>
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl:for-each select=".//sc:label">
<xsl0:apply-templates/>
</xsl:for-each>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:forLabel">
<xsl0:call-template name="sm:forLabel"/>
</xsl0:template>

	

	
<xsl0:template match="sm:callLabelModel" name="sm:callLabelModel">
<xsl0:call-template name="tCallSubModel"/>
</xsl0:template>
<xsl0:template match="sm:callLabelModel"><xsl0:call-template name="sm:callLabelModel"/></xsl0:template>
	
<xsl0:template match="sm:callTargetModel" name="sm:callTargetModel">
<xsl:for-each select="sc:target">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callTargetModel"><xsl0:call-template name="sm:callTargetModel"/></xsl0:template>
	
<xsl0:template match="sm:callQuestionModel" name="sm:callQuestionModel">
<xsl:for-each select="sc:question">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callQuestionModel"><xsl0:call-template name="sm:callQuestionModel"/></xsl0:template>
	
<xsl0:template match="sm:callGlobalExplanationModel" name="sm:callGlobalExplanationModel">
<xsl:for-each select="sc:globalExplanation">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callGlobalExplanationModel"><xsl0:call-template name="sm:callGlobalExplanationModel"/></xsl0:template>
	
<xsl0:template match="sm:callMlqMeta" name="sm:callMlqMeta">
<xsl0:call-template name="tCallRootMeta"/>
</xsl0:template>
<xsl0:template match="sm:callMlqMeta"><xsl0:call-template name="sm:callMlqMeta"/></xsl0:template>
	
</xsl0:stylesheet>
