<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sng="http://relaxng.org/ns/structure/1.0"
		xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:sma="kelis.fr:scenari/modeling/assessment"
		exclude-result-prefixes="sc sp sm sng snga xalan sma"
		version="1.0">
	
<xsl:import href="bsco:sma/commonRelaxNg.rng.xsl"/>
<xsl:import href="bsco:sma/feedbackIntervals.rng.xsl"/>
	
<xsl:template match="sma:assmntUnitMlqPrim">
<xsl:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<sng:define name="{sm:identification/@targetPrefix}_{sm:identification/@code}">
<sng:element name="{sm:identification/@targetPrefix}:{sm:identification/@code}" snga:title="{si(@info, concat(filterInlineLoc(@name), ' (',@info, ')'), filterInlineLoc(@name))}">
<xsl:call-template name="tGetRngDocumentationTag">
<xsl:with-param name="pDocTxt" select="returnFirst(sm:doc, filterInlineLoc(sm:help/@quickHelp))"/>
</xsl:call-template>
<xsl:apply-templates select="sm:structure"/>
</sng:element>
</sng:define>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates select="sm:meta" mode="title"/>
<xsl:apply-templates select="*"/>
<xsl:if test="count(*)=0">
			
<sng:empty/>
</xsl:if>
</xsl:template>
	
	
<xsl:template match="sm:interaction">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:associateLabels">
<sng:oneOrMore>
<sng:element name="sc:group" snga:title="{filterInlineLoc(sm:group/@name)}">
<sng:oneOrMore>
<xsl:for-each select="sm:group/sm:labelModel">
<xsl:call-template name="tGetEltDeclaration">
<xsl:with-param name="pEltName">sc:label</xsl:with-param>
</xsl:call-template>
</xsl:for-each>
</sng:oneOrMore>
</sng:element>
</sng:oneOrMore>
</xsl:template>
	
<xsl:template match="sm:matchTarget">
<sng:oneOrMore>
<sng:element name="sc:group" snga:title="{filterInlineLoc(sm:group/@name)}">
<xsl:for-each select="sm:group/sm:targetModel">
<xsl:call-template name="tGetEltDeclaration">
<xsl:with-param name="pEltName">sc:target</xsl:with-param>
</xsl:call-template>
</xsl:for-each>
<sng:zeroOrMore>
<xsl:for-each select="sm:group/sm:labelModel">
<xsl:call-template name="tGetEltDeclaration">
<xsl:with-param name="pEltName">sc:label</xsl:with-param>
</xsl:call-template>
</xsl:for-each>
</sng:zeroOrMore>
</sng:element>
</sng:oneOrMore>
<xsl:choose>
<xsl:when test="sm:traps/@usage='optional'">
<sng:optional>
<xsl:apply-templates select="sm:traps"/>
</sng:optional>
</xsl:when>
<xsl:when test="sm:traps">
<xsl:apply-templates select="sm:traps"/>
</xsl:when>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:traps">
<sng:element name="sc:traps" snga:title="{filterInlineLoc(@name)}">
<sng:zeroOrMore>
<xsl:for-each select="../sm:group/sm:labelModel">
<xsl:call-template name="tGetEltDeclaration">
<xsl:with-param name="pEltName">sc:label</xsl:with-param>
</xsl:call-template>
</xsl:for-each>
</sng:zeroOrMore>
</sng:element>
</xsl:template>
	
<xsl:template match="sm:orderLabels">
<sng:oneOrMore>
<xsl:for-each select="sm:labelModel">
<xsl:call-template name="tGetEltDeclaration">
<xsl:with-param name="pEltName">sc:label</xsl:with-param>
</xsl:call-template>
</xsl:for-each>
</sng:oneOrMore>
</xsl:template>
		
</xsl:stylesheet>