<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
	
<xsl0:template match="sma:scormCamCompoWebSiteTransf">
		
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" codecomposant="{si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
				
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
<xsl0:if test="count(sm:fullTitleText)=0">
					
					
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
</xsl0:if>
<xsl0:if test="count(sm:shortTitleText)=0">
					
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>
</xsl0:if>
</xsl0:if>
<xsl0:apply-templates/>
			
<xsl0:apply-templates mode="agts"/>
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:fullTitleText|sm:shortTitleText">
		
<valeur code="{local-name()}">
<xsl0:choose>
<xsl0:when test="sm:callCompositionMeta">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '<xsl0:value-of select="getAxisSuffix(sm:callCompositionMeta/@axis)"/>', '/<xsl0:value-of select="local-name()"/>'))</source>
</xsl0:when>
<xsl0:when test="sm:callPartMeta">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('idPart'), '<xsl0:value-of select="getAxisSuffix(sm:callPartMeta/@axis)"/>', '_meta/<xsl0:value-of select="local-name()"/>'))</source>
<valeur code="idPart">
<source type="xpath-statique">getIdNode(sp:<xsl0:value-of select="si(sm:callPartMeta/@codes, java:replaceAll(string(sm:callPartMeta/@codes), '\s', ' | sp:'), '*')"/>)</source>
</valeur>
</xsl0:when>
<xsl0:when test="sm:callSubModel">
<xsl0:variable name="vXpath" select="si(sm:callSubModel/@codes, java:replaceAll(string(sm:callSubModel/@codes), '\s', ' | sp:'), '*')"/>
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('idPart'), '<xsl0:value-of select="getAxisSuffix(sm:callSubModel/@axis)"/>', '/<xsl0:value-of select="local-name()"/>'))</source>
<valeur code="idPart">
<source type="xpath-statique">si((sp:<xsl0:value-of select="$vXpath"/>)/@sc:refUri, getIdFromPath((sp:<xsl0:value-of select="$vXpath"/>)/@sc:refUri), getIdNode(sp:<xsl0:value-of select="$vXpath"/>))</source>
</valeur>
</xsl0:when>
<xsl0:when test="sm:fixedTitle">
<source><xsl0:value-of select="sm:fixedTitle/@value"/></source>
</xsl0:when>
</xsl0:choose>
</valeur>
</xsl0:template>
	
	
<xsl0:template match="sm:camOrganization">
		
<valeur code="scormCam">
<valeur code="rootAgentId">
<source type="xpath-dynamique">codeAgent('//')</source>
</valeur>
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp {resultatAgent($vAgentModel/prefixModel)} java">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
					
					
<xsl:variable name="vItemId" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
					
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
					
<xsl0:apply-templates select=".//sm:inDataOrder" mode="contentOrder"/>
</xsl:stylesheet>
</source>
</valeur>
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
	
<xsl0:template match="*"/>
	
	
<xsl0:template match="sm:itemFolder|sm:itemAsset|sm:itemSco|sm:children" mode="comps">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:inDataOrder" mode="comps">
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
<xsl0:template match="sm:for" mode="comps">
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:choose|sm:when|sm:otherwise" mode="comps">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:itemBody" mode="comps">
<xsl0:param name="vRacineComp"/>
<valeur code="getItemUrl_{generate-id()}" codecomposant="concat('getItemUrl_{generate-id()}_', generate-id())">
<xsl0:choose>
<xsl0:when test="$vRacineComp">
<xsl0:attribute name="racine"><xsl0:value-of select="$vRacineComp"/></xsl0:attribute>
<xsl0:apply-templates mode="itemBody"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="itemBody"/>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="comps"/>
	
	
<xsl0:template match="sm:callSubModel" mode="itemBody">
<source type="xpath-dynamique">resultat(agent('@@/getItemUrl'), dialog(concat('/@', switchAxis(resultatAgent('codeAgentSubM'), '<xsl0:value-of select="@axis"/>'))))</source>
<valeur code="codeAgentSubM">
<source type="xpath-statique">si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))</source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:callModel" mode="itemBody">
<source type="xpath-dynamique">resultat(agent('@@/getItemUrl'), dialog(concat('/', <xsl0:apply-templates mode="callModel"/>)))</source>
</xsl0:template>
<xsl0:template match="node()" mode="itemBody"/>

	
<xsl0:template match="sm:inDataOrder" mode="content">
		
<xsl:apply-templates mode="in_{generate-id()}"/>
</xsl0:template>
<xsl0:template match="sm:for" mode="content">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@codes">
<xsl0:value-of select="si(ancestor::sm:for, concat('../sp:', java:replaceAll(string(@codes), '\s', ' | ../sp:')), concat('sp:', java:replaceAll(string(@codes), '\s', ' | sp:')))"/>
</xsl0:when>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', generate-id(.), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:itemFolder" mode="content">
<xsl:variable name="vTitle"><xsl0:apply-templates mode="contentTitleIn" select="sm:title"/></xsl:variable>
<item identifier="fold_{{alphaHash(resultatAgent('rootAgentId'))}}_n{{java:hIncreaseOne($vItemId)}}" title="{{$vTitle}}">
<xsl0:apply-templates mode="content" select="sm:children/*"/>
</item>
</xsl0:template>
<xsl0:template match="sm:itemSco" mode="content">
<xsl:variable name="vTitle"><xsl0:apply-templates mode="contentTitleIn" select="sm:title"/></xsl:variable>
<xsl:variable name="vHref" select="resultatAgent(concat('//getItemUrl_{generate-id(sm:itemBody)}_',generate-id()))"/>
<item identifier="sco_{{alphaHash(resultatAgent('rootAgentId'))}}_n{{java:hIncreaseOne($vItemId)}}" href="{{$vHref}}" title="{{$vTitle}}">
<xsl0:apply-templates mode="content" select="sm:masteryScore | sm:maxTimeAllowed | sm:timeLimitAction"/>
<xsl0:apply-templates mode="content" select="sm:children/*"/>
</item>
</xsl0:template>
<xsl0:template match="sm:itemAsset" mode="content">
<xsl:variable name="vTitle"><xsl0:apply-templates mode="contentTitleIn" select="sm:title"/></xsl:variable>
<xsl:variable name="vHref" select="resultatAgent(concat('//getItemUrl_{generate-id(sm:itemBody)}_',generate-id()))"/>
<item identifier="asset_{{alphaHash(resultatAgent('rootAgentId'))}}_n{{java:hIncreaseOne($vItemId)}}" href="{{$vHref}}" title="{{$vTitle}}">
<xsl0:apply-templates mode="content" select="sm:children/*"/>
</item>
</xsl0:template>
<xsl0:template match="sm:masteryScore" mode="content">
<xsl:attribute name="masteryScore"><xsl0:apply-templates mode="contentItemSco"/></xsl:attribute>
</xsl0:template>
<xsl0:template match="sm:maxTimeAllowed" mode="content">
<xsl:attribute name="maxTimeAllowed"><xsl0:apply-templates mode="contentItemSco"/></xsl:attribute>
</xsl0:template>
<xsl0:template match="sm:timeLimitAction" mode="content">
<xsl:attribute name="timeLimitAction"><xsl0:value-of select="@action"/></xsl:attribute>
<xsl:attribute name="timeLimitMessage"><xsl0:apply-templates mode="contentItemSco"/></xsl:attribute>
</xsl0:template>
	
<xsl0:template match="sm:callPartMeta" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callSubModel" mode="content"><xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/scormCam'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="node()" mode="content"/>
	
	
<xsl0:template match="sm:callPartMeta" mode="contentItemSco"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callSubModel" mode="contentItemSco"><xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="contentItemSco"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="node()" mode="contentItemSco"/>

	
<xsl0:template match="sm:inDataOrder" mode="contentOrder">
<xsl:template match="*" mode="in_{generate-id(.)}"/>
<xsl0:apply-templates mode="contentOrder"/>
</xsl0:template>
<xsl0:template match="sm:for" mode="contentOrder">
		
<xsl:template match="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}" mode="in_{generate-id(..)}">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl0:template>
	
		
<xsl0:template match="sm:title[count(*)>1]" mode="contentTitleIn">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="si(local-name(..)='page', 'shortTitleText', 'fullTitleText')"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:title" mode="contentTitleIn">
<xsl0:variable name="vTitleFormat" select="si(local-name(..)='page', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="sm:compositionTitle">
<xsl0:value-of select="sm:compositionTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{sm:compositionTitle/@axis}'), '/{si(sm:compositionTitle/@format, sm:compositionTitle/@format, $vTitleFormat)}'))"/>
<xsl0:value-of select="sm:compositionTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:partTitle">
<xsl0:value-of select="sm:partTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(sm:partTitle/@axis)}/{si(sm:partTitle/@format, sm:partTitle/@format, $vTitleFormat)}'))"/>
<xsl0:value-of select="sm:partTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:subModelTitle">
<xsl0:value-of select="sm:subModelTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(sm:subModelTitle/@axis)}/{si(sm:subModelTitle/@format, sm:subModelTitle/@format, $vTitleFormat)}'))"/>
<xsl0:value-of select="sm:subModelTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:dynamicString">
<xsl:value-of select="{sm:dynamicString/sm:freeSelect/@xpath}"/>
</xsl0:when>
<xsl0:when test="sm:fixedTitle">
<xsl0:value-of select="sm:fixedTitle/@value"/>
</xsl0:when>
<xsl0:when test="sm:callModel">
<xsl0:apply-templates select="sm:callModel" mode="content"/>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="node()" mode="contentTitleIn"/>

	
<xsl0:template match="sm:partTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat"/>
<xsl:when test="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:subModelTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat"/>
<xsl:when test="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:compositionTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat"/>
<xsl:when test="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/> 
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:callModel" mode="titleMultiInXslWhen">
<xsl:when test="resultatAgent('//callModel_{generate-id()}') != ''">
<xsl:value-of select="resultatAgent('//callModel_{generate-id()}')"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="titleMultiInXslWhen">
<xsl:when test="{sm:freeSelect/@xpath} != ''">
<xsl:value-of select="{sm:freeSelect/@xpath}"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:value-of select="@value"/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<source type="xpath-dynamique">resultatAgent(<xsl0:apply-templates mode="callModel"/>)</source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:when[@sc:refUri]" mode="agts">
<valeur code="cond_{generate-id()}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
<xsl0:apply-templates mode="agts"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agts"/>

	
<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/><xsl0:if test="not(parent::*/parent::sm:itemBody)">/<xsl0:value-of select="si(parent::*/parent::*[name()='sm:masteryScore' or name()='sm:maxTimeAllowed' or name()='sm:timeLimitAction'], 'xhtmlContent', 'scormCam')"/></xsl0:if>')</xsl0:template>
<xsl0:template match="sm:current" mode="callModel">concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>')<xsl0:if test="not(parent::*/parent::sm:itemBody)">, '/<xsl0:value-of select="si(parent::*/parent::*[name()='sm:masteryScore' or name()='sm:maxTimeAllowed' or name()='sm:timeLimitAction'], 'xhtmlContent', 'scormCam')"/>'</xsl0:if>)</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAncestorAgentByTypes($vDialog<xsl0:apply-templates mode="callModel"/>)[<xsl0:value-of select="si(@direction='rootToCurrent', 'last()', '1')"/>]), '<xsl0:value-of select="@axis"/>')<xsl0:if test="not(parent::*/parent::sm:itemBody)">, '/<xsl0:value-of select="si(parent::*/parent::*[name()='sm:masteryScore' or name()='sm:maxTimeAllowed' or name()='sm:timeLimitAction'], 'xhtmlContent', 'scormCam')"/>'</xsl0:if>)</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent('<xsl0:value-of select="@path"/>', $vDialog)</xsl0:template>
<xsl0:template match="node()" mode="callModel"/>

</xsl0:stylesheet>
