<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="sm sc java ffice text table fo draw svg xlink style">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	

<xsl:variable name="vPosLigne" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	
<xsl:template match="sm:WQcmTable">
<table:table table:name="{resultatAgent('../../stResolver/table/displayName')}" table:style-name="{resultatAgent('../../stResolver/table/name')}">
<table:table-column table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.A')}"/>
<table:table-column table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.B')}"/>
<xsl:apply-templates/>
</table:table>
</xsl:template>
	
<xsl:template match="sm:WLine">
<xsl:variable name="vCurrentPosCell"><xsl:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl:variable>
<table:table-row table:style-name="{concat(resultatAgent('../../stResolver/table/name'), $vCurrentPosCell)}">
<table:table-cell table:number-columns-spanned="2" table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.A', $vCurrentPosCell)}">
<text:p text:style-name="odNoWritable">Conteneur de "<xsl:value-of select="@style"/>"</text:p>
</table:table-cell>
<table:covered-table-cell/>
</table:table-row>
</xsl:template>
	
<xsl:template match="sm:WChoiceLines">
		
<xsl:variable name="vIsRtl" select="ancestor-or-self::sm:WQcmTable/@direction='rtl'"/>
<xsl:variable name="vCurrentPosCellChecked"><xsl:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl:variable>
<xsl:variable name="vCurrentPosCellUnchecked"><xsl:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl:variable>
        
<table:table-row table:style-name="{concat(resultatAgent('../../stResolver/table/name'), $vCurrentPosCellChecked)}">
<xsl:if test="$vIsRtl">
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.B', $vCurrentPosCellChecked)}">
<text:p text:style-name="odNoWritable">ligne de réponse correcte</text:p>
</table:table-cell>
</xsl:if>
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.A', $vCurrentPosCellChecked)}">
<text:p text:style-name="{resultatAgent('../../stResolver/pictureCheckedPara/name')}">
<draw:frame draw:style-name="{resultatAgent('../../stResolver/pictureChecked/name')}" 
								draw:name="{resultatAgent('../../stResolver/pictureChecked/name')}" 
								text:anchor-type="paragraph" 
								draw:z-index="1" 
								svg:width="0.5cm" 
								svg:height="0.5cm">
<xsl:value-of disable-output-escaping="yes" select="resultatAgent('imgChecked.odXlink')"/>
</draw:frame>
</text:p>
</table:table-cell>
<xsl:if test="not($vIsRtl)">
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.B', $vCurrentPosCellChecked)}">
<text:p text:style-name="odNoWritable">ligne de réponse correcte</text:p>
</table:table-cell>
</xsl:if>
</table:table-row>
		
<table:table-row table:style-name="{concat(resultatAgent('../../stResolver/table/name'), $vCurrentPosCellUnchecked)}">
<xsl:if test="$vIsRtl">
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.B', $vCurrentPosCellUnchecked)}">
<text:p text:style-name="odNoWritable">ligne de réponse incorrecte</text:p>
<text:p text:style-name="{resultatAgent('../../stResolver/noChoice/name')}">Style de la propriété "NoChoice"</text:p>
</table:table-cell>
</xsl:if>
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.A', $vCurrentPosCellUnchecked)}">
<text:p text:style-name="{resultatAgent('../../stResolver/pictureUncheckedPara/name')}">
<draw:frame draw:style-name="{resultatAgent('../../stResolver/pictureUnchecked/name')}" 
								draw:name="{resultatAgent('../../stResolver/pictureUnchecked/name')}" 
								text:anchor-type="paragraph" 
								draw:z-index="1" 
								svg:width="0.5cm" 
								svg:height="0.5cm">
<xsl:value-of disable-output-escaping="yes" select="resultatAgent('imgUnchecked.odXlink')"/>
</draw:frame>
</text:p>
</table:table-cell>
<xsl:if test="not($vIsRtl)">
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.B', $vCurrentPosCellUnchecked)}">
<text:p text:style-name="odNoWritable">ligne de réponse incorrecte</text:p>
<text:p text:style-name="{resultatAgent('../../stResolver/noChoice/name')}">Style de la propriété "NoChoice"</text:p>
</table:table-cell>
</xsl:if>
</table:table-row>
</xsl:template>
			
<xsl:template match="*"/>
	
</xsl:stylesheet>
