<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sma="kelis.fr:scenari/modeling/assessment">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pWspRoot"/>

<xsl:variable name="vModelPath" select="concat($pWspRoot,/sma:*/sm:model/@sc:refUri)"/>
<xsl:variable name="vModelNs" select="document($vModelPath)/*/sm:identification/@targetPrefix"/>
<xsl:variable name="vModelCode" select="document($vModelPath)/*/sm:identification/@code"/>
<xsl:variable name="vAxisCode" select="/sma:*/sm:axis/@code"/>
<xsl:variable name="vPrefixClass" select="concat($vModelNs,'_',$vModelCode,si($vAxisCode,concat('_',$vAxisCode)))"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:*[@internalClass or @commonClass]">
<xsl:copy>
<xsl:attribute name="widgetClass"><xsl:value-of select="concat(si(@internalClass, concat($vPrefixClass,'_',@internalClass)),si(@internalClass and @commonClass,' ',''),@commonClass)"/></xsl:attribute>	
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:display[@commonClass]|sm:scorePoints[@commonClass]|sm:maxPoints[@commonClass]|sm:minPoints[@commonClass]">
<xsl:copy>
<xsl:attribute name="class"><xsl:value-of select="@commonClass"/></xsl:attribute>	
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:solution[@internalClass or @commonClass]">
<xsl:copy>
<xsl:attribute name="class"><xsl:value-of select="concat(si(@internalClass, concat($vPrefixClass,'_',@internalClass)),si(@internalClass and @commonClass,' ',''),@commonClass)"/></xsl:attribute>	
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="*[@sm:internalClass or @sm:commonClass]">
<xsl:copy>
<xsl:attribute name="class"><xsl:value-of select="concat(si(@sm:internalClass, concat($vPrefixClass,'_',@sm:internalClass)),si(@sm:internalClass and @sm:commonClass,' ',''),@sm:commonClass)"/></xsl:attribute>	
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="@internalClass"/>
<xsl:template match="@commonClass"/>
<xsl:template match="@sm:internalClass"/>
<xsl:template match="@sm:commonClass"/>
	
	
<xsl:template match="sm:defaultStyle"/>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
